<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-01 (GRID)-->
    <xsl:for-each select="//section-01">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-01">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-01"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'连续出版物的催询报告 '"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-01  (GRID)-->

<xsl:template name="section-01">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'订单号'"/>
          <xsl:with-param name="value" select="./z68-order-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'题名'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'ISSN'"/>
          <xsl:with-param name="value" select="./z68-isbn"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'订购日期'"/>
          <xsl:with-param name="value" select="./z68-order-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>


