<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--xsl:call-template name="blank-line"/-->

    <!--xsl:call-template name="blank-line"/-->

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (GRID)-->
    <xsl:for-each select="//section-03">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-03">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

    <!--xsl:call-template name="blank-line"/-->

    <!--section-04 (GRID)-->
    <xsl:for-each select="//section-04">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-04">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-04"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'预算信息'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="blank-line-first"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'预算代码:'"/>
       <xsl:with-param name="value" select="./z76-budget-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'预算名称:'"/>
       <xsl:with-param name="value" select="./z76-name"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'目预算:'"/>
       <xsl:with-param name="value" select="./z76-parent-budget-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'状态:'"/>
       <xsl:with-param name="value" select="./z76-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'有效期起:'"/>
       <xsl:with-param name="value" select="./z76-valid-date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'有效期止:'"/>
       <xsl:with-param name="value" select="./z76-valid-date-to"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'初始分配:'"/>
       <xsl:with-param name="value" select="./initial-allocation"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分配:'"/>
       <xsl:with-param name="value" select="./allocation"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'转下年:'"/>
       <xsl:with-param name="value" select="./carry-over"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'转移:'"/>
       <xsl:with-param name="value" select="./transferred"/>
        <xsl:with-param name="type" select="'right'"/>
   </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'预支:'"/>
       <xsl:with-param name="value" select="./encumbrances"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'发票:'"/>
       <xsl:with-param name="value" select="./invoices"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'已付款:'"/>
       <xsl:with-param name="value" select="./payments"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'发票-VAT:'"/>
       <xsl:with-param name="value" select="./invoices-vat"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'已付款-VAT:'"/>
       <xsl:with-param name="value" select="./payments-vat"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'自由结余:'"/>
       <xsl:with-param name="value" select="./free-balance"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'实际结余:'"/>
       <xsl:with-param name="value" select="./actual-balance"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'支出+预支:'"/>
       <xsl:with-param name="value" select="./percent-commitment"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'预支:'"/>
       <xsl:with-param name="value" select="./percent-expenditure"/>
        <xsl:with-param name="type" select="'right'"/>
   </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'超支（含预支）:'"/>
       <xsl:with-param name="value" select="./over-commitment"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'支出超支:'"/>
       <xsl:with-param name="value" select="./over-expenditure"/>
        <xsl:with-param name="type" select="'right'"/>
   </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
          <xsl:with-param name="width" select="'80%'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算'"/>
          <xsl:with-param name="value" select="./budgets"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>




    <!--SECTION-03  (GRID)-->

<xsl:template name="section-03">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
          <xsl:with-param name="width" select="'15%'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

    <!--SECTION-04  (GRID)-->

<xsl:template name="section-04">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="'对象代码'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'类型'"/>
          <xsl:with-param name="value" select="./type"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'已付'"/>
          <xsl:with-param name="value" select="./paid"/>
           <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
      </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'未付'"/>
          <xsl:with-param name="value" select="./not-paid"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>


