<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

    <xsl:for-each select="//section-02">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

<xsl:for-each select="//section-03">
        <xsl:call-template name="section-03"/>
</xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'催询归还单册报告'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'起始日期:'"/>
                <xsl:with-param name="value" select="./from-date"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'截止日期:'"/>
                <xsl:with-param name="value" select="./to-date"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'单册状态:'"/>
                <xsl:with-param name="value" select="./item-status"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'读者状态:'"/>
                <xsl:with-param name="value" select="./borrower-status"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'排序:'"/>
                <xsl:with-param name="value" select="./sorted-by"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="section-02">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="''"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'读者ID:'"/>
                <xsl:with-param name="value" select="./patron-id"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'读者姓名:'"/>
                <xsl:with-param name="value" select="./patron-name"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'单册条码:'"/>
                <xsl:with-param name="value" select="./item-barcode"/>
                <xsl:with-param name="header" select="$header"/>
                <xsl:with-param name="type" select="'barcode'"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'分馆:'"/>
                <xsl:with-param name="value" select="./sub-library"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'索书号:'"/>
                <xsl:with-param name="value" select="./call-no"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>


<xsl:template name="section-03">
<xsl:param name="header"/>
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'催询次数:'"/>
                <xsl:with-param name="value" select="./no-of-claims"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>

</xsl:stylesheet>

