<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->

    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'货币报告'"/>
    </xsl:call-template>


</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
</xsl:template>


    <!--SECTION-02  (GRID)-->


<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'汇率日期'"/>
          <xsl:with-param name="value" select="./ratio-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-1"/>
          <xsl:with-param name="value" select="./currency-ratio-1"/>
          <xsl:with-param name="display" select="./currency-1"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-2"/>
          <xsl:with-param name="value" select="./currency-ratio-2"/>
          <xsl:with-param name="display" select="./currency-2"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-3"/>
          <xsl:with-param name="value" select="./currency-ratio-3"/>
          <xsl:with-param name="display" select="./currency-3"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-4"/>
          <xsl:with-param name="value" select="./currency-ratio-4"/>
           <xsl:with-param name="display" select="./currency-4"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-5"/>
          <xsl:with-param name="value" select="./currency-ratio-5"/>
          <xsl:with-param name="display" select="./currency-5"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-6"/>
          <xsl:with-param name="value" select="./currency-ratio-6"/>
          <xsl:with-param name="display" select="./currency-6"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-7"/>
          <xsl:with-param name="value" select="./currency-ratio-7"/>
           <xsl:with-param name="display" select="./currency-7"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
      </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-8"/>
          <xsl:with-param name="value" select="./currency-ratio-8"/>
           <xsl:with-param name="display" select="./currency-8"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
      </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-9"/>
          <xsl:with-param name="value" select="./currency-ratio-9"/>
          <xsl:with-param name="display" select="./currency-9"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-10"/>
          <xsl:with-param name="value" select="./currency-ratio-10"/>
          <xsl:with-param name="display" select="./currency-10"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-11"/>
          <xsl:with-param name="value" select="./currency-ratio-11"/>
          <xsl:with-param name="display" select="./currency-12"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-12"/>
          <xsl:with-param name="value" select="./currency-ratio-12"/>
          <xsl:with-param name="display" select="./currency-12"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-13"/>
          <xsl:with-param name="value" select="./currency-ratio-13"/>
          <xsl:with-param name="display" select="./currency-13"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-14"/>
          <xsl:with-param name="value" select="./currency-ratio-14"/>
          <xsl:with-param name="display" select="./currency-14"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-15"/>
          <xsl:with-param name="value" select="./currency-ratio-15"/>
          <xsl:with-param name="display" select="./currency-15"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

