<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'付款收据报告'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'起:'"/>
       <xsl:with-param name="value" select='concat(./p-date-from-x,"  ",./p-hour-from-x)'/>
       <xsl:with-param name="width" select="'7%'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'止:'"/>
       <xsl:with-param name="value" select='concat(./p-date-to-x,"  ",./p-hour-to-x)'/>
       <xsl:with-param name="width" select="'7%'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'排序:'"/>
       <xsl:with-param name="value" select="./p-sort-key"/>
       <xsl:with-param name="width" select="'7%'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
       <xsl:with-param name="value" select="./z31-id"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'工作人员名字'"/>
       <xsl:with-param name="value" select="./z31-payment-cataloger"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'日期'"/>
       <xsl:with-param name="value" select="./z31-payment-date"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'时间'"/>
       <xsl:with-param name="value" select="./z31-payment-hour"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'收据号'"/>
       <xsl:with-param name="value" select="./z31-payment-receipt-number"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'事务类型'"/>
       <xsl:with-param name="value" select="./z31-description"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'贷方'"/>
       <xsl:with-param name="value" select="./credit"/>
       <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'借方'"/>
       <xsl:with-param name="value" select="./debit"/>
       <xsl:with-param name="type" select="'right'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'单册条码'"/>
       <xsl:with-param name="value" select="./item-barcode"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'读者姓名'"/>
       <xsl:with-param name="value" select="./z303-name"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'读者条码'"/>
       <xsl:with-param name="value" select="./key-data-01"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'读者附加ID'"/>
       <xsl:with-param name="value" select="./key-data-02"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'读者附加ID 2'"/>
       <xsl:with-param name="value" select="./key-data-03"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>


