<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="plain-funcs.xsl"/>


<xsl:template match="/">
       <!--xsl:call-template name="header"/-->

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
       <xsl:call-template name="new-line"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<!--xsl:template name="header"-->
    <!--xsl:call-template name="header-gen"-->
       <!--xsl:with-param name="title" select="'预约请求'"/-->
    <!--/xsl:call-template-->
    <!--xsl:call-template name="new-line"/-->
<!--/xsl:template-->

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <!--xsl:call-template name="sublib-address"/-->
    <!--xsl:call-template name="patron-address"/-->
    <xsl:call-template name="new-line"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string"'/>
    </xsl:call-template>

    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("您在  ", //z37-request-date, " 提出了预约请求，以下单册现已还回，请到借书处取书:")'/>
    </xsl:call-template>
    <xsl:call-template name="new-line"/>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'馆藏地'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <!--xsl:call-template name="display-gen"-->
       <!--xsl:with-param name="label" select="'索书号2'"/-->
       <!--xsl:with-param name="value" select="./z30-call-no-2"/-->
    <!--/xsl:call-template-->
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'页数'"/>
       <xsl:with-param name="value" select="./z37-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'著者'"/>
       <xsl:with-param name="value" select="./z37-author"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'题名'"/>
       <xsl:with-param name="value" select="./z37-title"/>
    </xsl:call-template>
    <!--xsl:call-template name="display-gen"-->
       <!--xsl:with-param name="label" select="'注释1'"/-->
       <!--xsl:with-param name="value" select="./z37-note-1"/-->
    <!--/xsl:call-template-->
    <!--xsl:call-template name="display-gen"-->
       <!--xsl:with-param name="label" select="'注释2'"/-->
       <!--xsl:with-param name="value" select="./z37-note-2"/-->
    <!--/xsl:call-template-->
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'国家图书馆'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

