<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
   <xsl:call-template name="header"/>

   <xsl:for-each select="//section-01">
      <xsl:call-template name="section-01"/>
   </xsl:for-each>

   <xsl:for-each select="//section-02">
      <xsl:if test="position() = 1">
         <xsl:call-template name="section-02">
            <xsl:with-param name="header" select="'header'"/>
         </xsl:call-template>
      </xsl:if>
      <xsl:call-template name="section-02"/>
   </xsl:for-each>

   <xsl:for-each select="//section-03">
      <xsl:call-template name="section-03"/>
   </xsl:for-each>

</xsl:template>

<xsl:template name="header">
   <xsl:call-template name="header-gen">
      <xsl:with-param name="title" select="'Adam 07 Usage Report'"/>
   </xsl:call-template>
</xsl:template>

<xsl:template name="section-01">
   <xsl:call-template name="table-open"/>
      <xsl:call-template name="display-gen">
         <xsl:with-param name="label" select="'Start Date:'"/>
         <xsl:with-param name="value" select="./start-date"/>
      </xsl:call-template>
      <xsl:call-template name="display-gen">
         <xsl:with-param name="label" select="'End Date:'"/>
         <xsl:with-param name="value" select="./end-date"/>
      </xsl:call-template>
      <xsl:call-template name="display-gen">
         <xsl:with-param name="label" select="'Sort Field:'"/>
         <xsl:with-param name="value" select="./sort-field-1"/>
      </xsl:call-template>
      <xsl:call-template name="display-gen">
         <xsl:with-param name="label" select="'Sort Field 2:'"/>
         <xsl:with-param name="value" select="./sort-field-2"/>
      </xsl:call-template>
   <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="section-02">
<xsl:param name="header"/>
   <xsl:if test="$header!=''">
      <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="''"/>
      </xsl:call-template>
   </xsl:if>
   <xsl:call-template name="table-start-row"/>
      <xsl:call-template name="display-grid-gen">
         <xsl:with-param name="label" select="'User ID:'"/>
         <xsl:with-param name="value" select="./z35-id"/>
         <xsl:with-param name="header" select="$header"/>
      </xsl:call-template>
      <xsl:call-template name="display-grid-gen">
         <xsl:with-param name="label" select="'Object:'"/>
         <xsl:with-param name="value" select="./object"/>
         <xsl:with-param name="header" select="$header"/>
      </xsl:call-template>
      <xsl:call-template name="display-grid-gen">
         <xsl:with-param name="label" select="'Doc No.:'"/>
         <xsl:with-param name="value" select="./z35-doc-number"/>
         <xsl:with-param name="header" select="$header"/>
      </xsl:call-template>
      <xsl:call-template name="display-grid-gen">
         <xsl:with-param name="label" select="'Title:'"/>
         <xsl:with-param name="value" select="./z13-title"/>
         <xsl:with-param name="header" select="$header"/>
      </xsl:call-template>
      <xsl:call-template name="display-grid-gen">
         <xsl:with-param name="label" select="'Date:'"/>
         <xsl:with-param name="value" select="./z35-event-date"/>
         <xsl:with-param name="header" select="$header"/>
      </xsl:call-template>
      <xsl:call-template name="display-grid-gen">
         <xsl:with-param name="label" select="'Time:'"/>
         <xsl:with-param name="value" select="./z35-event-hour"/>
         <xsl:with-param name="header" select="$header"/>
      </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="section-03">
   <xsl:call-template name="table-close"/>
   <xsl:call-template name="table-open"/>
      <xsl:call-template name="display-gen">
         <xsl:with-param name="label" select="'Total No Units:'"/>
         <xsl:with-param name="value" select="./total-no-units"/>
      </xsl:call-template>
   <xsl:call-template name="table-close"/>
</xsl:template>

</xsl:stylesheet>

