<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->

    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->

    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Alphabetize Heading Reports'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<tr>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Headings Index'"/>
       <xsl:with-param name="value" select="./z01-acc-code"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Heading'"/>
       <xsl:with-param name="value" select="./z01-display-text"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Current Normalized Text'"/>
       <xsl:with-param name="value" select="./z01-normalized-text"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Current Filing Text'"/>
       <xsl:with-param name="value" select="./z01-filing-text"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'New Normalized Text '"/>
       <xsl:with-param name="value" select="./new-normalized-text"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'New Filing Text '"/>
       <xsl:with-param name="value" select="./new-filing-text"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
</tr>

     <xsl:if test="position() = last()">
       <xsl:call-template name="table-close"/>
     </xsl:if>

</xsl:template>

<!--SECTION-03  (FREE)-->

<xsl:template name="section-03">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Total lines changed:'"/>
       <xsl:with-param name="value" select="./total-lines-changed"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Total lines printed:'"/>
       <xsl:with-param name="value" select="./total-lines-printed"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>

