
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

   <!--section-02 (GRID)-->

    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Booking Request Reminder'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
        <xsl:with-param name="line" select="'Your following Booking Request(s) will soon be available :'"/>
    </xsl:call-template>

</xsl:template>

<!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Bib Info'"/>
       <xsl:with-param name="value" select="./bib-info"/>
       <xsl:with-param name="type" select="'bib-info'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Barcode:'"/>
                <xsl:with-param name="value" select="./z30-barcode"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Booking Start Time:'"/>
                <xsl:with-param name="value" select= 'concat( //z37-booking-start-date, " at ",//z37-booking-start-hour)'/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Booking End Time:'"/>
                <xsl:with-param name="value" select= 'concat( //z37-booking-end-date, " at ",//z37-booking-end-hour)'/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>

<xsl:call-template name="table-end-row"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##Sincerely,##Circulation Department'"/>

       </xsl:call-template>
   </xsl:template>

</xsl:stylesheet>

