<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (SPLIT)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Booking Request Slip'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (SPLIT)-->

<xsl:template name="section-01">
       <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="table-open"/>
   <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Slip Number:'"/>
       <xsl:with-param name="value" select="./z52-seq-number"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Item Availability:'"/>
       <xsl:with-param name="value" select="./availability"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="blank-line-in-free">
       <xsl:with-param name="lines" select="'3'"/>
    </xsl:call-template>

   <xsl:call-template name="free-title">
       <xsl:with-param name="free-title" select="'Material Requested:'"/>
   </xsl:call-template>

    <xsl:call-template name="table-close"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-split-open"/>
   <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Call No.:'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Call No. 2:'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Copy Number:'"/>
       <xsl:with-param name="value" select="./z30-copy-id"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-right"/>
   <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Sublibrary:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Collection:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Item Status:'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Description:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-close"/>
    <xsl:call-template name="blank-line"/>
     <xsl:call-template name="table-open"/>

   <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Item Barcode:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
       <xsl:with-param name="type" select="'barcode'"/>
   </xsl:call-template>

   <xsl:call-template name="free-title">
       <xsl:with-param name="free-title" select="'Request Details:'"/>
   </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Booking Start Time:'"/>
                <xsl:with-param name="value" select= 'concat( ./z37-booking-start-date, " at ",./z37-booking-start-hour)'/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Booking End Time:'"/>
                <xsl:with-param name="value" select= 'concat( ./z37-booking-end-date, " at ",./z37-booking-end-hour)'/>
    </xsl:call-template>
   <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Note 1:'"/>
       <xsl:with-param name="value" select="./z37-note-1"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Note 2:'"/>
       <xsl:with-param name="value" select="./z37-note-2"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Delivery Method'"/>
       <xsl:with-param name="value" select="./z37-delivery-method"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>

   <xsl:call-template name="free-title">
       <xsl:with-param name="free-title" select="'Requested For:'"/>
   </xsl:call-template>
    <xsl:call-template name="table-close"/>
        <xsl:call-template name="patron-address"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Borrower Status:'"/>
       <xsl:with-param name="value" select="./z305-bor-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Borrower Type:'"/>
       <xsl:with-param name="value" select="./z305-bor-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Notes:'"/>
       <xsl:with-param name="value" select="./z302-field-1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="''"/>
       <xsl:with-param name="value" select="./z302-field-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="''"/>
       <xsl:with-param name="value" select="./z302-field-3"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request Date:'"/>
       <xsl:with-param name="value" select="./z37-request-date"/>
    </xsl:call-template>
    <xsl:call-template name="blank-line-in-free">
       <xsl:with-param name="lines" select="'2'"/>
    </xsl:call-template>

   <xsl:call-template name="requested-by-proxy">
       <xsl:with-param name="condition-field" select="./z37-requester-id"/>
   </xsl:call-template>
    <xsl:call-template name="table-close"/>


</xsl:template>
</xsl:stylesheet>


