<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Catalog Records - Columnar'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
      <xsl:variable name="v1" select="./data-1"/>
      <xsl:variable name="v2" select="./data-2"/>
      <xsl:variable name="v3" select="./data-3"/>
      <xsl:variable name="v4" select="./data-4"/>
      <xsl:variable name="v5" select="./data-5"/>
      <xsl:variable name="v6" select="./data-6"/>

      <xsl:if test="concat($v1, $v2, $v3, $v4, $v5, $v6) != ''">

              <xsl:call-template name="open-row-cond">
                  <xsl:with-param name="display" select="concat($v1, $v2, $v3, $v4, $v5, $v6)"/>
                  <xsl:with-param name="header" select="$header"/>
              </xsl:call-template>

              <xsl:call-template name="display-grid-currency">
                  <xsl:with-param name="label" select="./title-1"/>
                  <xsl:with-param name="value" select="./data-1"/>
                  <xsl:with-param name="display" select="./title-1"/>
                  <xsl:with-param name="header" select="$header"/>
               </xsl:call-template>
               <xsl:call-template name="display-grid-currency">
                  <xsl:with-param name="label" select="./title-2"/>
                  <xsl:with-param name="value" select="./data-2"/>
                  <xsl:with-param name="display" select="./title-2"/>
                  <xsl:with-param name="header" select="$header"/>
               </xsl:call-template>
               <xsl:call-template name="display-grid-currency">
                  <xsl:with-param name="label" select="./title-3"/>
                  <xsl:with-param name="value" select="./data-3"/>
                  <xsl:with-param name="display" select="./title-3"/>
                  <xsl:with-param name="header" select="$header"/>
               </xsl:call-template>
               <xsl:call-template name="display-grid-currency">
                  <xsl:with-param name="label" select="./title-4"/>
                  <xsl:with-param name="value" select="./data-4"/>
                  <xsl:with-param name="display" select="./title-4"/>
                  <xsl:with-param name="header" select="$header"/>
               </xsl:call-template>
               <xsl:call-template name="display-grid-currency">
                  <xsl:with-param name="label" select="./title-5"/>
                  <xsl:with-param name="value" select="./data-5"/>
                  <xsl:with-param name="display" select="./title-5"/>
                  <xsl:with-param name="header" select="$header"/>
               </xsl:call-template>
               <xsl:call-template name="display-grid-currency">
                  <xsl:with-param name="label" select="./title-6"/>
                  <xsl:with-param name="value" select="./data-6"/>
                  <xsl:with-param name="display" select="./title-6"/>
                  <xsl:with-param name="header" select="$header"/>
               </xsl:call-template>

               <xsl:call-template name="close-row-cond">
                  <xsl:with-param name="display" select="concat($v1, $v2, $v3, $v4, $v5, $v6)"/>
                  <xsl:with-param name="header" select="$header"/>
               </xsl:call-template>
      </xsl:if>
</xsl:template>
</xsl:stylesheet>




