<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (GRID)-->
    <xsl:for-each select="//section-01">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-01">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-01"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Statistical Patron Summary Report'"/>
    </xsl:call-template>
</xsl:template>


    <!--section-01  (GRID)-->

<xsl:template name="section-01">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>

       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Patron ID'"/>
          <xsl:with-param name="value" select="./patron-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Patron Name'"/>
          <xsl:with-param name="value" select="./patron-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Sub-Library'"/>
          <xsl:with-param name="value" select="./sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Loans'"/>
          <xsl:with-param name="value" select="./no-loans"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Returns'"/>
          <xsl:with-param name="value" select="./no-returns"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Renewals'"/>
          <xsl:with-param name="value" select="./no-renewals"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Lost'"/>
          <xsl:with-param name="value" select="./no-lost"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Claimed'"/>
          <xsl:with-param name="value" select="./no-claimed"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Requests'"/>
          <xsl:with-param name="value" select="./no-requests"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Bookings'"/>
          <xsl:with-param name="value" select="./no-bookings"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>

   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

