
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL - Letter to ILL Borrower'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##Following is information about your ILL incoming request."'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request number:'"/>
       <xsl:with-param name="value" select="./z46-request-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Doc. number:'"/>
       <xsl:with-param name="value" select="./z46-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Supply note:'"/>
       <xsl:with-param name="value" select="./note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request note:'"/>
       <xsl:with-param name="value" select="./z46-request-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Requested send method:'"/>
       <xsl:with-param name="value" select="./z46-request-send-method"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Requested pages:'"/>
       <xsl:with-param name="value" select="./z46-request-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Requested media:'"/>
       <xsl:with-param name="value" select="./z46-request-media"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Reference number:'"/>
       <xsl:with-param name="value" select="./z46-request-reference-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Barcode:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Send date:'"/>
       <xsl:with-param name="value" select="./z46-send-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Send method:'"/>
       <xsl:with-param name="value" select="./z46-send-method"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Pages:'"/>
       <xsl:with-param name="value" select="./z46-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Page size:'"/>
       <xsl:with-param name="value" select="./z46-page-size"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Expected return date:'"/>
       <xsl:with-param name="value" select="./z46-expected-return-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Return date:'"/>
       <xsl:with-param name="value" select="./z46-return-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Price:'"/>
       <xsl:with-param name="value" select="./z46-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Currency:'"/>
       <xsl:with-param name="value" select="./z46-currency"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Local price:'"/>
       <xsl:with-param name="value" select="./z46-local-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Copyright price:'"/>
       <xsl:with-param name="value" select="./z46-copyright-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Copyright currency:'"/>
       <xsl:with-param name="value" select="./z46-copyright-currency"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Copyright local price:'"/>
       <xsl:with-param name="value" select="./z46-copyright-local-price"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##Sincerely,##ILL Department
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

