<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Item Not Deleted'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Form Date:'"/>
                <xsl:with-param name="value" select="./form-date"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Doc Number:'"/>
                <xsl:with-param name="value" select="./z30-doc-number"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Item Sequence:'"/>
                <xsl:with-param name="value" select="./z30-item-sequence"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Barcode:'"/>
                <xsl:with-param name="value" select="./z30-barcode"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub Library:'"/>
                <xsl:with-param name="value" select="./z30-sub-library"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Item Status:'"/>
                <xsl:with-param name="value" select="./z30-item-status"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Loaned:'"/>
                <xsl:with-param name="value" select="./loaned"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Has Holds:'"/>
                <xsl:with-param name="value" select="./has-holds"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Has Booking:'"/>
                <xsl:with-param name="value" select="./has-booking"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Has Photocopy:'"/>
                <xsl:with-param name="value" select="./has-photocopy"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>

</xsl:stylesheet>

