
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--/DIV-->
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Item Slip'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"Material:"'/>
    </xsl:call-template>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Loan Status:'"/>
       <xsl:with-param name="value" select="./is-loan"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Barcode:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Location:'"/>

       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Sublibrary:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Item Status:'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Description:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Collection:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Location 2:'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Copy:'"/>
       <xsl:with-param name="value" select="./z30-copy-id"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>

