
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Lost Item Bill'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##We are sending you a bill so you can pay for the replacement of the item you lost."'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"If you however bring the item to the library you will only have to pay the extra costs, consisting of the handling fee and the notice charge."'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="free-title">
        <xsl:with-param name="free-title" select="'Lost Item:'"/>
    </xsl:call-template>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-close"/>

    <xsl:call-template name="table-open"/>
    <xsl:call-template name="free-title">
        <xsl:with-param name="free-title" select="'Item Details:'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Description:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Sublibrary:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Collection:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Call No.:'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Call No. 2:'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Item Status:'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='" "'/>
    </xsl:call-template>
    <xsl:call-template name="free-title">
        <xsl:with-param name="free-title" select="'Circulation Details:'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Loan Date:'"/>
       <xsl:with-param name="value" select="./z36-loan-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Due Date:'"/>
       <xsl:with-param name="value" select="./z36-due-date"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='" "'/>
    </xsl:call-template>
    <xsl:call-template name="free-title">
        <xsl:with-param name="free-title" select="'Outstanding Sums:'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Material Cost:'"/>
       <xsl:with-param name="value" select="./sum-2"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Handling Fee:'"/>
       <xsl:with-param name="value" select="./sum-1"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Notice Charge:'"/>
       <xsl:with-param name="value" select="./sum-3"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"--------------------------------------------------"'/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Total:'"/>
       <xsl:with-param name="value" select="./total"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##Sincerely,##Circulation Department
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

