<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->

    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->

    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

    <!--section-04 (GRID)-->

    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-04">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-04">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-04"/>
    </xsl:for-each>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Reject Transfer Order Encumbrance from Budget to Budget Report'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
  <xsl:call-template name="generic-line">
    <xsl:with-param name="line" select='"##Orders which were not Transferred to New Budget:"'/>
  </xsl:call-template>
</xsl:template>

<!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
   <xsl:call-template name="display-grid-gen">
     <xsl:with-param name="label" select="'Bib Info:'"/>
     <xsl:with-param name="value" select="./bib-info"/>
     <xsl:with-param name="header" select="$header"/>
   </xsl:call-template>
   <xsl:call-template name="display-grid-gen">
     <xsl:with-param name="label" select="'Title:'"/>
     <xsl:with-param name="value" select="./z13-title"/>
     <xsl:with-param name="header" select="$header"/>
   </xsl:call-template>
   <xsl:call-template name="display-grid-gen">
     <xsl:with-param name="label" select="'Order Number:'"/>
     <xsl:with-param name="value" select="./z68-order-number"/>
     <xsl:with-param name="header" select="$header"/>
   </xsl:call-template>
   <xsl:call-template name="display-grid-gen">
     <xsl:with-param name="label" select="'Doc Number:'"/>
     <xsl:with-param name="value" select="./doc-number"/>
     <xsl:with-param name="header" select="$header"/>
   </xsl:call-template>
   <xsl:call-template name="display-grid-gen">
     <xsl:with-param name="label" select="'Order Sequence:'"/>
     <xsl:with-param name="value" select="./order-seq"/>
     <xsl:with-param name="header" select="$header"/>
   </xsl:call-template>
   <xsl:call-template name="display-grid-gen">
     <xsl:with-param name="label" select="'Target Budget:'"/>
     <xsl:with-param name="value" select="./target-budget"/>
     <xsl:with-param name="header" select="$header"/>
   </xsl:call-template>
   <xsl:call-template name="display-grid-gen">
     <xsl:with-param name="label" select="'Original ENC Amount:'"/>
     <xsl:with-param name="value" select="./orig-enc-sum"/>
     <xsl:with-param name="header" select="$header"/>
   </xsl:call-template>
   <xsl:call-template name="display-grid-gen">
     <xsl:with-param name="label" select="'Active ENC Amount:'"/>
     <xsl:with-param name="value" select="./active-enc-sum"/>
     <xsl:with-param name="header" select="$header"/>
   </xsl:call-template>
   <xsl:call-template name="display-grid-gen">
     <xsl:with-param name="label" select="'Reason for Reject:'"/>
     <xsl:with-param name="value" select="./reason"/>
     <xsl:with-param name="header" select="$header"/>
   </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>

<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
  <xsl:call-template name="generic-line">
    <xsl:with-param name="line" select='"##All Orders were Rejected."'/>
  </xsl:call-template>
</xsl:template>

<!--SECTION-04  (GRID)-->

<xsl:template name="section-04">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
   <xsl:call-template name="display-grid-gen">
     <xsl:with-param name="label" select="'Target Budget'"/>
     <xsl:with-param name="value" select="./target-budget"/>
     <xsl:with-param name="header" select="$header"/>
   </xsl:call-template>
   <xsl:call-template name="display-grid-gen">
     <xsl:with-param name="label" select="'Reason'"/>
     <xsl:with-param name="value" select="./reason"/>
     <xsl:with-param name="header" select="$header"/>
   </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

