<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

<xsl:for-each select="//section-02">
        <xsl:call-template name="section-02"/>
</xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Staff Users Report'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="section-02">
<xsl:param name="header"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-close"/>
   <xsl:call-template name="table-split-open"/>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'ID:'"/>
                <xsl:with-param name="value" select="./z66-user-name"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Library:'"/>
                <xsl:with-param name="value" select="./z66-user-library"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Name:'"/>
                <xsl:with-param name="value" select="./z66-name"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Department:'"/>
                <xsl:with-param name="value" select="./z66-department"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Note 1:'"/>
                <xsl:with-param name="value" select="./z66-note-1"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Expiry Date:'"/>
                <xsl:with-param name="value" select="./z66-expiry-date"/>
        </xsl:call-template>
   <xsl:call-template name="table-split-right"/>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Function Proxy:'"/>
                <xsl:with-param name="value" select="./z66-function-proxy"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Budget Proxy:'"/>
                <xsl:with-param name="value" select="./z66-budget-proxy"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Order Unit Proxy:'"/>
                <xsl:with-param name="value" select="./z66-order-unit-proxy"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Catalog Proxy:'"/>
                <xsl:with-param name="value" select="./z66-catalog-proxy"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Circ Level:'"/>
                <xsl:with-param name="value" select="./z66-user-circ-level"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Cat Level:'"/>
                <xsl:with-param name="value" select="./z66-user-cat-level"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Ill Unit:'"/>
                <xsl:with-param name="value" select="./z66-ill-unit"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Block Reason:'"/>
                <xsl:with-param name="value" select="./z66-block-reason"/>
        </xsl:call-template>
   <xsl:call-template name="table-split-close"/>
    <xsl:call-template name="table-open"/>
<xsl:call-template name="table-close"/>
<xsl:call-template name="horizontal-line"/>
<xsl:call-template name="table-open-full"/>
    <xsl:call-template name="table-close"/>
</xsl:template>

</xsl:stylesheet>

