<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (GRID)-->
    <xsl:for-each select="//section-01">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-01">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-01"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Batch Jobs Summary Report'"/>
    </xsl:call-template>
</xsl:template>


    <!--section-01  (GRID)-->

<xsl:template name="section-01">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>

       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Batch Job'"/>
          <xsl:with-param name="value" select="./z100-proc-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Unique ID'"/>
          <xsl:with-param name="value" select="./z100-rec-key"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Library'"/>
          <xsl:with-param name="value" select="./z100-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Start Date'"/>
          <xsl:with-param name="value" select="concat(./z100-start-date,'  ',./z100-start-hour)"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'End Date'"/>
          <xsl:with-param name="value" select="concat(./z100-end-date,'  ',./z100-end-hour)"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
        <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Status'"/>
          <xsl:with-param name="value" select="./z100-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Summary'"/>
          <xsl:with-param name="value" select="./z100-params-text"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>

   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

