<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'记到消息'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
    <xsl:call-template name="patron-address"/>
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'亲爱的先生/女士,####您所订购的书刊已到。'"/>
        </xsl:call-template>
<xsl:call-template name="table-close"/>
<xsl:call-template name="bib-info-hdr"/>
<xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'订单号:'"/>
                <xsl:with-param name="value" select="./z68-order-number"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'文档号:'"/>
                <xsl:with-param name="value" select="./z68-doc-number"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'订购日期:'"/>
                <xsl:with-param name="value" select="./z68-order-date"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'记到状态:'"/>
                <xsl:with-param name="value" select="./z68-arrival-status"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'记到日期:'"/>
                <xsl:with-param name="value" select="./z78-arrival-date"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'记到注释:'"/>
                <xsl:with-param name="value" select="./z78-arrival-note"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'订购册数:'"/>
                <xsl:with-param name="value" select="./z68-no-units"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'记到册数:'"/>
                <xsl:with-param name="value" select="./z78-no-units-arrived"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="signature">
     <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'######采访部门.'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

