<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-02 (FREE)-->
    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'预算总结'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-02  (FREE)-->
<xsl:template name="section-02">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'预算代码:'"/>
       <xsl:with-param name="value" select="./z76-budget-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'预算名称:'"/>
       <xsl:with-param name="value" select="./z76-name"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'状态:'"/>
       <xsl:with-param name="value" select="./z76-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'有效期起:'"/>
       <xsl:with-param name="value" select="./z76-valid-date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'有效期止:'"/>
       <xsl:with-param name="value" select="./z76-valid-date-to"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'初始分配:'"/>
       <xsl:with-param name="value" select="./initial-allocation"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分配:'"/>
       <xsl:with-param name="value" select="./allocation"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'转下年:'"/>
       <xsl:with-param name="value" select="./carry-over"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'转移:'"/>
       <xsl:with-param name="value" select="./transferred"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'预支:'"/>
       <xsl:with-param name="value" select="./encumbrances"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'发票:'"/>
       <xsl:with-param name="value" select="./invoices"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'支付:'"/>
       <xsl:with-param name="value" select="./payments"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'发票-VAT:'"/>
       <xsl:with-param name="value" select="./invoices-vat"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'支付-VAT:'"/>
       <xsl:with-param name="value" select="./payments-vat"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'实际余额:'"/>
       <xsl:with-param name="value" select="./actual-balance"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'自由余额:'"/>
       <xsl:with-param name="value" select="./free-balance"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'最大超支（含预支）:'"/>
       <xsl:with-param name="value" select="./max-over-commitment"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'最大支出超支:'"/>
       <xsl:with-param name="value" select="./max-over-expenditure"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./sub-libraries"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'包含预算:'"/>
       <xsl:with-param name="value" select="./included-budgets"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="budget-paid-unpaid"/>
    <xsl:call-template name="horizontal-line"/>
</xsl:template>
<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'总预算:'"/>
       <xsl:with-param name="value" select="./tot-budgets"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="horizontal-line"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'初始分配:'"/>
       <xsl:with-param name="value" select="./initial-allocation"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分配:'"/>
       <xsl:with-param name="value" select="./allocation"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'转下年:'"/>
       <xsl:with-param name="value" select="./carry-over"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'传递:'"/>
       <xsl:with-param name="value" select="./transferred"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'预支:'"/>
       <xsl:with-param name="value" select="./encumbrances"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'发票:'"/>
       <xsl:with-param name="value" select="./invoices"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'支付:'"/>
       <xsl:with-param name="value" select="./payments"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'发票-VAT:'"/>
       <xsl:with-param name="value" select="./invoices-vat"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'支付-VAT:'"/>
       <xsl:with-param name="value" select="./payments-vat"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'真是余额:'"/>
       <xsl:with-param name="value" select="./actual-balance"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'自由余额:'"/>
       <xsl:with-param name="value" select="./free-balance"/>
    </xsl:call-template>

    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>

