<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header1"/>

    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (FREE)-->
    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header1">
    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"  STYLE="font-size: 12pt; font-family: Arial" ALIGN="CENTER">
                  <b><xsl:value-of select="'国家图书馆'"/><br/></b>
    </td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"  STYLE="font-size: 12pt; font-family: Arial" ALIGN="CENTER">
                  <b><xsl:value-of select="'学位论文阅览室逾期收款单'"/><br/></b>
    </td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"  STYLE="font-size: 12pt; font-family: Arial" ALIGN="CENTER">
                  <b><xsl:value-of select="'柜台核对 盖章有效'"/><br/></b>
    </td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="patron-name"/>
    <xsl:call-template name="generic-line">
        <xsl:with-param name="line" select='concat("总计： ", //sum)'/>
        <xsl:with-param name="style" select="'bold'"/>
    </xsl:call-template>
</xsl:template>

    <!--SECTION-02  (FREE)-->

<xsl:template name="section-02">
           <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'书名:'"/>
                <xsl:with-param name="value" select="./bib-info"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
        <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'条码号:'"/>
                <xsl:with-param name="value" select="./z30-barcode"/>
                <xsl:with-param name="width" select="'25%'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'描述:'"/>
                <xsl:with-param name="value" select="./z31-description"/>
        </xsl:call-template>
    <!--xsl:call-template name="display-gen"-->
                <!--xsl:with-param name="label" select="'金额:'"/-->
                <!--xsl:with-param name="value" select="./z31-sum"/-->
        <!--/xsl:call-template-->
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'日期:'"/>
                <xsl:with-param name="value" select="./z31-date"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>

</xsl:template>
</xsl:stylesheet>



