<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
<xsl:call-template name="header"/>

    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (FREE)-->
    <xsl:for-each select="//section-02">
        <xsl:if test="position() = 1">
            <xsl:call-template name="section-02">
                <xsl:with-param name="header" select="'header'"/>
            </xsl:call-template>
        </xsl:if>
        <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>

<!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
        <xsl:with-param name="title" select="'高级统计'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
        <xsl:with-param name="line" select="'外借,续借,预约和过期通知'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="blank-line-first"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
        <xsl:with-param name="label" select="'起始日期:'"/>
        <xsl:with-param name="value" select="./date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
        <xsl:with-param name="label" select="'截止日期:'"/>
        <xsl:with-param name="value" select="./date-to"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-02  (FREE)-->
<xsl:template name="section-02">
    <xsl:param name="header"/>
    <xsl:if test="$header!=''">
        <xsl:call-template name="start-grid"/>
    </xsl:if>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'分馆'"/>
        <xsl:with-param name="value" select="./sub-lib"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'外借'"/>
        <xsl:with-param name="value" select="./count-1"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'  其中续借'"/>
        <xsl:with-param name="value" select="./count-2"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'自动续借'"/>
        <xsl:with-param name="value" select="./count-3"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'预约'"/>
        <xsl:with-param name="value" select="./count-4"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'过期通知'"/>
        <xsl:with-param name="value" select="./count-5"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

