
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature">
       <xsl:with-param name="text" select="'##流通部####回复信:##(选择合适的按钮。)'"/>
    </xsl:call-template>
    <xsl:call-template name="checkbox">
       <xsl:with-param name="text" select="'继续等候:'"/>
    </xsl:call-template>
    <xsl:call-template name="checkbox">
       <xsl:with-param name="text" select="'取消预约:'"/>
    </xsl:call-template>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'预约请求'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("salutation_string##在    ", //z37-request-date, "   我们收到了您对以下书刊的预约请求。在此很抱歉的通知您，你所预约的书刊暂时还无法流通。")'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'请用回复信通知我们，无论您要继续等待还是取消预约'"/>
    </xsl:call-template>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'著者:'"/>
       <xsl:with-param name="value" select="./z37-author"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'题名:'"/>
       <xsl:with-param name="value" select="./z37-title"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'页码:'"/>
       <xsl:with-param name="value" select="./z37-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释 1:'"/>
       <xsl:with-param name="value" select="./z37-note-1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释 2:'"/>
       <xsl:with-param name="value" select="./z37-note-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
        <xsl:param name="text"/>
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="$text"/>
       </xsl:call-template>
   </xsl:template>

</xsl:stylesheet>


