<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>

<xsl:template match="/">
<!--    <xsl:call-template name="header"/>  -->
   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8"/>

    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="''"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'报名：'"/>
       <xsl:with-param name="value" select="./bib-info"/>
       <xsl:with-param name="style" select="'bold'"/>
       <xsl:with-param name="width" select="'10%'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册条码：'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
       <xsl:with-param name="width" select="'14%'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'装订范围：'"/>
       <xsl:with-param name="value" select="./z30-description"/>
       <xsl:with-param name="style" select="'bold;italic'"/>
       <xsl:with-param name="width" select="'14%'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索报号：'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
       <xsl:with-param name="width" select="'14%'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'部次号：'"/>
       <xsl:with-param name="value" select="./z30-copy-id"/>
       <xsl:with-param name="width" select="'14%'"/>
    </xsl:call-template>


    <xsl:call-template name="table-close"/>
</xsl:template>

</xsl:stylesheet>






