
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'给读者的信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Ill number:'"/>
       <xsl:with-param name="value" select="./doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="' 版权声明#### 本人未曾获取该资料的任何拷贝，
## 本人的请求仅限于研究和个人学习为目的。本人将严格遵循
## 《中华人民共和国著作权法》及其相关规定。
##
'"/>
       </xsl:call-template>
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="' ** 请在此签名并将其返还到以上地址。 **####
## 全名  : _____________________
##
##
## 签字  : _____________________
##
##
'"/>
       </xsl:call-template>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##读者服务部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

