<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'读者传阅列表'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'成员ID'"/>
          <xsl:with-param name="value" select="./z303-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'成员姓名'"/>
          <xsl:with-param name="value" select="./z303-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>

       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'组长ID'"/>
          <xsl:with-param name="value" select="./leader-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'组长姓名'"/>
          <xsl:with-param name="value" select="./leader-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>

       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'刊名'"/>
          <xsl:with-param name="value" select="./z13-title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'ISSN'"/>
          <xsl:with-param name="value" select="./z13-isbn-issn"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>

       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'组号'"/>
          <xsl:with-param name="value" select="./z14-group"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'外借'"/>
          <xsl:with-param name="value" select="./z18-loan"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'每成员外借天数'"/>
          <xsl:with-param name="value" select="./z18-loan-days"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>


