<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--xsl:call-template name="blank-line"/-->

    <!--xsl:call-template name="blank-line"/-->

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (GRID)-->
    <xsl:for-each select="//section-03">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-03">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

    <!--xsl:call-template name="blank-line"/-->

    <!--section-04 (GRID)-->
    <xsl:for-each select="//section-04">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-04">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-04"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Budget Information'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="blank-line-first"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Budget Code:'"/>
       <xsl:with-param name="value" select="./z76-budget-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Budget Name:'"/>
       <xsl:with-param name="value" select="./z76-name"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Budget Parent:'"/>
       <xsl:with-param name="value" select="./z76-parent-budget-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Status:'"/>
       <xsl:with-param name="value" select="./z76-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Valid From:'"/>
       <xsl:with-param name="value" select="./z76-valid-date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Valid  To:'"/>
       <xsl:with-param name="value" select="./z76-valid-date-to"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Initial Allocation:'"/>
       <xsl:with-param name="value" select="./initial-allocation"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Allocation:'"/>
       <xsl:with-param name="value" select="./allocation"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Carry Over:'"/>
       <xsl:with-param name="value" select="./carry-over"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Transferred:'"/>
       <xsl:with-param name="value" select="./transferred"/>
        <xsl:with-param name="type" select="'right'"/>
   </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Encumbrances:'"/>
       <xsl:with-param name="value" select="./encumbrances"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Invoices:'"/>
       <xsl:with-param name="value" select="./invoices"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Payments:'"/>
       <xsl:with-param name="value" select="./payments"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Invoices-VAT:'"/>
       <xsl:with-param name="value" select="./invoices-vat"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Payments-VAT:'"/>
       <xsl:with-param name="value" select="./payments-vat"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Free Balance:'"/>
       <xsl:with-param name="value" select="./free-balance"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Total Allocated Balance:'"/>
       <xsl:with-param name="value" select="./total-alc-balance"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Actual Balance:'"/>
       <xsl:with-param name="value" select="./actual-balance"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Expended+Encumbered:'"/>
       <xsl:with-param name="value" select="./percent-commitment"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Expended:'"/>
       <xsl:with-param name="value" select="./percent-expenditure"/>
        <xsl:with-param name="type" select="'right'"/>
   </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Max Over Commitment:'"/>
       <xsl:with-param name="value" select='concat(//z76-max-over-sign, " "  , //over-commitment)'/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Max Over Expenditure:'"/>
       <xsl:with-param name="value" select='concat(//z76-max-over-sign, " "  , //over-expenditure)'/>
        <xsl:with-param name="type" select="'right'"/>
   </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
          <xsl:with-param name="width" select="'80%'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Budgets'"/>
          <xsl:with-param name="value" select="./budgets"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>




    <!--SECTION-03  (GRID)-->

<xsl:template name="section-03">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
          <xsl:with-param name="width" select="'15%'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Sublibraries'"/>
          <xsl:with-param name="value" select="./sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

    <!--SECTION-04  (GRID)-->

<xsl:template name="section-04">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="'Object Codes'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Type'"/>
          <xsl:with-param name="value" select="./type"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Paid'"/>
          <xsl:with-param name="value" select="./paid"/>
           <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
      </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Not Paid'"/>
          <xsl:with-param name="value" select="./not-paid"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>


