
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL - Arrival Letter'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##We would like to inform you that your ILL request item (as per details listed below) has arrived to the library. "'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"Please come to the ibrary at your earliest convenience to pick up the item"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Cost:'"/>
       <xsl:with-param name="value" select="./z41-patron-local-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Supp. local price:'"/>
       <xsl:with-param name="value" select="./z41-s-local-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request number:'"/>
       <xsl:with-param name="value" select="./z40-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Item barcode:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Pickup location:'"/>
       <xsl:with-param name="value" select="./z40-pickup-location"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Return date:'"/>
       <xsl:with-param name="value" select="./z41-return-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Circulation note:'"/>
       <xsl:with-param name="value" select="./z41-circulation-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Due date:'"/>
       <xsl:with-param name="value" select="./z36-due-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Supplied media:'"/>
       <xsl:with-param name="value" select="./z41-supp-media"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
       <xsl:call-template name="multilines-gen">
          <xsl:with-param name="multiline" select="' COPYRIGHT DECLARATION#### I have not previously been supplied with a copy of this material, which
## I require for purposes of research or private study. I agree to comply with
## the terms of the Copyright, Designs  &amp;Patents Act, 1988.
##
'"/>
       </xsl:call-template>
       <xsl:call-template name="multilines-gen">
          <xsl:with-param name="multiline" select="' ** PLEASE SIGN AND RETURN THIS NOTICE TO THE ABOVE ADDRESS. **####
## Full Name : _____________________
##
##
## Signature : _____________________
##
##
'"/>
       </xsl:call-template>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##Sincerely,##Readers' Services
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

