<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
    <xsl:call-template name="table-close"/>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Clear List'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Borrower'"/>
       <xsl:with-param name="value" select="./z302-name"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Id Number'"/>
       <xsl:with-param name="value" select="./z302-id"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Doc No.'"/>
       <xsl:with-param name="value" select="./z40-doc-number"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Request No.'"/>
       <xsl:with-param name="value" select="./z41-request-number"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Supplier Code'"/>
       <xsl:with-param name="value" select="./z40-supp-code"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Vendor'"/>
       <xsl:with-param name="value" select="./z70-vendor-name"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Bib Info'"/>
       <xsl:with-param name="value" select="./bib-info"/>
       <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Shelving'"/>
       <xsl:with-param name="value" select="./z41-shelving"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Status Date'"/>
       <xsl:with-param name="value" select="./z41-status-date"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

