
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-02 (FREE)-->

    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
    <!--/DIV-->
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL Incoming Request Slip'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-02  (FREE)-->

<xsl:template name="section-02">
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'ILL Borrower:'"/>
       <xsl:with-param name="value" select="./z46-library-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Doc Number:'"/>
       <xsl:with-param name="value" select="./z46-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request Number:'"/>
       <xsl:with-param name="value" select="./z46-request-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request BC:'"/>
       <xsl:with-param name="value" select="./z46-request-number"/>
       <xsl:with-param name="type" select="'barcode'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request Details:'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Media:'"/>
       <xsl:with-param name="value" select="./z46-request-media"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Pages:'"/>
       <xsl:with-param name="value" select="./z46-request-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Send Method:'"/>
       <xsl:with-param name="value" select="./z46-request-send-method"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Note:'"/>
       <xsl:with-param name="value" select="./z46-request-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Ref. Number:'"/>
       <xsl:with-param name="value" select="./z46-request-reference-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Last Interest Date:'"/>
       <xsl:with-param name="value" select="./z46-last-interest-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Cataloger:'"/>
       <xsl:with-param name="value" select="./z46-cataloger"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>

