<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--section-02 (FREE)-->
    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Loan Recall'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##Please return the following items by their due date."'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
</xsl:template>
<!--SECTION-02  (FREE)-->
<xsl:template name="section-02">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="concat('##This item has been ',./z36-recall-type,'. Please return the item by ',./z36-original-due-date, ' ', ./z36-due-hour,'.')"/>
    </xsl:call-template>

    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Barcode:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Sublibrary:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Collection:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Call No:'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Call No 2:'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Description:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Item Status:'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Original Due Date:'"/>
       <xsl:with-param name="value" select="concat(./z36-original-due-date, ' ', ./original-due-hour)"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Recall Type:'"/>
       <xsl:with-param name="value" select="./z36-recall-type"/>
    </xsl:call-template>

    <xsl:call-template name="table-close"/>
</xsl:template>

   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'####Sincerely,
##Circulation Department
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>


