<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Patron Routing Lists'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Member ID'"/>
          <xsl:with-param name="value" select="./z303-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Member Name'"/>
          <xsl:with-param name="value" select="./z303-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>

       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Leader ID'"/>
          <xsl:with-param name="value" select="./leader-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Leader Name'"/>
          <xsl:with-param name="value" select="./leader-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>

       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Journal Title'"/>
          <xsl:with-param name="value" select="./z13-title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'ISSN'"/>
          <xsl:with-param name="value" select="./z13-isbn-issn"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>

       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Group No.'"/>
          <xsl:with-param name="value" select="./z14-group"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Loan'"/>
          <xsl:with-param name="value" select="./z18-loan"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Days per Member'"/>
          <xsl:with-param name="value" select="./z18-loan-days"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>


