<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

<xsl:for-each select="//section-02">
        <xsl:call-template name="section-02"/>
</xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Staff Privileges Report'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="section-02">
<xsl:param name="header"/>
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'ID:'"/>
                <xsl:with-param name="value" select="./z66-user-name"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Name:'"/>
                <xsl:with-param name="value" select="./z66-name"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Department:'"/>
                <xsl:with-param name="value" select="./z66-department"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Note 1:'"/>
                <xsl:with-param name="value" select="./z66-note-1"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Expiry Date:'"/>
                <xsl:with-param name="value" select="./z66-expiry-date"/>
        </xsl:call-template>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-001"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-001"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-001"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-001 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>

    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-002"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-002"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-002"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-002 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-003"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-003"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-003"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-003 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-004"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-004"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-004"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-004 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-005"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-005"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-005"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-005 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-006"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-006"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-006"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-006 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-007"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-007"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-007"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-007 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-008"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-008"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-008"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-008 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-009"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-009"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-009"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-009 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-010"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-010"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-010"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-010 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-011"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-011"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-011"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-011 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-012"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-012"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-012"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-012 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-013"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-013"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-013"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-013 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-014"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-014"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-014"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-014 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-015"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-015"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-015"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-015 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-016"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-016"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-016"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-016 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-017"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-017"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-017"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-017 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-018"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-018"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-018"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-018 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-019"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-019"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-019"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-019 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-020"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-020"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-020"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-020 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-021"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-021"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-021"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-021 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-022"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-022"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-022"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-022 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-023"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-023"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-023"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-023 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-024"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-024"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-024"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-024 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-025"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-025"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-025"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-025 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-026"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-026"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-026"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-026 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-027"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-027"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-027"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-027 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-028"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-028"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-028"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-028 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-029"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-029"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-029"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-029 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-030"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-030"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-030"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-030 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-031"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-031"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-031"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-031 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-032"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-032"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-032"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-032 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-033"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-033"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-033"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-033 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-034"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-034"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-034"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-034 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-035"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-035"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-035"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-035 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-036"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-036"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-036"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-036 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-037"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-037"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-037"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-037 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-038"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-038"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-038"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-038 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-039"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-039"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-039"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-039 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-040"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-040"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-040"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-040 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-041"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-041"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-041"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-041 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-042"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-042"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-042"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-042 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-043"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-043"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-043"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-043 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-044"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-044"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-044"/>
        </xsl:call-template>
<xsl:if test="./permission-flag-044 !=''  ">
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'****'"/>
        </xsl:call-template>
</xsl:if>


    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z67-sub-library-045"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Function:'"/>
                <xsl:with-param name="value" select="./z67-func-045"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Permission Flag:'"/>
                <xsl:with-param name="value" select="./permission-flag-045"/>
        </xsl:call-template>


<xsl:call-template name="table-close"/>
<xsl:call-template name="horizontal-line"/>
<xsl:call-template name="table-open-full"/>
        <xsl:call-template name="table-close"/>
</xsl:template>

</xsl:stylesheet>

