<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">

    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
       <tr>
            <xsl:for-each select="fulfill-inst">
                <td>
                    <b><xsl:value-of select="."/></b>
                </td>
            </xsl:for-each>
            <xsl:for-each select="pat-inst">
                <td>
                    <b><xsl:value-of select="."/></b>
                </td>
            </xsl:for-each>
            <xsl:for-each select="value">
                <td>
                    <xsl:value-of select="."/>
                </td>
            </xsl:for-each>
       </tr>
    </xsl:for-each>

</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="./title"/>
    </xsl:call-template>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
</xsl:template>

</xsl:stylesheet>

