<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'错误的期刊出版模式报告'"/>
 <!--      <xsl:with-param name="title" select="'Rejected Issue Pattern Report'"/>-->
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
    <xsl:param name="header"/>
    <xsl:if test="$header!=''">
        <xsl:call-template name="start-grid"/>
    </xsl:if>

    <xsl:call-template name="table-start-row"/>

    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'文档号'"/>
        <xsl:with-param name="value" select="./doc-number"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'模式'"/>
        <xsl:with-param name="value" select="./pattern"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'级别-X'"/>
        <xsl:with-param name="value" select="./level-x"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'错误描述'"/>
        <xsl:with-param name="value" select="./error-text"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>

    <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

