<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->

    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'打印目录'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'目录类型:'"/>
       <xsl:with-param name="value" select="./catalog-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'起始文本:'"/>
       <xsl:with-param name="value" select="./start-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'截止文本:'"/>
       <xsl:with-param name="value" select="./end-text"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Acc文本'"/>
          <xsl:with-param name="value" select="./acc-text"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Acc文档'"/>
          <xsl:with-param name="value" select="./acc-documents"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
<xsl:template name="signature">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="''"/>
    </xsl:call-template>
</xsl:template>
</xsl:stylesheet>

