
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL - Drop Request Letter'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##We would like to cancel our ILL request which is detailed below:"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Supplier code:'"/>
       <xsl:with-param name="value" select="./z41-supp-code"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Requested media:'"/>
       <xsl:with-param name="value" select="./z41-requested-media"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request Library:'"/>
       <xsl:with-param name="value" select="./request-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request No:'"/>
       <xsl:with-param name="value" select="./z41-request-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Patron ID:'"/>
       <xsl:with-param name="value" select="./z40-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Location:'"/>
       <xsl:with-param name="value" select="./z41-shelving"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Note to supplier:'"/>
       <xsl:with-param name="value" select="./z41-note-to-supp"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'No. of  Pages:'"/>
       <xsl:with-param name="value" select="./z41-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request Sent Date:'"/>
       <xsl:with-param name="value" select="./z41-request-sent-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Supplier reference number:'"/>
       <xsl:with-param name="value" select="./z41-reference-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Cataloger:'"/>
       <xsl:with-param name="value" select="./z41-cataloger"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"Thank you for your kind attention,"'/>
    </xsl:call-template>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##Sincerely,##ILL Department
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

