<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->

    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'更新订单预支报告'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'新年:'"/>
       <xsl:with-param name="value" select="./p-year-x"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'订单类型:'"/>
       <xsl:with-param name="value" select="./p-order-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./sub-library-address-1-occ1"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
   <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'书目库:'"/>
       <xsl:with-param name="value" select="./bib-library"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'题名:'"/>
       <xsl:with-param name="value" select="./z13-title"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'书目记录号#:'"/>
       <xsl:with-param name="value" select="./z13-doc-number"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Adm记录号 #:'"/>
       <xsl:with-param name="value" select="./z68-doc-number"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'订单号:'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'当前预算:'"/>
       <xsl:with-param name="value" select="./current-budget"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'下一年度预算:'"/>
       <xsl:with-param name="value" select="./z601-budget-number"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'原始预支额:'"/>
       <xsl:with-param name="value" select="./original-sum"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'新的原始预支额:'"/>
       <xsl:with-param name="value" select="./z601-original-sum"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'准备支付金额:'"/>
       <xsl:with-param name="value" select="./pending-sum"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'贷方/借方:'"/>
       <xsl:with-param name="value" select="./z601-credit-debit"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'贷方/借方:'"/>
       <xsl:with-param name="value" select="./z601-credit-debit"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'货币:'"/>
       <xsl:with-param name="value" select="./z601-currency"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

