
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--/DIV-->
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Call Slip'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="./hol-vendor"/>
    </xsl:call-template>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"Ladies And Gentlemen,"'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"please supply the below-mentioned materials:"'/>
    </xsl:call-template>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'Sublibrary:'"/>
          <xsl:with-param name="value" select="./hol-sub-library"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'Order date:'"/>
          <xsl:with-param name="value" select="./hol-order-date"/>
       </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'Number of items:'"/>
          <xsl:with-param name="value" select="./hol-number-of-items"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'Number of volumes:'"/>
          <xsl:with-param name="value" select="./hol-number-of-volumes"/>
       </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'Order number:'"/>
          <xsl:with-param name="value" select="./hol-order-number"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'Note:'"/>
          <xsl:with-param name="value" select="./hol-note"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'Price:'"/>
          <xsl:with-param name="value" select="./hol-price"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'Orderer:'"/>
          <xsl:with-param name="value" select="./hol-orderer"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'Budgetary item:'"/>
          <xsl:with-param name="value" select="./hol-budgetary-item"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'Subaccount:'"/>
          <xsl:with-param name="value" select="./hol-sub-account"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'Faculty:'"/>
          <xsl:with-param name="value" select="./hol-faculty"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'Instructur:'"/>
          <xsl:with-param name="value" select="./hol-instructor"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'Proposal:'"/>
          <xsl:with-param name="value" select="./hol-proposal"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'Source:'"/>
          <xsl:with-param name="value" select="./hol-source"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'Comments:'"/>
          <xsl:with-param name="value" select="./hol-comments"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'Location:'"/>
          <xsl:with-param name="value" select="./hol-location"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'Collection:'"/>
          <xsl:with-param name="value" select="./hol-collection"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'Claim date:'"/>
          <xsl:with-param name="value" select="./hol-claim-date"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'Claim status:'"/>
          <xsl:with-param name="value" select="./hol-claim-status"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'Miscellaneous:'"/>
          <xsl:with-param name="value" select="./hol-miscellaneous"/>
       </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>

