
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature">
       <xsl:with-param name="text" select="'##Sincerely,##Circulation Department####Your answer please:##(Check the appropriate box.)'"/>
    </xsl:call-template>
    <xsl:call-template name="checkbox">
       <xsl:with-param name="text" select="'Please supply me with the item when available:'"/>
    </xsl:call-template>
    <xsl:call-template name="checkbox">
       <xsl:with-param name="text" select="'Please cancel my hold request:'"/>
    </xsl:call-template>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Hold Request'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("salutation_string##on    ", //z37-request-date, "   we received a request to supply you with the following item. We are sorry to inform you that it is not presently available.")'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'Please inform us by return mail if you would like us to supply you with the item when available, or whether you would prefer to cancel the request.'"/>
    </xsl:call-template>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Author of Part:'"/>
       <xsl:with-param name="value" select="./z37-author"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Title of Part:'"/>
       <xsl:with-param name="value" select="./z37-title"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Pages:'"/>
       <xsl:with-param name="value" select="./z37-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Note 1:'"/>
       <xsl:with-param name="value" select="./z37-note-1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Note 2:'"/>
       <xsl:with-param name="value" select="./z37-note-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Data inf:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>

    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Note:'"/>
       <xsl:with-param name="value" select="./request-type"/>
    </xsl:call-template>

    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
        <xsl:param name="text"/>
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="$text"/>
       </xsl:call-template>
   </xsl:template>


</xsl:stylesheet>


