
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

       <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Photocopies Delivery Letter'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("salutation_string##Attached please find the photocopy/ies that you requested on   ", //z38-open-date, ".")'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Data inf:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Author:'"/>
       <xsl:with-param name="value" select="./z38-author"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Title:'"/>
       <xsl:with-param name="value" select="./z38-title"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Pages:'"/>
       <xsl:with-param name="value" select="./z38-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Note:'"/>
       <xsl:with-param name="value" select="./z38-note-1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Number of pages copied:'"/>
       <xsl:with-param name="value" select="./pages-copied"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Paper Type:'"/>
       <xsl:with-param name="value" select="./paper-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Notes:'"/>
       <xsl:with-param name="value" select="./z302-field-1"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="signature">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'##Sincerely,####Circulation Department##'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="style" select="'bold'"/>
       <xsl:with-param name="line" select="'##Attention library staff: This letter must accompany the photocopies to be delivered.'"/>
    </xsl:call-template>
</xsl:template>
</xsl:stylesheet>


