<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

    <xsl:for-each select="//section-02">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Rejected Orders Report'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Form Date:'"/>
                <xsl:with-param name="value" select="./form-date"/>
        </xsl:call-template>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="section-02">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="'Here are the orders that were rejected:'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Doc Number:'"/>
                <xsl:with-param name="value" select="./z68-doc-number"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Bib Info:'"/>
                <xsl:with-param name="value" select="./bib-info"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Order Number:'"/>
                <xsl:with-param name="value" select="./z68-order-number"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Order Type:'"/>
                <xsl:with-param name="value" select="./z68-order-type"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Vendor Code:'"/>
                <xsl:with-param name="value" select="./z68-vendor-code"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Subscription Date From:'"/>
                <xsl:with-param name="value" select="./z68-subscription-date-from"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Subscription Date To:'"/>
                <xsl:with-param name="value" select="./z68-subscription-date-to"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Subscription Budget Period:'"/>
                <xsl:with-param name="value" select="./z68-subscription-budget-period"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Reject Reason:'"/>
                <xsl:with-param name="value" select="./reject-reason"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>

