<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--section-02 (SPLIT)-->
    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

       <xsl:call-template name="signature"/>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'多订单采访清单'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'salutation_string##我们准备向您订购以下书刊:'"/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'多订单号:'"/>
       <xsl:with-param name="value" select="./multi-order-no"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
</xsl:template>
<!--SECTION-02  (SPLIT)-->
<xsl:template name="section-02">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'编号 '"/>
       <xsl:with-param name="value" select="''"/>
       <xsl:with-param name="type" select="'index'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-split-open"/>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订单号:'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'附加订单号2:'"/>
       <xsl:with-param name="value" select="./z68-order-number-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订购组:'"/>
       <xsl:with-param name="value" select="./z68-order-group"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'ISBN/ISSN:'"/>
       <xsl:with-param name="value" select="./z68-isbn"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'采访方式:'"/>
       <xsl:with-param name="value" select="./z68-method-of-aquisition"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'加急:'"/>
       <xsl:with-param name="value" select="./z68-rush"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'书商参考号:'"/>
       <xsl:with-param name="value" select="./z68-vendor-reference-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'备注:'"/>
       <xsl:with-param name="value" select="./z71-data"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'文档号:'"/>
       <xsl:with-param name="value" select="./z68-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'册数:'"/>
       <xsl:with-param name="value" select="./z68-no-units"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z68-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-right"/>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'单价:'"/>
       <xsl:with-param name="value" select="./z68-unit-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'币种:'"/>
       <xsl:with-param name="value" select="./z68-e-currency"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'估计价格:'"/>
       <xsl:with-param name="value" select="./z68-e-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'价格备注:'"/>
       <xsl:with-param name="value" select="./z68-e-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'递送类型:'"/>
       <xsl:with-param name="value" select="./z68-delivery-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'书商备注:'"/>
       <xsl:with-param name="value" select="./z68-vendor-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'数量备注:'"/>
       <xsl:with-param name="value" select="./z68-quantity-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'欧洲价格:'"/>
       <xsl:with-param name="value" select="./price-euro"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-close"/>
    <xsl:call-template name="horizontal-line"/>
</xsl:template>

<xsl:template name="signature">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'####采访部'"/>
    </xsl:call-template>
</xsl:template>


</xsl:stylesheet>



