<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

<xsl:for-each select="//section-02">
        <xsl:call-template name="section-02"/>
</xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'读者证打印'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="section-02">
<xsl:param name="header"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-close"/>
   <xsl:call-template name="table-split-open"/>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'姓名:'"/>
                <xsl:with-param name="value" select="./z303-name"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'证号:'"/>
                <xsl:with-param name="value" select="./z303-id"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'单位:'"/>
                <xsl:with-param name="value" select="./z304-address-1"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'条码:'"/>
                <xsl:with-param name="value" select="./z308-key-data"/>
                <xsl:with-param name="type" select="'barcode'"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
   <xsl:call-template name="table-split-right"/>
   <xsl:call-template name="table-split-close"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="signature">
     <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'Created by Fucheng Shen on 2005-09-01'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

