<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-06 (GRID)-->

    <xsl:for-each select="//section-06">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-06">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-06"/>
    </xsl:for-each>

    <!--section-08 (FREE)-->

    <xsl:for-each select="//section-08">
       <xsl:call-template name="section-08"/>
    </xsl:for-each>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'发票报告'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'批准号:'"/>
       <xsl:with-param name="value" select="./approval-number"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>


<!--SECTION-08  (FREE)-->

<xsl:template name="section-08">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'总额:'"/>
       <xsl:with-param name="value" select="./local-price"/>
       <xsl:with-param name="display" select="'always'"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-06  (GRID)-->

<xsl:template name="section-06">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="'发票的预算细分:'"/>
   </xsl:call-template>
  </xsl:if>
   <tr>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'发票号'"/>
          <xsl:with-param name="value" select="./invoice-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书商名字'"/>
          <xsl:with-param name="value" select="./vendor-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书商代码'"/>
          <xsl:with-param name="value" select="./vendor-code"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书商附加代码'"/>
          <xsl:with-param name="value" select="./additional-vendor-code"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'发票日期'"/>
          <xsl:with-param name="value" select="./invoice-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'发票金额'"/>
          <xsl:with-param name="value" select="./local-price"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算号'"/>
          <xsl:with-param name="value" select="./budget-number-2"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'对象代码'"/>
          <xsl:with-param name="value" select="./budget-obj-code-2"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算总额'"/>
          <xsl:with-param name="value" select="./budget-local-sum-2"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   </tr>
</xsl:template>


</xsl:stylesheet>



