<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'阅览室阅读单册报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="//z310-rr-id"/>
   </xsl:call-template>
  </xsl:if>
   <tr>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
          <xsl:with-param name="value" select="./z303-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者姓名'"/>
          <xsl:with-param name="value" select="./z303-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'原始分馆'"/>
          <xsl:with-param name="value" select="./original-sublib"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册描述'"/>
          <xsl:with-param name="value" select="./z30-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'最后借出给读者的日期'"/>
          <xsl:with-param name="value" select="./z310-out-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'最后返回预约架日期'"/>
          <xsl:with-param name="value" select="./z310-last-in-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'其他请求？'"/>
          <xsl:with-param name="value" select="./has-holds"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   </tr>
</xsl:template>
</xsl:stylesheet>

