
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'丢失单册帐单'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##我们将给您寄一份帐单，这样您可以支付丢失图书的替代价格。"'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"当然如果您能将该书归还图书馆，我们将只收取一些额外的费用包括手续费和通知费用。"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="free-title">
        <xsl:with-param name="free-title" select="'丢失单册:'"/>
    </xsl:call-template>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-close"/>

    <xsl:call-template name="table-open"/>
    <xsl:call-template name="free-title">
        <xsl:with-param name="free-title" select="'单册详细信息:'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'馆藏地:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号:'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号 2:'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册状态:'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='" "'/>
    </xsl:call-template>
    <xsl:call-template name="free-title">
        <xsl:with-param name="free-title" select="'流通细节:'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'外借日期:'"/>
       <xsl:with-param name="value" select="./z36-loan-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'应还日期:'"/>
       <xsl:with-param name="value" select="./z36-due-date"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='" "'/>
    </xsl:call-template>
    <xsl:call-template name="free-title">
        <xsl:with-param name="free-title" select="'存在费用:'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'替代价格:'"/>
       <xsl:with-param name="value" select="./sum-2"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'手续费:'"/>
       <xsl:with-param name="value" select="./sum-1"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'通知费用:'"/>
       <xsl:with-param name="value" select="./sum-3"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"--------------------------------------------------"'/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'合计:'"/>
       <xsl:with-param name="value" select="./total"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##流通部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

