
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'给读者的信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Ill number:'"/>
       <xsl:with-param name="value" select="./doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line">通知: 请注意版权限制##&apos;The law of the United States (Title 17, U.S. Code) governs the making##of photocopies or other reproductions of copyrighted material. Under certain##conditions specified in the law, libraries and archives are authorized to
##uses a photocopy or reproduction for purposes in excess of  "fair use", that
##user may be liable for copyright infringement. This institution reserves the
##right to refuse to accept copying order if, in its judgment, fulfillment of
##the order would involve violation of the copyright law.## I have read the above statement and agree to abide by its restrictions.##
## 请在此签名并返还给图书馆。
##
##
## 全名 : ______________
##
##
## 签名 : ______________
##
</xsl:with-param>
       <xsl:with-param name="style" select="'bold'"/>
       </xsl:call-template>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##读者服务部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>


