<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
   <xsl:call-template name="header"/>

   <xsl:for-each select="//section-01">
      <xsl:if test="position() = 1">
         <xsl:call-template name="section-01">
            <xsl:with-param name="header" select="'header'"/>
         </xsl:call-template>
      </xsl:if>
      <xsl:call-template name="section-01"/>
   </xsl:for-each>

</xsl:template>

<xsl:template name="header">
   <xsl:call-template name="header-gen">
      <xsl:with-param name="title" select="'Adam 03 Reject Report'"/>
   </xsl:call-template>
</xsl:template>

<xsl:template name="section-01">
<xsl:param name="header"/>
   <xsl:if test="$header!=''">
      <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="''"/>
      </xsl:call-template>
   </xsl:if>
   <xsl:call-template name="table-start-row"/>
      <xsl:call-template name="display-grid-gen">
         <xsl:with-param name="label" select="'Doc Number:'"/>
         <xsl:with-param name="value" select="./z00-doc-number"/>
         <xsl:with-param name="header" select="$header"/>
      </xsl:call-template>
      <xsl:call-template name="display-grid-gen">
         <xsl:with-param name="label" select="'Doc Title:'"/>
         <xsl:with-param name="value" select="./z13-title"/>
         <xsl:with-param name="header" select="$header"/>
      </xsl:call-template>
      <xsl:call-template name="display-grid-gen">
         <xsl:with-param name="label" select="'Object Title:'"/>
         <xsl:with-param name="value" select="./z403-title"/>
         <xsl:with-param name="header" select="$header"/>
      </xsl:call-template>
      <xsl:call-template name="display-grid-gen">
         <xsl:with-param name="label" select="'Error Description:'"/>
         <xsl:with-param name="value" select="./error-message"/>
         <xsl:with-param name="header" select="$header"/>
      </xsl:call-template>
      <xsl:call-template name="display-grid-gen">
         <xsl:with-param name="label" select="'Usage Type:'"/>
         <xsl:with-param name="value" select="./z403-usage-type"/>
         <xsl:with-param name="header" select="$header"/>
      </xsl:call-template>
      <xsl:call-template name="display-grid-gen">
         <xsl:with-param name="label" select="'Directory:'"/>
         <xsl:with-param name="value" select="./z403-f-directory"/>
         <xsl:with-param name="header" select="$header"/>
      </xsl:call-template>
      <xsl:call-template name="display-grid-gen">
         <xsl:with-param name="label" select="'Filename:'"/>
         <xsl:with-param name="value" select="./z403-f-filename"/>
         <xsl:with-param name="header" select="$header"/>
      </xsl:call-template>
      <xsl:call-template name="display-grid-gen">
         <xsl:with-param name="label" select="'URL Path:'"/>
         <xsl:with-param name="value" select="./z403-u-path"/>
         <xsl:with-param name="header" select="$header"/>
      </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>

