<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Booking Deletion Notification'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
<xsl:call-template name="table-close"/>

    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("salutation_string##On   ", //form-date, "   we canceled your booking request of   ", //z37-open-date, "   detailed below:")'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>

<xsl:call-template name="bib-info-hdr"/>
<xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Form Date:'"/>
                <xsl:with-param name="value" select="./form-date"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Doc Number:'"/>
                <xsl:with-param name="value" select="./z30-barcode"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Booking Start Date:'"/>
                <xsl:with-param name="value" select="./z37-booking-start-date"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Booking End Date:'"/>
                <xsl:with-param name="value" select="./z37-booking-end-date"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Pickup Location:'"/>
                <xsl:with-param name="value" select="./z37-pickup-location"/>
        </xsl:call-template>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Name:'"/>
                <xsl:with-param name="value" select="./z303-name"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Id:'"/>
                <xsl:with-param name="value" select="./z37-id"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>

   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##Sincerely,##Circulation Department'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

