<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

<xsl:for-each select="//section-02">
        <xsl:call-template name="section-02"/>
</xsl:for-each>

    <xsl:for-each select="//section-03">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-03">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Inventory Definition Report'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Form Date:'"/>
                <xsl:with-param name="value" select="./form-date"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
<xsl:call-template name="table-close"/>
<xsl:call-template name="horizontal-line"/>
<xsl:call-template name="table-open-full"/>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="section-02">
<xsl:param name="header"/>
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'Inventory Definition parameters:'"/>
                <xsl:with-param name="style" select="'bold,underline'"/>
        </xsl:call-template>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Shelf Report Number:'"/>
                <xsl:with-param name="value" select="./shelf-report-number"/>
        </xsl:call-template>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'From Call Number:'"/>
                <xsl:with-param name="value" select="./from-call-no"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'To Call Number:'"/>
                <xsl:with-param name="value" select="./to-call-no"/>
        </xsl:call-template>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Call Number Type:'"/>
                <xsl:with-param name="value" select="./call-no-type"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'First / Second Call Number:'"/>
                <xsl:with-param name="value" select="./call-no-number"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sublibrary:'"/>
                <xsl:with-param name="value" select="./sub-library"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Collection:'"/>
                <xsl:with-param name="value" select="./collection"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'The following item statuses:'"/>
                <xsl:with-param name="value" select="./include-item-status"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Item Statuses:'"/>
                <xsl:with-param name="value" select="./item-statuses"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'The following item process statuses:'"/>
                <xsl:with-param name="value" select="./include-item-p-status"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Item Process Statuses:'"/>
                <xsl:with-param name="value" select="./item-p-statuses"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'The following material types:'"/>
                <xsl:with-param name="value" select="./include-material"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Material Types:'"/>
                <xsl:with-param name="value" select="./materials"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="section-03">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="'The following Shelf Report Numbers have been overridden'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Shelf Report Number:'"/>
                <xsl:with-param name="value" select="./overridden-shelf"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>

