<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

    <xsl:for-each select="//section-02">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Items in Transit Report'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="section-02">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="''"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Bib Info:'"/>
                <xsl:with-param name="value" select="./bib-info"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Barcode:'"/>
                <xsl:with-param name="value" select="./z30-barcode"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Owning Sub Library:'"/>
                <xsl:with-param name="value" select="./z30-sub-library"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Material:'"/>
                <xsl:with-param name="value" select="./z30-material"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Item Status:'"/>
                <xsl:with-param name="value" select="./z30-item-status"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Due Date:'"/>
                <xsl:with-param name="value" select="./z36-due-date"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'In Transit To:'"/>
                <xsl:with-param name="value" select="./transit-sublibrary"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Transit Institution:'"/>
                <xsl:with-param name="value" select="./institution"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>

