<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

<xsl:for-each select="//section-02">
        <xsl:call-template name="section-02"/>
</xsl:for-each>

<xsl:for-each select="//section-03">
        <xsl:call-template name="section-03"/>
</xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="' 国家图书馆 '"/>
    </xsl:call-template>
</xsl:template>
<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'***##----------------------------------'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-02">
<xsl:param name="header"/>
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'著者:'"/>
                <xsl:with-param name="value" select="./z13-author"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'题名:'"/>
                <xsl:with-param name="value" select="./z13-title"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'出版:'"/>
                <xsl:with-param name="value" select="./z13-imprint"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Isbn:'"/>
                <xsl:with-param name="value" select="./z13-isbn-issn"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'册数:'"/>
                <xsl:with-param name="value" select="./z68-no-units"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'货币:'"/>
                <xsl:with-param name="value" select="./z68-e-currency"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'单价:'"/>
                <xsl:with-param name="value" select="./z68-unit-price"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'RMB :'"/>
                <xsl:with-param name="value" select="./z68-e-local-price"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'分馆:'"/>
                <xsl:with-param name="value" select="./z68-sub-library"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="' 国图    书商:'"/>
                <xsl:with-param name="value" select="./z68-vendor-note"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'***##----------------------------------'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-03">
<xsl:param name="header"/>
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'总册数:'"/>
                <xsl:with-param name="value" select="./total-no-units"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'货币:'"/>
                <xsl:with-param name="value" select="./total-currency"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'总价:'"/>
                <xsl:with-param name="value" select="./total-price"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>

</xsl:stylesheet>

