<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
<xsl:call-template name="header"/>

    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
        <xsl:if test="position() = 1">
            <xsl:call-template name="section-02">
                <xsl:with-param name="header" select="'header'"/>
            </xsl:call-template>
        </xsl:if>
        <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (GRID)-->
    <xsl:for-each select="//section-03">
        <xsl:if test="position() = 1">
            <xsl:call-template name="section-03">
                <xsl:with-param name="header" select="'header'"/>
            </xsl:call-template>
        </xsl:if>
        <xsl:call-template name="section-03"/>
    </xsl:for-each>

</xsl:template>

<!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
        <xsl:with-param name="title" select="'高级统计'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
        <xsl:with-param name="line" select="'馆际互借'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="blank-line-first"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
        <xsl:with-param name="label" select="'起始日期:'"/>
        <xsl:with-param name="value" select="./date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
        <xsl:with-param name="label" select="'截止日期:'"/>
        <xsl:with-param name="value" select="./date-to"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-02  (GRID)-->
<xsl:template name="section-02">
    <xsl:call-template name="blank-line-first"/>
    <xsl:param name="header"/>
    <xsl:if test="$header!=''">
        <xsl:call-template name="start-grid"/>
    </xsl:if>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'接收请求'"/>
        <xsl:with-param name="value" select="./action"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'总数'"/>
        <xsl:with-param name="value" select="./total-no"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'其中馆际外借'"/>
        <xsl:with-param name="value" select="./int-no"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<!--SECTION-03  (GRID)-->
<xsl:template name="section-03">
    <xsl:call-template name="blank-line-first"/>
    <xsl:param name="header"/>
    <xsl:if test="$header!=''">
<!--
        <xsl:call-template name="free-title">
            <xsl:with-param name="free-title" select="'外发请求'"/>
        </xsl:call-template>
-->
        <xsl:call-template name="start-grid"/>
    </xsl:if>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'外发请求'"/>
        <xsl:with-param name="value" select="./action"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'总数'"/>
        <xsl:with-param name="value" select="./total-no"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'其中馆际外借'"/>
        <xsl:with-param name="value" select="./int-no"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

