
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--/DIV-->
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'索取信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="./hol-vendor"/>
    </xsl:call-template>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"女士们，先生们："'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"请给我们提供以下资料:"'/>
    </xsl:call-template>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'分馆:'"/>
          <xsl:with-param name="value" select="./hol-sub-library"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'订购日期:'"/>
          <xsl:with-param name="value" select="./hol-order-date"/>
       </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'单册数量:'"/>
          <xsl:with-param name="value" select="./hol-number-of-items"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'卷数:'"/>
          <xsl:with-param name="value" select="./hol-number-of-volumes"/>
       </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'订购号:'"/>
          <xsl:with-param name="value" select="./hol-order-number"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'注释:'"/>
          <xsl:with-param name="value" select="./hol-note"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'价格:'"/>
          <xsl:with-param name="value" select="./hol-price"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'订购者:'"/>
          <xsl:with-param name="value" select="./hol-orderer"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'预算的单册:'"/>
          <xsl:with-param name="value" select="./hol-budgetary-item"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'子帐户:'"/>
          <xsl:with-param name="value" select="./hol-sub-account"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'员工:'"/>
          <xsl:with-param name="value" select="./hol-faculty"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'教员:'"/>
          <xsl:with-param name="value" select="./hol-instructor"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'建议:'"/>
          <xsl:with-param name="value" select="./hol-proposal"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'来源:'"/>
          <xsl:with-param name="value" select="./hol-source"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'注释:'"/>
          <xsl:with-param name="value" select="./hol-comments"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'地点:'"/>
          <xsl:with-param name="value" select="./hol-location"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'馆藏地:'"/>
          <xsl:with-param name="value" select="./hol-collection"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'催询日期:'"/>
          <xsl:with-param name="value" select="./hol-claim-date"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'催询状态:'"/>
          <xsl:with-param name="value" select="./hol-claim-status"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'混杂的:'"/>
          <xsl:with-param name="value" select="./hol-miscellaneous"/>
       </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>

