<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (SPLIT)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


    <!--section-03 (GRID)-->
    <xsl:for-each select="//section-03">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-03">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-03"/>
    </xsl:for-each>


    <!--section-04 (GRID)-->
    <xsl:for-each select="//section-04">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-04">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-04"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Order Information'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (SPLIT)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-split-open"/>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Order Number:'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'ISBN / ISSN:'"/>
       <xsl:with-param name="value" select="./z68-isbn"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Open Date:'"/>
       <xsl:with-param name="value" select="./z68-open-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Order Status:'"/>
       <xsl:with-param name="value" select="./z68-order-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Order Status Date:'"/>
       <xsl:with-param name="value" select="./z68-order-status-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Subs. Start Date:'"/>
       <xsl:with-param name="value" select="./z68-subscription-date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Subs.End Date:'"/>
       <xsl:with-param name="value" select="./z68-subscription-date-to"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Sublibrary:'"/>
       <xsl:with-param name="value" select="./z68-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Method Of Acquisition:'"/>
       <xsl:with-param name="value" select="./z68-method-of-aquisition"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Order Date:'"/>
       <xsl:with-param name="value" select="./z68-order-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Invoice Status:'"/>
       <xsl:with-param name="value" select="./z68-invoice-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Arrival Status:'"/>
       <xsl:with-param name="value" select="./z68-arrival-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Material Type:'"/>
       <xsl:with-param name="value" select="./z68-material-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Letter Type:'"/>
       <xsl:with-param name="value" select="./z68-letter-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Order Delivery Type:'"/>
       <xsl:with-param name="value" select="./z68-order-delivery-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Delivery Type:'"/>
       <xsl:with-param name="value" select="./z68-delivery-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Target ID:'"/>
       <xsl:with-param name="value" select="./z68-target-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Target Text:'"/>
       <xsl:with-param name="value" select="./z68-target-text"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-right"/>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Rush:'"/>
       <xsl:with-param name="value" select="./z68-rush"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Next Claim Date:'"/>
       <xsl:with-param name="value" select="./z68-eda"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Vendor Name:'"/>
       <xsl:with-param name="value" select="./z68-vendor-code"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Vendor Note:'"/>
       <xsl:with-param name="value" select="./z68-vendor-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Vendor Ref. No:'"/>
       <xsl:with-param name="value" select="./z68-vendor-reference-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Subs. Renewal Date:'"/>
       <xsl:with-param name="value" select="./z68-subscription-renew-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Budget Cycle (year):'"/>
       <xsl:with-param name="value" select="./z68-subscription-budget-period"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Library Note:'"/>
       <xsl:with-param name="value" select="./z68-library-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Quantity Text:'"/>
       <xsl:with-param name="value" select="./z68-quantity-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'No Units:'"/>
       <xsl:with-param name="value" select="./z68-no-units"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Unit Price:'"/>
       <xsl:with-param name="value" select="./z68-unit-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Currency:'"/>
       <xsl:with-param name="value" select="./z68-e-currency"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'List Price:'"/>
       <xsl:with-param name="value" select="./z68-e-listed-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Final Price:'"/>
       <xsl:with-param name="value" select="./z68-e-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Note:'"/>
       <xsl:with-param name="value" select="./z68-e-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'Local Price:'"/>
       <xsl:with-param name="value" select="./z68-e-local-price"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Trans. Type'"/>
          <xsl:with-param name="value" select="./z601-type"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Budget Number'"/>
          <xsl:with-param name="value" select="./z601-budget-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Open Date'"/>
          <xsl:with-param name="value" select="./z601-open-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Currency'"/>
          <xsl:with-param name="value" select="./z601-currency"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Original Sum'"/>
          <xsl:with-param name="value" select="./z601-original-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Local Sum'"/>
          <xsl:with-param name="value" select="./z601-local-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

    <!--SECTION-03  (GRID)-->

<xsl:template name="section-03">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="table-close"/>
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Invoice Number'"/>
          <xsl:with-param name="value" select="./z75-invoice-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Net Amount'"/>
          <xsl:with-param name="value" select="./z75-i-net-amount"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Vendor Code'"/>
          <xsl:with-param name="value" select="./z75-vendor-code"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Listed Price'"/>
          <xsl:with-param name="value" select="./z75-i-listed-price"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Tot. Amount'"/>
          <xsl:with-param name="value" select="./z75-i-total-amount"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Pay. Status'"/>
          <xsl:with-param name="value" select="./z77-p-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Pay. Amount'"/>
          <xsl:with-param name="value" select="./z77-p-amount"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Pay. Date'"/>
          <xsl:with-param name="value" select="./z77-p-date"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Check No'"/>
          <xsl:with-param name="value" select="./z77-p-check-no"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Note'"/>
          <xsl:with-param name="value" select="./z77-i-note"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

    <!--SECTION-04  (GRID)-->

<xsl:template name="section-04">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="table-close"/>
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Arrived No. of Units '"/>
          <xsl:with-param name="value" select="./z78-no-units-arrived"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Arrival Date'"/>
          <xsl:with-param name="value" select="./z78-arrival-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Shipment Date'"/>
          <xsl:with-param name="value" select="./z78-shipment-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Note'"/>
          <xsl:with-param name="value" select="./z78-arrival-note"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

