<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

    <xsl:for-each select="//section-02">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Booking Request Report'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Form Date:'"/>
                <xsl:with-param name="value" select="./form-date"/>
        </xsl:call-template>
<xsl:call-template name="table-close"/>
<xsl:call-template name="horizontal-line"/>
</xsl:template>


<xsl:template name="section-02">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="''"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Bib Info'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Doc Number:'"/>
                <xsl:with-param name="value" select="./z37-doc-number"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Item Sequence:'"/>
                <xsl:with-param name="value" select="./z37-item-sequence"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Id:'"/>
                <xsl:with-param name="value" select="./z37-id"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Status:'"/>
                <xsl:with-param name="value" select="./z37-status"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
      <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Booking Start Date:'"/>
                <xsl:with-param name="value" select="./z37-booking-start-date"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
      <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Booking Start Time:'"/>
                <xsl:with-param name="value" select="./z37-booking-start-hour"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
      <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Booking End Date:'"/>
                <xsl:with-param name="value" select="./z37-booking-end-date"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
      <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Booking End Time:'"/>
                <xsl:with-param name="value" select="./z37-booking-end-hour"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>

   <xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>

