<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-02 (GRID)-->
    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Budget Summary'"/>
    </xsl:call-template>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<tr>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Budget Code'"/>
       <xsl:with-param name="value" select="./z76-budget-number-indented"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Fund'"/>
       <xsl:with-param name="value" select="./z76-name"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Initial Allocation'"/>
       <xsl:with-param name="value" select="./initial-allocation"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Allocation'"/>
       <xsl:with-param name="value" select="./allocation"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Carry Over'"/>
       <xsl:with-param name="value" select="./carry-over"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Transferred'"/>
       <xsl:with-param name="value" select="./transferred"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Encumbrances'"/>
       <xsl:with-param name="value" select="./encumbrances"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Invoices'"/>
       <xsl:with-param name="value" select="./invoices"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Payments'"/>
       <xsl:with-param name="value" select="./payments"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Invoices-VAT'"/>
       <xsl:with-param name="value" select="./invoices-vat"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Payments-VAT'"/>
       <xsl:with-param name="value" select="./payments-vat"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Actual Balance'"/>
       <xsl:with-param name="value" select="./actual-balance"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Free Balance'"/>
       <xsl:with-param name="value" select="./free-balance"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
</tr>
</xsl:template>


<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">

    <xsl:call-template name="table-close"/>

    <xsl:call-template name="table-open"/>

    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Total Budgets:'"/>
       <xsl:with-param name="value" select="./tot-budgets"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Additional Expanded Budgets:'"/>
       <xsl:with-param name="value" select="./tot-expanded-budgets"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="horizontal-line"/>
    <xsl:call-template name="blank-line"/>

    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Initial Allocation:'"/>
       <xsl:with-param name="value" select="./initial-allocation"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Allocation:'"/>
       <xsl:with-param name="value" select="./allocation"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Carry Over:'"/>
       <xsl:with-param name="value" select="./carry-over"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Transferred:'"/>
       <xsl:with-param name="value" select="./transferred"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Encumbrances:'"/>
       <xsl:with-param name="value" select="./encumbrances"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Invoices:'"/>
       <xsl:with-param name="value" select="./invoices"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Payments:'"/>
       <xsl:with-param name="value" select="./payments"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Invoices-VAT:'"/>
       <xsl:with-param name="value" select="./invoices-vat"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Payments-VAT:'"/>
       <xsl:with-param name="value" select="./payments-vat"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Actual Balance:'"/>
       <xsl:with-param name="value" select="./actual-balance"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Free Balance:'"/>
       <xsl:with-param name="value" select="./free-balance"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>


