<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (FREE)-->

    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->

    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Unpaid Transactions Letter'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'salutation_string####following please find a list of unpaid transactions, including amounts you owe (debits), and amounts that the library owes you (credits).##We have referred the handling of this debt to our Accounting Department.##Please contact them to settle your account.'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-02  (FREE)-->

<xsl:template name="section-02">
    <xsl:call-template name="horizontal-line"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Author:'"/>
       <xsl:with-param name="value" select="./z13-author"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Title:'"/>
       <xsl:with-param name="value" select="./z13-title"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Type of Transaction:'"/>
       <xsl:with-param name="value" select="./z31-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Amount:'"/>
       <xsl:with-param name="value" select="./z31-sum"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Sublibrary:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Collection:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Call No.:'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Volume:'"/>
       <xsl:with-param name="value" select="./z30-enumeration-a"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Copy Number:'"/>
       <xsl:with-param name="value" select="./z30-copy-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Item Status:'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Barcode:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Description:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Loan Date:'"/>
       <xsl:with-param name="value" select="./z36-loan-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Loan Hour:'"/>
       <xsl:with-param name="value" select="./z36-loan-hour"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Due Date:'"/>
       <xsl:with-param name="value" select="./z36-due-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Due Hour:'"/>
       <xsl:with-param name="value" select="./z36-due-hour"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Original Due Date:'"/>
       <xsl:with-param name="value" select="./z36-original-due-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Return Date:'"/>
       <xsl:with-param name="value" select="./z36-returned-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Return Hour:'"/>
       <xsl:with-param name="value" select="./z36-returned-hour"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Recall Due Date:'"/>
       <xsl:with-param name="value" select="./z36-recall-due-date"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-03  (FREE)-->

<xsl:template name="section-03">
    <xsl:call-template name="horizontal-line"/>
    <xsl:call-template name="horizontal-line"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Total Sum:'"/>
       <xsl:with-param name="value" select="./total-sum"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
<xsl:template name="signature">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'##Sincerely,####Circulation Department'"/>
    </xsl:call-template>
</xsl:template>
</xsl:stylesheet>

