<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

<xsl:for-each select="//section-02">
        <xsl:call-template name="section-02"/>
</xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Update Patron Report'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Form Date:'"/>
                <xsl:with-param name="value" select="./form-date"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Start Id:'"/>
                <xsl:with-param name="value" select="./start-id"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'End Id:'"/>
                <xsl:with-param name="value" select="./end-id"/>
        </xsl:call-template>
<xsl:call-template name="table-close"/>
<xsl:call-template name="horizontal-line"/>
<xsl:call-template name="table-open-full"/>
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="section-02">
<xsl:param name="header"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-close"/>
   <xsl:call-template name="table-split-open"/>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Id:'"/>
                <xsl:with-param name="value" select="./z303-id"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Title:'"/>
                <xsl:with-param name="value" select="./z303-title"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Name:'"/>
                <xsl:with-param name="value" select="./z303-name"/>
        </xsl:call-template>
   <xsl:call-template name="table-split-right"/>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Action :'"/>
                <xsl:with-param name="value" select="./action-1"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Action Data:'"/>
                <xsl:with-param name="value" select="./action-data-1"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Action Data:'"/>
                <xsl:with-param name="value" select="./action-data-11"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Action :'"/>
                <xsl:with-param name="value" select="./action-2"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Action Data :'"/>
                <xsl:with-param name="value" select="./action-data-2"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Action Data :'"/>
                <xsl:with-param name="value" select="./action-data-21"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Action :'"/>
                <xsl:with-param name="value" select="./action-3"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Action Data:'"/>
                <xsl:with-param name="value" select="./action-data-3"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Action :'"/>
                <xsl:with-param name="value" select="./action-4"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Action Data :'"/>
                <xsl:with-param name="value" select="./action-data-4"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Action :'"/>
                <xsl:with-param name="value" select="./action-5"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Action Data:'"/>
                <xsl:with-param name="value" select="./action-data-5"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Action :'"/>
                <xsl:with-param name="value" select="./action-6"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'Action Data :'"/>
                <xsl:with-param name="value" select="./action-data-6"/>
        </xsl:call-template>
   <xsl:call-template name="table-split-close"/>
    <xsl:call-template name="table-open"/>
<xsl:call-template name="table-close"/>
<xsl:call-template name="horizontal-line"/>
<xsl:call-template name="table-open-full"/>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
    <xsl:call-template name="table-close"/>
</xsl:template>

</xsl:stylesheet>

