
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--/DIV-->
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL Request'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##Please supply the item whose details are listed below."'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request No:'"/>
       <xsl:with-param name="value" select="./z41-request-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Requested Media:'"/>
       <xsl:with-param name="value" select="./z41-requested-media"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Date of request:'"/>
       <xsl:with-param name="value" select="./form-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Voucher numbers:'"/>
       <xsl:with-param name="value" select="./voucher-info"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Shelving notation:'"/>
       <xsl:with-param name="value" select="./z41-shelving"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Pages to photocopy:'"/>
       <xsl:with-param name="value" select="./z41-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Note:'"/>
       <xsl:with-param name="value" select="./z41-note-to-supp"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request Library:'"/>
       <xsl:with-param name="value" select="./request-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Patron ID:'"/>
       <xsl:with-param name="value" select="./z40-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Patron name:'"/>
       <xsl:with-param name="value" select="./z303-name"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-close"/>

    <xsl:call-template name="directly-to-patron"/>

    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Cataloger:'"/>
       <xsl:with-param name="value" select="./z41-cataloger"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>

    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Thank you for your kind cooperation.'"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>



