
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Advance Booking Cancellation Letter'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("salutation_string##On   ", //form-date, "   we canceled your Advance Booking request detailed below.")'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="concat('##Advance Booking Slot Start: ',./z320-start-date, ' ', ./z320-start-hour,'.')"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="concat('Advance Booking Slot End:     ',./z320-end-date, ' ', ./z320-end-hour,'.')"/>
    </xsl:call-template>
    <xsl:call-template name="table-open"/>


    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Reason for cancellation:'"/>
       <xsl:with-param name="value" select="./note"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>

</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##Sincerely,##Circulation Department'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

