<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
    <xsl:call-template name="table-close"/>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Payments Received Report'"/>
    </xsl:call-template>
</xsl:template>


<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'From:'"/>
       <xsl:with-param name="value" select='concat(./p-date-from-x,"  ",./p-hour-from-x)'/>
       <xsl:with-param name="width" select="'7%'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'To:'"/>
       <xsl:with-param name="value" select='concat(./p-date-to-x,"  ",./p-hour-to-x)'/>
       <xsl:with-param name="width" select="'7%'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Sort By:'"/>
       <xsl:with-param name="value" select="./p-sort-key"/>
       <xsl:with-param name="width" select="'7%'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Date'"/>
       <xsl:with-param name="value" select="./z31-payment-date"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Receipt No.'"/>
       <xsl:with-param name="value" select="./z31-payment-receipt-number"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Payment Target'"/>
       <xsl:with-param name="value" select="./z31-payment-target"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Type of Transaction'"/>
       <xsl:with-param name="value" select="./z31-description"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Credit'"/>
       <xsl:with-param name="value" select="./credit"/>
       <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Debit'"/>
       <xsl:with-param name="value" select="./debit"/>
       <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

