<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (FREE)-->

    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Print Bibliography'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label"></xsl:with-param>
       <xsl:with-param name="value" select="./form-date"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="sublib-address"/>
</xsl:template>

<!--SECTION-02  (FREE)-->

<xsl:template name="section-02">
  <xsl:call-template name="table-start-row"/>

   <xsl:for-each select="./*">
        <xsl:call-template name="bib-info">
            <xsl:with-param name="line" select="node()"/>
        </xsl:call-template>
   </xsl:for-each>
   <br/>
   <br/>
   <xsl:call-template name="table-end-row"/>

</xsl:template>


</xsl:stylesheet>




