<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (FREE)-->

    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->

    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'读者交费信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'salutation_string####以下是未付事务的列表, 包括您欠图书馆的未付款 (借方), 和您在图书馆的存款(贷方).##我们已经通知我们的财务部门处理这些事务，##请联系他们并结清您的欠款。'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-02  (FREE)-->

<xsl:template name="section-02">
    <xsl:call-template name="horizontal-line"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'作者:'"/>
       <xsl:with-param name="value" select="./z13-author"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'题名:'"/>
       <xsl:with-param name="value" select="./z13-title"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'事务类型:'"/>
       <xsl:with-param name="value" select="./z31-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'金额:'"/>
       <xsl:with-param name="value" select="./z31-sum"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'馆藏地:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号.:'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'卷:'"/>
       <xsl:with-param name="value" select="./z30-enumeration-a"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'复本号:'"/>
       <xsl:with-param name="value" select="./z30-copy-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册状态:'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'条码:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'借阅日期:'"/>
       <xsl:with-param name="value" select="./z36-loan-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'借阅时间:'"/>
       <xsl:with-param name="value" select="./z36-loan-hour"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'应还日期:'"/>
       <xsl:with-param name="value" select="./z36-due-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'应还时间:'"/>
       <xsl:with-param name="value" select="./z36-due-hour"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'初始应还日期:'"/>
       <xsl:with-param name="value" select="./z36-original-due-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'归还日期:'"/>
       <xsl:with-param name="value" select="./z36-returned-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'归还时间:'"/>
       <xsl:with-param name="value" select="./z36-returned-hour"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'催还应还日期:'"/>
       <xsl:with-param name="value" select="./z36-recall-due-date"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-03  (FREE)-->

<xsl:template name="section-03">
    <xsl:call-template name="horizontal-line"/>
    <xsl:call-template name="horizontal-line"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'总额:'"/>
       <xsl:with-param name="value" select="./total-sum"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
<xsl:template name="signature">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'####流通部'"/>
    </xsl:call-template>
</xsl:template>
</xsl:stylesheet>

