<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (SPLIT)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'预约索书条'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (SPLIT)-->

<xsl:template name="section-01">
       <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="table-open"/>
   <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="''"/>
       <xsl:with-param name="value" select="./z37-letter-date"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书条号:'"/>
       <xsl:with-param name="value" select="./z52-seq-number"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="blank-line-in-free">
       <xsl:with-param name="lines" select="'3'"/>
    </xsl:call-template>

   <xsl:call-template name="free-title">
       <xsl:with-param name="free-title" select="'预约图书:'"/>
   </xsl:call-template>

    <xsl:call-template name="table-close"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-split-open"/>
   <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'索书号:'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'索书号2:'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'复本号:'"/>
       <xsl:with-param name="value" select="./z30-copy-id"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-right"/>
   <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'收藏地:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'单册状态:'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-close"/>
    <xsl:call-template name="blank-line"/>
     <xsl:call-template name="table-open"/>

   <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册条码:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
       <xsl:with-param name="type" select="'barcode'"/>
   </xsl:call-template>

   <xsl:call-template name="free-title">
       <xsl:with-param name="free-title" select="'部分预约:'"/>
   </xsl:call-template>

   <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'页码:'"/>
       <xsl:with-param name="value" select="./z37-pages"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'著者:'"/>
       <xsl:with-param name="value" select="./z37-author"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'题名:'"/>
       <xsl:with-param name="value" select="./z37-title"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'备注:'"/>
       <xsl:with-param name="value" select="./z37-note-1"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'备注2:'"/>
       <xsl:with-param name="value" select="./z37-note-2"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>

   <xsl:call-template name="free-title">
       <xsl:with-param name="free-title" select="'读者信息:'"/>
   </xsl:call-template>
    <xsl:call-template name="table-close"/>
        <xsl:call-template name="patron-address"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'读者身份:'"/>
       <xsl:with-param name="value" select="./z305-bor-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'读者类型:'"/>
       <xsl:with-param name="value" select="./z305-bor-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'其他信息:'"/>
       <xsl:with-param name="value" select="./z302-field-1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="''"/>
       <xsl:with-param name="value" select="./z302-field-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="''"/>
       <xsl:with-param name="value" select="./z302-field-3"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'预约日期:'"/>
       <xsl:with-param name="value" select="./z37-request-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'终止预约日期:'"/>
       <xsl:with-param name="value" select="./z37-end-request-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'取书分馆:'"/>
       <xsl:with-param name="value" select="./z37-pickup-location"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'加急处理:'"/>
       <xsl:with-param name="value" select="./z37-rush-request"/>
    </xsl:call-template>
    <xsl:call-template name="blank-line-in-free">
       <xsl:with-param name="lines" select="'2'"/>
    </xsl:call-template>

   <xsl:call-template name="requested-by-proxy">
       <xsl:with-param name="condition-field" select="./z37-requester-id"/>
   </xsl:call-template>
    <xsl:call-template name="table-close"/>


</xsl:template>
</xsl:stylesheet>


