<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->

    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'订单信息报告'"/>
    </xsl:call-template>


</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <!--xsl:call-template name="sublib-address"/-->
</xsl:template>


    <!--SECTION-02  (GRID)-->



<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-1"/>
          <xsl:with-param name="value" select="./data-1"/>
          <xsl:with-param name="display" select="./code-1"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-2"/>
          <xsl:with-param name="value" select="./data-2"/>
          <xsl:with-param name="display" select="./code-2"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-3"/>
          <xsl:with-param name="value" select="./data-3"/>
          <xsl:with-param name="display" select="./code-3"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-4"/>
          <xsl:with-param name="value" select="./data-4"/>
           <xsl:with-param name="display" select="./code-4"/>
          <xsl:with-param name="header" select="$header"/>
      </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-5"/>
          <xsl:with-param name="value" select="./data-5"/>
          <xsl:with-param name="display" select="./code-5"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-6"/>
          <xsl:with-param name="value" select="./data-6"/>
          <xsl:with-param name="display" select="./code-6"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-7"/>
          <xsl:with-param name="value" select="./data-7"/>
           <xsl:with-param name="display" select="./code-7"/>
          <xsl:with-param name="header" select="$header"/>
      </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-8"/>
          <xsl:with-param name="value" select="./data-8"/>
           <xsl:with-param name="display" select="./code-8"/>
          <xsl:with-param name="header" select="$header"/>
      </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-9"/>
          <xsl:with-param name="value" select="./data-9"/>
          <xsl:with-param name="display" select="./code-9"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-10"/>
          <xsl:with-param name="value" select="./data-10"/>
          <xsl:with-param name="display" select="./code-10"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-11"/>
          <xsl:with-param name="value" select="./data-11"/>
          <xsl:with-param name="display" select="./code-12"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-12"/>
          <xsl:with-param name="value" select="./data-12"/>
          <xsl:with-param name="display" select="./code-12"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-13"/>
          <xsl:with-param name="value" select="./data-13"/>
          <xsl:with-param name="display" select="./code-13"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-14"/>
          <xsl:with-param name="value" select="./data-14"/>
          <xsl:with-param name="display" select="./code-14"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-15"/>
          <xsl:with-param name="value" select="./data-15"/>
          <xsl:with-param name="display" select="./code-15"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

