<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>

<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

    <xsl:for-each select="//section-02">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
             <xsl:with-param name="title" select="'EDI Load Log - Invoice INFO'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <xsl:for-each select="//section-03">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-03">
             <xsl:with-param name="header" select="'header'"/>
             <xsl:with-param name="title" select="'EDI Load log - invoice WARNING'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

    <xsl:for-each select="//section-04">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-04">
             <xsl:with-param name="header" select="'header'"/>
             <xsl:with-param name="title" select="'EDI Load log - invoice ERROR'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-04"/>
    </xsl:for-each>

<xsl:for-each select="//section-05">
        <xsl:call-template name="section-05"/>
</xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'EDI Load log - invoice'"/>
       <xsl:with-param name="auto-print" select="//auto-print"/>
    </xsl:call-template>
</xsl:template>

<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Vendor:'"/>
                <xsl:with-param name="value" select="./z70-vendor-name"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub library:'"/>
                <xsl:with-param name="value" select="./z70-sub-library"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Date:'"/>
                <xsl:with-param name="value" select="./form-date"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="section-02">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="''"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Type'"/>
                <xsl:with-param name="value" select="./z74-type"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Number'"/>
                <xsl:with-param name="value" select="./z74-log-sequence"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'text'"/>
                <xsl:with-param name="value" select="./z74-log-text"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Doc number'"/>
                <xsl:with-param name="value" select="./z74-doc-number"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Sequence'"/>
                <xsl:with-param name="value" select="./z74-sequence"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>

   <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="section-03">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="''"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Type'"/>
                <xsl:with-param name="value" select="./z74-type"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Number'"/>
                <xsl:with-param name="value" select="./z74-log-sequence"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'text'"/>
                <xsl:with-param name="value" select="./z74-log-text"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Doc number'"/>
                <xsl:with-param name="value" select="./z74-doc-number"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Sequence'"/>
                <xsl:with-param name="value" select="./z74-sequence"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>

   <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="section-04">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="''"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Type'"/>
                <xsl:with-param name="value" select="./z74-type"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Number'"/>
                <xsl:with-param name="value" select="./z74-log-sequence"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'text'"/>
                <xsl:with-param name="value" select="./z74-log-text"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Doc number'"/>
                <xsl:with-param name="value" select="./z74-doc-number"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Sequence'"/>
                <xsl:with-param name="value" select="./z74-sequence"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>

   <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="section-05">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Total Lending Records Archived:'"/>
                <xsl:with-param name="value" select="./rec-counter"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>

</xsl:stylesheet>


