<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

    <xsl:for-each select="//section-02">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Commitment Report'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="section-02">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="''"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Budget:'"/>
                <xsl:with-param name="value" select="./budget"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Order Number:'"/>
                <xsl:with-param name="value" select="./z68-order-number"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Local Sum:'"/>
                <xsl:with-param name="value" select="./local-sum"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Order Status:'"/>
                <xsl:with-param name="value" select="./z68-order-status"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Vendor Code:'"/>
                <xsl:with-param name="value" select="./z68-vendor-code"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>

