<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>

<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-02 (GRID)-->

    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Course Not Active'"/>
    </xsl:call-template>
</xsl:template>


    <!--section-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>

   <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Course Number'"/>
       <xsl:with-param name="value" select="./z108-course-number"/>

       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Course Name'"/>
       <xsl:with-param name="value" select="./z108-course-name"/>

       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Instructor Name'"/>
       <xsl:with-param name="value" select="./z108-instructor-name"/>

       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Department'"/>
       <xsl:with-param name="value" select="./z108-department"/>

       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Unit'"/>
       <xsl:with-param name="value" select="./z108-unit"/>

       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Date From'"/>
       <xsl:with-param name="value" select="./z108-date-from"/>

       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Date To'"/>
       <xsl:with-param name="value" select="./z108-date-to"/>

       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>

    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Period'"/>
       <xsl:with-param name="value" select="./z108-period"/>

       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>

