<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>

<xsl:template match="/">
    <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (FREE)-->
    <xsl:for-each select="//section-02">
        <xsl:if test="position() = 1">
            <xsl:call-template name="section-02">
                <xsl:with-param name="header" select="'header'"/>
            </xsl:call-template>
        </xsl:if>
        <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>


<!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
        <xsl:with-param name="title" select="'Advanced Library Statistics'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
        <xsl:with-param name="line" select="'Periodicals and Newspapers (subscr. and expenditures)'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="blank-line-first"/>
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'Date From:'"/>
            <xsl:with-param name="value" select="./date-from"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'Date To:'"/>
            <xsl:with-param name="value" select="./date-to"/>
        </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-02  (FREE)-->
<xsl:template name="section-02">
    <xsl:call-template name="blank-line-first"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="free-title">
        <xsl:with-param name="free-title" select="./sub-lib"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="horizontal-line"/>
    <xsl:call-template name="generic-line">
        <xsl:with-param name="style" select="'bold,underline'"/>
        <xsl:with-param name="line" select="'Nonelectronic newspapers and periodicals:'"/>
    </xsl:call-template>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="width" select="'50%'"/>
            <xsl:with-param name="label" select="'Currently subscribed newspapers and periodicals:'"/>
            <xsl:with-param name="value" select="./ser-all"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="width" select="'50%'"/>
            <xsl:with-param name="label" select="'- thereof purchased, printed:'"/>
            <xsl:with-param name="value" select="./ser-prt-p"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="width" select="'50%'"/>
            <xsl:with-param name="label" select="'- thereof purchased, microforms:'"/>
            <xsl:with-param name="value" select="./ser-mic-p"/>
        </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="width" select="'50%'"/>
            <xsl:with-param name="label" select="'Expenditures for subscribed newspapers and periodicals:'"/>
            <xsl:with-param name="value" select="./ser-costs-all"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="width" select="'50%'"/>
            <xsl:with-param name="label" select="'- thereof purchased, printed:'"/>
            <xsl:with-param name="value" select="./ser-costs-prt-p"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="width" select="'50%'"/>
            <xsl:with-param name="label" select="'- thereof purchased, microforms:'"/>
            <xsl:with-param name="value" select="./ser-costs-mic-p"/>
        </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="width" select="'50%'"/>
            <xsl:with-param name="label" select="'New subscribed newspapers and periodicals:'"/>
            <xsl:with-param name="value" select="./ser-new"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="width" select="'50%'"/>
            <xsl:with-param name="label" select="'- thereof purchased:'"/>
            <xsl:with-param name="value" select="./ser-new-p"/>
        </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="width" select="'50%'"/>
            <xsl:with-param name="label" select="'Expenditures for new subscribed newspapers:'"/>
            <xsl:with-param name="value" select="./ser-costs-new"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="width" select="'50%'"/>
            <xsl:with-param name="label" select="'- thereof purchased:'"/>
            <xsl:with-param name="value" select="./ser-costs-new-p"/>
        </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="width" select="'50%'"/>
            <xsl:with-param name="label" select="'Canceled newspapers and periodicals:'"/>
            <xsl:with-param name="value" select="./ser-can"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'- thereof purchased:'"/>
            <xsl:with-param name="value" select="./ser-can-p"/>
        </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="generic-line">
        <xsl:with-param name="style" select="'bold,underline'"/>
        <xsl:with-param name="line" select="'Ectronic newspapers and periodicals:'"/>
    </xsl:call-template>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="width" select="'50%'"/>
            <xsl:with-param name="label" select="'Currently subscribed newspapers and periodicals:'"/>
            <xsl:with-param name="value" select="./ser-e-all"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="width" select="'50%'"/>
            <xsl:with-param name="label" select="'- thereof purchased:'"/>
            <xsl:with-param name="value" select="./ser-e-p"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="width" select="'50%'"/>
            <xsl:with-param name="label" select="'- thereof purchased, within consortial contracts:'"/>
            <xsl:with-param name="value" select="./ser-e-con-p"/>
        </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="width" select="'50%'"/>
            <xsl:with-param name="label" select="'Expenditures for subscribed newspapers and periodicals:'"/>
            <xsl:with-param name="value" select="./ser-e-costs-all"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="width" select="'50%'"/>
            <xsl:with-param name="label" select="'- thereof purchased:'"/>
            <xsl:with-param name="value" select="./ser-e-costs-p"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="width" select="'50%'"/>
            <xsl:with-param name="label" select="'- thereof purchased, within consortial contracts:'"/>
            <xsl:with-param name="value" select="./ser-e-con-costs-p"/>
        </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="width" select="'50%'"/>
            <xsl:with-param name="label" select="'New subscribed newspapers and periodicals:'"/>
            <xsl:with-param name="value" select="./ser-e-new"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="width" select="'50%'"/>
            <xsl:with-param name="label" select="'- thereof purchased:'"/>
            <xsl:with-param name="value" select="./ser-e-new-p"/>
        </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="width" select="'50%'"/>
            <xsl:with-param name="label" select="'Expenditures for new subscribed newspapers:'"/>
            <xsl:with-param name="value" select="./ser-e-costs-new"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="width" select="'50%'"/>
            <xsl:with-param name="label" select="'- thereof purchased:'"/>
            <xsl:with-param name="value" select="./ser-e-costs-new-p"/>
        </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="width" select="'50%'"/>
            <xsl:with-param name="label" select="'Canceled newspapers and periodicals:'"/>
            <xsl:with-param name="value" select="./ser-e-can"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'- thereof purchased:'"/>
            <xsl:with-param name="value" select="./ser-e-can-p"/>
        </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="horizontal-line"/>
</xsl:template>
</xsl:stylesheet>


