<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

    <xsl:for-each select="//section-02">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Deleted Items Report'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Form Date:'"/>
                <xsl:with-param name="value" select="./form-date"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sub Library:'"/>
                <xsl:with-param name="value" select="./sub-library"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="section-02">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="''"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Doc Number:'"/>
                <xsl:with-param name="value" select="./z30-doc-number"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Item Sequence:'"/>
                <xsl:with-param name="value" select="./z30-item-sequence"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Barcode:'"/>
                <xsl:with-param name="value" select="./z30-barcode"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Loaned:'"/>
                <xsl:with-param name="value" select="./loaned"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Claimed:'"/>
                <xsl:with-param name="value" select="./claimed"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Has Holds:'"/>
                <xsl:with-param name="value" select="./has-holds"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Has Booking:'"/>
                <xsl:with-param name="value" select="./has-booking"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Has Photocopy:'"/>
                <xsl:with-param name="value" select="./has-photocopy"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Last Item:'"/>
                <xsl:with-param name="value" select="./last-item"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>

    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'HOL Delete'"/>
                <xsl:with-param name="value" select="concat(./hol-del-y-n,' ', ./hol-del-reason)"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'BIB Delete'"/>
                <xsl:with-param name="value" select="concat(./bib-del-y-n, ' ', ./bib-del-reason)"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>

   <xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>

