<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

    <xsl:for-each select="//section-02">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Inventory Report'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Form Date:'"/>
                <xsl:with-param name="value" select="./form-date"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'SubLibrary:'"/>
                <xsl:with-param name="value" select="./sub-library-address-1-occ1"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Inventory Number:'"/>
                <xsl:with-param name="value" select="./shelf-report-number"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Sorted By:'"/>
                <xsl:with-param name="value" select="./sorted-by"/>
        </xsl:call-template>
<xsl:call-template name="table-close"/>
<xsl:call-template name="horizontal-line"/>
<xsl:call-template name="table-open-full"/>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="section-02">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="'List of Items in Inventory'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Bib Info:'"/>
                <xsl:with-param name="value" select="./bib-info"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Barcode:'"/>
                <xsl:with-param name="value" select="./z30-barcode"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Sub Library:'"/>
                <xsl:with-param name="value" select="./z30-sub-library"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Call No:'"/>
                <xsl:with-param name="value" select="./z30-call-no"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Item Status:'"/>
                <xsl:with-param name="value" select="./z30-item-status"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Item Found:'"/>
                <xsl:with-param name="value" select="./item-found"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>

