Mon Oct 26 18:39:11 2009
PKC_FILE_BEGIN acq-additional-claim.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--/DIV-->
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'追加催询'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##下列从贵处订购的书刊还未收到。"'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"请尽快提供"'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"注：本订单已经催问过了。"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'册数：'"/>
       <xsl:with-param name="value" select="./z68-no-units"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书商注释:'"/>
       <xsl:with-param name="value" select="./z68-vendor-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'订单日期:'"/>
       <xsl:with-param name="value" select="./z68-order-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'订单号:'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'ISBN/ISSN:'"/>
       <xsl:with-param name="value" select="./z68-isbn"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'预计到达日期:'"/>
       <xsl:with-param name="value" select="./z68-original-eda"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'催询次数:'"/>
       <xsl:with-param name="value" select="./no-of-claims"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'上次催询时间:'"/>
       <xsl:with-param name="value" select="./z68-eda"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'附加订单号2:'"/>
       <xsl:with-param name="value" select="./z68-order-number-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'币种:'"/>
       <xsl:with-param name="value" select="./z68-e-currency"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'估计价格:'"/>
       <xsl:with-param name="value" select="./z68-e-price"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN acq-arrival-message.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'记到消息'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
    <xsl:call-template name="patron-address"/>
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'亲爱的先生/女士,####您所订购的书刊已到。'"/>
        </xsl:call-template>
<xsl:call-template name="table-close"/>
<xsl:call-template name="bib-info-hdr"/>
<xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'订单号:'"/>
                <xsl:with-param name="value" select="./z68-order-number"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'文档号:'"/>
                <xsl:with-param name="value" select="./z68-doc-number"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'订购日期:'"/>
                <xsl:with-param name="value" select="./z68-order-date"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'记到状态:'"/>
                <xsl:with-param name="value" select="./z68-arrival-status"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'记到日期:'"/>
                <xsl:with-param name="value" select="./z78-arrival-date"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'记到注释:'"/>
                <xsl:with-param name="value" select="./z78-arrival-note"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'订购册数:'"/>
                <xsl:with-param name="value" select="./z68-no-units"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'记到册数:'"/>
                <xsl:with-param name="value" select="./z78-no-units-arrived"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="signature">
     <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'######采访部门.'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN acq-arrival-message-00.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'记到消息'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
    <xsl:call-template name="patron-address"/>
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
    <xsl:call-template name="generic-line">
                <xsl:with-param name="line" select="'亲爱的先生/女士,####您所订购的书刊已到。'"/>
        </xsl:call-template>
<xsl:call-template name="table-close"/>
<xsl:call-template name="bib-info-hdr"/>
<xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'订单号:'"/>
                <xsl:with-param name="value" select="./z68-order-number"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'文档号:'"/>
                <xsl:with-param name="value" select="./z68-doc-number"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'订购日期:'"/>
                <xsl:with-param name="value" select="./z68-order-date"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'记到状态:'"/>
                <xsl:with-param name="value" select="./z68-arrival-status"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'记到日期:'"/>
                <xsl:with-param name="value" select="./z78-arrival-date"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'记到注释:'"/>
                <xsl:with-param name="value" select="./z78-arrival-note"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'订购册数:'"/>
                <xsl:with-param name="value" select="./z68-no-units"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'记到册数:'"/>
                <xsl:with-param name="value" select="./z78-no-units-arrived"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="signature">
     <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'######采访部门.'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN acq-arrival-slip.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--/DIV-->
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'记到条'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'订购册数:'"/>
       <xsl:with-param name="value" select="./z68-no-units"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'发货日期:'"/>
       <xsl:with-param name="value" select="./z78-shipment-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'记到注释:'"/>
       <xsl:with-param name="value" select="./z78-arrival-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'收到册数:'"/>
       <xsl:with-param name="value" select="./z78-no-units-arrived"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'记到日期:'"/>
       <xsl:with-param name="value" select="./z78-arrival-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'直接传送:'"/>
       <xsl:with-param name="value" select="./z68-target-direct"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'借阅者ID:'"/>
       <xsl:with-param name="value" select="./z68-target-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'借阅者姓名:'"/>
       <xsl:with-param name="value" select="./z68-target-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'订单号:'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN acq-claim-m-report-00.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

    <xsl:for-each select="//section-02">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'专著订单的催询报告'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'起始日期:'"/>
                <xsl:with-param name="value" select="./form-date"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="section-02">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="''"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'书商代码:'"/>
                <xsl:with-param name="value" select="./z68-vendor-code"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'订单号:'"/>
                <xsl:with-param name="value" select="./z68-order-number"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'打开日期:'"/>
                <xsl:with-param name="value" select="./z68-open-date"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'题名:'"/>
                <xsl:with-param name="value" select="./z13-title"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'单价:'"/>
                <xsl:with-param name="value" select="./z68-unit-price"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'册数:'"/>
                <xsl:with-param name="value" select="./z68-no-units"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'估计货币:'"/>
                <xsl:with-param name="value" select="./z68-e-currency"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'总价格:'"/>
                <xsl:with-param name="value" select="./z68-total-price"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'估计本地价格:'"/>
                <xsl:with-param name="value" select="./z68-e-local-price"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'订购组:'"/>
                <xsl:with-param name="value" select="./z68-order-group"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'自动催询:'"/>
                <xsl:with-param name="value" select="./z68-auto-claim"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'最新情况:'"/>
                <xsl:with-param name="value" select="./last-movement"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'上次催询:'"/>
                <xsl:with-param name="value" select="./previous-claims"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>
 
PKC_FILE_BEGIN acq-claim-m-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'专著订单的催询报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书商'"/>
          <xsl:with-param name="value" select="./vendor"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'订单号'"/>
          <xsl:with-param name="value" select="./z68-order-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'题名'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'上次催询'"/>
          <xsl:with-param name="value" select="./previous-claims"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'最新情况'"/>
          <xsl:with-param name="value" select="./last-movement"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'自动催询'"/>
          <xsl:with-param name="value" select="./z68-auto-claim"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'附加订单号2'"/>
          <xsl:with-param name="value" select="./z68-order-number-2"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'币种'"/>
          <xsl:with-param name="value" select="./z68-e-currency"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'估计价格'"/>
          <xsl:with-param name="value" select="./z68-e-price"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'订购单元'"/>
          <xsl:with-param name="value" select="./z68-ordering-unit"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN acq-claim-o-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'长期订单的催询报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'订单号'"/>
          <xsl:with-param name="value" select="./order-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'题名'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'ISSN'"/>
          <xsl:with-param name="value" select="./issn-code"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'订购日期/上次记到'"/>
          <xsl:with-param name="value" select="./last-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN acq-claim-s-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-01 (GRID)-->
    <xsl:for-each select="//section-01">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-01">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-01"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'连续出版物的催询报告 '"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-01  (GRID)-->

<xsl:template name="section-01">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'订单号'"/>
          <xsl:with-param name="value" select="./z68-order-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'题名'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'ISSN'"/>
          <xsl:with-param name="value" select="./z68-isbn"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'订购日期'"/>
          <xsl:with-param name="value" select="./z68-order-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN acq-first-claim.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--/DIV-->
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'第一次催询'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##以下从贵处订购的书刊还为收到。"'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"请尽快提供！"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'册数'"/>
       <xsl:with-param name="value" select="./z68-no-units"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书商注释:'"/>
       <xsl:with-param name="value" select="./z68-vendor-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'订购日期:'"/>
       <xsl:with-param name="value" select="./z68-order-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'订购号:'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'ISBN/ISSN:'"/>
       <xsl:with-param name="value" select="./z68-isbn"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'预计到达时间:'"/>
       <xsl:with-param name="value" select="./z68-original-eda"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'催询次数:'"/>
       <xsl:with-param name="value" select="./no-of-claims"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'上次催询日期:'"/>
       <xsl:with-param name="value" select="./z68-eda"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'附加订单号2:'"/>
       <xsl:with-param name="value" select="./z68-order-number-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'币种:'"/>
       <xsl:with-param name="value" select="./z68-e-currency"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'估计价格:'"/>
       <xsl:with-param name="value" select="./z68-e-price"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN acq-m-cancel-slip.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (SPLIT)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'订单取消信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (SPLIT)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'salutation_string##我们决定取消以下书刊的订单:'"/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-split-open"/>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订单号:'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'书商参考号:'"/>
       <xsl:with-param name="value" select="./z68-vendor-reference-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'册数:'"/>
       <xsl:with-param name="value" select="./z68-no-units"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'数量备注:'"/>
       <xsl:with-param name="value" select="./z68-quantity-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'预定起始日期:'"/>
       <xsl:with-param name="value" select="./z68-subscription-date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'预定截至日期:'"/>
       <xsl:with-param name="value" select="./z68-subscription-date-to"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'注释:'"/>
       <xsl:with-param name="value" select="./z68-vendor-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z68-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-right"/>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订购日期:'"/>
       <xsl:with-param name="value" select="./z68-order-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'催询日期:'"/>
       <xsl:with-param name="value" select="./z68-eda"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'紧急:'"/>
       <xsl:with-param name="value" select="./z68-rush"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'单价:'"/>
       <xsl:with-param name="value" select="./z68-unit-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'总价:'"/>
       <xsl:with-param name="value" select="./z68-total-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'币种:'"/>
       <xsl:with-param name="value" select="./z68-e-currency"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-close"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'直接传送给:'"/>
       <xsl:with-param name="value" select="''"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="patron-address"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'事务类型:'"/>
          <xsl:with-param name="value" select="./z601-type"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算号:'"/>
          <xsl:with-param name="value" select="./z601-budget-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'打开日期:'"/>
          <xsl:with-param name="value" select="./z601-open-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'币种:'"/>
          <xsl:with-param name="value" select="./z601-currency"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'原始总额:'"/>
          <xsl:with-param name="value" select="./z601-original-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'活动金额:'"/>
          <xsl:with-param name="value" select="./z601-active-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'本地总额:'"/>
          <xsl:with-param name="value" select="./z601-local-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##采访部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN acq-m-order-info.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (SPLIT)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


    <!--section-03 (GRID)-->
    <xsl:for-each select="//section-03">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-03">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-03"/>
    </xsl:for-each>


    <!--section-04 (GRID)-->
    <xsl:for-each select="//section-04">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-04">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-04"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'订单信息'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (SPLIT)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-split-open"/>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订单号:'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'ISBN / ISSN:'"/>
       <xsl:with-param name="value" select="./z68-isbn"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'打开日期:'"/>
       <xsl:with-param name="value" select="./z68-open-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订单状态:'"/>
       <xsl:with-param name="value" select="./z68-order-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'状态日期:'"/>
       <xsl:with-param name="value" select="./z68-order-status-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'预订起始日期:'"/>
       <xsl:with-param name="value" select="./z68-subscription-date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'预订截至日期:'"/>
       <xsl:with-param name="value" select="./z68-subscription-date-to"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z68-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'采访方式:'"/>
       <xsl:with-param name="value" select="./z68-method-of-aquisition"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订购日期:'"/>
       <xsl:with-param name="value" select="./z68-order-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'发票状态:'"/>
       <xsl:with-param name="value" select="./z68-invoice-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'记到状态:'"/>
       <xsl:with-param name="value" select="./z68-arrival-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'资料类型:'"/>
       <xsl:with-param name="value" select="./z68-material-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'信件类型:'"/>
       <xsl:with-param name="value" select="./z68-letter-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订单传送方式:'"/>
       <xsl:with-param name="value" select="./z68-order-delivery-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'传递类型:'"/>
       <xsl:with-param name="value" select="./z68-delivery-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'目标ID:'"/>
       <xsl:with-param name="value" select="./z68-target-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'目标备注:'"/>
       <xsl:with-param name="value" select="./z68-target-text"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-right"/>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'加急:'"/>
       <xsl:with-param name="value" select="./z68-rush"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'下次催询日期:'"/>
       <xsl:with-param name="value" select="./z68-eda"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'书商代码:'"/>
       <xsl:with-param name="value" select="./z68-vendor-code"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'书商备注:'"/>
       <xsl:with-param name="value" select="./z68-vendor-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'书商参考号:'"/>
       <xsl:with-param name="value" select="./z68-vendor-reference-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'预订续订日期:'"/>
       <xsl:with-param name="value" select="./z68-subscription-renew-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'预算周期（年）:'"/>
       <xsl:with-param name="value" select="./z68-subscription-budget-period"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'图书馆备注:'"/>
       <xsl:with-param name="value" select="./z68-library-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'数量备注:'"/>
       <xsl:with-param name="value" select="./z68-quantity-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'册数:'"/>
       <xsl:with-param name="value" select="./z68-no-units"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'单价:'"/>
       <xsl:with-param name="value" select="./z68-unit-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'币种:'"/>
       <xsl:with-param name="value" select="./z68-e-currency"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'估计价格:'"/>
       <xsl:with-param name="value" select="./z68-e-listed-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'最终价格:'"/>
       <xsl:with-param name="value" select="./z68-e-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'备注:'"/>
       <xsl:with-param name="value" select="./z68-e-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'本地价格:'"/>
       <xsl:with-param name="value" select="./z68-e-local-price"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'事务类型'"/>
          <xsl:with-param name="value" select="./z601-type"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算号'"/>
          <xsl:with-param name="value" select="./z601-budget-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'打开日期'"/>
          <xsl:with-param name="value" select="./z601-open-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'币种'"/>
          <xsl:with-param name="value" select="./z601-currency"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'原始总额'"/>
          <xsl:with-param name="value" select="./z601-original-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'本地总额'"/>
          <xsl:with-param name="value" select="./z601-local-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

    <!--SECTION-03  (GRID)-->

<xsl:template name="section-03">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'发票号'"/>
          <xsl:with-param name="value" select="./z75-invoice-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'净额'"/>
          <xsl:with-param name="value" select="./z75-i-net-amount"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书商代码'"/>
          <xsl:with-param name="value" select="./z75-vendor-code"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'发票价格'"/>
          <xsl:with-param name="value" select="./z75-i-listed-price"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'总金额'"/>
          <xsl:with-param name="value" select="./z75-i-total-amount"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'发票支付状态'"/>
          <xsl:with-param name="value" select="./z77-p-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'发票支付金额'"/>
          <xsl:with-param name="value" select="./z77-p-amount"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'付款日期'"/>
          <xsl:with-param name="value" select="./z77-p-date"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'支票号'"/>
          <xsl:with-param name="value" select="./z77-p-check-no"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'发票备注'"/>
          <xsl:with-param name="value" select="./z77-i-note"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

    <!--SECTION-04  (GRID)-->

<xsl:template name="section-04">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'记到册数 '"/>
          <xsl:with-param name="value" select="./z78-no-units-arrived"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'记到日期'"/>
          <xsl:with-param name="value" select="./z78-arrival-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'发货日期'"/>
          <xsl:with-param name="value" select="./z78-shipment-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'备注'"/>
          <xsl:with-param name="value" select="./z78-arrival-note"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN acq-m-order-slip.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (SPLIT)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'采访订单信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (SPLIT)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'salutation_string##我们想向您订购以下书刊:'"/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-split-open"/>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订单号:'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'书商参考号:'"/>
       <xsl:with-param name="value" select="./z68-vendor-reference-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'册数:'"/>
       <xsl:with-param name="value" select="./z68-no-units"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'数量备注:'"/>
       <xsl:with-param name="value" select="./z68-quantity-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'预订起始日期:'"/>
       <xsl:with-param name="value" select="./z68-subscription-date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'预定截至日期:'"/>
       <xsl:with-param name="value" select="./z68-subscription-date-to"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'备注:'"/>
       <xsl:with-param name="value" select="./z68-vendor-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z68-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-right"/>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订购日期:'"/>
       <xsl:with-param name="value" select="./z68-order-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'催询日期:'"/>
       <xsl:with-param name="value" select="./z68-eda"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'加急:'"/>
       <xsl:with-param name="value" select="./z68-rush"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'单价:'"/>
       <xsl:with-param name="value" select="./z68-unit-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'总价:'"/>
       <xsl:with-param name="value" select="./z68-total-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'币种:'"/>
       <xsl:with-param name="value" select="./z68-e-currency"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'给书商的备注:'"/>
       <xsl:with-param name="value" select="./z71-data"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-close"/>
    <xsl:call-template name="directly-to-patron"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'事务类型:'"/>
          <xsl:with-param name="value" select="./z601-type"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算号:'"/>
          <xsl:with-param name="value" select="./z601-budget-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'打开日期:'"/>
          <xsl:with-param name="value" select="./z601-open-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'币种:'"/>
          <xsl:with-param name="value" select="./z601-currency"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'原始总额:'"/>
          <xsl:with-param name="value" select="./z601-original-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'本地总额:'"/>
          <xsl:with-param name="value" select="./z601-local-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##采访部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>


 
PKC_FILE_BEGIN acq-order-claim-01.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'订单催询'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##以下订购的书刊尚未收到。"'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"请及时提供或给出说明"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'文档号:'"/>
       <xsl:with-param name="value" select="./z68-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'催询文字:'"/>
       <xsl:with-param name="value" select="./z501-claim-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'订单号:'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'订购日期:'"/>
       <xsl:with-param name="value" select="./z68-order-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书商参考号:'"/>
       <xsl:with-param name="value" select="./z68-vendor-reference-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'递送类型:'"/>
       <xsl:with-param name="value" select="./z68-delivery-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书商备注:'"/>
       <xsl:with-param name="value" select="./z68-vendor-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'册数:'"/>
       <xsl:with-param name="value" select="./z68-no-units"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'币种:'"/>
       <xsl:with-param name="value" select="./z68-e-currency"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单价:'"/>
       <xsl:with-param name="value" select="./z68-unit-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'总价:'"/>
       <xsl:with-param name="value" select="./z68-total-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'ISBN:'"/>
       <xsl:with-param name="value" select="./z68-isbn"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书商联系人:'"/>
       <xsl:with-param name="value" select="./z68-vendor-contact"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##采访部'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN acq-multi-order-info.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->

    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'多订单采访信息'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label">日期:</xsl:with-param>
       <xsl:with-param name="value" select="./form-date"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label">多订单号:</xsl:with-param>
       <xsl:with-param name="value" select="./multi-order-no"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label">分馆:</xsl:with-param>
       <xsl:with-param name="value" select="./sub-library"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label">订购单元:</xsl:with-param>
       <xsl:with-param name="value" select="./order-unit"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label">数量:</xsl:with-param>
       <xsl:with-param name="value" select="./quantity"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label">数量备注:</xsl:with-param>
       <xsl:with-param name="value" select="./quantity-text"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label">书商代码:</xsl:with-param>
       <xsl:with-param name="value" select="./vendor-code"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label">币种:</xsl:with-param>
       <xsl:with-param name="value" select="./currency"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label">总价:</xsl:with-param>
       <xsl:with-param name="value" select="./total-price"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label">预算号:</xsl:with-param>
       <xsl:with-param name="value" select="./budget-number"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="'订单和相关单册信息'"/>
   </xsl:call-template>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'文档号'"/>
       <xsl:with-param name="value" select="./z68-doc-number"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'订单号'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'分馆'"/>
       <xsl:with-param name="value" select="./z68-sub-library"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'估计价格'"/>
       <xsl:with-param name="value" select="./z68-e-price"/>
       <xsl:with-param name="header" select="$header"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'估计本地价格'"/>
       <xsl:with-param name="value" select="./z68-e-local-price"/>
       <xsl:with-param name="header" select="$header"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'条码'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'分馆'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'馆藏地'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN acq-multi-order-slip.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--section-02 (SPLIT)-->
    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

       <xsl:call-template name="signature"/>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'多订单采访清单'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'salutation_string##我们准备向您订购以下书刊:'"/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'多订单号:'"/>
       <xsl:with-param name="value" select="./multi-order-no"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
</xsl:template>
<!--SECTION-02  (SPLIT)-->
<xsl:template name="section-02">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'编号 '"/>
       <xsl:with-param name="value" select="''"/>
       <xsl:with-param name="type" select="'index'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-split-open"/>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订单号:'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'附加订单号2:'"/>
       <xsl:with-param name="value" select="./z68-order-number-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订购组:'"/>
       <xsl:with-param name="value" select="./z68-order-group"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'ISBN/ISSN:'"/>
       <xsl:with-param name="value" select="./z68-isbn"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'采访方式:'"/>
       <xsl:with-param name="value" select="./z68-method-of-aquisition"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'加急:'"/>
       <xsl:with-param name="value" select="./z68-rush"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'书商参考号:'"/>
       <xsl:with-param name="value" select="./z68-vendor-reference-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'备注:'"/>
       <xsl:with-param name="value" select="./z71-data"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'文档号:'"/>
       <xsl:with-param name="value" select="./z68-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'册数:'"/>
       <xsl:with-param name="value" select="./z68-no-units"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z68-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-right"/>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'单价:'"/>
       <xsl:with-param name="value" select="./z68-unit-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'币种:'"/>
       <xsl:with-param name="value" select="./z68-e-currency"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'估计价格:'"/>
       <xsl:with-param name="value" select="./z68-e-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'价格备注:'"/>
       <xsl:with-param name="value" select="./z68-e-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'递送类型:'"/>
       <xsl:with-param name="value" select="./z68-delivery-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'书商备注:'"/>
       <xsl:with-param name="value" select="./z68-vendor-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'数量备注:'"/>
       <xsl:with-param name="value" select="./z68-quantity-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'欧洲价格:'"/>
       <xsl:with-param name="value" select="./price-euro"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-close"/>
    <xsl:call-template name="horizontal-line"/>
</xsl:template>

<xsl:template name="signature">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'####采访部'"/>
    </xsl:call-template>
</xsl:template>


</xsl:stylesheet>


 
PKC_FILE_BEGIN acq-order-claim-02.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'订单催询'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##以下订购的书刊只收到部分期册。 "'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"请尽快提供."'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"
"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'文档号:'"/>
       <xsl:with-param name="value" select="./z68-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'催询文字:'"/>
       <xsl:with-param name="value" select="./z501-claim-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'订单号:'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'订购日期:'"/>
       <xsl:with-param name="value" select="./z68-order-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书商参考号:'"/>
       <xsl:with-param name="value" select="./z68-vendor-reference-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'递送类型:'"/>
       <xsl:with-param name="value" select="./z68-delivery-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书商备注:'"/>
       <xsl:with-param name="value" select="./z68-vendor-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'册数:'"/>
       <xsl:with-param name="value" select="./z68-no-units"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'币种:'"/>
       <xsl:with-param name="value" select="./z68-e-currency"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单价:'"/>
       <xsl:with-param name="value" select="./z68-unit-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'总价:'"/>
       <xsl:with-param name="value" select="./z68-total-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'ISBN:'"/>
       <xsl:with-param name="value" select="./z68-isbn"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书商联系人:'"/>
       <xsl:with-param name="value" select="./z68-vendor-contact"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##采访部'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN acq-order-claim-03.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'订单催询'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##以下收到的书刊有破损。 "'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"Please re-send the item."'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"请重新提供或给予说明。
"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'文档号:'"/>
       <xsl:with-param name="value" select="./z68-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'催询文字:'"/>
       <xsl:with-param name="value" select="./z501-claim-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'订单号:'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'订购日期:'"/>
       <xsl:with-param name="value" select="./z68-order-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书商参考号:'"/>
       <xsl:with-param name="value" select="./z68-vendor-reference-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'递送类型:'"/>
       <xsl:with-param name="value" select="./z68-delivery-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书商备注:'"/>
       <xsl:with-param name="value" select="./z68-vendor-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'册数:'"/>
       <xsl:with-param name="value" select="./z68-no-units"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'币种:'"/>
       <xsl:with-param name="value" select="./z68-e-currency"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单价:'"/>
       <xsl:with-param name="value" select="./z68-unit-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'总价:'"/>
       <xsl:with-param name="value" select="./z68-total-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'ISBN:'"/>
       <xsl:with-param name="value" select="./z68-isbn"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书商联系人:'"/>
       <xsl:with-param name="value" select="./z68-vendor-contact"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##采访部'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN acq-order-claim-04.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'订单催询'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##以下收到的书刊没有提供发票。"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'文档号:'"/>
       <xsl:with-param name="value" select="./z68-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'催询文字:'"/>
       <xsl:with-param name="value" select="./z501-claim-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'订单号:'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'订单日期:'"/>
       <xsl:with-param name="value" select="./z68-order-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书商参考号:'"/>
       <xsl:with-param name="value" select="./z68-vendor-reference-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'递送类型:'"/>
       <xsl:with-param name="value" select="./z68-delivery-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书商备注:'"/>
       <xsl:with-param name="value" select="./z68-vendor-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'册数:'"/>
       <xsl:with-param name="value" select="./z68-no-units"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'币种:'"/>
       <xsl:with-param name="value" select="./z68-e-currency"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单价:'"/>
       <xsl:with-param name="value" select="./z68-unit-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'总价:'"/>
       <xsl:with-param name="value" select="./z68-total-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'ISBN:'"/>
       <xsl:with-param name="value" select="./z68-isbn"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书商联系人:'"/>
       <xsl:with-param name="value" select="./z68-vendor-contact"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##采访部'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN acq-order-list-00-050303.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

    <xsl:for-each select="//section-02">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

<xsl:for-each select="//section-03">
        <xsl:call-template name="section-03"/>
</xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'BNU Library Order List '"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Vendor Name:'"/>
                <xsl:with-param name="value" select="./z70-vendor-name"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Vendor Code:'"/>
                <xsl:with-param name="value" select="./z70-vendor-code"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="section-02">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="''"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Title:'"/>
                <xsl:with-param name="value" select="./z13-title"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Author:'"/>
                <xsl:with-param name="value" select="./z13-author"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Isbn Issn:'"/>
                <xsl:with-param name="value" select="./z13-isbn-issn"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Imprint:'"/>
                <xsl:with-param name="value" select="./z13-imprint"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'No Units:'"/>
                <xsl:with-param name="value" select="./z68-no-units"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Unit Price:'"/>
                <xsl:with-param name="value" select="./z68-unit-price"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'E Currency:'"/>
                <xsl:with-param name="value" select="./z68-e-currency"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'E Local Price:'"/>
                <xsl:with-param name="value" select="./z68-e-local-price"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Total Price:'"/>
                <xsl:with-param name="value" select="./z68-total-price"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Quantity Text:'"/>
                <xsl:with-param name="value" select="./z68-quantity-text"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Vendor Note:'"/>
                <xsl:with-param name="value" select="./z68-vendor-note"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>


<xsl:template name="section-03">
<xsl:param name="header"/>
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Total No Units:'"/>
                <xsl:with-param name="value" select="./total-no-units"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Total Currency:'"/>
                <xsl:with-param name="value" select="./total-currency"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Total Price:'"/>
                <xsl:with-param name="value" select="./total-price"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>

</xsl:stylesheet>
 
PKC_FILE_BEGIN acq-order-list-00.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

<xsl:for-each select="//section-02">
        <xsl:call-template name="section-02"/>
</xsl:for-each>

<xsl:for-each select="//section-03">
        <xsl:call-template name="section-03"/>
</xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'国家图书馆 '"/>
    </xsl:call-template>
</xsl:template>
<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'***##----------------------------------'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-02">
<xsl:param name="header"/>
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'著者:'"/>
                <xsl:with-param name="value" select="./z13-author"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'题名:'"/>
                <xsl:with-param name="value" select="./z13-title"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'出版:'"/>
                <xsl:with-param name="value" select="./z13-imprint"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Isbn:'"/>
                <xsl:with-param name="value" select="./z13-isbn-issn"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'册数:'"/>
                <xsl:with-param name="value" select="./z68-no-units"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'货币:'"/>
                <xsl:with-param name="value" select="./z68-e-currency"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'单价:'"/>
                <xsl:with-param name="value" select="./z68-unit-price"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'RMB :'"/>
                <xsl:with-param name="value" select="./z68-e-local-price"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'分馆:'"/>
                <xsl:with-param name="value" select="./z68-sub-library"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="' 国图    书商:'"/>
                <xsl:with-param name="value" select="./z68-vendor-note"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'***##----------------------------------'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-03">
<xsl:param name="header"/>
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'总册数:'"/>
                <xsl:with-param name="value" select="./total-no-units"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'货币:'"/>
                <xsl:with-param name="value" select="./total-currency"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'总价:'"/>
                <xsl:with-param name="value" select="./total-price"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>

</xsl:stylesheet>
 
PKC_FILE_BEGIN acq-order-list.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>
<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--section-02 (FREE)-->
    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="' 国家图书馆 '"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'***##----------------------------------'"/>
    </xsl:call-template>
</xsl:template>
<!--SECTION-02  (FREE)-->
<xsl:template name="section-02">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="concat('No. ',position())"/>
       <xsl:with-param name="value" select="''"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'题名:'"/>
       <xsl:with-param name="value" select="./z13-title"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'著者:'"/>
       <xsl:with-param name="value" select="./z13-author"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'出版社:'"/>
       <xsl:with-param name="value" select="./z13-imprint"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'ISBN/ISSN:'"/>
       <xsl:with-param name="value" select="./z68-isbn"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="' 册数 :'"/>
       <xsl:with-param name="value" select="./z68-no-units"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="' 单册价格 :'"/>
       <xsl:with-param name="value" select="./z68-unit-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="' 货币 :'"/>
       <xsl:with-param name="value" select="./z68-e-currency"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="' 总价 :'"/>
       <xsl:with-param name="value" select="./z68-e-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="' 分馆 :'"/>
       <xsl:with-param name="value" select="./z68-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="' 价格备注 :'"/>
       <xsl:with-param name="value" select="./z68-e-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="' 书商备注 :'"/>
       <xsl:with-param name="value" select="./z68-vendor-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="' 数量备注 :'"/>
       <xsl:with-param name="value" select="./z68-quantity-text"/>
    </xsl:call-template>
   <xsl:call-template name="table-close"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'***##----------------------------------'"/>
    </xsl:call-template>
</xsl:template>
<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="' 总价(欧元) :'"/>
       <xsl:with-param name="value" select="./total-price-euro"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="' 总册数 :'"/>
       <xsl:with-param name="value" select="./total-no-units"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'总货币:'"/>
       <xsl:with-param name="value" select="./total-currency"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'总价:'"/>
       <xsl:with-param name="value" select="./total-price"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN acq-order-list_old.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--section-02 (SPLIT)-->
    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'订购清单'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'salutation_string##我们准备向您订购以下书刊:'"/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="blank-line"/>
</xsl:template>
<!--SECTION-02  (SPLIT)-->
<xsl:template name="section-02">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="concat('No. ',position())"/>
       <xsl:with-param name="value" select="''"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-split-open"/>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订单号:'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'附加订单号2:'"/>
       <xsl:with-param name="value" select="./z68-order-number-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订购组:'"/>
       <xsl:with-param name="value" select="./z68-order-group"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'ISBN/ISSN:'"/>
       <xsl:with-param name="value" select="./z68-isbn"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'采访方式:'"/>
       <xsl:with-param name="value" select="./z68-method-of-aquisition"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'加急:'"/>
       <xsl:with-param name="value" select="./z68-rush"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'预订起始日期:'"/>
       <xsl:with-param name="value" select="./z68-subscription-date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'预订截至日期:'"/>
       <xsl:with-param name="value" select="./z68-subscription-date-to"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'书商参考号.:'"/>
       <xsl:with-param name="value" select="./z68-vendor-reference-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'备注:'"/>
       <xsl:with-param name="value" select="./z71-data"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'文档号:'"/>
       <xsl:with-param name="value" select="./z68-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'册数:'"/>
       <xsl:with-param name="value" select="./z68-no-units"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z68-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'附加订单号1:'"/>
       <xsl:with-param name="value" select="./z68-order-number-1"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-right"/>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'单价:'"/>
       <xsl:with-param name="value" select="./z68-unit-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'币种:'"/>
       <xsl:with-param name="value" select="./z68-e-currency"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'价格:'"/>
       <xsl:with-param name="value" select="./z68-e-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'价格备注:'"/>
       <xsl:with-param name="value" select="./z68-e-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'递送类型:'"/>
       <xsl:with-param name="value" select="./z68-delivery-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'书商备注:'"/>
       <xsl:with-param name="value" select="./z68-vendor-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'数量备注:'"/>
       <xsl:with-param name="value" select="./z68-quantity-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订购单元:'"/>
       <xsl:with-param name="value" select="./z68-ordering-unit"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-close"/>
   <xsl:call-template name="directly-to-patron"/>
    <xsl:call-template name="horizontal-line"/>
</xsl:template>
<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
<!--    <xsl:call-template name="table-open"/>-->
<!--    <xsl:call-template name="display-gen">-->
<!--       <xsl:with-param name="label" select="'欧元总价:'"/>-->
<!--       <xsl:with-param name="value" select="./total-price-euro"/>-->
<!--    </xsl:call-template>-->
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'总册数:'"/>
       <xsl:with-param name="value" select="./total-no-units"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'币种:'"/>
       <xsl:with-param name="value" select="./total-currency"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'总价:'"/>
       <xsl:with-param name="value" select="./total-price"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN acq-s-cancel-slip.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (SPLIT)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'采访取消信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (SPLIT)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'salutation_string##我们将取消以下书刊的订购:'"/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-split-open"/>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订单号:'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'书商参考号:'"/>
       <xsl:with-param name="value" select="./z68-vendor-reference-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'册数:'"/>
       <xsl:with-param name="value" select="./z68-no-units"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'数量备注:'"/>
       <xsl:with-param name="value" select="./z68-quantity-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'预订起始日期:'"/>
       <xsl:with-param name="value" select="./z68-subscription-date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'预订截至日期:'"/>
       <xsl:with-param name="value" select="./z68-subscription-date-to"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'备注:'"/>
       <xsl:with-param name="value" select="./z68-vendor-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z68-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-right"/>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订购日期:'"/>
       <xsl:with-param name="value" select="./z68-order-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'催询日期:'"/>
       <xsl:with-param name="value" select="./z68-eda"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'加急:'"/>
       <xsl:with-param name="value" select="./z68-rush"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'单价:'"/>
       <xsl:with-param name="value" select="./z68-unit-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'总价格:'"/>
       <xsl:with-param name="value" select="./z68-total-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'币种:'"/>
       <xsl:with-param name="value" select="./z68-e-currency"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-close"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'直接传送给:'"/>
       <xsl:with-param name="value" select="''"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="patron-address"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'事务类型:'"/>
          <xsl:with-param name="value" select="./z601-type"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算号:'"/>
          <xsl:with-param name="value" select="./z601-budget-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'打开日期:'"/>
          <xsl:with-param name="value" select="./z601-open-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'币种:'"/>
          <xsl:with-param name="value" select="./z601-currency"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'原始总额:'"/>
          <xsl:with-param name="value" select="./z601-original-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'活动金额:'"/>
          <xsl:with-param name="value" select="./z601-active-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'本地总额:'"/>
          <xsl:with-param name="value" select="./z601-local-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##采访部'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN acq-s-order-info.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (SPLIT)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


    <!--section-03 (GRID)-->
    <xsl:for-each select="//section-03">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-03">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-03"/>
    </xsl:for-each>


    <!--section-04 (GRID)-->
    <xsl:for-each select="//section-04">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-04">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-04"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'订单信息'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (SPLIT)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-split-open"/>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订单号:'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'ISBN / ISSN:'"/>
       <xsl:with-param name="value" select="./z68-isbn"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'打开日期:'"/>
       <xsl:with-param name="value" select="./z68-open-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订单状态:'"/>
       <xsl:with-param name="value" select="./z68-order-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'状态日期:'"/>
       <xsl:with-param name="value" select="./z68-order-status-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'预订起始日期:'"/>
       <xsl:with-param name="value" select="./z68-subscription-date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'预订截至日期:'"/>
       <xsl:with-param name="value" select="./z68-subscription-date-to"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z68-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'采访方式:'"/>
       <xsl:with-param name="value" select="./z68-method-of-aquisition"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订购日期:'"/>
       <xsl:with-param name="value" select="./z68-order-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'发票状态:'"/>
       <xsl:with-param name="value" select="./z68-invoice-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'记到状态:'"/>
       <xsl:with-param name="value" select="./z68-arrival-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'资料类型:'"/>
       <xsl:with-param name="value" select="./z68-material-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'信件类型:'"/>
       <xsl:with-param name="value" select="./z68-letter-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订单传递方式:'"/>
       <xsl:with-param name="value" select="./z68-order-delivery-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'递送类型:'"/>
       <xsl:with-param name="value" select="./z68-delivery-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'发起者id:'"/>
       <xsl:with-param name="value" select="./z68-target-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'发起者姓名:'"/>
       <xsl:with-param name="value" select="./z68-target-text"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-right"/>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'加急:'"/>
       <xsl:with-param name="value" select="./z68-rush"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'下次催询日期:'"/>
       <xsl:with-param name="value" select="./z68-eda"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'书商名称:'"/>
       <xsl:with-param name="value" select="./z68-vendor-code"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'书商备注:'"/>
       <xsl:with-param name="value" select="./z68-vendor-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'书商参考号:'"/>
       <xsl:with-param name="value" select="./z68-vendor-reference-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'预订续订日期:'"/>
       <xsl:with-param name="value" select="./z68-subscription-renew-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'预算周期（年）:'"/>
       <xsl:with-param name="value" select="./z68-subscription-budget-period"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'图书馆备注:'"/>
       <xsl:with-param name="value" select="./z68-library-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'数量备注:'"/>
       <xsl:with-param name="value" select="./z68-quantity-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'册数:'"/>
       <xsl:with-param name="value" select="./z68-no-units"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'单价:'"/>
       <xsl:with-param name="value" select="./z68-unit-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'币种:'"/>
       <xsl:with-param name="value" select="./z68-e-currency"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'价格:'"/>
       <xsl:with-param name="value" select="./z68-e-listed-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'最终价格:'"/>
       <xsl:with-param name="value" select="./z68-e-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'备注:'"/>
       <xsl:with-param name="value" select="./z68-e-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'本地价格:'"/>
       <xsl:with-param name="value" select="./z68-e-local-price"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'事务类型'"/>
          <xsl:with-param name="value" select="./z601-type"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算号'"/>
          <xsl:with-param name="value" select="./z601-budget-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'打开日期'"/>
          <xsl:with-param name="value" select="./z601-open-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'币种'"/>
          <xsl:with-param name="value" select="./z601-currency"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'原始总额'"/>
          <xsl:with-param name="value" select="./z601-original-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'本地总额'"/>
          <xsl:with-param name="value" select="./z601-local-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

    <!--SECTION-03  (GRID)-->

<xsl:template name="section-03">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'发票号'"/>
          <xsl:with-param name="value" select="./z75-invoice-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书商代码'"/>
          <xsl:with-param name="value" select="./z75-vendor-code"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'支付状态'"/>
          <xsl:with-param name="value" select="./z77-p-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'价格'"/>
          <xsl:with-param name="value" select="./z77-p-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'支票号'"/>
          <xsl:with-param name="value" select="./z77-p-check-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'备注'"/>
          <xsl:with-param name="value" select="./z77-i-note"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'价格'"/>
          <xsl:with-param name="value" select="./z75-i-listed-price"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'净额'"/>
          <xsl:with-param name="value" select="./z75-i-net-amount"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'发票总额'"/>
          <xsl:with-param name="value" select="./z75-i-total-amount"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'支付总额'"/>
          <xsl:with-param name="value" select="./z77-p-amount"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

    <!--SECTION-04  (GRID)-->

<xsl:template name="section-04">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'记到册数 '"/>
          <xsl:with-param name="value" select="./z78-no-units-arrived"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'记到日期'"/>
          <xsl:with-param name="value" select="./z78-arrival-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'发货日期'"/>
          <xsl:with-param name="value" select="./z78-shipment-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'备注'"/>
          <xsl:with-param name="value" select="./z78-arrival-note"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN acq-s-order-slip.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (SPLIT)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'采访订单信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (SPLIT)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'salutation_string##我们将向您订购以下书刊:'"/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-split-open"/>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订单号:'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'书商参考号:'"/>
       <xsl:with-param name="value" select="./z68-vendor-reference-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'册数:'"/>
       <xsl:with-param name="value" select="./z68-no-units"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'数量备注:'"/>
       <xsl:with-param name="value" select="./z68-quantity-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'预订起始日期:'"/>
       <xsl:with-param name="value" select="./z68-subscription-date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'预订截至日期:'"/>
       <xsl:with-param name="value" select="./z68-subscription-date-to"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'备注:'"/>
       <xsl:with-param name="value" select="./z68-vendor-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z68-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-right"/>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订购日期:'"/>
       <xsl:with-param name="value" select="./z68-order-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'催询日期:'"/>
       <xsl:with-param name="value" select="./z68-eda"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'加急:'"/>
       <xsl:with-param name="value" select="./z68-rush"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'单价:'"/>
       <xsl:with-param name="value" select="./z68-unit-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'总价:'"/>
       <xsl:with-param name="value" select="./z68-total-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'货币:'"/>
       <xsl:with-param name="value" select="./z68-e-currency"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-close"/>
    <xsl:call-template name="directly-to-patron"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'事务类型:'"/>
          <xsl:with-param name="value" select="./z601-type"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算号:'"/>
          <xsl:with-param name="value" select="./z601-budget-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'打开日期:'"/>
          <xsl:with-param name="value" select="./z601-open-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'币种:'"/>
          <xsl:with-param name="value" select="./z601-currency"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'原始总额:'"/>
          <xsl:with-param name="value" select="./z601-original-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'本地总额:'"/>
          <xsl:with-param name="value" select="./z601-local-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##采访部'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN acq-serials-claim-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-01 (GRID)-->
    <xsl:for-each select="//section-01">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-01">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-01"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'连续出版物催询报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-01  (GRID)-->

<xsl:template name="section-01">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'订单号'"/>
          <xsl:with-param name="value" select="./z68-order-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'订购日期'"/>
          <xsl:with-param name="value" select="./z68-order-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z68-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'上次催询日期'"/>
          <xsl:with-param name="value" select="./last-claim-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预订起始日期'"/>
          <xsl:with-param name="value" select="./z68-subscription-date-from"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书商代码'"/>
          <xsl:with-param name="value" select="./z68-vendor-code"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN acq-subs-renewal-list.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--section-02 (FREE)-->
    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'预订续订清单'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##我们将向您续订以下期刊:"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
</xsl:template>
<!--SECTION-02  (FREE)-->
<xsl:template name="section-02">
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'文档号:'"/>
       <xsl:with-param name="value" select="./z68-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z68-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'册数:'"/>
       <xsl:with-param name="value" select="./z68-no-units"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'订单号:'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'加急:'"/>
       <xsl:with-param name="value" select="./z68-rush"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'备注:'"/>
       <xsl:with-param name="value" select="./z68-vendor-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书商参考号:'"/>
       <xsl:with-param name="value" select="./z68-vendor-reference-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'递送类型:'"/>
       <xsl:with-param name="value" select="./z68-delivery-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'数量备注:'"/>
       <xsl:with-param name="value" select="./z68-quantity-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'币种:'"/>
       <xsl:with-param name="value" select="./z68-e-currency"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'估计价格:'"/>
       <xsl:with-param name="value" select="./z68-e-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'先前预订起始日期:'"/>
       <xsl:with-param name="value" select="./z68-subscription-date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'先前预订截至日期:'"/>
       <xsl:with-param name="value" select="./z68-subscription-date-to"/>
    </xsl:call-template>
    <xsl:call-template name="directly-to-patron"/>
</xsl:template>
<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'总价格:'"/>
       <xsl:with-param name="value" select="./total-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'总册数:'"/>
       <xsl:with-param name="value" select="./total-no-units"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN acq_order-list-00-050518.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

<xsl:for-each select="//section-02">
        <xsl:call-template name="section-02"/>
</xsl:for-each>

<xsl:for-each select="//section-03">
        <xsl:call-template name="section-03"/>
</xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="' 国家图书馆 '"/>
    </xsl:call-template>
</xsl:template>
<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'***##----------------------------------'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-02">
<xsl:param name="header"/>
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'著者:'"/>
                <xsl:with-param name="value" select="./z13-author"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'题名:'"/>
                <xsl:with-param name="value" select="./z13-title"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'出版:'"/>
                <xsl:with-param name="value" select="./z13-imprint"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Isbn:'"/>
                <xsl:with-param name="value" select="./z13-isbn-issn"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'册数:'"/>
                <xsl:with-param name="value" select="./z68-no-units"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'货币:'"/>
                <xsl:with-param name="value" select="./z68-e-currency"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'单价:'"/>
                <xsl:with-param name="value" select="./z68-unit-price"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'RMB :'"/>
                <xsl:with-param name="value" select="./z68-e-local-price"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'分馆:'"/>
                <xsl:with-param name="value" select="./z68-sub-library"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="' 国图    书商:'"/>
                <xsl:with-param name="value" select="./z68-vendor-note"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'***##----------------------------------'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-03">
<xsl:param name="header"/>
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'总册数:'"/>
                <xsl:with-param name="value" select="./total-no-units"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'货币:'"/>
                <xsl:with-param name="value" select="./total-currency"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'总价:'"/>
                <xsl:with-param name="value" select="./total-price"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>

</xsl:stylesheet>
 
PKC_FILE_BEGIN alphabetize-headings.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->

    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->

    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'字顺标目报表'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<tr>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'标目索引'"/>
       <xsl:with-param name="value" select="./z01-acc-code"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'标目'"/>
       <xsl:with-param name="value" select="./z01-display-text"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'当前规范文本'"/>
       <xsl:with-param name="value" select="./z01-normalized-text"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'当前排档文本'"/>
       <xsl:with-param name="value" select="./z01-filing-text"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'新规范文本 '"/>
       <xsl:with-param name="value" select="./new-normalized-text"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'新排档文本'"/>
       <xsl:with-param name="value" select="./new-filing-text"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
</tr>
</xsl:template>

<!--SECTION-03  (FREE)-->

<xsl:template name="section-03">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'改变总行数:'"/>
       <xsl:with-param name="value" select="./total-lines-changed"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'打印总行数:'"/>
       <xsl:with-param name="value" select="./total-lines-printed"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN arrived-issues.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'记到期报表'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'起始日期:'"/>
       <xsl:with-param name="value" select="./date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'截至日期:'"/>
       <xsl:with-param name="value" select="./date-to"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'排序:'"/>
       <xsl:with-param name="value" select="./sorted-by"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'题名'"/>
          <xsl:with-param name="value" select="./z13-title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'ISBN/ISSN'"/>
          <xsl:with-param name="value" select="./z13-isbn-issn"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'出版社'"/>
          <xsl:with-param name="value" select="./z13-imprint"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'描述'"/>
          <xsl:with-param name="value" select="./z30-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'记到日期'"/>
          <xsl:with-param name="value" select="./z30-arrival-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN banner-export.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Banner输出'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'发票支付状态:'"/>
       <xsl:with-param name="value" select="./invoice-payment-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'授权组:'"/>
       <xsl:with-param name="value" select="./authorization-group"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'更改状态为:'"/>
       <xsl:with-param name="value" select="./change-status-to"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'截至日期:'"/>
       <xsl:with-param name="value" select="./date-to"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'更新数据库:'"/>
       <xsl:with-param name="value" select="./update-db"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'发票状态:'"/>
       <xsl:with-param name="value" select="./invoice-status"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Banner编码'"/>
          <xsl:with-param name="value" select="./sys-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'文档ID'"/>
          <xsl:with-param name="value" select="./file-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'外部书商号'"/>
          <xsl:with-param name="value" select="./vendor-code-ext"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书商代码'"/>
          <xsl:with-param name="value" select="./vendor-code-aleph"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书商名称'"/>
          <xsl:with-param name="value" select="./vendor-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'发票号'"/>
          <xsl:with-param name="value" select="./vendor-invoice-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'发票日期'"/>
          <xsl:with-param name="value" select="./invoice-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'净额'"/>
          <xsl:with-param name="value" select="./net-amount"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算'"/>
          <xsl:with-param name="value" select="./budget"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'总额'"/>
          <xsl:with-param name="value" select="./total-amount"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'货币'"/>
          <xsl:with-param name="value" select="./currency"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'外部预算'"/>
          <xsl:with-param name="value" select="./ext-budget"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'借方贷方'"/>
          <xsl:with-param name="value" select="./credit-debit"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN batch-serial-claim-letter-vendor.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'连续出版物催询信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##   我们订购的以下期刊还未收到 "'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"请尽快提供，或在以下表单中填写您的说明。"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'题名'"/>
          <xsl:with-param name="value" select="./z13-title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'描述'"/>
          <xsl:with-param name="value" select="./z30-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'出版日期'"/>
          <xsl:with-param name="value" select="./z30-issue-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'催询次数'"/>
          <xsl:with-param name="value" select="./last-claim-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'第一次催询日期'"/>
          <xsl:with-param name="value" select="./first-claim-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预计到达日期'"/>
          <xsl:with-param name="value" select="./z30-expected-arrival-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z16-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'参考号'"/>
          <xsl:with-param name="value" select="./z16-vendor-order-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'订单号'"/>
          <xsl:with-param name="value" select="./z16-order-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预订复本号'"/>
          <xsl:with-param name="value" select='concat(./z16-copy-sequence,"-",./z16-sequence)'/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>

   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN batch-serial-claim-letter.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'连续出版物催询信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##   下列订购的期刊还未收到。 "'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"请尽快提供，或在一下表单中填写您的说明。"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'描述'"/>
          <xsl:with-param name="value" select="./z30-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'出版日期'"/>
          <xsl:with-param name="value" select="./z30-issue-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预计到达日期'"/>
          <xsl:with-param name="value" select="./z30-expected-arrival-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z16-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'参考号'"/>
          <xsl:with-param name="value" select="./z16-vendor-order-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'订单号'"/>
          <xsl:with-param name="value" select="./z16-order-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预订复本号'"/>
          <xsl:with-param name="value" select='concat(./z16-copy-sequence,"-",./z16-sequence)'/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>

   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN batch-serial-expected-issues-reject.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'错误的期刊出版模式报告'"/>
 <!--      <xsl:with-param name="title" select="'Rejected Issue Pattern Report'"/>-->
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
    <xsl:param name="header"/>
    <xsl:if test="$header!=''">
        <xsl:call-template name="start-grid"/>
    </xsl:if>

    <xsl:call-template name="table-start-row"/>

    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'文档号'"/>
        <xsl:with-param name="value" select="./doc-number"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'模式'"/>
        <xsl:with-param name="value" select="./pattern"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'级别-X'"/>
        <xsl:with-param name="value" select="./level-x"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'错误描述'"/>
        <xsl:with-param name="value" select="./error-text"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>

    <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN batch-serial-expected-issues-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'预计出版期报告'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
    <xsl:param name="header"/>
    <xsl:if test="$header!=''">
        <xsl:call-template name="start-grid"/>
    </xsl:if>

    <xsl:call-template name="table-start-row"/>

    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'文档号'"/>
        <xsl:with-param name="value" select="./doc-number"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'出版模式'"/>
        <xsl:with-param name="value" select="./pattern"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'级别-X'"/>
        <xsl:with-param name="value" select="./level-x"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'预计出版的期'"/>
        <xsl:with-param name="value" select="./expected-issue"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'下一个级别-X'"/>
        <xsl:with-param name="value" select="./next-level-x"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN bl-error-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'BL格式错误报告'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'更新数据库:'"/>
       <xsl:with-param name="value" select="./update-database"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'客户ID:'"/>
       <xsl:with-param name="value" select="./customer-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'请求号'"/>
          <xsl:with-param name="value" select="./z41-request-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'文档号'"/>
          <xsl:with-param name="value" select="./z41-doc-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'请求类型'"/>
          <xsl:with-param name="value" select="./z41-requested-media"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目格式'"/>
          <xsl:with-param name="value" select="./bib-format"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN bor-card-label.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--/DIV-->
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'图书馆卡片'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'姓名:'"/>
       <xsl:with-param name="value" select="./z302-name"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'条码:'"/>
       <xsl:with-param name="value" select="./z308-key-data"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'条码:'"/>
       <xsl:with-param name="value" select="./z308-key-data"/>
       <xsl:with-param name="type" select="'barcode'"/>
    </xsl:call-template>

    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>


 
PKC_FILE_BEGIN bor-list-renew-all.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02">
           <xsl:with-param name="header" select="'header'"/>
       </xsl:call-template>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>




</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'续借列表'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header !='' ">
      <xsl:call-template name="bib-info-hdr"/>
  </xsl:if>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'应还日期'"/>
          <xsl:with-param name="value" select="./z36-due-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'描述'"/>
          <xsl:with-param name="value" select="./z30-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号1'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'续借信息'"/>
          <xsl:with-param name="value" select="./renew-errors"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'续借?'"/>
          <xsl:with-param name="value" select="./renew-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
        <xsl:if test="$header ='' ">
           <xsl:call-template name="table-open"/>
           <xsl:call-template name="grid-close"/>
           <xsl:call-template name="blank-line"/>
           <xsl:call-template name="blank-line"/>
        </xsl:if>

</xsl:template>
</xsl:stylesheet>


 
PKC_FILE_BEGIN bor-list.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


    <!--section-03 (GRID)-->
    <xsl:for-each select="//section-03">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-03">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-03"/>
    </xsl:for-each>


    <!--section-04 (GRID)-->
    <xsl:for-each select="//section-04">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-04">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-04"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'读者流通总结'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="blank-line"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="'外借'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'应还日期'"/>
          <xsl:with-param name="value" select="./z36-due-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'描述'"/>
          <xsl:with-param name="value" select="./z30-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号1'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="type" select="'barcode'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'代理ID'"/>
          <xsl:with-param name="value" select="./z36-proxy-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

    <!--SECTION-03  (GRID)-->

<xsl:template name="section-03">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="'预约请求'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'描述'"/>
          <xsl:with-param name="value" select="./z30-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号1'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'打开日期'"/>
          <xsl:with-param name="value" select="./z37-open-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'请求失效日期'"/>
          <xsl:with-param name="value" select="./z37-end-request-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

    <!--SECTION-04  (GRID)-->

<xsl:template name="section-04">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="'复印请求'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'卷'"/>
          <xsl:with-param name="value" select="./z38-enumeration-a"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'期'"/>
          <xsl:with-param name="value" select="./z38-enumeration-b"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'年'"/>
          <xsl:with-param name="value" select="./z38-chronological-i"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'月/季'"/>
          <xsl:with-param name="value" select="./z38-chronological-j"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'页数'"/>
          <xsl:with-param name="value" select="./z38-pages"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN bor-listi-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


    <!--section-03 (GRID)-->
    <xsl:for-each select="//section-03">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-03">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-03"/>
    </xsl:for-each>


    <!--section-04 (GRID)-->
    <xsl:for-each select="//section-04">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-04">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-04"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'读者流通总结'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="blank-line"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="'外借'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'应还日期'"/>
          <xsl:with-param name="value" select="./z36-due-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'描述'"/>
          <xsl:with-param name="value" select="./z30-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号1'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="type" select="'barcode'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'代理ID'"/>
          <xsl:with-param name="value" select="./z36-proxy-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

    <!--SECTION-03  (GRID)-->

<xsl:template name="section-03">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="'预约请求'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'描述'"/>
          <xsl:with-param name="value" select="./z30-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号1'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'打开日期'"/>
          <xsl:with-param name="value" select="./z37-open-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'请求失效日期'"/>
          <xsl:with-param name="value" select="./z37-end-request-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

    <!--SECTION-04  (GRID)-->

<xsl:template name="section-04">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="'复印请求'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'卷'"/>
          <xsl:with-param name="value" select="./z38-enumeration-a"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'期'"/>
          <xsl:with-param name="value" select="./z38-enumeration-b"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'年'"/>
          <xsl:with-param name="value" select="./z38-chronological-i"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'月/季'"/>
          <xsl:with-param name="value" select="./z38-chronological-j"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'页数'"/>
          <xsl:with-param name="value" select="./z38-pages"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN borrower-letter-a.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'给读者的信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##在此通知您，您有过期书刊未归还，并已产生一定费用。如果您继续忽视此通告，不尽快归还，我们将通知有关部门来处理。但是如果您在此信发出十天之内及时归还的话，我们可以考虑免除您本次的罚款。"'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"当您来图书馆处理此事时，请友好地向流通台工作人员出示此信。如果在此期间您已经归还了逾期书刊并交付罚款，请忽略此信。"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##流通部'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN borrower-letter-b.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'给读者的信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##我们已经发了好几封信通知您有逾期未还的书刊和罚款，如果您继续忽略此通知，我们将交付有关部门处理。但是，如果您在此信发出十天之内归还逾期书刊的话，我们可以考虑免除您本次的罚款。"'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"当您来图书馆处理此事时，请友好地向流通台工作人员出示此信。如果在此期间您已经归还了逾期书刊并交付罚款，请忽略此信。"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##流通部'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN borrower-letter-c.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'给读者的信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##在此通知您，您有未支付的罚款，请及时来馆办理。如果你仍然忽视此信，我们将交付有关部门处理。"'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"当您来图书馆处理此事时，请友好地向流通台工作人员出示此信。如果在此期间您已经交付了罚款，请忽略此信。"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##流通部'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN borrower-letter-d.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'给读者的信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##我们在此通知您，您所声明丢失的图书已经找到。对于您为此所交付的大部分费用，图书馆将予以返还。"'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"当您来图书馆处理此事时，请友好地向流通台工作人员出示此信。"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##流通部'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN borrower-list-report-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'借阅者列表报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
          <xsl:with-param name="value" select="./z303-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者姓名'"/>
          <xsl:with-param name="value" select="./z303-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'地址'"/>
          <xsl:with-param name="value" select='concat(./z304-address-0,"##",./z304-address-1,"##",./z304-address-2)'/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'电话号码'"/>
          <xsl:with-param name="value" select="./z304-telephone"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z305-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者状态'"/>
          <xsl:with-param name="value" select="./z305-bor-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN borrower-list-report-02.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'借阅者列表报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者条码'"/>
          <xsl:with-param name="value" select="./z308-key-data"/>
          <xsl:with-param name="type" select="'barcode'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者姓名'"/>
          <xsl:with-param name="value" select="./z303-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'电话号码'"/>
          <xsl:with-param name="value" select="./z304-telephone"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z305-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN borrower-list-report-99.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

<xsl:for-each select="//section-02">
        <xsl:call-template name="section-02"/>
</xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'读者证打印'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="section-02">
<xsl:param name="header"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-close"/>
   <xsl:call-template name="table-split-open"/>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'姓名:'"/>
                <xsl:with-param name="value" select="./z303-name"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'证号:'"/>
                <xsl:with-param name="value" select="./z303-id"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'单位:'"/>
                <xsl:with-param name="value" select="./z304-address-1"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen-split">
                <xsl:with-param name="label" select="'条码:'"/>
                <xsl:with-param name="value" select="./z308-key-data"/>
                <xsl:with-param name="type" select="'barcode'"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
   <xsl:call-template name="table-split-right"/>
   <xsl:call-template name="table-split-close"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="signature">
     <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'Created by Fucheng Shen on 2005-09-01'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN borrower-list-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'借阅者列表报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
          <xsl:with-param name="value" select="./z303-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者姓名'"/>
          <xsl:with-param name="value" select="./z303-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者头衔'"/>
          <xsl:with-param name="value" select="./z303-title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z305-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者证有效期'"/>
          <xsl:with-param name="value" select="./z305-expiry-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>

   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN budget-details.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


    <!--section-03 (GRID)-->
    <xsl:for-each select="//section-03">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-03">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-03"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'预算细节'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'预算号:'"/>
       <xsl:with-param name="value" select="./z76-budget-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'预算名称:'"/>
       <xsl:with-param name="value" select="./z76-name"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'状态:'"/>
       <xsl:with-param name="value" select="./z76-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'起始日期:'"/>
       <xsl:with-param name="value" select="./z76-valid-date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'截至日期:'"/>
       <xsl:with-param name="value" select="./z76-valid-date-to"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'部门:'"/>
       <xsl:with-param name="value" select="./z76-department"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释:'"/>
       <xsl:with-param name="value" select="./z76-note-1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释:'"/>
       <xsl:with-param name="value" select="./z76-note-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释:'"/>
       <xsl:with-param name="value" select="./z76-note-3"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释:'"/>
       <xsl:with-param name="value" select="./z76-note-4"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'日期'"/>
          <xsl:with-param name="value" select="./z601-open-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'类型'"/>
          <xsl:with-param name="value" select="./z601-type"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'金额'"/>
          <xsl:with-param name="value" select="./z601-local-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'用户ID'"/>
          <xsl:with-param name="value" select="./z601-user-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书商代码'"/>
          <xsl:with-param name="value" select="./z601-vendor-code"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'发票号'"/>
          <xsl:with-param name="value" select="./z601-invoice-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'订单号'"/>
          <xsl:with-param name="value" select="./order-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'已付'"/>
          <xsl:with-param name="value" select="./z601-paid"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

    <!--SECTION-03  (GRID)-->

<xsl:template name="section-03">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN budget-information.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--xsl:call-template name="blank-line"/-->

    <!--xsl:call-template name="blank-line"/-->

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (GRID)-->
    <xsl:for-each select="//section-03">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-03">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

    <!--xsl:call-template name="blank-line"/-->

    <!--section-04 (GRID)-->
    <xsl:for-each select="//section-04">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-04">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-04"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'预算信息'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="blank-line-first"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'预算代码:'"/>
       <xsl:with-param name="value" select="./z76-budget-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'预算名称:'"/>
       <xsl:with-param name="value" select="./z76-name"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'目预算:'"/>
       <xsl:with-param name="value" select="./z76-parent-budget-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'状态:'"/>
       <xsl:with-param name="value" select="./z76-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'有效期起:'"/>
       <xsl:with-param name="value" select="./z76-valid-date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'有效期止:'"/>
       <xsl:with-param name="value" select="./z76-valid-date-to"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'初始分配:'"/>
       <xsl:with-param name="value" select="./initial-allocation"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分配:'"/>
       <xsl:with-param name="value" select="./allocation"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'转下年:'"/>
       <xsl:with-param name="value" select="./carry-over"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'转移:'"/>
       <xsl:with-param name="value" select="./transferred"/>
        <xsl:with-param name="type" select="'right'"/>
   </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'预支:'"/>
       <xsl:with-param name="value" select="./encumbrances"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'发票:'"/>
       <xsl:with-param name="value" select="./invoices"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'已付款:'"/>
       <xsl:with-param name="value" select="./payments"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'发票-VAT:'"/>
       <xsl:with-param name="value" select="./invoices-vat"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'已付款-VAT:'"/>
       <xsl:with-param name="value" select="./payments-vat"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'自由结余:'"/>
       <xsl:with-param name="value" select="./free-balance"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'实际结余:'"/>
       <xsl:with-param name="value" select="./actual-balance"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'支出+预支:'"/>
       <xsl:with-param name="value" select="./percent-commitment"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'预支:'"/>
       <xsl:with-param name="value" select="./percent-expenditure"/>
        <xsl:with-param name="type" select="'right'"/>
   </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'超支（含预支）:'"/>
       <xsl:with-param name="value" select="./over-commitment"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'支出超支:'"/>
       <xsl:with-param name="value" select="./over-expenditure"/>
        <xsl:with-param name="type" select="'right'"/>
   </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
          <xsl:with-param name="width" select="'80%'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算'"/>
          <xsl:with-param name="value" select="./budgets"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>




    <!--SECTION-03  (GRID)-->

<xsl:template name="section-03">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
          <xsl:with-param name="width" select="'15%'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

    <!--SECTION-04  (GRID)-->

<xsl:template name="section-04">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="'对象代码'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'类型'"/>
          <xsl:with-param name="value" select="./type"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'已付'"/>
          <xsl:with-param name="value" select="./paid"/>
           <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
      </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'未付'"/>
          <xsl:with-param name="value" select="./not-paid"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN budget-statuses-hierarchy.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-02 (GRID)-->
    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'预算总结'"/>
    </xsl:call-template>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<tr>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'预算代码'"/>
       <xsl:with-param name="value" select="./z76-budget-number-indented"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'预算名称'"/>
       <xsl:with-param name="value" select="./z76-name"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'初始分配'"/>
       <xsl:with-param name="value" select="./initial-allocation"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'分配'"/>
       <xsl:with-param name="value" select="./allocation"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'转下年'"/>
       <xsl:with-param name="value" select="./carry-over"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'转移'"/>
       <xsl:with-param name="value" select="./transferred"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'预支'"/>
       <xsl:with-param name="value" select="./encumbrances"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'发票'"/>
       <xsl:with-param name="value" select="./invoices"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'支付'"/>
       <xsl:with-param name="value" select="./payments"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'发票-VAT'"/>
       <xsl:with-param name="value" select="./invoices-vat"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'支付-VAT'"/>
       <xsl:with-param name="value" select="./payments-vat"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'实际余额'"/>
       <xsl:with-param name="value" select="./actual-balance"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'自由余额'"/>
       <xsl:with-param name="value" select="./free-balance"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
</tr>
</xsl:template>


<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
    <xsl:call-template name="table-open"/>

    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'总预算:'"/>
       <xsl:with-param name="value" select="./tot-budgets"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'追加预算:'"/>
       <xsl:with-param name="value" select="./tot-expanded-budgets"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="horizontal-line"/>
    <xsl:call-template name="blank-line"/>

    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'初始分配:'"/>
       <xsl:with-param name="value" select="./initial-allocation"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分配:'"/>
       <xsl:with-param name="value" select="./allocation"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'转下年:'"/>
       <xsl:with-param name="value" select="./carry-over"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'转移:'"/>
       <xsl:with-param name="value" select="./transferred"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'预支:'"/>
       <xsl:with-param name="value" select="./encumbrances"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'发票:'"/>
       <xsl:with-param name="value" select="./invoices"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'支付:'"/>
       <xsl:with-param name="value" select="./payments"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'发票-VAT:'"/>
       <xsl:with-param name="value" select="./invoices-vat"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'支付-VAT:'"/>
       <xsl:with-param name="value" select="./payments-vat"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'实际余额:'"/>
       <xsl:with-param name="value" select="./actual-balance"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'自由余额:'"/>
       <xsl:with-param name="value" select="./free-balance"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN budget-statuses.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-02 (FREE)-->
    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'预算总结'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-02  (FREE)-->
<xsl:template name="section-02">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'预算代码:'"/>
       <xsl:with-param name="value" select="./z76-budget-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'预算名称:'"/>
       <xsl:with-param name="value" select="./z76-name"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'状态:'"/>
       <xsl:with-param name="value" select="./z76-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'有效期起:'"/>
       <xsl:with-param name="value" select="./z76-valid-date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'有效期止:'"/>
       <xsl:with-param name="value" select="./z76-valid-date-to"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'初始分配:'"/>
       <xsl:with-param name="value" select="./initial-allocation"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分配:'"/>
       <xsl:with-param name="value" select="./allocation"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'转下年:'"/>
       <xsl:with-param name="value" select="./carry-over"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'转移:'"/>
       <xsl:with-param name="value" select="./transferred"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'预支:'"/>
       <xsl:with-param name="value" select="./encumbrances"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'发票:'"/>
       <xsl:with-param name="value" select="./invoices"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'支付:'"/>
       <xsl:with-param name="value" select="./payments"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'发票-VAT:'"/>
       <xsl:with-param name="value" select="./invoices-vat"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'支付-VAT:'"/>
       <xsl:with-param name="value" select="./payments-vat"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'实际余额:'"/>
       <xsl:with-param name="value" select="./actual-balance"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'自由余额:'"/>
       <xsl:with-param name="value" select="./free-balance"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'最大超支（含预支）:'"/>
       <xsl:with-param name="value" select="./max-over-commitment"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'最大支出超支:'"/>
       <xsl:with-param name="value" select="./max-over-expenditure"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./sub-libraries"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'包含预算:'"/>
       <xsl:with-param name="value" select="./included-budgets"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="budget-paid-unpaid"/>
    <xsl:call-template name="horizontal-line"/>
</xsl:template>
<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'总预算:'"/>
       <xsl:with-param name="value" select="./tot-budgets"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="horizontal-line"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'初始分配:'"/>
       <xsl:with-param name="value" select="./initial-allocation"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分配:'"/>
       <xsl:with-param name="value" select="./allocation"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'转下年:'"/>
       <xsl:with-param name="value" select="./carry-over"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'传递:'"/>
       <xsl:with-param name="value" select="./transferred"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'预支:'"/>
       <xsl:with-param name="value" select="./encumbrances"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'发票:'"/>
       <xsl:with-param name="value" select="./invoices"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'支付:'"/>
       <xsl:with-param name="value" select="./payments"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'发票-VAT:'"/>
       <xsl:with-param name="value" select="./invoices-vat"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'支付-VAT:'"/>
       <xsl:with-param name="value" select="./payments-vat"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'真是余额:'"/>
       <xsl:with-param name="value" select="./actual-balance"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'自由余额:'"/>
       <xsl:with-param name="value" select="./free-balance"/>
    </xsl:call-template>

    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN build-and-correct-vat-00.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

    <xsl:for-each select="//section-02">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'创建\更新VAT报告'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'起始日期:'"/>
                <xsl:with-param name="value" select="./form-date"/>
        </xsl:call-template>
<xsl:call-template name="table-close"/>
<xsl:call-template name="table-open-full"/>
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="section-02">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="''"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'读者ID:'"/>
                <xsl:with-param name="value" select="./z31-id"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'序列号:'"/>
                <xsl:with-param name="value" select="./z31-sequence"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'日期:'"/>
                <xsl:with-param name="value" select="./z31-date"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'状态:'"/>
                <xsl:with-param name="value" select="./z31-status"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'借方贷方:'"/>
                <xsl:with-param name="value" select="./z31-credit-debit"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'类型:'"/>
                <xsl:with-param name="value" select="./z31-type"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'总额:'"/>
                <xsl:with-param name="value" select="./z31-sum"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Vat总额:'"/>
                <xsl:with-param name="value" select="./z31-vat-sum"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'净额:'"/>
                <xsl:with-param name="value" select="./z31-net-sum"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>
 
PKC_FILE_BEGIN bursar-export-patron-report-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'现金导出读者报告'"/>
    </xsl:call-template>
</xsl:template>

     <!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'批号:'"/>
       <xsl:with-param name="value" select="./batch-number"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <tr>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者姓名'"/>
          <xsl:with-param name="value" select="./z303-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'电话'"/>
          <xsl:with-param name="value" select="./z304-telephone"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'主库'"/>
          <xsl:with-param name="value" select="./z303-home-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
          <xsl:with-param name="value" select="./z303-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者地址1'"/>
          <xsl:with-param name="value" select="./z304-address-1"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者地址2'"/>
          <xsl:with-param name="value" select="./z304-address-2"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者地址3'"/>
          <xsl:with-param name="value" select="./z304-address-3"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'邮编'"/>
          <xsl:with-param name="value" select="./z304-zip"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   </tr>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN bursar-export-patron-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'现金导出读者报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <tr>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'主库'"/>
          <xsl:with-param name="value" select="./z303-home-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
          <xsl:with-param name="value" select="./z303-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者姓名'"/>
          <xsl:with-param name="value" select="./z303-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者头衔'"/>
          <xsl:with-param name="value" select="./z303-title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   </tr>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN bursar-export-report-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'现金导出报告'"/>
    </xsl:call-template>
</xsl:template>

     <!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'批号:'"/>
       <xsl:with-param name="value" select="./batch-number"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <tr>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
          <xsl:with-param name="value" select="./z303-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者姓名'"/>
          <xsl:with-param name="value" select="./z303-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z31-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'日期'"/>
          <xsl:with-param name="value" select="./z31-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'事务类型'"/>
          <xsl:with-param name="value" select="./z31-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'总额'"/>
          <xsl:with-param name="value" select="./z31-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'借方/贷方'"/>
          <xsl:with-param name="value" select="./z31-credit-debit"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   </tr>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN bursar-export-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'现金导出报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <tr>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
          <xsl:with-param name="value" select="./z303-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'日期'"/>
          <xsl:with-param name="value" select="./z31-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'事务类型'"/>
          <xsl:with-param name="value" select="./z31-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'总额'"/>
          <xsl:with-param name="value" select="./z31-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   </tr>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN cash-export.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'现金输出'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Aleph Id'"/>
          <xsl:with-param name="value" select="./z303-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'姓名'"/>
          <xsl:with-param name="value" select="./z303-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'附加键类型'"/>
          <xsl:with-param name="value" select="./z308-key-type"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'附加键'"/>
          <xsl:with-param name="value" select="./z308-key-data"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Z31序列'"/>
          <xsl:with-param name="value" select="./z31-sequence"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'总额'"/>
          <xsl:with-param name="value" select="./z31-sum"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'总数'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN cash-import.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'现金输入'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'z31-id'"/>
          <xsl:with-param name="value" select="./z31-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'z31-序列号'"/>
          <xsl:with-param name="value" select="./z31-sequence"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'z31-总额'"/>
          <xsl:with-param name="value" select="./z31-sum"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'z31-付款日期'"/>
          <xsl:with-param name="value" select="./z31-payment-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'z31-付款时间'"/>
          <xsl:with-param name="value" select="./z31-payment-hour"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'z31-付款编目员'"/>
          <xsl:with-param name="value" select="./z31-payment-cataloger"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'错误代码'"/>
          <xsl:with-param name="value" select="./error-code"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
      <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'错误文本'"/>
          <xsl:with-param name="value" select="./error-text"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN cash-line-details.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--/DIV-->
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'单笔现金事务明细'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'日期:'"/>
       <xsl:with-param name="value" select="./z31-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'状态:'"/>
       <xsl:with-param name="value" select="./z31-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'类型:'"/>
       <xsl:with-param name="value" select="./z31-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'事务:'"/>
       <xsl:with-param name="value" select="./z31-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆 :'"/>
       <xsl:with-param name="value" select="./z31-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'支付对象:'"/>
       <xsl:with-param name="value" select="./z31-payment-target"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'总额:'"/>
       <xsl:with-param name="value" select="./z31-sum"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'净额:'"/>
       <xsl:with-param name="value" select="./z31-net-sum"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'总额GST:'"/>
       <xsl:with-param name="value" select="./z31-vat-sum"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'馆藏地:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号:'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号2:'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'付款日期:'"/>
       <xsl:with-param name="value" select="./z31-payment-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'付款IP地址:'"/>
       <xsl:with-param name="value" select="./z31-payment-ip"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'收据号:'"/>
       <xsl:with-param name="value" select="./z31-payment-receipt-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'ADM记录号:'"/>
       <xsl:with-param name="value" select="./adm-rec-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'编目员:'"/>
       <xsl:with-param name="value" select="./z31-payment-cataloger"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN cash-pay-receipt-pay.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'现金收据'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("共收到", //sum, "  人民币，由",//z302-name, " 读者交付:")'/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'收据号:'"/>
       <xsl:with-param name="value" select="./receipt-number"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'日期'"/>
          <xsl:with-param name="value" select="./z31-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'金额'"/>
          <xsl:with-param name="value" select="./z31-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'事务类型'"/>
          <xsl:with-param name="value" select="./z31-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册信息'"/>
          <xsl:with-param name="value" select="concat(./z30-sub-library, '##', ./z30-collection, '##Temp. Location: ', ./z30-temp-location, '##', ./z30-item-status, '##', ./z30-barcode, '##', ./z30-description)"/>
          <xsl:with-param name="header" select="$header"/>
          <xsl:with-param name="type" select="'bib-info'"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>


 
PKC_FILE_BEGIN cash-pay-receipt-refund.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'现金收据'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("共收到 ", //sum, " 人民币，来自", //z302-name, ".####" )'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='" 签名 ______________________________##"'/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'收据号:'"/>
       <xsl:with-param name="value" select="./receipt-number"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'日期'"/>
          <xsl:with-param name="value" select="./z31-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'金额'"/>
          <xsl:with-param name="value" select="./z31-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'事务类型'"/>
          <xsl:with-param name="value" select="./z31-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册信息'"/>
          <xsl:with-param name="value" select="concat(./z30-sub-library, '##', ./z30-collection, '##Temp. Location: ', ./z30-temp-location, '##', ./z30-item-status, '##', ./z30-barcode, '##', ./z30-description)"/>
          <xsl:with-param name="header" select="$header"/>
          <xsl:with-param name="type" select="'bib-info'"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN cash-pay-receipt-waive-debit.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'现金收据'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("为",//z302-name,"读者免除", //sum, " 人民币债务")'/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'收据号:'"/>
       <xsl:with-param name="value" select="./receipt-number"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'日期'"/>
          <xsl:with-param name="value" select="./z31-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'金额'"/>
          <xsl:with-param name="value" select="./z31-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'事务类型'"/>
          <xsl:with-param name="value" select="./z31-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册信息'"/>
          <xsl:with-param name="value" select="concat(./z30-sub-library, '##', ./z30-collection, '##Temp. Location: ', ./z30-temp-location, '##', ./z30-item-status, '##', ./z30-barcode, '##', ./z30-description)"/>
          <xsl:with-param name="header" select="$header"/>
          <xsl:with-param name="type" select="'bib-info'"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN cash-site-payment.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'工作站收费报告'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'员工姓名:'"/>
       <xsl:with-param name="value" select="./cataloger"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'起始日期:'"/>
       <xsl:with-param name="value" select="./from-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'截止日期:'"/>
       <xsl:with-param name="value" select="./to-date"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'收款员'"/>
          <xsl:with-param name="value" select="./z31-payment-cataloger"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'收据号'"/>
          <xsl:with-param name="value" select="./z31-payment-receipt-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'状态'"/>
          <xsl:with-param name="value" select="./z31-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'日期'"/>
          <xsl:with-param name="value" select="./z31-payment-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
          <xsl:with-param name="value" select="./z31-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'描述'"/>
          <xsl:with-param name="value" select="./z31-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'债务'"/>
          <xsl:with-param name="value" select="./debit"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
        <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'债务（净额）'"/>
          <xsl:with-param name="value" select="./debit-net"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
        <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'债务(VAT)'"/>
          <xsl:with-param name="value" select="./debit-vat"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'存款'"/>
          <xsl:with-param name="value" select="./credit"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'存款(净额)'"/>
          <xsl:with-param name="value" select="./credit-net"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'存款(VAT)'"/>
          <xsl:with-param name="value" select="./credit-vat"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'借方总额:'"/>
       <xsl:with-param name="value" select="./total-debit"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'借方(净额):'"/>
       <xsl:with-param name="value" select="./total-debit-net"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'借方(VAT):'"/>
       <xsl:with-param name="value" select="./total-debit-vat"/>
    </xsl:call-template>

    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'贷方总额:'"/>
       <xsl:with-param name="value" select="./total-credit"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'贷方(净额):'"/>
       <xsl:with-param name="value" select="./total-credit-net"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'贷方(VAT):'"/>
       <xsl:with-param name="value" select="./total-credit-vat"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN cash-summary.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'现金总结'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'日期'"/>
          <xsl:with-param name="value" select="./z31-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'金额'"/>
          <xsl:with-param name="value" select="./z31-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'事务类型'"/>
          <xsl:with-param name="value" select="./z31-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'状态'"/>
          <xsl:with-param name="value" select="./z31-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'总额:'"/>
       <xsl:with-param name="value" select="./total-sum"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN cash-transaction-report-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'现金事务报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
          <xsl:with-param name="value" select="./z302-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者姓名'"/>
          <xsl:with-param name="value" select="./z302-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'日期'"/>
          <xsl:with-param name="value" select="./z31-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'事务类型'"/>
          <xsl:with-param name="value" select="./z31-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z31-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'借方'"/>
          <xsl:with-param name="value" select="./credit"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'贷方'"/>
          <xsl:with-param name="value" select="./debit"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'结余'"/>
          <xsl:with-param name="value" select="./balance"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN cash-transaction-report-02.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'现金事务报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
          <xsl:with-param name="value" select="./z302-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者姓名'"/>
          <xsl:with-param name="value" select="./z302-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'结余'"/>
          <xsl:with-param name="value" select="./balance"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN cash-transaction-report-03.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'现金事务报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'日期'"/>
          <xsl:with-param name="value" select="./z31-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'事务类型'"/>
          <xsl:with-param name="value" select="./z31-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'结余'"/>
          <xsl:with-param name="value" select="./balance"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN cash-transaction-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'现金事务报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
          <xsl:with-param name="value" select="./z302-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'日期'"/>
          <xsl:with-param name="value" select="./z31-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'事务类型'"/>
          <xsl:with-param name="value" select="./z31-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'借方'"/>
          <xsl:with-param name="value" select="./credit"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'贷方'"/>
          <xsl:with-param name="value" select="./debit"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'结余'"/>
          <xsl:with-param name="value" select="./balance"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN cash-user-letter.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (FREE)-->

    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->

    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'读者交费信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'salutation_string####以下是未付事务的列表, 包括您欠图书馆的未付款 (借方), 和您在图书馆的存款(贷方).##我们已经通知我们的财务部门处理这些事务，##请联系他们并结清您的欠款。'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-02  (FREE)-->

<xsl:template name="section-02">
    <xsl:call-template name="horizontal-line"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'作者:'"/>
       <xsl:with-param name="value" select="./z13-author"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'题名:'"/>
       <xsl:with-param name="value" select="./z13-title"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'事务类型:'"/>
       <xsl:with-param name="value" select="./z31-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'金额:'"/>
       <xsl:with-param name="value" select="./z31-sum"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'馆藏地:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号.:'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'卷:'"/>
       <xsl:with-param name="value" select="./z30-enumeration-a"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'复本号:'"/>
       <xsl:with-param name="value" select="./z30-copy-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册状态:'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'条码:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'借阅日期:'"/>
       <xsl:with-param name="value" select="./z36-loan-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'借阅时间:'"/>
       <xsl:with-param name="value" select="./z36-loan-hour"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'应还日期:'"/>
       <xsl:with-param name="value" select="./z36-due-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'应还时间:'"/>
       <xsl:with-param name="value" select="./z36-due-hour"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'初始应还日期:'"/>
       <xsl:with-param name="value" select="./z36-original-due-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'归还日期:'"/>
       <xsl:with-param name="value" select="./z36-returned-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'归还时间:'"/>
       <xsl:with-param name="value" select="./z36-returned-hour"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'催还应还日期:'"/>
       <xsl:with-param name="value" select="./z36-recall-due-date"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-03  (FREE)-->

<xsl:template name="section-03">
    <xsl:call-template name="horizontal-line"/>
    <xsl:call-template name="horizontal-line"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'总额:'"/>
       <xsl:with-param name="value" select="./total-sum"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
<xsl:template name="signature">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'####流通部'"/>
    </xsl:call-template>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN catalog-index.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'目录索引'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'文本:'"/>
                <xsl:with-param name="value" select="./text"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'编号:'"/>
                <xsl:with-param name="value" select="./numbers"/>
        </xsl:call-template>
<xsl:call-template name="table-close"/>
<xsl:call-template name="horizontal-line"/>
<xsl:call-template name="table-open-full"/>
        <xsl:call-template name="table-close"/>
</xsl:template>

</xsl:stylesheet>
 
PKC_FILE_BEGIN catalog-print-np-headings.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->

    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'打印目录'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'目录类型:'"/>
       <xsl:with-param name="value" select="./catalog-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'起始文本:'"/>
       <xsl:with-param name="value" select="./start-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'截止文本:'"/>
       <xsl:with-param name="value" select="./end-text"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Acc文本'"/>
          <xsl:with-param name="value" select="./acc-text"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Acc文档'"/>
          <xsl:with-param name="value" select="./acc-documents"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
<xsl:template name="signature">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="''"/>
    </xsl:call-template>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN catalog-print.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'目录打印-字段名格式'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'包括参见:'"/>
       <xsl:with-param name="value" select="./reference-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'目录类型:'"/>
       <xsl:with-param name="value" select="./catalog-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'截至文本:'"/>
       <xsl:with-param name="value" select="./end-text"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'字段名'"/>
          <xsl:with-param name="value" select="./col1"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'数据'"/>
          <xsl:with-param name="value" select="./col2"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN catalog-records-columnar.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'打印目录-表格式'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
      <xsl:variable name="v1" select="./data-1"/>
      <xsl:variable name="v2" select="./data-2"/>
      <xsl:variable name="v3" select="./data-3"/>
      <xsl:variable name="v4" select="./data-4"/>
      <xsl:variable name="v5" select="./data-5"/>
      <xsl:variable name="v6" select="./data-6"/>

      <xsl:if test="concat($v1, $v2, $v3, $v4, $v5, $v6) != ''">

              <xsl:call-template name="open-row-cond">
                  <xsl:with-param name="display" select="concat($v1, $v2, $v3, $v4, $v5, $v6)"/>
                  <xsl:with-param name="header" select="$header"/>
              </xsl:call-template>

              <xsl:call-template name="display-grid-currency">
                  <xsl:with-param name="label" select="./title-1"/>
                  <xsl:with-param name="value" select="./data-1"/>
                  <xsl:with-param name="display" select="./title-1"/>
                  <xsl:with-param name="header" select="$header"/>
               </xsl:call-template>
               <xsl:call-template name="display-grid-currency">
                  <xsl:with-param name="label" select="./title-2"/>
                  <xsl:with-param name="value" select="./data-2"/>
                  <xsl:with-param name="display" select="./title-2"/>
                  <xsl:with-param name="header" select="$header"/>
               </xsl:call-template>
               <xsl:call-template name="display-grid-currency">
                  <xsl:with-param name="label" select="./title-3"/>
                  <xsl:with-param name="value" select="./data-3"/>
                  <xsl:with-param name="display" select="./title-3"/>
                  <xsl:with-param name="header" select="$header"/>
               </xsl:call-template>
               <xsl:call-template name="display-grid-currency">
                  <xsl:with-param name="label" select="./title-4"/>
                  <xsl:with-param name="value" select="./data-4"/>
                  <xsl:with-param name="display" select="./title-4"/>
                  <xsl:with-param name="header" select="$header"/>
               </xsl:call-template>
               <xsl:call-template name="display-grid-currency">
                  <xsl:with-param name="label" select="./title-5"/>
                  <xsl:with-param name="value" select="./data-5"/>
                  <xsl:with-param name="display" select="./title-5"/>
                  <xsl:with-param name="header" select="$header"/>
               </xsl:call-template>
               <xsl:call-template name="display-grid-currency">
                  <xsl:with-param name="label" select="./title-6"/>
                  <xsl:with-param name="value" select="./data-6"/>
                  <xsl:with-param name="display" select="./title-6"/>
                  <xsl:with-param name="header" select="$header"/>
               </xsl:call-template>

               <xsl:call-template name="close-row-cond">
                  <xsl:with-param name="display" select="concat($v1, $v2, $v3, $v4, $v5, $v6)"/>
                  <xsl:with-param name="header" select="$header"/>
               </xsl:call-template>
      </xsl:if>
</xsl:template>
</xsl:stylesheet>



 
PKC_FILE_BEGIN catalog-records-custom-002.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>


    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'打印书目-字段名格式'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'字段名'"/>
          <xsl:with-param name="value" select="./col1"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'数据'"/>
          <xsl:with-param name="value" select="./col2"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN catalog-records-custom.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>


    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'打印目录- MARC格式'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'MARC字段'"/>
          <xsl:with-param name="value" select="./col1"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'数据'"/>
          <xsl:with-param name="value" select="./col2"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN claimed-returned-items-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

    <xsl:for-each select="//section-02">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

<xsl:for-each select="//section-03">
        <xsl:call-template name="section-03"/>
</xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'催询归还单册报告'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'起始日期:'"/>
                <xsl:with-param name="value" select="./from-date"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'截止日期:'"/>
                <xsl:with-param name="value" select="./to-date"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'单册状态:'"/>
                <xsl:with-param name="value" select="./item-status"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'读者状态:'"/>
                <xsl:with-param name="value" select="./borrower-status"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'排序:'"/>
                <xsl:with-param name="value" select="./sorted-by"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="section-02">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="''"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'读者ID:'"/>
                <xsl:with-param name="value" select="./patron-id"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'读者姓名:'"/>
                <xsl:with-param name="value" select="./patron-name"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'单册条码:'"/>
                <xsl:with-param name="value" select="./item-barcode"/>
                <xsl:with-param name="header" select="$header"/>
                <xsl:with-param name="type" select="'barcode'"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'分馆:'"/>
                <xsl:with-param name="value" select="./sub-library"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'索书号:'"/>
                <xsl:with-param name="value" select="./call-no"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>


<xsl:template name="section-03">
<xsl:param name="header"/>
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'催询次数:'"/>
                <xsl:with-param name="value" select="./no-of-claims"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>

</xsl:stylesheet>
 
PKC_FILE_BEGIN copy-info.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--/DIV-->
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'预订信息'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'文档号:'"/>
       <xsl:with-param name="value" select="./z16-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z16-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'起始日期:'"/>
       <xsl:with-param name="value" select="./z16-copy-from-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'截止日期:'"/>
       <xsl:with-param name="value" select="./z16-copy-to-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'递送类型:'"/>
       <xsl:with-param name="value" select="./z16-delivery-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'催询:'"/>
       <xsl:with-param name="value" select="./z16-claim"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'第一次催询/延迟:'"/>
       <xsl:with-param name="value" select="./z16-delay"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'第二次催询:'"/>
       <xsl:with-param name="value" select="./z16-claim-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'第三次催询:'"/>
       <xsl:with-param name="value" select="./z16-claim-3"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'第四次催询:'"/>
       <xsl:with-param name="value" select="./z16-claim-4"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释:'"/>
       <xsl:with-param name="value" select="./z16-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'登到注释:'"/>
       <xsl:with-param name="value" select="./z16-check-in-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'目标ID:'"/>
       <xsl:with-param name="value" select="./z16-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'用户姓名:'"/>
       <xsl:with-param name="value" select="./z302-name"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册状态:'"/>
       <xsl:with-param name="value" select="./z16-item-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'馆藏地:'"/>
       <xsl:with-param name="value" select="./z16-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'地点:'"/>
       <xsl:with-param name="value" select="./z16-location"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'标签:'"/>
       <xsl:with-param name="value" select="./z16-label"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'撤销装订:'"/>
       <xsl:with-param name="value" select="./z16-discard-bind"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'直接传递:'"/>
       <xsl:with-param name="value" select="./z16-direct-delivery"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书商订单号:'"/>
       <xsl:with-param name="value" select="./z16-vendor-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书商代码:'"/>
       <xsl:with-param name="value" select="./z16-vendor-code"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书商名称:'"/>
       <xsl:with-param name="value" select="./z70-vendor-name"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN course-inactive-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'连接到非激活课程的阅读列表'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'题名'"/>
          <xsl:with-param name="value" select="./z13-title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'当前位置'"/>
          <xsl:with-param name="value" select="./call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'课程名称'"/>
          <xsl:with-param name="value" select="./z108-course-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'当前分馆'"/>
          <xsl:with-param name="value" select="./sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'初始分馆'"/>
          <xsl:with-param name="value" select="./orig-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'课程代码'"/>
          <xsl:with-param name="value" select="./z108-course-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>


 
PKC_FILE_BEGIN course-inactive.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'连接到未激活课程的阅读列表'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'题名'"/>
          <xsl:with-param name="value" select="./z13-title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'当前位置'"/>
          <xsl:with-param name="value" select="./call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'当前分馆'"/>
          <xsl:with-param name="value" select="./orig-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'原始位置'"/>
          <xsl:with-param name="value" select="./orig-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN course-pickup-list-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'课程阅读取书列表'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'题名'"/>
          <xsl:with-param name="value" select="./z13-title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'描述'"/>
          <xsl:with-param name="value" select="./z30-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册状态'"/>
          <xsl:with-param name="value" select="./z30-item-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN course-pickup-list-02.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'课程阅读取书列表'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'题名'"/>
          <xsl:with-param name="value" select="./z13-title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'课程名称'"/>
          <xsl:with-param name="value" select="./z108-course-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'课程编号'"/>
          <xsl:with-param name="value" select="./z108-course-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN course-pickup-list.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'课程阅读取书列表'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'题名'"/>
          <xsl:with-param name="value" select="./z13-title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预约状态'"/>
          <xsl:with-param name="value" select="./hold-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'外借状态'"/>
          <xsl:with-param name="value" select="./z36-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN cash-pay-receipt-pay-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header1"/>

    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (FREE)-->
    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header1">
    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"  STYLE="font-size: 12pt; font-family: Arial" ALIGN="CENTER">
                  <b><xsl:value-of select="'国家图书馆'"/><br/></b>
    </td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"  STYLE="font-size: 12pt; font-family: Arial" ALIGN="CENTER">
                  <b><xsl:value-of select="'中文第二外借库逾期收款单'"/><br/></b>
    </td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"  STYLE="font-size: 12pt; font-family: Arial" ALIGN="CENTER">
                  <b><xsl:value-of select="'柜台核对 盖章有效'"/><br/></b>
    </td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="patron-name"/>
    <xsl:call-template name="generic-line">
        <xsl:with-param name="line" select='concat("总计： ", //sum)'/>
        <xsl:with-param name="style" select="'bold'"/>
    </xsl:call-template>
</xsl:template>

    <!--SECTION-02  (FREE)-->

<xsl:template name="section-02">
           <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'书名:'"/>
                <xsl:with-param name="value" select="./bib-info"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
        <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'条码号:'"/>
                <xsl:with-param name="value" select="./z30-barcode"/>
                <xsl:with-param name="width" select="'25%'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'描述:'"/>
                <xsl:with-param name="value" select="./z31-description"/>
        </xsl:call-template>
    <!--xsl:call-template name="display-gen"-->
                <!--xsl:with-param name="label" select="'金额:'"/-->
                <!--xsl:with-param name="value" select="./z31-sum"/-->
        <!--/xsl:call-template-->
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'日期:'"/>
                <xsl:with-param name="value" select="./z31-date"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>

</xsl:template>
</xsl:stylesheet>


 
PKC_FILE_BEGIN cash-pay-receipt-pay-00.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header1"/>

    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (FREE)-->
    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header1">
    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"  STYLE="font-size: 12pt; font-family: Arial" ALIGN="CENTER">
                  <b><xsl:value-of select="'国家图书馆'"/><br/></b>
    </td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"  STYLE="font-size: 12pt; font-family: Arial" ALIGN="CENTER">
                  <b><xsl:value-of select="'中文第一外借库逾期收款单'"/><br/></b>
    </td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"  STYLE="font-size: 12pt; font-family: Arial" ALIGN="CENTER">
                  <b><xsl:value-of select="'柜台核对 盖章有效'"/><br/></b>
    </td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="patron-name"/>
    <xsl:call-template name="generic-line">
        <xsl:with-param name="line" select='concat("总计： ", //sum)'/>
        <xsl:with-param name="style" select="'bold'"/>
    </xsl:call-template>
</xsl:template>

    <!--SECTION-02  (FREE)-->

<xsl:template name="section-02">
           <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'书名:'"/>
                <xsl:with-param name="value" select="./bib-info"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
        <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'条码号:'"/>
                <xsl:with-param name="value" select="./z30-barcode"/>
                <xsl:with-param name="width" select="'25%'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'描述:'"/>
                <xsl:with-param name="value" select="./z31-description"/>
        </xsl:call-template>
    <!--xsl:call-template name="display-gen"-->
                <!--xsl:with-param name="label" select="'金额:'"/-->
                <!--xsl:with-param name="value" select="./z31-sum"/-->
        <!--/xsl:call-template-->
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'日期:'"/>
                <xsl:with-param name="value" select="./z31-date"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>

</xsl:template>
</xsl:stylesheet>


 
PKC_FILE_BEGIN cash-pay-receipt-pay-02.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header1"/>

    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (FREE)-->
    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header1">
    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"  STYLE="font-size: 12pt; font-family: Arial" ALIGN="CENTER">
                  <b><xsl:value-of select="'国家图书馆'"/><br/></b>
    </td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"  STYLE="font-size: 12pt; font-family: Arial" ALIGN="CENTER">
                  <b><xsl:value-of select="'学位论文阅览室逾期收款单'"/><br/></b>
    </td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"  STYLE="font-size: 12pt; font-family: Arial" ALIGN="CENTER">
                  <b><xsl:value-of select="'柜台核对 盖章有效'"/><br/></b>
    </td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="patron-name"/>
    <xsl:call-template name="generic-line">
        <xsl:with-param name="line" select='concat("总计： ", //sum)'/>
        <xsl:with-param name="style" select="'bold'"/>
    </xsl:call-template>
</xsl:template>

    <!--SECTION-02  (FREE)-->

<xsl:template name="section-02">
           <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'书名:'"/>
                <xsl:with-param name="value" select="./bib-info"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
        <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'条码号:'"/>
                <xsl:with-param name="value" select="./z30-barcode"/>
                <xsl:with-param name="width" select="'25%'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'描述:'"/>
                <xsl:with-param name="value" select="./z31-description"/>
        </xsl:call-template>
    <!--xsl:call-template name="display-gen"-->
                <!--xsl:with-param name="label" select="'金额:'"/-->
                <!--xsl:with-param name="value" select="./z31-sum"/-->
        <!--/xsl:call-template-->
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'日期:'"/>
                <xsl:with-param name="value" select="./z31-date"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>

</xsl:template>
</xsl:stylesheet>


 
PKC_FILE_BEGIN course-reading-not-linked.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'没有连接到课程的读物'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目记录号'"/>
          <xsl:with-param name="value" select="./bib-doc-num"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'题名'"/>
          <xsl:with-param name="value" select="./z13-title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Adm记录号'"/>
          <xsl:with-param name="value" select="./adm-doc-num"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册顺序号'"/>
          <xsl:with-param name="value" select="./z30-item-sequence"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN course-reserve-reading-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'课程阅读保留图书'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'文档号'"/>
          <xsl:with-param name="value" select="./z30-doc-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册顺序号'"/>
          <xsl:with-param name="value" select="./z30-item-sequence"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'题名'"/>
          <xsl:with-param name="value" select="./z13-title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN course-reserve-reading.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'课程阅读保留图书'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'文档号'"/>
          <xsl:with-param name="value" select="./z30-doc-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册顺序号'"/>
          <xsl:with-param name="value" select="./z30-item-sequence"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'题名'"/>
          <xsl:with-param name="value" select="./z13-title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'当前馆藏地'"/>
          <xsl:with-param name="value" select="./current-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目库'"/>
          <xsl:with-param name="value" select="./bib-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Bib记录号'"/>
          <xsl:with-param name="value" select="./bib-doc-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN course-summary.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->

    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'课程总结'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'课程号:'"/>
       <xsl:with-param name="value" select="./z108-course-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'代理课程号:'"/>
       <xsl:with-param name="value" select="./z108-proxy-course-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'课程名称:'"/>
       <xsl:with-param name="value" select="./z108-course-name"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'教师名称:'"/>
       <xsl:with-param name="value" select="./z108-instructor-name"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'部门:'"/>
       <xsl:with-param name="value" select="./z108-department"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'起始日期:'"/>
       <xsl:with-param name="value" select="./z108-date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'截止日期:'"/>
       <xsl:with-param name="value" select="./z108-date-to"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Period:'"/>
       <xsl:with-param name="value" select="./z108-new-period"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'课程备注:'"/>
       <xsl:with-param name="value" select="./course-note"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
   <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'编号'"/>
       <xsl:with-param name="value" select="./doc-ind"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'题名:'"/>
       <xsl:with-param name="value" select="./z13-title"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'条码'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'分馆'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'馆藏地'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'索书号'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'临时地点'"/>
       <xsl:with-param name="value" select="./z30-temp-location"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'单册状态'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN currency-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->

    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'货币报告'"/>
    </xsl:call-template>


</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
</xsl:template>


    <!--SECTION-02  (GRID)-->


<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'汇率日期'"/>
          <xsl:with-param name="value" select="./ratio-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-1"/>
          <xsl:with-param name="value" select="./currency-ratio-1"/>
          <xsl:with-param name="display" select="./currency-1"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-2"/>
          <xsl:with-param name="value" select="./currency-ratio-2"/>
          <xsl:with-param name="display" select="./currency-2"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-3"/>
          <xsl:with-param name="value" select="./currency-ratio-3"/>
          <xsl:with-param name="display" select="./currency-3"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-4"/>
          <xsl:with-param name="value" select="./currency-ratio-4"/>
           <xsl:with-param name="display" select="./currency-4"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-5"/>
          <xsl:with-param name="value" select="./currency-ratio-5"/>
          <xsl:with-param name="display" select="./currency-5"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-6"/>
          <xsl:with-param name="value" select="./currency-ratio-6"/>
          <xsl:with-param name="display" select="./currency-6"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-7"/>
          <xsl:with-param name="value" select="./currency-ratio-7"/>
           <xsl:with-param name="display" select="./currency-7"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
      </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-8"/>
          <xsl:with-param name="value" select="./currency-ratio-8"/>
           <xsl:with-param name="display" select="./currency-8"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
      </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-9"/>
          <xsl:with-param name="value" select="./currency-ratio-9"/>
          <xsl:with-param name="display" select="./currency-9"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-10"/>
          <xsl:with-param name="value" select="./currency-ratio-10"/>
          <xsl:with-param name="display" select="./currency-10"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-11"/>
          <xsl:with-param name="value" select="./currency-ratio-11"/>
          <xsl:with-param name="display" select="./currency-12"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-12"/>
          <xsl:with-param name="value" select="./currency-ratio-12"/>
          <xsl:with-param name="display" select="./currency-12"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-13"/>
          <xsl:with-param name="value" select="./currency-ratio-13"/>
          <xsl:with-param name="display" select="./currency-13"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-14"/>
          <xsl:with-param name="value" select="./currency-ratio-14"/>
          <xsl:with-param name="display" select="./currency-14"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./currency-15"/>
          <xsl:with-param name="value" select="./currency-ratio-15"/>
          <xsl:with-param name="display" select="./currency-15"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN dbs-acquisition.xsl
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>

<xsl:template match="/">
    <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
        <xsl:if test="position() = 1">
            <xsl:call-template name="section-02">
                <xsl:with-param name="header" select="'header'"/>
            </xsl:call-template>
        </xsl:if>
        <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
        <xsl:call-template name="section-03"/>
    </xsl:for-each>

    <!--section-04 (GRID)-->
    <xsl:for-each select="//section-04">
        <xsl:if test="position() = 1">
            <xsl:call-template name="section-04">
                <xsl:with-param name="header" select="'header'"/>
            </xsl:call-template>
        </xsl:if>
        <xsl:call-template name="section-04"/>
    </xsl:for-each>

    <!--section-05 (GRID)-->
    <xsl:for-each select="//section-05">
        <xsl:if test="position() = 1">
            <xsl:call-template name="section-05">
                <xsl:with-param name="header" select="'header'"/>
            </xsl:call-template>
        </xsl:if>
        <xsl:call-template name="section-05"/>
    </xsl:for-each>

</xsl:template>


<!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
        <xsl:with-param name="title" select="'高级统计'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
        <xsl:with-param name="line" select="'支出'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="blank-line-first"/>
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'起始日期:'"/>
            <xsl:with-param name="value" select="./date-from"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'截止日期:'"/>
            <xsl:with-param name="value" select="./date-to"/>
        </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-02  (GRID)-->
<xsl:template name="section-02">
    <xsl:call-template name="blank-line-first"/>
    <xsl:param name="header"/>
    <xsl:if test="$header!=''">
        <xsl:call-template name="free-title">
            <xsl:with-param name="free-title" select="./sub-lib"/>
        </xsl:call-template>
        <xsl:call-template name="start-grid"/>
    </xsl:if>
    <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'采访方式'"/>
        <xsl:with-param name="value" select="./acq-trans"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'采购'"/>
        <xsl:with-param name="value" select="./acq-no"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'支出 (w/o 装订)'"/>
        <xsl:with-param name="value" select="./acq-cash"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
    <xsl:call-template name="blank-line-first"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
        <xsl:with-param name="label" select="'总采购:'"/>
        <xsl:with-param name="value" select="./acq-all-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
        <xsl:with-param name="label" select="'总支出:'"/>
        <xsl:with-param name="value" select="./acq-sum"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-04 (GRID)-->
<xsl:template name="section-04">
    <xsl:call-template name="blank-line-first"/>
    <xsl:param name="header"/>
    <xsl:if test="$header!=''">
        <xsl:call-template name="free-title">
            <xsl:with-param name="free-title" select="'明细:'"/>
        </xsl:call-template>
        <xsl:call-template name="start-grid"/>
    </xsl:if>
    <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'采访方式'"/>
        <xsl:with-param name="value" select="./acq-trans"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'采购'"/>
        <xsl:with-param name="value" select="./acq-no"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'支出 (w/o 装订)'"/>
        <xsl:with-param name="value" select="./acq-cash"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<!--SECTION-05 (GRID)-->
<xsl:template name="section-05">
    <xsl:param name="header"/>
    <xsl:if test="$header!=''">
        <xsl:call-template name="start-grid"/>
    </xsl:if>
    <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="value" select="./acq-ext-trans"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="value" select="./acq-ext-no"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="value" select="./acq-ext-cash"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN dbs-activ-user.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
<xsl:call-template name="header"/>

    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
        <xsl:if test="position() = 1">
            <xsl:call-template name="section-02">
                <xsl:with-param name="header" select="'header'"/>
            </xsl:call-template>
        </xsl:if>
        <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>

<!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
        <xsl:with-param name="title" select="'高级统计'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
        <xsl:with-param name="line" select="'活动用户'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="blank-line-first"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
        <xsl:with-param name="label" select="'起始日期:'"/>
        <xsl:with-param name="value" select="./date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
        <xsl:with-param name="label" select="'截止日期:'"/>
        <xsl:with-param name="value" select="./date-to"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
        <xsl:with-param name="label" select="'活动用户总数:'"/>
        <xsl:with-param name="value" select="./user-total"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
        <xsl:with-param name="label" select="'其中外部用户:'"/>
        <xsl:with-param name="value" select="./user-total-external"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-02  (GRID)-->
<xsl:template name="section-02">
    <xsl:param name="header"/>
    <xsl:if test="$header!=''">
        <xsl:call-template name="start-grid"/>
    </xsl:if>
    <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'分馆'"/>
        <xsl:with-param name="value" select="./sub-lib"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'活动用户'"/>
        <xsl:with-param name="value" select="./user-active"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'其中外部用户'"/>
        <xsl:with-param name="value" select="./user-external"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN dbs-collection-acq.xsl
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>

<xsl:template match="/">
    <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
        <xsl:if test="position() = 1">
            <xsl:call-template name="section-02">
                <xsl:with-param name="header" select="'header'"/>
            </xsl:call-template>
        </xsl:if>
        <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>


<!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
        <xsl:with-param name="title" select="'高级统计'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
        <xsl:with-param name="line" select="'支出手册（按馆藏地）'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="blank-line-first"/>
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'起始日期:'"/>
            <xsl:with-param name="value" select="./date-from"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'截止日期:'"/>
            <xsl:with-param name="value" select="./date-to"/>
        </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-02  (GRID)-->
<xsl:template name="section-02">
    <xsl:param name="header"/>
    <xsl:if test="$header!=''">
        <xsl:call-template name="start-grid"/>
    </xsl:if>
    <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'分馆'"/>
        <xsl:with-param name="value" select="./sub-lib"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'状态'"/>
        <xsl:with-param name="value" select="./col-code"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'支出'"/>
        <xsl:with-param name="value" select="./stock-phys"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN dbs-collection-withdrawal.xsl
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>

<xsl:template match="/">
    <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
        <xsl:if test="position() = 1">
            <xsl:call-template name="section-02">
                <xsl:with-param name="header" select="'header'"/>
            </xsl:call-template>
        </xsl:if>
        <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>


<!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
        <xsl:with-param name="title" select="'高级统计'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
        <xsl:with-param name="line" select="'撤销清单（按馆藏地）'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="blank-line-first"/>
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'起始日期:'"/>
            <xsl:with-param name="value" select="./date-from"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'截止日期:'"/>
            <xsl:with-param name="value" select="./date-to"/>
        </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-02  (GRID)-->
<xsl:template name="section-02">
    <xsl:param name="header"/>
    <xsl:if test="$header!=''">
        <xsl:call-template name="start-grid"/>
    </xsl:if>
    <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'分馆'"/>
        <xsl:with-param name="value" select="./sub-lib"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'状态'"/>
        <xsl:with-param name="value" select="./item-code"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'撤销'"/>
        <xsl:with-param name="value" select="./item-draw"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN dbs-collection.xsl
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>

<xsl:template match="/">
    <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
        <xsl:if test="position() = 1">
            <xsl:call-template name="section-02">
                <xsl:with-param name="header" select="'header'"/>
            </xsl:call-template>
        </xsl:if>
        <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>


<!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
        <xsl:with-param name="title" select="'高级统计'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
        <xsl:with-param name="line" select="'新采购和存货清单（按馆藏地）'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="blank-line-first"/>
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'起始日期:'"/>
            <xsl:with-param name="value" select="./date-from"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'截止日期:'"/>
            <xsl:with-param name="value" select="./date-to"/>
        </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-02  (GRID)-->
<xsl:template name="section-02">
    <xsl:param name="header"/>
    <xsl:if test="$header!=''">
        <xsl:call-template name="start-grid"/>
    </xsl:if>
    <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'分馆'"/>
        <xsl:with-param name="value" select="./sub-lib"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'状态'"/>
        <xsl:with-param name="value" select="./col-code"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'存货'"/>
        <xsl:with-param name="value" select="./stock-phys"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'存货百分比%'"/>
        <xsl:with-param name="value" select="./per-stock"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'存货（种类）'"/>
        <xsl:with-param name="value" select="./stock-title"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'新采购'"/>
        <xsl:with-param name="value" select="./access-phys"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN dbs-event.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
<xsl:call-template name="header"/>

    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (FREE)-->
    <xsl:for-each select="//section-02">
        <xsl:if test="position() = 1">
            <xsl:call-template name="section-02">
                <xsl:with-param name="header" select="'header'"/>
            </xsl:call-template>
        </xsl:if>
        <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>

<!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
        <xsl:with-param name="title" select="'高级统计'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
        <xsl:with-param name="line" select="'外借,续借,预约和过期通知'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="blank-line-first"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
        <xsl:with-param name="label" select="'起始日期:'"/>
        <xsl:with-param name="value" select="./date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
        <xsl:with-param name="label" select="'截止日期:'"/>
        <xsl:with-param name="value" select="./date-to"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-02  (FREE)-->
<xsl:template name="section-02">
    <xsl:param name="header"/>
    <xsl:if test="$header!=''">
        <xsl:call-template name="start-grid"/>
    </xsl:if>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'分馆'"/>
        <xsl:with-param name="value" select="./sub-lib"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'外借'"/>
        <xsl:with-param name="value" select="./count-1"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'  其中续借'"/>
        <xsl:with-param name="value" select="./count-2"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'自动续借'"/>
        <xsl:with-param name="value" select="./count-3"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'预约'"/>
        <xsl:with-param name="value" select="./count-4"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'过期通知'"/>
        <xsl:with-param name="value" select="./count-5"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN dbs-expenditure.xsl
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>

<xsl:template match="/">
    <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
        <xsl:if test="position() = 1">
            <xsl:call-template name="section-02">
                <xsl:with-param name="header" select="'header'"/>
            </xsl:call-template>
        </xsl:if>
        <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (GRID)-->
    <xsl:for-each select="//section-03">
        <xsl:if test="position() = 1">
            <xsl:call-template name="section-03">
                <xsl:with-param name="header" select="'header'"/>
            </xsl:call-template>
        </xsl:if>
        <xsl:call-template name="section-03"/>
    </xsl:for-each>

    <!--section-04 (FREE)-->
    <xsl:for-each select="//section-04">
        <xsl:call-template name="section-04"/>
    </xsl:for-each>

</xsl:template>


<!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
        <xsl:with-param name="title" select="'高级统计'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
        <xsl:with-param name="line" select="'支出'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="blank-line-first"/>
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'起始日期:'"/>
            <xsl:with-param name="value" select="./date-from"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'截止日期:'"/>
            <xsl:with-param name="value" select="./date-to"/>
        </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-02  (GRID)-->
<xsl:template name="section-02">
    <xsl:param name="header"/>
    <xsl:if test="$header!=''">
        <xsl:call-template name="start-grid"/>
    </xsl:if>
    <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'分馆'"/>
        <xsl:with-param name="value" select="./sub-lib"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'总支出'"/>
        <xsl:with-param name="value" select="./cash-all"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'电子交易'"/>
        <xsl:with-param name="value" select="./cash-e-medium"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<!--SECTION-03 (GRID)-->
<xsl:template name="section-03">
    <xsl:call-template name="blank-line-first"/>
    <xsl:param name="header"/>
    <xsl:if test="$header!=''">
        <xsl:call-template name="start-grid"/>
    </xsl:if>
    <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'预算类型'"/>
        <xsl:with-param name="value" select="./bind-trans"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'其中用于合订本'"/>
        <xsl:with-param name="value" select="./bind-cash"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<!--SECTION-04  (FREE)-->
<xsl:template name="section-04">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
        <xsl:with-param name="label" select="'总支出:'"/>
        <xsl:with-param name="value" select="./all-a"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
        <xsl:with-param name="label" select="'其中用户合订本:'"/>
        <xsl:with-param name="value" select="./all-b"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN dbs-gift.xsl
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>

<xsl:template match="/">
    <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
        <xsl:if test="position() = 1">
            <xsl:call-template name="section-02">
                <xsl:with-param name="header" select="'header'"/>
            </xsl:call-template>
        </xsl:if>
        <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
        <xsl:call-template name="section-03"/>
    </xsl:for-each>

</xsl:template>


<!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
        <xsl:with-param name="title" select="'高级统计'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
        <xsl:with-param name="line" select="'赠送（按分馆）'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="blank-line-first"/>
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'起始日期:'"/>
            <xsl:with-param name="value" select="./date-from"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'截止日期:'"/>
            <xsl:with-param name="value" select="./date-to"/>
        </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-02  (GRID)-->
<xsl:template name="section-02">
    <xsl:param name="header"/>
    <xsl:if test="$header!=''">
        <xsl:call-template name="start-grid"/>
    </xsl:if>
    <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'分馆'"/>
        <xsl:with-param name="value" select="./sub-lib"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'采购（赠送）'"/>
        <xsl:with-param name="value" select="./sub-no-access"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
        <xsl:with-param name="label" select="'总数:'"/>
        <xsl:with-param name="value" select="./access-all"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN dbs-ill.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
<xsl:call-template name="header"/>

    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
        <xsl:if test="position() = 1">
            <xsl:call-template name="section-02">
                <xsl:with-param name="header" select="'header'"/>
            </xsl:call-template>
        </xsl:if>
        <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (GRID)-->
    <xsl:for-each select="//section-03">
        <xsl:if test="position() = 1">
            <xsl:call-template name="section-03">
                <xsl:with-param name="header" select="'header'"/>
            </xsl:call-template>
        </xsl:if>
        <xsl:call-template name="section-03"/>
    </xsl:for-each>

</xsl:template>

<!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
        <xsl:with-param name="title" select="'高级统计'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
        <xsl:with-param name="line" select="'馆际互借'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="blank-line-first"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
        <xsl:with-param name="label" select="'起始日期:'"/>
        <xsl:with-param name="value" select="./date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
        <xsl:with-param name="label" select="'截止日期:'"/>
        <xsl:with-param name="value" select="./date-to"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-02  (GRID)-->
<xsl:template name="section-02">
    <xsl:call-template name="blank-line-first"/>
    <xsl:param name="header"/>
    <xsl:if test="$header!=''">
        <xsl:call-template name="start-grid"/>
    </xsl:if>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'接收请求'"/>
        <xsl:with-param name="value" select="./action"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'总数'"/>
        <xsl:with-param name="value" select="./total-no"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'其中馆际外借'"/>
        <xsl:with-param name="value" select="./int-no"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<!--SECTION-03  (GRID)-->
<xsl:template name="section-03">
    <xsl:call-template name="blank-line-first"/>
    <xsl:param name="header"/>
    <xsl:if test="$header!=''">
<!--
        <xsl:call-template name="free-title">
            <xsl:with-param name="free-title" select="'外发请求'"/>
        </xsl:call-template>
-->
        <xsl:call-template name="start-grid"/>
    </xsl:if>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'外发请求'"/>
        <xsl:with-param name="value" select="./action"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'总数'"/>
        <xsl:with-param name="value" select="./total-no"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'其中馆际外借'"/>
        <xsl:with-param name="value" select="./int-no"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN dbs-periodical.xsl
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>

<xsl:template match="/">
    <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (FREE)-->
    <xsl:for-each select="//section-02">
        <xsl:if test="position() = 1">
            <xsl:call-template name="section-02">
                <xsl:with-param name="header" select="'header'"/>
            </xsl:call-template>
        </xsl:if>
        <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>


<!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
        <xsl:with-param name="title" select="'高级统计'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
        <xsl:with-param name="line" select="'期刊和报纸 (预订与支出)'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="blank-line-first"/>
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'起始日期:'"/>
            <xsl:with-param name="value" select="./date-from"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'截止日期:'"/>
            <xsl:with-param name="value" select="./date-to"/>
        </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-02  (FREE)-->
<xsl:template name="section-02">
    <xsl:call-template name="blank-line-first"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="free-title">
        <xsl:with-param name="free-title" select="./sub-lib"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="horizontal-line"/>
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'当前预订的报刊:'"/>
            <xsl:with-param name="value" select="./ser-number"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'- 其中购买的期刊:'"/>
            <xsl:with-param name="value" select="./ser-p-number"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'- 其中购买的电子报纸:'"/>
            <xsl:with-param name="value" select="./ser-e-number"/>
        </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'预订报刊的支出:'"/>
            <xsl:with-param name="value" select="./ser-costs"/>
        </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'新增的预订:'"/>
            <xsl:with-param name="value" select="./ser-access"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'- 其中新购买的期刊:'"/>
            <xsl:with-param name="value" select="./ser-p-access"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'- 其中新的电子报纸:'"/>
            <xsl:with-param name="value" select="./ser-e-access"/>
        </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'取消的报刊:'"/>
            <xsl:with-param name="value" select="./ser-out"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'- 其中取消的购买的期刊:'"/>
            <xsl:with-param name="value" select="./ser-p-out"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'- 其中取消的电子报纸:'"/>
            <xsl:with-param name="value" select="./ser-e-out"/>
        </xsl:call-template>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN dbs-stock-accession.xsl
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>

<xsl:template match="/">
    <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
        <xsl:if test="position() = 1">
            <xsl:call-template name="section-02">
                <xsl:with-param name="header" select="'header'"/>
            </xsl:call-template>
        </xsl:if>
        <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
        <xsl:call-template name="section-03"/>
    </xsl:for-each>

</xsl:template>


<!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
        <xsl:with-param name="title" select="'高级统计'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
        <xsl:with-param name="line" select="'存货和新增（按资料类型）'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="blank-line-first"/>
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'起始日期:'"/>
            <xsl:with-param name="value" select="./date-from"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'截止日期:'"/>
            <xsl:with-param name="value" select="./date-to"/>
        </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-02  (GRID)-->
<xsl:template name="section-02">
    <xsl:param name="header"/>
    <xsl:if test="$header!=''">
        <xsl:call-template name="start-grid"/>
    </xsl:if>
    <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'分馆'"/>
        <xsl:with-param name="value" select="./sub-lib"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'资料类型'"/>
        <xsl:with-param name="value" select="./mat-kind"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'新采购'"/>
        <xsl:with-param name="value" select="./mat-no-access"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'存货'"/>
        <xsl:with-param name="value" select="./mat-no-stock"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
        <xsl:with-param name="label" select="'新采购总量:'"/>
        <xsl:with-param name="value" select="./access-all"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
        <xsl:with-param name="label" select="'存货总量:'"/>
        <xsl:with-param name="value" select="./stock-all"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN dbs-subject-acc.xsl
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>

<xsl:template match="/">
    <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
        <xsl:if test="position() = 1">
            <xsl:call-template name="section-02">
                <xsl:with-param name="header" select="'header'"/>
            </xsl:call-template>
        </xsl:if>
        <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>


<!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
        <xsl:with-param name="title" select="'高级统计'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
        <xsl:with-param name="line" select="'新采购和支出（按学科）'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="blank-line-first"/>
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'起始日期:'"/>
            <xsl:with-param name="value" select="./date-from"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'截止日期:'"/>
            <xsl:with-param name="value" select="./date-to"/>
        </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-02  (GRID)-->
<xsl:template name="section-02">
    <xsl:param name="header"/>
    <xsl:if test="$header!=''">
        <xsl:call-template name="start-grid"/>
    </xsl:if>
    <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'分馆'"/>
        <xsl:with-param name="value" select="./sub-lib"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'学科'"/>
        <xsl:with-param name="value" select="./subject"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'新采购图书'"/>
        <xsl:with-param name="value" select="./acc-mon"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'新采购期刊'"/>
        <xsl:with-param name="value" select="./acc-ser"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN dbs-subject.xsl
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>

<xsl:template match="/">
    <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
        <xsl:if test="position() = 1">
            <xsl:call-template name="section-02">
                <xsl:with-param name="header" select="'header'"/>
            </xsl:call-template>
        </xsl:if>
        <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>


<!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
        <xsl:with-param name="title" select="'高级统计'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
        <xsl:with-param name="line" select="'新采购和支出（按学科）'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="blank-line-first"/>
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'起始日期:'"/>
            <xsl:with-param name="value" select="./date-from"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'截止日期:'"/>
            <xsl:with-param name="value" select="./date-to"/>
        </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-02  (GRID)-->
<xsl:template name="section-02">
    <xsl:param name="header"/>
    <xsl:if test="$header!=''">
        <xsl:call-template name="start-grid"/>
    </xsl:if>
    <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'分馆'"/>
        <xsl:with-param name="value" select="./sub-lib"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'学科'"/>
        <xsl:with-param name="value" select="./subject"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'总支出'"/>
        <xsl:with-param name="value" select="./cash-all"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'其中图书'"/>
        <xsl:with-param name="value" select="./cash-mon"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN dbs-withdrawal.xsl
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>

<xsl:template match="/">
    <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
        <xsl:if test="position() = 1">
            <xsl:call-template name="section-02">
                <xsl:with-param name="header" select="'header'"/>
            </xsl:call-template>
        </xsl:if>
        <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
        <xsl:call-template name="section-03"/>
    </xsl:for-each>

</xsl:template>


<!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
        <xsl:with-param name="title" select="'高级统计'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
        <xsl:with-param name="line" select="'取消（按资料类型）'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="blank-line-first"/>
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'起始日期:'"/>
            <xsl:with-param name="value" select="./date-from"/>
        </xsl:call-template>
        <xsl:call-template name="display-gen">
            <xsl:with-param name="label" select="'截止日期:'"/>
            <xsl:with-param name="value" select="./date-to"/>
        </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-02  (GRID)-->
<xsl:template name="section-02">
    <xsl:param name="header"/>
    <xsl:if test="$header!=''">
        <xsl:call-template name="start-grid"/>
    </xsl:if>
    <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'分馆'"/>
        <xsl:with-param name="value" select="./sub-lib"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'资料类型'"/>
        <xsl:with-param name="value" select="./mat-kind"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
        <xsl:with-param name="label" select="'取消'"/>
        <xsl:with-param name="value" select="./mat-no-stock"/>
        <xsl:with-param name="type" select="'right'"/>
        <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
        <xsl:with-param name="label" select="'总数:'"/>
        <xsl:with-param name="value" select="./access-all"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN debt-notice-letter.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

       <xsl:call-template name="signature"/>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'借阅者 - 债务通知'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("salutation_string##我们在此通知您，您有一笔金额为  ", //balance,   "的债务，请您一有机会尽快去处理。")'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
</xsl:template>

<xsl:template name="signature">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'##流通部'"/>
    </xsl:call-template>
</xsl:template>

</xsl:stylesheet>


 
PKC_FILE_BEGIN delete-unlinked-headings.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'删除无连接的标目'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'标目索引代码:'"/>
       <xsl:with-param name="value" select="./acc-code"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'删除标目索引:'"/>
       <xsl:with-param name="value" select="./remove-acc"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'代码'"/>
          <xsl:with-param name="value" select="./code"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'打开日期'"/>
          <xsl:with-param name="value" select="./open-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'更新日期'"/>
          <xsl:with-param name="value" select="./update-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'文本'"/>
          <xsl:with-param name="value" select="./text"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN ffs-funcs.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>



<xsl:template name="sublib-address">
   <TABLE WIDTH="100%" STYLE="font-size: 9pt; font-family: Arial">
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ1"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ2"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ3"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ4"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ5"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ6"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ7"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ8"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ9"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ10"/></td><xsl:call-template name="table-end-row"/>
   </TABLE>
</xsl:template>
<xsl:template name="transfer-address">
   <xsl:call-template name="table-open-full"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ1"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ2"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ3"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ4"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ5"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ6"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ7"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ8"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ9"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ10"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="patron-address">
   <xsl:call-template name="table-open-full"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-address-0"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-address-1"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-address-2"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-address-3"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-address-4"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-zip"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-telephone"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-email-address"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Patron ID:'"/>
       <xsl:with-param name="value" select="//z302-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Patron Barcode'"/>
       <xsl:with-param name="value" select="//z308-key-data"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="vendor-address">
   <xsl:call-template name="table-open-full"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ1"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ2"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ3"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ4"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ5"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ6"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ7"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Attn:'"/>
       <xsl:with-param name="value" select="//z68-vendor-contact"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>





</xsl:stylesheet>

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>




<xsl:template name="bib-info">
   <xsl:param name="line"/>
   <xsl:variable name="first" select="substring-before($line,'##')"/>
   <xsl:variable name="rest" select="substring-after($line,'##')"/>
    <xsl:if test="$first = '' and $rest = '' ">
          <!--br/-->
      </xsl:if>
   <xsl:if test="$first != ''">
       <xsl:value-of select="$first"/><br/>
   </xsl:if>
   <xsl:if test="$rest != ''">
        <xsl:call-template name="bib-info">
            <xsl:with-param name="line" select="$rest"/>
         </xsl:call-template>
   </xsl:if>
   <xsl:if test="$rest = '' and $line != ''  and $line != '##'">
      <xsl:value-of select="$line"/><br/>
   </xsl:if>
</xsl:template>


</xsl:stylesheet>



<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>


<xsl:template name="budget-paid-unpaid-hdr">
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Type'"/>
       <xsl:with-param name="header" select="'header'"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Paid'"/>
       <xsl:with-param name="header" select="'header'"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Unpaid'"/>
       <xsl:with-param name="header" select="'header'"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
    <!--SECTION-02  (GRID - DATA)-->

<xsl:template name="budget-paid-unpaid-data">
    <xsl:param name="type"/>
    <xsl:param name="paid"/>
    <xsl:param name="not-paid"/>
   <xsl:call-template name="open-row-cond">
        <xsl:with-param name="display" select="$type"/>
    </xsl:call-template>
    <xsl:if test="$type!=''">
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="value" select="$type"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="value" select="$paid"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="value" select="$not-paid"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    </xsl:if>
   <xsl:call-template name="close-row-cond">
        <xsl:with-param name="display" select="$type"/>
    </xsl:call-template>
</xsl:template>

<xsl:template name="budget-paid-unpaid">
  <xsl:if test="concat(./type-1, ./paid-1, ./not-paid-1) != ''">
       <xsl:call-template name="grid-title">
           <xsl:with-param name="grid-title" select="'Object Codes'"/>
       </xsl:call-template>
    <xsl:call-template name="grid-open"/>
    <xsl:call-template name="budget-paid-unpaid-hdr"/>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-1"/>
       <xsl:with-param name="paid" select="./paid-1"/>
       <xsl:with-param name="not-paid" select="./not-paid-1"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-2"/>
       <xsl:with-param name="paid" select="./paid-2"/>
       <xsl:with-param name="not-paid" select="./not-paid-2"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-3"/>
       <xsl:with-param name="paid" select="./paid-3"/>
       <xsl:with-param name="not-paid" select="./not-paid-3"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-4"/>
       <xsl:with-param name="paid" select="./paid-4"/>
       <xsl:with-param name="not-paid" select="./not-paid-4"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-5"/>
       <xsl:with-param name="paid" select="./paid-5"/>
       <xsl:with-param name="not-paid" select="./not-paid-5"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-6"/>
       <xsl:with-param name="paid" select="./paid-6"/>
       <xsl:with-param name="not-paid" select="./not-paid-6"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-7"/>
       <xsl:with-param name="paid" select="./paid-7"/>
       <xsl:with-param name="not-paid" select="./not-paid-7"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-8"/>
       <xsl:with-param name="paid" select="./paid-8"/>
       <xsl:with-param name="not-paid" select="./not-paid-8"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-9"/>
       <xsl:with-param name="paid" select="./paid-9"/>
       <xsl:with-param name="not-paid" select="./not-paid-9"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-10"/>
       <xsl:with-param name="paid" select="./paid-10"/>
       <xsl:with-param name="not-paid" select="./not-paid-10"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-11"/>
       <xsl:with-param name="paid" select="./paid-11"/>
       <xsl:with-param name="not-paid" select="./not-paid-11"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-12"/>
       <xsl:with-param name="paid" select="./paid-12"/>
       <xsl:with-param name="not-paid" select="./not-paid-12"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-13"/>
       <xsl:with-param name="paid" select="./paid-13"/>
       <xsl:with-param name="not-paid" select="./not-paid-13"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-14"/>
       <xsl:with-param name="paid" select="./paid-14"/>
       <xsl:with-param name="not-paid" select="./not-paid-14"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-15"/>
       <xsl:with-param name="paid" select="./paid-15"/>
       <xsl:with-param name="not-paid" select="./not-paid-15"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-16"/>
       <xsl:with-param name="paid" select="./paid-16"/>
       <xsl:with-param name="not-paid" select="./not-paid-16"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-17"/>
       <xsl:with-param name="paid" select="./paid-17"/>
       <xsl:with-param name="not-paid" select="./not-paid-17"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-18"/>
       <xsl:with-param name="paid" select="./paid-18"/>
       <xsl:with-param name="not-paid" select="./not-paid-18"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-19"/>
       <xsl:with-param name="paid" select="./paid-19"/>
       <xsl:with-param name="not-paid" select="./not-paid-19"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-20"/>
       <xsl:with-param name="paid" select="./paid-20"/>
       <xsl:with-param name="not-paid" select="./not-paid-20"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
  </xsl:if>
</xsl:template>


<xsl:template name="budget-num">
    <xsl:call-template name="budget-nums-hdr"/>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-1"/>
    </xsl:call-template>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-2"/>
    </xsl:call-template>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-3"/>
    </xsl:call-template>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-4"/>
    </xsl:call-template>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-5"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="budget-nums-hdr">
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="value" select="'Budgets'"/>
       <xsl:with-param name="type" select="'header'"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>


<xsl:template name="budget-nums-data">
    <xsl:param name="budget-num"/>
<xsl:call-template name="table-start-row"/>
    <xsl:if test="$budget-num!=''">
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="value" select="$budget-num"/>
    </xsl:call-template>
    </xsl:if>
<xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>



<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>



<xsl:template name="sublib-address">
   <TABLE WIDTH="100%" STYLE="font-size: 9pt; font-family: Arial">
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ1"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ2"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ3"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ4"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ5"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ6"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ7"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ8"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ9"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ10"/></td><xsl:call-template name="table-end-row"/>
   </TABLE>
</xsl:template>
<xsl:template name="transfer-address">
   <xsl:call-template name="table-open-full"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ1"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ2"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ3"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ4"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ5"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ6"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ7"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ8"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ9"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ10"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="patron-address">
   <xsl:call-template name="table-open-full"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-address-0"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-address-1"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-address-2"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-address-3"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-address-4"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-zip"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-telephone"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-email-address"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Patron ID:'"/>
       <xsl:with-param name="value" select="//z302-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Patron Barcode'"/>
       <xsl:with-param name="value" select="//z308-key-data"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="vendor-address">
   <xsl:call-template name="table-open-full"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ1"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ2"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ3"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ4"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ5"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ6"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ7"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Attn:'"/>
       <xsl:with-param name="value" select="//z68-vendor-contact"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>





</xsl:stylesheet>

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>




<xsl:template name="bib-info">
   <xsl:param name="line"/>
   <xsl:variable name="first" select="substring-before($line,'##')"/>
   <xsl:variable name="rest" select="substring-after($line,'##')"/>
    <xsl:if test="$first = '' and $rest = '' ">
          <!--br/-->
      </xsl:if>
   <xsl:if test="$first != ''">
       <xsl:value-of select="$first"/><br/>
   </xsl:if>
   <xsl:if test="$rest != ''">
        <xsl:call-template name="bib-info">
            <xsl:with-param name="line" select="$rest"/>
         </xsl:call-template>
   </xsl:if>
   <xsl:if test="$rest = '' and $line != ''  and $line != '##'">
      <xsl:value-of select="$line"/><br/>
   </xsl:if>
</xsl:template>


</xsl:stylesheet>



<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>


<xsl:template name="budget-paid-unpaid-hdr">
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Type'"/>
       <xsl:with-param name="header" select="'header'"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Paid'"/>
       <xsl:with-param name="header" select="'header'"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Unpaid'"/>
       <xsl:with-param name="header" select="'header'"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
    <!--SECTION-02  (GRID - DATA)-->

<xsl:template name="budget-paid-unpaid-data">
    <xsl:param name="type"/>
    <xsl:param name="paid"/>
    <xsl:param name="not-paid"/>
   <xsl:call-template name="open-row-cond">
        <xsl:with-param name="display" select="$type"/>
    </xsl:call-template>
    <xsl:if test="$type!=''">
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="value" select="$type"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="value" select="$paid"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="value" select="$not-paid"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    </xsl:if>
   <xsl:call-template name="close-row-cond">
        <xsl:with-param name="display" select="$type"/>
    </xsl:call-template>
</xsl:template>

<xsl:template name="budget-paid-unpaid">
  <xsl:if test="concat(./type-1, ./paid-1, ./not-paid-1) != ''">
       <xsl:call-template name="grid-title">
           <xsl:with-param name="grid-title" select="'Object Codes'"/>
       </xsl:call-template>
    <xsl:call-template name="grid-open"/>
    <xsl:call-template name="budget-paid-unpaid-hdr"/>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-1"/>
       <xsl:with-param name="paid" select="./paid-1"/>
       <xsl:with-param name="not-paid" select="./not-paid-1"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-2"/>
       <xsl:with-param name="paid" select="./paid-2"/>
       <xsl:with-param name="not-paid" select="./not-paid-2"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-3"/>
       <xsl:with-param name="paid" select="./paid-3"/>
       <xsl:with-param name="not-paid" select="./not-paid-3"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-4"/>
       <xsl:with-param name="paid" select="./paid-4"/>
       <xsl:with-param name="not-paid" select="./not-paid-4"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-5"/>
       <xsl:with-param name="paid" select="./paid-5"/>
       <xsl:with-param name="not-paid" select="./not-paid-5"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-6"/>
       <xsl:with-param name="paid" select="./paid-6"/>
       <xsl:with-param name="not-paid" select="./not-paid-6"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-7"/>
       <xsl:with-param name="paid" select="./paid-7"/>
       <xsl:with-param name="not-paid" select="./not-paid-7"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-8"/>
       <xsl:with-param name="paid" select="./paid-8"/>
       <xsl:with-param name="not-paid" select="./not-paid-8"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-9"/>
       <xsl:with-param name="paid" select="./paid-9"/>
       <xsl:with-param name="not-paid" select="./not-paid-9"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-10"/>
       <xsl:with-param name="paid" select="./paid-10"/>
       <xsl:with-param name="not-paid" select="./not-paid-10"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-11"/>
       <xsl:with-param name="paid" select="./paid-11"/>
       <xsl:with-param name="not-paid" select="./not-paid-11"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-12"/>
       <xsl:with-param name="paid" select="./paid-12"/>
       <xsl:with-param name="not-paid" select="./not-paid-12"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-13"/>
       <xsl:with-param name="paid" select="./paid-13"/>
       <xsl:with-param name="not-paid" select="./not-paid-13"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-14"/>
       <xsl:with-param name="paid" select="./paid-14"/>
       <xsl:with-param name="not-paid" select="./not-paid-14"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-15"/>
       <xsl:with-param name="paid" select="./paid-15"/>
       <xsl:with-param name="not-paid" select="./not-paid-15"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-16"/>
       <xsl:with-param name="paid" select="./paid-16"/>
       <xsl:with-param name="not-paid" select="./not-paid-16"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-17"/>
       <xsl:with-param name="paid" select="./paid-17"/>
       <xsl:with-param name="not-paid" select="./not-paid-17"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-18"/>
       <xsl:with-param name="paid" select="./paid-18"/>
       <xsl:with-param name="not-paid" select="./not-paid-18"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-19"/>
       <xsl:with-param name="paid" select="./paid-19"/>
       <xsl:with-param name="not-paid" select="./not-paid-19"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-20"/>
       <xsl:with-param name="paid" select="./paid-20"/>
       <xsl:with-param name="not-paid" select="./not-paid-20"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
  </xsl:if>
</xsl:template>


<xsl:template name="budget-num">
    <xsl:call-template name="budget-nums-hdr"/>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-1"/>
    </xsl:call-template>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-2"/>
    </xsl:call-template>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-3"/>
    </xsl:call-template>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-4"/>
    </xsl:call-template>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-5"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="budget-nums-hdr">
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="value" select="'Budgets'"/>
       <xsl:with-param name="type" select="'header'"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>


<xsl:template name="budget-nums-data">
    <xsl:param name="budget-num"/>
<xsl:call-template name="table-start-row"/>
    <xsl:if test="$budget-num!=''">
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="value" select="$budget-num"/>
    </xsl:call-template>
    </xsl:if>
<xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>



<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>


<xsl:variable name="label-width" select="'20%'"/>

<xsl:template name="free-title">
    <xsl:param name="free-title"/>
        <xsl:call-template name="table-start-row"/>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="'underline;bold'"/>
            </xsl:call-template>
               <xsl:value-of select="$free-title"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="'underline;bold'"/>
            </xsl:call-template>
        </td>
        <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-gen">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="display"/>
    <xsl:param name="type"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>

    <!-- Regular -->
    <xsl:if test="$display =''  and $type = '' ">
      <xsl:call-template name="display-not-empty">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data -->
   <xsl:if test="$display ='always'  and $type = ''">
      <xsl:call-template name="display-always">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display index -->
   <xsl:if test="$type = 'index'">
      <xsl:call-template name="position-index">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>






    <!-- Regular  - align right-->
    <xsl:if test="$display =''  and $type = 'right'">
      <xsl:call-template name="display-not-empty-right">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>

     <!-- Display label even if no data - align right -->
   <xsl:if test="$display ='always'  and $type = 'right'">
      <xsl:call-template name="display-always-right">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Regular - Barcode -->
    <xsl:if test="$display =''  and $type = 'barcode' ">
      <xsl:call-template name="display-not-empty-barcode">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data - Barcode -->
   <xsl:if test="$display ='always'  and $type = 'barcode'">
      <xsl:call-template name="display-always-barcode">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>

      <!-- Display checkbox -->
    <xsl:if test="$type = 'check' ">

   <xsl:call-template name="free-data-check">
            <xsl:with-param name="label" select="$label"/>
            <xsl:with-param name="value" select="$value"/>
            <xsl:with-param name="style" select="'bold'"/>
   </xsl:call-template>

     </xsl:if>

</xsl:template>

<xsl:template name="display-not-empty">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}">
        <b><xsl:value-of select="$label"/></b></td>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}"><b><xsl:value-of select="$label"/></b></td>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>



<xsl:template name="display-not-empty-barcode">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
         <td width="{$local-width}"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<xsl:value-of select="$value"/>*</td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-barcode">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<xsl:value-of select="$value"/>*</td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-not-empty-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:if test="$value !=''">
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}"><b><xsl:value-of select="$label"/></b></td>
        <td   width="10%" align="right">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
        <td></td>
    <xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}"><b><xsl:value-of select="$label"/></b></td>
        <td   width="10%" align="right">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
        <td></td>
    <xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
</xsl:template>



<xsl:template name="bib-info-hdr">
    <xsl:call-template name="table-open-full"/>
     <td width="100%" colspan="2">
        <xsl:call-template name="generic-line">
            <xsl:with-param name="line" select="./bib-info"/>
         </xsl:call-template>
    </td>
    <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="bib-info-free">
    <xsl:param name="value"/>
    <xsl:call-template name="table-open-full"/>
        <xsl:choose>
        <xsl:when test = "$value != ''">
            <td width="100%">
                <xsl:value-of select="$value"/>
            </td>
        </xsl:when>
        </xsl:choose>

    <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="position-index">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}"><b><xsl:value-of select="concat($label, position())"/></b></td>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <!--xsl:value-of select="$value"/-->
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>


<xsl:template name="free-data-check">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="check-value"/>

        <form><td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        <xsl:value-of select="$label"/>
        <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
        </xsl:call-template>
        </td><td>
        <xsl:variable name="loc-check-value">
        <xsl:choose>
          <xsl:when test="$check-value!='' and $value = $check-value">Y</xsl:when>
          <xsl:when test="$check-value ='' and (starts-with($value,'Y') or starts-with($value,'y'))">Y</xsl:when>
          <xsl:otherwise>N</xsl:otherwise>
        </xsl:choose>
        </xsl:variable>

            <xsl:choose>
            <xsl:when test="$loc-check-value = 'Y'">
              <xsl:text disable-output-escaping="yes">
              &lt;input checked type=checkbox /&gt;
              </xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:text disable-output-escaping="yes">
              &lt;input type=checkbox /&gt;
              </xsl:text>
            </xsl:otherwise>
            </xsl:choose>

        <br/></td></form>
</xsl:template>

</xsl:stylesheet>





<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->

<xsl:template name="grid-hdr-style">
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
        <th>
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
           <xsl:value-of select="$value"/>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
           </th>
</xsl:template>


<xsl:template name="style-start">
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
           <xsl:if test="$bold ='bold' ">
                 <xsl:text disable-output-escaping="yes">&lt;b&gt;</xsl:text>
           </xsl:if>
           <xsl:if test="$italic ='italic' ">
                 <xsl:text disable-output-escaping="yes">&lt;i&gt;</xsl:text>
           </xsl:if>
           <xsl:if test="$underline ='underline' ">
                 <xsl:text disable-output-escaping="yes">&lt;u&gt;</xsl:text>
           </xsl:if>
</xsl:template>
<xsl:template name="style-end">
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
           <xsl:if test="$underline ='underline' ">
                 <xsl:text disable-output-escaping="yes">&lt;/u&gt;</xsl:text>
           </xsl:if>
           <xsl:if test="$italic ='italic' ">
                 <xsl:text disable-output-escaping="yes">&lt;/i&gt;</xsl:text>
           </xsl:if>
           <xsl:if test="$bold ='bold' ">
                 <xsl:text disable-output-escaping="yes">&lt;/b&gt;</xsl:text>
           </xsl:if>
</xsl:template>

<xsl:template name="grid-data-style">
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>

        <td>
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
               <xsl:value-of select="$value"/>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
         <br/>
        </td>
</xsl:template>

<xsl:template name="grid-data-right-style">
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
            <td align="right">
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
        <xsl:value-of select="$value"/>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
         <br/></td>
</xsl:template>

<xsl:template name="grid-data-barcode-style">
    <xsl:param name="value"/>
        <td align="center" STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<br/><xsl:value-of select="$value"/>*</td>
</xsl:template>

<xsl:template name="grid-data-bib-info-style">
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <td>
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
    <xsl:variable name="bib" select="./bib-info"/>
    <xsl:if test="$bib !='' ">
    <xsl:call-template name="bib-info">
       <xsl:with-param name="line" select="./bib-info"/>
    </xsl:call-template>
    </xsl:if>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
    </td>
</xsl:template>

<xsl:template name="display-grid-gen-style">
    <xsl:param name="value"/>
    <xsl:param name="type"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>

    <!-- Regular -->
    <xsl:if test="$type ='' ">
      <xsl:call-template name="grid-data-style">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Header -->
    <xsl:if test="$type ='header' ">
      <xsl:call-template name="grid-hdr-style">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Right Aligned -->
    <xsl:if test="$type ='right' ">
      <xsl:call-template name="grid-data-right-style">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>


    <!-- Barcode -->
    <xsl:if test="$type ='barcode' ">
      <xsl:call-template name="grid-data-barcode-style">
          <xsl:with-param name="value" select="$value"/>
       </xsl:call-template>
     </xsl:if>

    <!-- bib-info -->
    <xsl:if test="$type ='bib-info' ">
      <xsl:call-template name="grid-data-bib-info-style">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
       <br/>
    </xsl:if>

</xsl:template>



</xsl:stylesheet>

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->

<xsl:template name="grid-hdr">
    <xsl:param name="value"/>
        <th><xsl:value-of select="$value"/></th>
</xsl:template>

<xsl:template name="grid-data">
    <xsl:param name="value"/>
    <xsl:param name="style"/>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                <!--xsl:value-of select="$value"/-->
            <xsl:call-template name="put-data">
                <xsl:with-param name="value" select="$value"/>
            </xsl:call-template>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        <br/></td>
</xsl:template>


<xsl:template name="put-data">
    <xsl:param name="value"/>
   <xsl:variable name="first" select="substring-before($value,'##')"/>
   <xsl:variable name="rest" select="substring-after($value,'##')"/>
   <xsl:if test="$first != ''">
       <xsl:value-of select="$first"/><br/>
   </xsl:if>
   <xsl:if test="$rest != ''">
        <xsl:call-template name="put-data">
            <xsl:with-param name="value" select="$rest"/>
         </xsl:call-template>
   </xsl:if>
   <xsl:if test="$rest = '' and $value != ''  and $value != '##'">
      <xsl:value-of select="$value"/>
   </xsl:if>
</xsl:template>


<xsl:template name="grid-data-check">
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="check-value"/>

        <td align="middle"><form>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>

        <xsl:variable name="loc-check-value">
        <xsl:choose>
          <xsl:when test="$check-value!='' and $value = $check-value">Y</xsl:when>
          <xsl:when test="$check-value ='' and (starts-with($value,'Y') or starts-with($value,'y'))">Y</xsl:when>
          <xsl:otherwise>N</xsl:otherwise>
        </xsl:choose>
        </xsl:variable>

            <xsl:choose>
            <xsl:when test="$loc-check-value = 'Y'">
              <xsl:text disable-output-escaping="yes">
              &lt;input checked type=checkbox /&gt;
              </xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:text disable-output-escaping="yes">
              &lt;input type=checkbox /&gt;
              </xsl:text>
            </xsl:otherwise>
            </xsl:choose>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        <br/></form></td>
</xsl:template>


<xsl:template name="grid-index">
    <xsl:param name="value"/>
    <xsl:param name="style"/>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="position()"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        <br/></td>
</xsl:template>



<xsl:template name="grid-data-right">
    <xsl:param name="value"/>
    <xsl:param name="style"/>
        <td align="right">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
            <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        <br/></td>
</xsl:template>

<xsl:template name="grid-data-barcode">
    <xsl:param name="value"/>
        <td width="35%" align="center" STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<xsl:value-of select="$value"/>*<br/></td>
</xsl:template>

<xsl:template name="grid-data-bib-info">
    <xsl:param name="value"/>
    <td>
    <xsl:variable name="bib" select="./bib-info"/>
    <xsl:if test="$value !='' ">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="$value"/>
       <xsl:with-param name="grid" select="'grid'"/>
    </xsl:call-template>
    </xsl:if>
     <br/>
    </td>
</xsl:template>



<xsl:template name="grid-title">
      <xsl:param name="grid-title"/>
    <xsl:call-template name="table-close"/>
       <br/>
    <xsl:call-template name="table-open"/>

   <xsl:call-template name="table-start-row"/><td><b><xsl:value-of select="$grid-title"/></b></td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
    <!--xsl:call-template name="grid-open"/-->
</xsl:template>

<xsl:template name="grid-title-nobold">
      <xsl:param name="grid-title"/>
    <xsl:call-template name="table-close"/>
       <br/>
    <xsl:call-template name="table-open"/>

   <xsl:call-template name="table-start-row"/><td><xsl:value-of select="$grid-title"/></td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
    <!--xsl:call-template name="grid-open"/-->
</xsl:template>

<xsl:template name="grid-data-restart">
    <xsl:param name="value"/>
    <xsl:param name="style"/>
       <xsl:if test="$value!='' and position() !='1'">
           <xsl:call-template name="table-close"/>
           <xsl:call-template name="blank-line"/>
           <xsl:call-template name="grid-open"/>
       </xsl:if>
        <td><b>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </b><br/></td>
</xsl:template>





<xsl:template name="display-grid-gen">
    <xsl:param name="value"/>
    <xsl:param name="type"/>
    <xsl:param name="label"/>
    <xsl:param name="header"/>
    <xsl:param name="style"/>
    <xsl:param name="check-value"/>

    <!-- Header -->
    <xsl:if test="$header ='header' ">
      <xsl:call-template name="grid-hdr">
          <xsl:with-param name="value" select="$label"/>
       </xsl:call-template>
     </xsl:if>

    <xsl:if test="$header ='' ">
    <!-- Regular -->
    <xsl:if test="$type ='index' ">
      <xsl:call-template name="grid-index">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Index -->
    <xsl:if test="$type ='' ">
      <xsl:call-template name="grid-data">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Right Aligned -->
    <xsl:if test="$type ='right' ">
      <xsl:call-template name="grid-data-right">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Checkbox -->
    <xsl:if test="$type ='check' ">
      <xsl:call-template name="grid-data-check">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="check-value" select="$check-value"/>
       </xsl:call-template>
     </xsl:if>


    <!-- Barcode -->
    <xsl:if test="$type ='barcode' ">
      <xsl:call-template name="grid-data-barcode">
          <xsl:with-param name="value" select="$value"/>
       </xsl:call-template>
     </xsl:if>

    <!-- bib-info -->
    <xsl:if test="$type ='bib-info' ">
      <xsl:call-template name="grid-data-bib-info">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>

    </xsl:if>

    <!-- Restart -->
    <xsl:if test="$type ='restart' ">
      <xsl:call-template name="grid-data-restart">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>
     </xsl:if>


</xsl:template>

<xsl:template name="start-grid">
    <xsl:param name="grid-title"/>
    <xsl:param name="width"/>
    <xsl:param name="nobold"/>

        <xsl:if test="$grid-title!='' and $nobold=''">
           <xsl:call-template name="grid-title">
              <xsl:with-param name="grid-title" select="$grid-title"/>
           </xsl:call-template>
        </xsl:if>
        <xsl:if test="$grid-title!='' and $nobold='nobold'">
           <xsl:call-template name="grid-title-nobold">
              <xsl:with-param name="grid-title" select="$grid-title"/>
           </xsl:call-template>
        </xsl:if>

        <xsl:if test="$grid-title=''">
             <br/>
        </xsl:if>
           <xsl:call-template name="grid-open">
              <xsl:with-param name="width" select="$width"/>
           </xsl:call-template>
</xsl:template>


</xsl:stylesheet>








<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xmlns:saxon="http://icl.com/saxon"-->
<xsl:output method="xml" indent="yes"/>

   <!--xmlns:date="http://exslt.org/dates-and-times"-->
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->


<xsl:template name="open-row-cond">
    <xsl:param name="display"/>
    <xsl:if test="$display !='' ">
      <xsl:text disable-output-escaping="yes">&lt;tr&gt;</xsl:text>
    </xsl:if>
</xsl:template>


<xsl:template name="close-row-cond">
    <xsl:param name="display"/>
    <xsl:if test="$display !='' ">
      <xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>
    </xsl:if>
</xsl:template>

<xsl:template name="display-grid-currency">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="type"/>
    <xsl:param name="display"/>
    <xsl:param name="header"/>

    <!-- Header -->
    <xsl:if test="$header !='' ">
    <xsl:if test="$display !='' ">
      <xsl:call-template name="grid-hdr">
          <xsl:with-param name="value" select="$label"/>
       </xsl:call-template>
       </xsl:if>
     </xsl:if>

    <xsl:if test="$header ='' ">

    <!-- Regular -->

    <xsl:if test="$label !='' ">
     <xsl:if test="$type ='right' ">
      <xsl:call-template name="grid-data-right">
          <xsl:with-param name="value" select="$value"/>
       </xsl:call-template>
     </xsl:if>
     <xsl:if test="$type ='' ">
      <xsl:call-template name="grid-data">
          <xsl:with-param name="value" select="$value"/>
       </xsl:call-template>
     </xsl:if>
    </xsl:if>
     </xsl:if>

</xsl:template>






<xsl:template name="generic-line">
   <xsl:param name="line"/>
   <xsl:param name="style"/>
   <xsl:param name="no-first-time"/>
   <xsl:param name="grid"/>
   <xsl:param name="width"/>
   <xsl:variable name="first" select="substring-before($line,'##')"/>
   <xsl:variable name="rest" select="substring-after($line,'##')"/>
   <xsl:if test="$no-first-time='' and $grid='' ">
      <xsl:call-template name="table-close"/>
        <xsl:if test="$width=''">
             <xsl:call-template name="table-open-full"/>
        </xsl:if>
        <xsl:if test="$width!=''">
             <xsl:call-template name="table-open">
                <xsl:with-param name="width" select="$width"/>
                <xsl:with-param name="align" select="'left'"/>
             </xsl:call-template>
        </xsl:if>
   </xsl:if>
   <xsl:if test="$grid='' ">
       <xsl:call-template name="open-row"/>
   </xsl:if>

      <xsl:call-template name="build-style-start">
          <xsl:with-param name="style" select="$style"/>
      </xsl:call-template>

       <xsl:choose>
             <xsl:when test="$grid='' and $line='salutation_string' or $first='salutation_string'">
                <br/><br/>Dear Sir/Madam,<br/><br/>
                <xsl:call-template name="close-row"/>
                <xsl:call-template name="generic-line">
                   <xsl:with-param name="line" select="$rest"/>
                   <xsl:with-param name="style" select="$style"/>
                   <xsl:with-param name="grid" select="$grid"/>
                   <xsl:with-param name="no-first-time" select="'y'"/>
                </xsl:call-template>
             </xsl:when>
             <xsl:when test="$grid='' and contains($line,'salutation_string')">
                <br/><br/>Dear Sir/Madam,<br/><br/>
                <xsl:call-template name="close-row"/>
                 <xsl:variable name="rest_salut" select="substring-after($line,'salutation_string')"/>
                <xsl:call-template name="generic-line">
                   <xsl:with-param name="line" select="$rest_salut"/>
                   <xsl:with-param name="style" select="$style"/>
                   <xsl:with-param name="grid" select="$grid"/>
                   <xsl:with-param name="no-first-time" select="'y'"/>
                </xsl:call-template>
             </xsl:when>
             <xsl:when test="$line='' or $line='##'">
                <br/>
             </xsl:when>
             <xsl:when test="not(contains($line, '##'))">
                <xsl:value-of select="$line"/><br/>
             </xsl:when>
             <xsl:when test="$first='' and $rest!=''">
                <xsl:if test="$grid='' ">
                  <br/>
                   <xsl:call-template name="close-row"/>
                </xsl:if>
                <xsl:call-template name="generic-line">
                   <xsl:with-param name="line" select="$rest"/>
                   <xsl:with-param name="style" select="$style"/>
                   <xsl:with-param name="grid" select="$grid"/>
                   <xsl:with-param name="no-first-time" select="'y'"/>
                </xsl:call-template>
             </xsl:when>
             <xsl:when test="$first!='' and $rest=''">
                <xsl:value-of select="$first"/>
                <xsl:if test="$grid='' ">
                   <br/><br/>
                </xsl:if>
             </xsl:when>
             <xsl:when test="$first!='' and $rest!=''">
                <xsl:value-of select="$first"/><br/>
                <xsl:if test="$grid='' ">
                   <xsl:call-template name="close-row"/>
                </xsl:if>
                <xsl:call-template name="generic-line">
                   <xsl:with-param name="line" select="$rest"/>
                   <xsl:with-param name="style" select="$style"/>
                   <xsl:with-param name="grid" select="$grid"/>
                   <xsl:with-param name="no-first-time" select="'y'"/>
                </xsl:call-template>
             </xsl:when>
       </xsl:choose>
      <xsl:call-template name="build-style-end">
          <xsl:with-param name="style" select="$style"/>
      </xsl:call-template>
   <xsl:if test="$grid='' ">
      <xsl:call-template name="open-row"/>
   </xsl:if>
</xsl:template>

<xsl:template name="close-row">
    <xsl:param name="display"/>
    <xsl:if test="$display !='' ">
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;&lt;/tr&gt;</xsl:text>
    </xsl:if>
</xsl:template>

<xsl:template name="open-row">
      <xsl:text disable-output-escaping="yes">&lt;tr&gt;&lt;td&gt;</xsl:text>
</xsl:template>


<xsl:template name="build-style-start">
   <xsl:param name="style"/>
      <xsl:if test="contains($style, 'bold')"><xsl:text disable-output-escaping="yes">&lt;b&gt;</xsl:text></xsl:if>
      <xsl:if test="contains($style, 'italic')"><xsl:text disable-output-escaping="yes">&lt;i&gt;</xsl:text></xsl:if>
      <xsl:if test="contains($style, 'underline')"><xsl:text disable-output-escaping="yes">&lt;u&gt;</xsl:text></xsl:if>
</xsl:template>

<xsl:template name="build-style-end">
   <xsl:param name="style"/>
      <xsl:if test="contains($style, 'bold')"><xsl:text disable-output-escaping="yes">&lt;b/&gt;</xsl:text></xsl:if>
      <xsl:if test="contains($style, 'italic')"><xsl:text disable-output-escaping="yes">&lt;i/&gt;</xsl:text></xsl:if>
      <xsl:if test="contains($style, 'underline')"><xsl:text disable-output-escaping="yes">&lt;u/&gt;</xsl:text></xsl:if>
</xsl:template>

<xsl:template name="salutation-end">
    <xsl:call-template name="table-close"/>
     <!--/TABLE-->
    <br/>
</xsl:template>


<xsl:template name="blank-line">
    <br/>
</xsl:template>


<xsl:template name="blank-line-first">
    <xsl:if test="position()='1'">
       <br/>
    </xsl:if>
</xsl:template>


<xsl:template name="blank-line-in-free">
    <xsl:param name="lines"/>
    <xsl:param name="first-time"/>
    <xsl:if test="$first-time = ''">
        <xsl:call-template name="table-close"/>
    </xsl:if>
    <xsl:if test="$lines = '' or $lines = '1'">
           <xsl:call-template name="blank-line"/>
           <xsl:call-template name="table-open"/>
    </xsl:if>
    <xsl:if test="$lines != '' and $lines != '1'">
           <xsl:call-template name="blank-line"/>
            <xsl:call-template name="blank-line-in-free">
                <xsl:with-param name="lines" select="number($lines - 1)"/>
                <xsl:with-param name="first-time" select="no"/>
            </xsl:call-template>
    </xsl:if>
</xsl:template>

<xsl:template name="checkbox">
    <xsl:param name="text"/>
         <form>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-start-row"/>
        <td width = "20%">
        <b><xsl:value-of select="$text"/></b></td>
        <td>
            <input type="checkbox"/>
        </td>
    <xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
    </form>
</xsl:template>

<xsl:template name="directly-to-patron">
    <xsl:if test="./z302-address-1 != ''">
     <xsl:call-template name="table-open"/>
     <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Send Directly to:'"/>
       <xsl:with-param name="value" select="''"/>
       <xsl:with-param name="display" select="'always'"/>
     </xsl:call-template>
     <xsl:call-template name="patron-address"/>
     <xsl:call-template name="table-close"/>
    </xsl:if>
</xsl:template>

<xsl:template name="requested-by-proxy">
   <xsl:param name="condition-field"/>
    <xsl:if test="$condition-field!=''">
     <xsl:call-template name="free-title">
         <xsl:with-param name="free-title" select="'Requested By:'"/>
     </xsl:call-template>
     <xsl:call-template name="display-gen">
         <xsl:with-param name="label" select="'Requester ID:'"/>
         <xsl:with-param name="value" select="./z37-requester-id"/>
     </xsl:call-template>

    </xsl:if>
</xsl:template>

</xsl:stylesheet>







<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>





</xsl:stylesheet>


<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->


<xsl:template name="display-not-empty-right-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-right-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td alignment="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-not-empty-split-right-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-split-right-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>



</xsl:stylesheet>

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->


<xsl:template name="display-not-empty-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td alignment="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-not-empty-split-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-split-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>



</xsl:stylesheet>

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>






<xsl:template name="salutation-init">
   <xsl:param name="salutation"/>
     <xsl:call-template name="table-open-full"/>
     <xsl:call-template name="table-start-row"/><td><br/>Dear Sir/Madam,<br/><br/></td><xsl:call-template name="table-end-row"/>
        <xsl:call-template name="generic-line">
            <xsl:with-param name="line" select="$salutation"/>
        </xsl:call-template>
</xsl:template>



<xsl:template name="salutation-end">
    <xsl:call-template name="table-close"/>
     <!--/TABLE-->
    <br/><br/>
</xsl:template>


</xsl:stylesheet>


<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>




<xsl:template name="display-gen-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="display"/>
    <xsl:param name="type"/>
    <xsl:param name="style"/>

    <!-- Regular -->
    <xsl:if test="$display =''  and $type = '' ">
      <xsl:call-template name="display-not-empty-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data -->
   <xsl:if test="$display ='always'  and $type = ''">
      <xsl:call-template name="display-always-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>






    <!-- Regular  - align right-->
    <xsl:if test="$display =''  and $type = 'right'">
      <xsl:call-template name="display-not-empty-right-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

     <!-- Display label even if no data - align right -->
   <xsl:if test="$display ='always'  and $type = 'right'">
      <xsl:call-template name="display-always-right-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Regular - Barcode -->
    <xsl:if test="$display =''  and $type = 'barcode' ">
      <xsl:call-template name="display-not-empty-barcode-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data - Barcode -->
   <xsl:if test="$display ='always'  and $type = 'barcode'">
      <xsl:call-template name="display-always-barcode-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

      <!-- Display checkbox -->
    <xsl:if test="$type = 'check' ">

   <xsl:call-template name="free-data-check">
            <xsl:with-param name="label" select="$label"/>
            <xsl:with-param name="value" select="$value"/>
            <xsl:with-param name="style" select="'bold'"/>
   </xsl:call-template>

     </xsl:if>

     <!-- Display index -->
   <xsl:if test="$type = 'index'">
      <xsl:call-template name="position-index">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="'bold'"/>
          <xsl:with-param name="width" select="'40%'"/>
       </xsl:call-template>
     </xsl:if>

</xsl:template>

<xsl:template name="display-not-empty-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%">

        <b><xsl:value-of select="$label"/></b></td>
        <td width="30%">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
        <td></td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>



<xsl:template name="display-not-empty-barcode-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
         <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                *<xsl:value-of select="$value"/>*
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-barcode-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                *<xsl:value-of select="$value"/>*
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-not-empty-right-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-right-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td alignment="right">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>



<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->

<xsl:template name="display-not-empty-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td>
            <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
                 <xsl:value-of select="$value"/>
            <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
       </td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td>
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
                   <xsl:value-of select="$value"/>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-not-empty-split-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td>
            <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
                 <xsl:value-of select="$value"/></td>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-split-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td>
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
              <xsl:value-of select="$value"/></td>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
</xsl:template>




<xsl:template name="bib-info-hdr-style">
   <xsl:param name="line"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-open-full"/>
     <td width="100%" colspan="2">
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
        <xsl:call-template name="bib-info">
            <xsl:with-param name="line" select="$line"/>
         </xsl:call-template>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
    </td>
    <xsl:call-template name="table-close"/>
</xsl:template>




<xsl:template name="display-not-empty-barcode-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<xsl:value-of select="$value"/>*</td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-barcode-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<xsl:value-of select="$value"/>*</td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-gen-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="display"/>
    <xsl:param name="type"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>

    <!-- Regular -->
    <xsl:if test="$display =''  and $type = '' ">
      <xsl:call-template name="display-not-empty-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data -->
   <xsl:if test="$display ='always'  and $type = ''">
      <xsl:call-template name="display-always-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>






    <!-- Regular  - align right-->
    <xsl:if test="$display =''  and $type = 'right'">
      <xsl:call-template name="display-not-empty-right-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>

     <!-- Display label even if no data - align right -->
   <xsl:if test="$display ='always'  and $type = 'right'">
      <xsl:call-template name="display-always-right-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Regular - Barcode -->
    <xsl:if test="$display =''  and $type = 'barcode' ">
      <xsl:call-template name="display-not-empty-barcode-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data - Barcode -->
   <xsl:if test="$display ='always'  and $type = 'barcode'">
      <xsl:call-template name="display-always-barcode-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>



</xsl:template>

<xsl:template name="header-gen-style">
     <xsl:param name="title"/>
         <xsl:text>&#xa;</xsl:text>
   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8"/>
    <!--DIV  STYLE="font-size: 9pt; font-family: Arial"-->
      <TABLE WIDTH="100%" style="font-family=arial; font-size=9pt">
    <xsl:call-template name="table-start-row"/><td><SCRIPT LANGUAGE="JavaScript">document.write(Date())</SCRIPT></td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-start-row"/><td><xsl:value-of select="//form-name"/>-<xsl:value-of select="//form-format"/></td><xsl:call-template name="table-end-row"/>
     <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"  STYLE="font-size: 12pt; font-family: Arial" ALIGN="CENTER"><b><xsl:value-of select="$title"/></b></td><xsl:call-template name="table-end-row"/>
   </TABLE>
</xsl:template>

<xsl:template name="signature-gen-style">
     <xsl:param name="signature"/>
       <TABLE WIDTH="100%" style="font-family=arial; font-size=9pt">
     <xsl:call-template name="bib-info">
        <xsl:with-param name="line" select="$signature"/>
    </xsl:call-template>
   </TABLE>
</xsl:template>






</xsl:stylesheet>


<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>


<xsl:variable name="table-width" select="'100%'"/>


<xsl:template name="table-open-full">
    <xsl:element name="TABLE">
                  <xsl:attribute name="WIDTH"><xsl:value-of select="$table-width"/></xsl:attribute>
                 <xsl:attribute name="style">font-family=arial; font-size=9pt</xsl:attribute>
                  <xsl:attribute name="align">center</xsl:attribute>
    </xsl:element>
</xsl:template>

<xsl:template name="table-open">
    <xsl:param name="width"/>
    <xsl:param name="align"/>
    <xsl:variable name="cur-width">
         <xsl:choose>
         <xsl:when test = "$width != ''">
             <xsl:value-of select="$width"/>
         </xsl:when>
         <xsl:otherwise><xsl:value-of select="$table-width"/></xsl:otherwise>
         </xsl:choose>
    </xsl:variable>
    <xsl:element name="TABLE">
                  <xsl:attribute name="WIDTH"><xsl:value-of select="$cur-width"/></xsl:attribute>
                 <xsl:attribute name="style">font-family=arial; font-size=9pt</xsl:attribute>
                  <xsl:attribute name="align">center<xsl:value-of select="$align"/></xsl:attribute>
    </xsl:element>
</xsl:template>

<xsl:template name="grid-open">
    <xsl:param name="width"/>
    <xsl:param name="align"/>
    <xsl:variable name="cur-width">
         <xsl:choose>
         <xsl:when test = "$width != ''">
             <xsl:value-of select="$width"/>
         </xsl:when>
         <xsl:otherwise>100%</xsl:otherwise>
         </xsl:choose>
    </xsl:variable>
    <xsl:element name="TABLE">
                  <xsl:attribute name="WIDTH"><xsl:value-of select="$cur-width"/></xsl:attribute>
                  <xsl:attribute name="BORDER">1</xsl:attribute>
                 <xsl:attribute name="style">font-family=arial; font-size=9pt</xsl:attribute>
                  <xsl:attribute name="align"><xsl:value-of select="$align"/></xsl:attribute>
    </xsl:element>
</xsl:template>


<xsl:template name="grid-close">
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="table-close">
         <xsl:text disable-output-escaping="yes">&lt;/TABLE&gt;</xsl:text>
</xsl:template>

<xsl:template name="table-split-open">
         <xsl:text disable-output-escaping="yes">        &lt;TABLE ALIGN="CENTER" WIDTH="100%"&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;tr&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;td width="50%"&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">           &lt;TABLE WIDTH="100%" STYLE="font-size: 9pt; font-family: Arial"&gt;</xsl:text>
</xsl:template>

<xsl:template name="table-split-right">
         <xsl:text disable-output-escaping="yes">        &lt;/TABLE&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;/td&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;td&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">           &lt;TABLE WIDTH="100%" STYLE="font-size: 9pt; font-family: Arial"&gt;</xsl:text>
</xsl:template>
<xsl:template name="table-split-close">
         <xsl:text disable-output-escaping="yes">        &lt;/TABLE&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;/td&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;/tr&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">        &lt;/TABLE&gt;</xsl:text>
</xsl:template>

<xsl:template name="table-start-row">
         <xsl:text disable-output-escaping="yes">&lt;tr&gt;</xsl:text>
</xsl:template>
<xsl:template name="table-end-row">
         <xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>
</xsl:template>


</xsl:stylesheet>




<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>



<xsl:include href="funcs-address.xsl"/>
<xsl:include href="funcs-bib-info.xsl"/>
<!--xsl:include href="funcs-salut-sign.xsl"/-->
<!--xsl:include href="funcs-right.xsl"/-->
<xsl:include href="funcs-split.xsl"/>
<xsl:include href="funcs-grid.xsl"/>
<xsl:include href="funcs-free.xsl"/>
<xsl:include href="funcs-table.xsl"/>
<!--xsl:include href="funcs-grid-style.xsl"/-->
<!--xsl:include href="funcs-style.xsl"/-->
<!--xsl:include href="funcs-right-style.xsl"/-->
<xsl:include href="funcs-misc.xsl"/>
<!--xsl:include href="funcs-multilines.xsl"/-->
<xsl:include href="funcs-budget-status.xsl"/>
<!--xsl:include href="date.xsl"/-->
<!--xsl:include href="date.date.template.xsl"/-->
<!--xsl:include href="date.date.function.xsl"/-->

<xsl:template name="header-gen">
     <xsl:param name="title"/>
     <xsl:param name="sub-title"/>
   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8"/>

   <!--DIV  STYLE="font-size: 9pt; font-family: Arial"-->
   <xsl:call-template name="table-open-full"/>

     <xsl:call-template name="table-start-row"/><td><xsl:value-of select="//form-date"/></td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-start-row"/><td>
           <xsl:value-of select="//form-name"/>-<xsl:value-of select="//form-format"/>
    </td><xsl:call-template name="table-end-row"/>
     <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"><hr/></td><xsl:call-template name="table-end-row"/>
     <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"  STYLE="font-size: 12pt; font-family: Arial" ALIGN="CENTER">
                  <b><xsl:value-of select="$title"/><br/></b>
     </td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-close"/>
   <xsl:if test="$sub-title !='' ">
        <xsl:call-template name="table-open-full"/>

        <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"  STYLE="font-size: 12pt; font-family: Arial" ALIGN="CENTER">
                  <b><xsl:value-of select="$sub-title"/><br/></b>
        </td><xsl:call-template name="table-end-row"/>
        <xsl:call-template name="table-close"/>
   </xsl:if>

</xsl:template>

<xsl:template name="horizontal-line">
    <hr/>
</xsl:template>

<xsl:template name="local-title">
      <xsl:param name="local-title"/>
       <br/>
   <xsl:call-template name="table-open"/>
   <xsl:call-template name="table-start-row"/><td><b><xsl:value-of select="$local-title"/></b></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-close"/>
</xsl:template>







</xsl:stylesheet>


<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>


<xsl:variable name="label-width" select="'20%'"/>

<xsl:template name="free-title">
    <xsl:param name="free-title"/>
        <xsl:call-template name="table-start-row"/>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="'underline;bold'"/>
            </xsl:call-template>
               <xsl:value-of select="$free-title"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="'underline;bold'"/>
            </xsl:call-template>
        </td>
        <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-gen">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="display"/>
    <xsl:param name="type"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>

    <!-- Regular -->
    <xsl:if test="$display =''  and $type = '' ">
      <xsl:call-template name="display-not-empty">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data -->
   <xsl:if test="$display ='always'  and $type = ''">
      <xsl:call-template name="display-always">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display index -->
   <xsl:if test="$type = 'index'">
      <xsl:call-template name="position-index">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>






    <!-- Regular  - align right-->
    <xsl:if test="$display =''  and $type = 'right'">
      <xsl:call-template name="display-not-empty-right">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>

     <!-- Display label even if no data - align right -->
   <xsl:if test="$display ='always'  and $type = 'right'">
      <xsl:call-template name="display-always-right">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Regular - Barcode -->
    <xsl:if test="$display =''  and $type = 'barcode' ">
      <xsl:call-template name="display-not-empty-barcode">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data - Barcode -->
   <xsl:if test="$display ='always'  and $type = 'barcode'">
      <xsl:call-template name="display-always-barcode">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>

      <!-- Display checkbox -->
    <xsl:if test="$type = 'check' ">

   <xsl:call-template name="free-data-check">
            <xsl:with-param name="label" select="$label"/>
            <xsl:with-param name="value" select="$value"/>
            <xsl:with-param name="style" select="'bold'"/>
   </xsl:call-template>

     </xsl:if>

</xsl:template>

<xsl:template name="display-not-empty">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}">
        <b><xsl:value-of select="$label"/></b></td>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}"><b><xsl:value-of select="$label"/></b></td>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>



<xsl:template name="display-not-empty-barcode">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
         <td width="{$local-width}"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<xsl:value-of select="$value"/>*</td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-barcode">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<xsl:value-of select="$value"/>*</td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-not-empty-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:if test="$value !=''">
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}"><b><xsl:value-of select="$label"/></b></td>
        <td   width="10%" align="right">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
        <td></td>
    <xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}"><b><xsl:value-of select="$label"/></b></td>
        <td   width="10%" align="right">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
        <td></td>
    <xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
</xsl:template>



<xsl:template name="bib-info-hdr">
    <xsl:call-template name="table-open-full"/>
     <td width="100%" colspan="2">
        <xsl:call-template name="generic-line">
            <xsl:with-param name="line" select="./bib-info"/>
         </xsl:call-template>
    </td>
    <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="bib-info-free">
    <xsl:param name="value"/>
    <xsl:call-template name="table-open-full"/>
        <xsl:choose>
        <xsl:when test = "$value != ''">
            <td width="100%">
                <xsl:value-of select="$value"/>
            </td>
        </xsl:when>
        </xsl:choose>

    <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="position-index">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}"><b><xsl:value-of select="concat($label, position())"/></b></td>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <!--xsl:value-of select="$value"/-->
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>


<xsl:template name="free-data-check">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="check-value"/>

        <form><td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        <xsl:value-of select="$label"/>
        <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
        </xsl:call-template>
        </td><td>
        <xsl:variable name="loc-check-value">
        <xsl:choose>
          <xsl:when test="$check-value!='' and $value = $check-value">Y</xsl:when>
          <xsl:when test="$check-value ='' and (starts-with($value,'Y') or starts-with($value,'y'))">Y</xsl:when>
          <xsl:otherwise>N</xsl:otherwise>
        </xsl:choose>
        </xsl:variable>

            <xsl:choose>
            <xsl:when test="$loc-check-value = 'Y'">
              <xsl:text disable-output-escaping="yes">
              &lt;input checked type=checkbox /&gt;
              </xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:text disable-output-escaping="yes">
              &lt;input type=checkbox /&gt;
              </xsl:text>
            </xsl:otherwise>
            </xsl:choose>

        <br/></td></form>
</xsl:template>

</xsl:stylesheet>





<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->

<xsl:template name="grid-hdr-style">
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
        <th>
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
           <xsl:value-of select="$value"/>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
           </th>
</xsl:template>


<xsl:template name="style-start">
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
           <xsl:if test="$bold ='bold' ">
                 <xsl:text disable-output-escaping="yes">&lt;b&gt;</xsl:text>
           </xsl:if>
           <xsl:if test="$italic ='italic' ">
                 <xsl:text disable-output-escaping="yes">&lt;i&gt;</xsl:text>
           </xsl:if>
           <xsl:if test="$underline ='underline' ">
                 <xsl:text disable-output-escaping="yes">&lt;u&gt;</xsl:text>
           </xsl:if>
</xsl:template>
<xsl:template name="style-end">
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
           <xsl:if test="$underline ='underline' ">
                 <xsl:text disable-output-escaping="yes">&lt;/u&gt;</xsl:text>
           </xsl:if>
           <xsl:if test="$italic ='italic' ">
                 <xsl:text disable-output-escaping="yes">&lt;/i&gt;</xsl:text>
           </xsl:if>
           <xsl:if test="$bold ='bold' ">
                 <xsl:text disable-output-escaping="yes">&lt;/b&gt;</xsl:text>
           </xsl:if>
</xsl:template>

<xsl:template name="grid-data-style">
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>

        <td>
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
               <xsl:value-of select="$value"/>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
         <br/>
        </td>
</xsl:template>

<xsl:template name="grid-data-right-style">
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
            <td align="right">
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
        <xsl:value-of select="$value"/>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
         <br/></td>
</xsl:template>

<xsl:template name="grid-data-barcode-style">
    <xsl:param name="value"/>
        <td align="center" STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<br/><xsl:value-of select="$value"/>*</td>
</xsl:template>

<xsl:template name="grid-data-bib-info-style">
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <td>
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
    <xsl:variable name="bib" select="./bib-info"/>
    <xsl:if test="$bib !='' ">
    <xsl:call-template name="bib-info">
       <xsl:with-param name="line" select="./bib-info"/>
    </xsl:call-template>
    </xsl:if>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
    </td>
</xsl:template>

<xsl:template name="display-grid-gen-style">
    <xsl:param name="value"/>
    <xsl:param name="type"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>

    <!-- Regular -->
    <xsl:if test="$type ='' ">
      <xsl:call-template name="grid-data-style">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Header -->
    <xsl:if test="$type ='header' ">
      <xsl:call-template name="grid-hdr-style">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Right Aligned -->
    <xsl:if test="$type ='right' ">
      <xsl:call-template name="grid-data-right-style">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>


    <!-- Barcode -->
    <xsl:if test="$type ='barcode' ">
      <xsl:call-template name="grid-data-barcode-style">
          <xsl:with-param name="value" select="$value"/>
       </xsl:call-template>
     </xsl:if>

    <!-- bib-info -->
    <xsl:if test="$type ='bib-info' ">
      <xsl:call-template name="grid-data-bib-info-style">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
       <br/>
    </xsl:if>

</xsl:template>



</xsl:stylesheet>

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->

<xsl:template name="grid-hdr">
    <xsl:param name="value"/>
        <th><xsl:value-of select="$value"/></th>
</xsl:template>

<xsl:template name="grid-data">
    <xsl:param name="value"/>
    <xsl:param name="style"/>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                <!--xsl:value-of select="$value"/-->
            <xsl:call-template name="put-data">
                <xsl:with-param name="value" select="$value"/>
            </xsl:call-template>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        <br/></td>
</xsl:template>


<xsl:template name="put-data">
    <xsl:param name="value"/>
   <xsl:variable name="first" select="substring-before($value,'##')"/>
   <xsl:variable name="rest" select="substring-after($value,'##')"/>
   <xsl:if test="$first != ''">
       <xsl:value-of select="$first"/><br/>
   </xsl:if>
   <xsl:if test="$rest != ''">
        <xsl:call-template name="put-data">
            <xsl:with-param name="value" select="$rest"/>
         </xsl:call-template>
   </xsl:if>
   <xsl:if test="$rest = '' and $value != ''  and $value != '##'">
      <xsl:value-of select="$value"/>
   </xsl:if>
</xsl:template>


<xsl:template name="grid-data-check">
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="check-value"/>

        <td align="middle"><form>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>

        <xsl:variable name="loc-check-value">
        <xsl:choose>
          <xsl:when test="$check-value!='' and $value = $check-value">Y</xsl:when>
          <xsl:when test="$check-value ='' and (starts-with($value,'Y') or starts-with($value,'y'))">Y</xsl:when>
          <xsl:otherwise>N</xsl:otherwise>
        </xsl:choose>
        </xsl:variable>

            <xsl:choose>
            <xsl:when test="$loc-check-value = 'Y'">
              <xsl:text disable-output-escaping="yes">
              &lt;input checked type=checkbox /&gt;
              </xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:text disable-output-escaping="yes">
              &lt;input type=checkbox /&gt;
              </xsl:text>
            </xsl:otherwise>
            </xsl:choose>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        <br/></form></td>
</xsl:template>


<xsl:template name="grid-index">
    <xsl:param name="value"/>
    <xsl:param name="style"/>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="position()"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        <br/></td>
</xsl:template>



<xsl:template name="grid-data-right">
    <xsl:param name="value"/>
    <xsl:param name="style"/>
        <td align="right">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
            <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        <br/></td>
</xsl:template>

<xsl:template name="grid-data-barcode">
    <xsl:param name="value"/>
        <td width="35%" align="center" STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<xsl:value-of select="$value"/>*<br/></td>
</xsl:template>

<xsl:template name="grid-data-bib-info">
    <xsl:param name="value"/>
    <td>
    <xsl:variable name="bib" select="./bib-info"/>
    <xsl:if test="$value !='' ">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="$value"/>
       <xsl:with-param name="grid" select="'grid'"/>
    </xsl:call-template>
    </xsl:if>
     <br/>
    </td>
</xsl:template>



<xsl:template name="grid-title">
      <xsl:param name="grid-title"/>
    <xsl:call-template name="table-close"/>
       <br/>
    <xsl:call-template name="table-open"/>

   <xsl:call-template name="table-start-row"/><td><b><xsl:value-of select="$grid-title"/></b></td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
    <!--xsl:call-template name="grid-open"/-->
</xsl:template>

<xsl:template name="grid-title-nobold">
      <xsl:param name="grid-title"/>
    <xsl:call-template name="table-close"/>
       <br/>
    <xsl:call-template name="table-open"/>

   <xsl:call-template name="table-start-row"/><td><xsl:value-of select="$grid-title"/></td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
    <!--xsl:call-template name="grid-open"/-->
</xsl:template>

<xsl:template name="grid-data-restart">
    <xsl:param name="value"/>
    <xsl:param name="style"/>
       <xsl:if test="$value!='' and position() !='1'">
           <xsl:call-template name="table-close"/>
           <xsl:call-template name="blank-line"/>
           <xsl:call-template name="grid-open"/>
       </xsl:if>
        <td><b>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </b><br/></td>
</xsl:template>





<xsl:template name="display-grid-gen">
    <xsl:param name="value"/>
    <xsl:param name="type"/>
    <xsl:param name="label"/>
    <xsl:param name="header"/>
    <xsl:param name="style"/>
    <xsl:param name="check-value"/>

    <!-- Header -->
    <xsl:if test="$header ='header' ">
      <xsl:call-template name="grid-hdr">
          <xsl:with-param name="value" select="$label"/>
       </xsl:call-template>
     </xsl:if>

    <xsl:if test="$header ='' ">
    <!-- Regular -->
    <xsl:if test="$type ='index' ">
      <xsl:call-template name="grid-index">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Index -->
    <xsl:if test="$type ='' ">
      <xsl:call-template name="grid-data">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Right Aligned -->
    <xsl:if test="$type ='right' ">
      <xsl:call-template name="grid-data-right">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Checkbox -->
    <xsl:if test="$type ='check' ">
      <xsl:call-template name="grid-data-check">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="check-value" select="$check-value"/>
       </xsl:call-template>
     </xsl:if>


    <!-- Barcode -->
    <xsl:if test="$type ='barcode' ">
      <xsl:call-template name="grid-data-barcode">
          <xsl:with-param name="value" select="$value"/>
       </xsl:call-template>
     </xsl:if>

    <!-- bib-info -->
    <xsl:if test="$type ='bib-info' ">
      <xsl:call-template name="grid-data-bib-info">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>

    </xsl:if>

    <!-- Restart -->
    <xsl:if test="$type ='restart' ">
      <xsl:call-template name="grid-data-restart">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>
     </xsl:if>


</xsl:template>

<xsl:template name="start-grid">
    <xsl:param name="grid-title"/>
    <xsl:param name="width"/>
    <xsl:param name="nobold"/>

        <xsl:if test="$grid-title!='' and $nobold=''">
           <xsl:call-template name="grid-title">
              <xsl:with-param name="grid-title" select="$grid-title"/>
           </xsl:call-template>
        </xsl:if>
        <xsl:if test="$grid-title!='' and $nobold='nobold'">
           <xsl:call-template name="grid-title-nobold">
              <xsl:with-param name="grid-title" select="$grid-title"/>
           </xsl:call-template>
        </xsl:if>

        <xsl:if test="$grid-title=''">
             <br/>
        </xsl:if>
           <xsl:call-template name="grid-open">
              <xsl:with-param name="width" select="$width"/>
           </xsl:call-template>
</xsl:template>


</xsl:stylesheet>








<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xmlns:saxon="http://icl.com/saxon"-->
<xsl:output method="xml" indent="yes"/>

   <!--xmlns:date="http://exslt.org/dates-and-times"-->
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->


<xsl:template name="open-row-cond">
    <xsl:param name="display"/>
    <xsl:if test="$display !='' ">
      <xsl:text disable-output-escaping="yes">&lt;tr&gt;</xsl:text>
    </xsl:if>
</xsl:template>


<xsl:template name="close-row-cond">
    <xsl:param name="display"/>
    <xsl:if test="$display !='' ">
      <xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>
    </xsl:if>
</xsl:template>

<xsl:template name="display-grid-currency">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="type"/>
    <xsl:param name="display"/>
    <xsl:param name="header"/>

    <!-- Header -->
    <xsl:if test="$header !='' ">
    <xsl:if test="$display !='' ">
      <xsl:call-template name="grid-hdr">
          <xsl:with-param name="value" select="$label"/>
       </xsl:call-template>
       </xsl:if>
     </xsl:if>

    <xsl:if test="$header ='' ">

    <!-- Regular -->

    <xsl:if test="$label !='' ">
     <xsl:if test="$type ='right' ">
      <xsl:call-template name="grid-data-right">
          <xsl:with-param name="value" select="$value"/>
       </xsl:call-template>
     </xsl:if>
     <xsl:if test="$type ='' ">
      <xsl:call-template name="grid-data">
          <xsl:with-param name="value" select="$value"/>
       </xsl:call-template>
     </xsl:if>
    </xsl:if>
     </xsl:if>

</xsl:template>






<xsl:template name="generic-line">
   <xsl:param name="line"/>
   <xsl:param name="style"/>
   <xsl:param name="no-first-time"/>
   <xsl:param name="grid"/>
   <xsl:param name="width"/>
   <xsl:variable name="first" select="substring-before($line,'##')"/>
   <xsl:variable name="rest" select="substring-after($line,'##')"/>
   <xsl:if test="$no-first-time='' and $grid='' ">
      <xsl:call-template name="table-close"/>
        <xsl:if test="$width=''">
             <xsl:call-template name="table-open-full"/>
        </xsl:if>
        <xsl:if test="$width!=''">
             <xsl:call-template name="table-open">
                <xsl:with-param name="width" select="$width"/>
                <xsl:with-param name="align" select="'left'"/>
             </xsl:call-template>
        </xsl:if>
   </xsl:if>
   <xsl:if test="$grid='' ">
       <xsl:call-template name="open-row"/>
   </xsl:if>

      <xsl:call-template name="build-style-start">
          <xsl:with-param name="style" select="$style"/>
      </xsl:call-template>

       <xsl:choose>
             <xsl:when test="$grid='' and $line='salutation_string' or $first='salutation_string'">
                <br/><br/>Dear Sir/Madam,<br/><br/>
                <xsl:call-template name="close-row"/>
                <xsl:call-template name="generic-line">
                   <xsl:with-param name="line" select="$rest"/>
                   <xsl:with-param name="style" select="$style"/>
                   <xsl:with-param name="grid" select="$grid"/>
                   <xsl:with-param name="no-first-time" select="'y'"/>
                </xsl:call-template>
             </xsl:when>
             <xsl:when test="$grid='' and contains($line,'salutation_string')">
                <br/><br/>Dear Sir/Madam,<br/><br/>
                <xsl:call-template name="close-row"/>
                 <xsl:variable name="rest_salut" select="substring-after($line,'salutation_string')"/>
                <xsl:call-template name="generic-line">
                   <xsl:with-param name="line" select="$rest_salut"/>
                   <xsl:with-param name="style" select="$style"/>
                   <xsl:with-param name="grid" select="$grid"/>
                   <xsl:with-param name="no-first-time" select="'y'"/>
                </xsl:call-template>
             </xsl:when>
             <xsl:when test="$line='' or $line='##'">
                <br/>
             </xsl:when>
             <xsl:when test="not(contains($line, '##'))">
                <xsl:value-of select="$line"/><br/>
             </xsl:when>
             <xsl:when test="$first='' and $rest!=''">
                <xsl:if test="$grid='' ">
                  <br/>
                   <xsl:call-template name="close-row"/>
                </xsl:if>
                <xsl:call-template name="generic-line">
                   <xsl:with-param name="line" select="$rest"/>
                   <xsl:with-param name="style" select="$style"/>
                   <xsl:with-param name="grid" select="$grid"/>
                   <xsl:with-param name="no-first-time" select="'y'"/>
                </xsl:call-template>
             </xsl:when>
             <xsl:when test="$first!='' and $rest=''">
                <xsl:value-of select="$first"/>
                <xsl:if test="$grid='' ">
                   <br/><br/>
                </xsl:if>
             </xsl:when>
             <xsl:when test="$first!='' and $rest!=''">
                <xsl:value-of select="$first"/><br/>
                <xsl:if test="$grid='' ">
                   <xsl:call-template name="close-row"/>
                </xsl:if>
                <xsl:call-template name="generic-line">
                   <xsl:with-param name="line" select="$rest"/>
                   <xsl:with-param name="style" select="$style"/>
                   <xsl:with-param name="grid" select="$grid"/>
                   <xsl:with-param name="no-first-time" select="'y'"/>
                </xsl:call-template>
             </xsl:when>
       </xsl:choose>
      <xsl:call-template name="build-style-end">
          <xsl:with-param name="style" select="$style"/>
      </xsl:call-template>
   <xsl:if test="$grid='' ">
      <xsl:call-template name="open-row"/>
   </xsl:if>
</xsl:template>

<xsl:template name="close-row">
    <xsl:param name="display"/>
    <xsl:if test="$display !='' ">
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;&lt;/tr&gt;</xsl:text>
    </xsl:if>
</xsl:template>

<xsl:template name="open-row">
      <xsl:text disable-output-escaping="yes">&lt;tr&gt;&lt;td&gt;</xsl:text>
</xsl:template>


<xsl:template name="build-style-start">
   <xsl:param name="style"/>
      <xsl:if test="contains($style, 'bold')"><xsl:text disable-output-escaping="yes">&lt;b&gt;</xsl:text></xsl:if>
      <xsl:if test="contains($style, 'italic')"><xsl:text disable-output-escaping="yes">&lt;i&gt;</xsl:text></xsl:if>
      <xsl:if test="contains($style, 'underline')"><xsl:text disable-output-escaping="yes">&lt;u&gt;</xsl:text></xsl:if>
</xsl:template>

<xsl:template name="build-style-end">
   <xsl:param name="style"/>
      <xsl:if test="contains($style, 'bold')"><xsl:text disable-output-escaping="yes">&lt;b/&gt;</xsl:text></xsl:if>
      <xsl:if test="contains($style, 'italic')"><xsl:text disable-output-escaping="yes">&lt;i/&gt;</xsl:text></xsl:if>
      <xsl:if test="contains($style, 'underline')"><xsl:text disable-output-escaping="yes">&lt;u/&gt;</xsl:text></xsl:if>
</xsl:template>

<xsl:template name="salutation-end">
    <xsl:call-template name="table-close"/>
     <!--/TABLE-->
    <br/>
</xsl:template>


<xsl:template name="blank-line">
    <br/>
</xsl:template>


<xsl:template name="blank-line-first">
    <xsl:if test="position()='1'">
       <br/>
    </xsl:if>
</xsl:template>


<xsl:template name="blank-line-in-free">
    <xsl:param name="lines"/>
    <xsl:param name="first-time"/>
    <xsl:if test="$first-time = ''">
        <xsl:call-template name="table-close"/>
    </xsl:if>
    <xsl:if test="$lines = '' or $lines = '1'">
           <xsl:call-template name="blank-line"/>
           <xsl:call-template name="table-open"/>
    </xsl:if>
    <xsl:if test="$lines != '' and $lines != '1'">
           <xsl:call-template name="blank-line"/>
            <xsl:call-template name="blank-line-in-free">
                <xsl:with-param name="lines" select="number($lines - 1)"/>
                <xsl:with-param name="first-time" select="no"/>
            </xsl:call-template>
    </xsl:if>
</xsl:template>

<xsl:template name="checkbox">
    <xsl:param name="text"/>
         <form>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-start-row"/>
        <td width = "20%">
        <b><xsl:value-of select="$text"/></b></td>
        <td>
            <input type="checkbox"/>
        </td>
    <xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
    </form>
</xsl:template>

<xsl:template name="directly-to-patron">
    <xsl:if test="./z302-address-1 != ''">
     <xsl:call-template name="table-open"/>
     <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Send Directly to:'"/>
       <xsl:with-param name="value" select="''"/>
       <xsl:with-param name="display" select="'always'"/>
     </xsl:call-template>
     <xsl:call-template name="patron-address"/>
     <xsl:call-template name="table-close"/>
    </xsl:if>
</xsl:template>

<xsl:template name="requested-by-proxy">
   <xsl:param name="condition-field"/>
    <xsl:if test="$condition-field!=''">
     <xsl:call-template name="free-title">
         <xsl:with-param name="free-title" select="'Requested By:'"/>
     </xsl:call-template>
     <xsl:call-template name="display-gen">
         <xsl:with-param name="label" select="'Requester ID:'"/>
         <xsl:with-param name="value" select="./z37-requester-id"/>
     </xsl:call-template>

    </xsl:if>
</xsl:template>

</xsl:stylesheet>







<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>





</xsl:stylesheet>


<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->


<xsl:template name="display-not-empty-right-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-right-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td alignment="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-not-empty-split-right-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-split-right-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>



</xsl:stylesheet>

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->


<xsl:template name="display-not-empty-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td alignment="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-not-empty-split-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-split-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>



</xsl:stylesheet>

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>






<xsl:template name="salutation-init">
   <xsl:param name="salutation"/>
     <xsl:call-template name="table-open-full"/>
     <xsl:call-template name="table-start-row"/><td><br/>Dear Sir/Madam,<br/><br/></td><xsl:call-template name="table-end-row"/>
        <xsl:call-template name="generic-line">
            <xsl:with-param name="line" select="$salutation"/>
        </xsl:call-template>
</xsl:template>



<xsl:template name="salutation-end">
    <xsl:call-template name="table-close"/>
     <!--/TABLE-->
    <br/><br/>
</xsl:template>


</xsl:stylesheet>


<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>




<xsl:template name="display-gen-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="display"/>
    <xsl:param name="type"/>
    <xsl:param name="style"/>

    <!-- Regular -->
    <xsl:if test="$display =''  and $type = '' ">
      <xsl:call-template name="display-not-empty-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data -->
   <xsl:if test="$display ='always'  and $type = ''">
      <xsl:call-template name="display-always-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>






    <!-- Regular  - align right-->
    <xsl:if test="$display =''  and $type = 'right'">
      <xsl:call-template name="display-not-empty-right-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

     <!-- Display label even if no data - align right -->
   <xsl:if test="$display ='always'  and $type = 'right'">
      <xsl:call-template name="display-always-right-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Regular - Barcode -->
    <xsl:if test="$display =''  and $type = 'barcode' ">
      <xsl:call-template name="display-not-empty-barcode-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data - Barcode -->
   <xsl:if test="$display ='always'  and $type = 'barcode'">
      <xsl:call-template name="display-always-barcode-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

      <!-- Display checkbox -->
    <xsl:if test="$type = 'check' ">

   <xsl:call-template name="free-data-check">
            <xsl:with-param name="label" select="$label"/>
            <xsl:with-param name="value" select="$value"/>
            <xsl:with-param name="style" select="'bold'"/>
   </xsl:call-template>

     </xsl:if>

     <!-- Display index -->
   <xsl:if test="$type = 'index'">
      <xsl:call-template name="position-index">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="'bold'"/>
          <xsl:with-param name="width" select="'40%'"/>
       </xsl:call-template>
     </xsl:if>

</xsl:template>

<xsl:template name="display-not-empty-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%">

        <b><xsl:value-of select="$label"/></b></td>
        <td width="30%">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
        <td></td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>



<xsl:template name="display-not-empty-barcode-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
         <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                *<xsl:value-of select="$value"/>*
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-barcode-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                *<xsl:value-of select="$value"/>*
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-not-empty-right-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-right-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td alignment="right">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>



<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->

<xsl:template name="display-not-empty-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td>
            <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
                 <xsl:value-of select="$value"/>
            <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
       </td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td>
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
                   <xsl:value-of select="$value"/>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-not-empty-split-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td>
            <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
                 <xsl:value-of select="$value"/></td>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-split-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td>
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
              <xsl:value-of select="$value"/></td>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
</xsl:template>




<xsl:template name="bib-info-hdr-style">
   <xsl:param name="line"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-open-full"/>
     <td width="100%" colspan="2">
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
        <xsl:call-template name="bib-info">
            <xsl:with-param name="line" select="$line"/>
         </xsl:call-template>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
    </td>
    <xsl:call-template name="table-close"/>
</xsl:template>




<xsl:template name="display-not-empty-barcode-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<xsl:value-of select="$value"/>*</td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-barcode-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<xsl:value-of select="$value"/>*</td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-gen-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="display"/>
    <xsl:param name="type"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>

    <!-- Regular -->
    <xsl:if test="$display =''  and $type = '' ">
      <xsl:call-template name="display-not-empty-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data -->
   <xsl:if test="$display ='always'  and $type = ''">
      <xsl:call-template name="display-always-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>






    <!-- Regular  - align right-->
    <xsl:if test="$display =''  and $type = 'right'">
      <xsl:call-template name="display-not-empty-right-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>

     <!-- Display label even if no data - align right -->
   <xsl:if test="$display ='always'  and $type = 'right'">
      <xsl:call-template name="display-always-right-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Regular - Barcode -->
    <xsl:if test="$display =''  and $type = 'barcode' ">
      <xsl:call-template name="display-not-empty-barcode-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data - Barcode -->
   <xsl:if test="$display ='always'  and $type = 'barcode'">
      <xsl:call-template name="display-always-barcode-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>



</xsl:template>

<xsl:template name="header-gen-style">
     <xsl:param name="title"/>
         <xsl:text>&#xa;</xsl:text>
   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8"/>
    <!--DIV  STYLE="font-size: 9pt; font-family: Arial"-->
      <TABLE WIDTH="100%" style="font-family=arial; font-size=9pt">
    <xsl:call-template name="table-start-row"/><td><SCRIPT LANGUAGE="JavaScript">document.write(Date())</SCRIPT></td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-start-row"/><td><xsl:value-of select="//form-name"/>-<xsl:value-of select="//form-format"/></td><xsl:call-template name="table-end-row"/>
     <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"  STYLE="font-size: 12pt; font-family: Arial" ALIGN="CENTER"><b><xsl:value-of select="$title"/></b></td><xsl:call-template name="table-end-row"/>
   </TABLE>
</xsl:template>

<xsl:template name="signature-gen-style">
     <xsl:param name="signature"/>
       <TABLE WIDTH="100%" style="font-family=arial; font-size=9pt">
     <xsl:call-template name="bib-info">
        <xsl:with-param name="line" select="$signature"/>
    </xsl:call-template>
   </TABLE>
</xsl:template>






</xsl:stylesheet>


<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>


<xsl:variable name="table-width" select="'100%'"/>


<xsl:template name="table-open-full">
    <xsl:element name="TABLE">
                  <xsl:attribute name="WIDTH"><xsl:value-of select="$table-width"/></xsl:attribute>
                 <xsl:attribute name="style">font-family=arial; font-size=9pt</xsl:attribute>
                  <xsl:attribute name="align">center</xsl:attribute>
    </xsl:element>
</xsl:template>

<xsl:template name="table-open">
    <xsl:param name="width"/>
    <xsl:param name="align"/>
    <xsl:variable name="cur-width">
         <xsl:choose>
         <xsl:when test = "$width != ''">
             <xsl:value-of select="$width"/>
         </xsl:when>
         <xsl:otherwise><xsl:value-of select="$table-width"/></xsl:otherwise>
         </xsl:choose>
    </xsl:variable>
    <xsl:element name="TABLE">
                  <xsl:attribute name="WIDTH"><xsl:value-of select="$cur-width"/></xsl:attribute>
                 <xsl:attribute name="style">font-family=arial; font-size=9pt</xsl:attribute>
                  <xsl:attribute name="align">center<xsl:value-of select="$align"/></xsl:attribute>
    </xsl:element>
</xsl:template>

<xsl:template name="grid-open">
    <xsl:param name="width"/>
    <xsl:param name="align"/>
    <xsl:variable name="cur-width">
         <xsl:choose>
         <xsl:when test = "$width != ''">
             <xsl:value-of select="$width"/>
         </xsl:when>
         <xsl:otherwise>100%</xsl:otherwise>
         </xsl:choose>
    </xsl:variable>
    <xsl:element name="TABLE">
                  <xsl:attribute name="WIDTH"><xsl:value-of select="$cur-width"/></xsl:attribute>
                  <xsl:attribute name="BORDER">1</xsl:attribute>
                 <xsl:attribute name="style">font-family=arial; font-size=9pt</xsl:attribute>
                  <xsl:attribute name="align"><xsl:value-of select="$align"/></xsl:attribute>
    </xsl:element>
</xsl:template>


<xsl:template name="grid-close">
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="table-close">
         <xsl:text disable-output-escaping="yes">&lt;/TABLE&gt;</xsl:text>
</xsl:template>

<xsl:template name="table-split-open">
         <xsl:text disable-output-escaping="yes">        &lt;TABLE ALIGN="CENTER" WIDTH="100%"&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;tr&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;td width="50%"&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">           &lt;TABLE WIDTH="100%" STYLE="font-size: 9pt; font-family: Arial"&gt;</xsl:text>
</xsl:template>

<xsl:template name="table-split-right">
         <xsl:text disable-output-escaping="yes">        &lt;/TABLE&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;/td&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;td&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">           &lt;TABLE WIDTH="100%" STYLE="font-size: 9pt; font-family: Arial"&gt;</xsl:text>
</xsl:template>
<xsl:template name="table-split-close">
         <xsl:text disable-output-escaping="yes">        &lt;/TABLE&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;/td&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;/tr&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">        &lt;/TABLE&gt;</xsl:text>
</xsl:template>

<xsl:template name="table-start-row">
         <xsl:text disable-output-escaping="yes">&lt;tr&gt;</xsl:text>
</xsl:template>
<xsl:template name="table-end-row">
         <xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>
</xsl:template>


</xsl:stylesheet>




<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>



<xsl:include href="funcs-address.xsl"/>
<xsl:include href="funcs-bib-info.xsl"/>
<!--xsl:include href="funcs-salut-sign.xsl"/-->
<!--xsl:include href="funcs-right.xsl"/-->
<xsl:include href="funcs-split.xsl"/>
<xsl:include href="funcs-grid.xsl"/>
<xsl:include href="funcs-free.xsl"/>
<xsl:include href="funcs-table.xsl"/>
<!--xsl:include href="funcs-grid-style.xsl"/-->
<!--xsl:include href="funcs-style.xsl"/-->
<!--xsl:include href="funcs-right-style.xsl"/-->
<xsl:include href="funcs-misc.xsl"/>
<!--xsl:include href="funcs-multilines.xsl"/-->
<xsl:include href="funcs-budget-status.xsl"/>
<!--xsl:include href="date.xsl"/-->
<!--xsl:include href="date.date.template.xsl"/-->
<!--xsl:include href="date.date.function.xsl"/-->

<xsl:template name="header-gen">
     <xsl:param name="title"/>
     <xsl:param name="sub-title"/>
   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8"/>

   <!--DIV  STYLE="font-size: 9pt; font-family: Arial"-->
   <xsl:call-template name="table-open-full"/>

     <xsl:call-template name="table-start-row"/><td><xsl:value-of select="//form-date"/></td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-start-row"/><td>
           <xsl:value-of select="//form-name"/>-<xsl:value-of select="//form-format"/>
    </td><xsl:call-template name="table-end-row"/>
     <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"><hr/></td><xsl:call-template name="table-end-row"/>
     <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"  STYLE="font-size: 12pt; font-family: Arial" ALIGN="CENTER">
                  <b><xsl:value-of select="$title"/><br/></b>
     </td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-close"/>
   <xsl:if test="$sub-title !='' ">
        <xsl:call-template name="table-open-full"/>

        <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"  STYLE="font-size: 12pt; font-family: Arial" ALIGN="CENTER">
                  <b><xsl:value-of select="$sub-title"/><br/></b>
        </td><xsl:call-template name="table-end-row"/>
        <xsl:call-template name="table-close"/>
   </xsl:if>

</xsl:template>

<xsl:template name="horizontal-line">
    <hr/>
</xsl:template>

<xsl:template name="local-title">
      <xsl:param name="local-title"/>
       <br/>
   <xsl:call-template name="table-open"/>
   <xsl:call-template name="table-start-row"/><td><b><xsl:value-of select="$local-title"/></b></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-close"/>
</xsl:template>







</xsl:stylesheet>


 
PKC_FILE_BEGIN funcs-address.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>



<xsl:template name="sublib-address">
   <TABLE WIDTH="100%" STYLE="font-size: 9pt; font-family: Arial">
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ1"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ2"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ3"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ4"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ5"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ6"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ7"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ8"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ9"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ10"/></td><xsl:call-template name="table-end-row"/>
   </TABLE>
</xsl:template>
<xsl:template name="transfer-address">
   <xsl:call-template name="table-open-full"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ1"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ2"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ3"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ4"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ5"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ6"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ7"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ8"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ9"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ10"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="patron-address">
   <xsl:call-template name="table-open-full"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-address-0"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-address-1"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-address-2"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-address-3"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-address-4"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-zip"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-telephone"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-email-address"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'读者ID:'"/>
       <xsl:with-param name="value" select="//z302-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'读者条码'"/>
       <xsl:with-param name="value" select="//z308-key-data"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="patron-name">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'姓名:'"/>
       <xsl:with-param name="value" select="//z302-name"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'卡号:'"/>
       <xsl:with-param name="value" select="//z302-key-01"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="vendor-address">
   <xsl:call-template name="table-open-full"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ1"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ2"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ3"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ4"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ5"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ6"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ7"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'联系人:'"/>
       <xsl:with-param name="value" select="//z68-vendor-contact"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>





</xsl:stylesheet>

 
PKC_FILE_BEGIN funcs-bib-info.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>




<xsl:template name="bib-info">
   <xsl:param name="line"/>
   <xsl:variable name="first" select="substring-before($line,'##')"/>
   <xsl:variable name="rest" select="substring-after($line,'##')"/>
    <xsl:if test="$first = '' and $rest = '' ">
          <!--br/-->
      </xsl:if>
   <xsl:if test="$first != ''">
       <xsl:value-of select="$first"/><br/>
   </xsl:if>
   <xsl:if test="$rest != ''">
        <xsl:call-template name="bib-info">
            <xsl:with-param name="line" select="$rest"/>
         </xsl:call-template>
   </xsl:if>
   <xsl:if test="$rest = '' and $line != ''  and $line != '##'">
      <xsl:value-of select="$line"/><br/>
   </xsl:if>
</xsl:template>


</xsl:stylesheet>



 
PKC_FILE_BEGIN funcs-budget-status.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>


<xsl:template name="budget-paid-unpaid-hdr">
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'类型'"/>
       <xsl:with-param name="header" select="'header'"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'已付款'"/>
       <xsl:with-param name="header" select="'header'"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'未付'"/>
       <xsl:with-param name="header" select="'header'"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
    <!--SECTION-02  (GRID - DATA)-->

<xsl:template name="budget-paid-unpaid-data">
    <xsl:param name="type"/>
    <xsl:param name="paid"/>
    <xsl:param name="not-paid"/>
   <xsl:call-template name="open-row-cond">
        <xsl:with-param name="display" select="$type"/>
    </xsl:call-template>
    <xsl:if test="$type!=''">
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="value" select="$type"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="value" select="$paid"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="value" select="$not-paid"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    </xsl:if>
   <xsl:call-template name="close-row-cond">
        <xsl:with-param name="display" select="$type"/>
    </xsl:call-template>
</xsl:template>

<xsl:template name="budget-paid-unpaid">
  <xsl:if test="concat(./type-1, ./paid-1, ./not-paid-1) != ''">
       <xsl:call-template name="grid-title">
           <xsl:with-param name="grid-title" select="'Object Codes'"/>
       </xsl:call-template>
    <xsl:call-template name="grid-open"/>
    <xsl:call-template name="budget-paid-unpaid-hdr"/>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-1"/>
       <xsl:with-param name="paid" select="./paid-1"/>
       <xsl:with-param name="not-paid" select="./not-paid-1"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-2"/>
       <xsl:with-param name="paid" select="./paid-2"/>
       <xsl:with-param name="not-paid" select="./not-paid-2"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-3"/>
       <xsl:with-param name="paid" select="./paid-3"/>
       <xsl:with-param name="not-paid" select="./not-paid-3"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-4"/>
       <xsl:with-param name="paid" select="./paid-4"/>
       <xsl:with-param name="not-paid" select="./not-paid-4"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-5"/>
       <xsl:with-param name="paid" select="./paid-5"/>
       <xsl:with-param name="not-paid" select="./not-paid-5"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-6"/>
       <xsl:with-param name="paid" select="./paid-6"/>
       <xsl:with-param name="not-paid" select="./not-paid-6"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-7"/>
       <xsl:with-param name="paid" select="./paid-7"/>
       <xsl:with-param name="not-paid" select="./not-paid-7"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-8"/>
       <xsl:with-param name="paid" select="./paid-8"/>
       <xsl:with-param name="not-paid" select="./not-paid-8"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-9"/>
       <xsl:with-param name="paid" select="./paid-9"/>
       <xsl:with-param name="not-paid" select="./not-paid-9"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-10"/>
       <xsl:with-param name="paid" select="./paid-10"/>
       <xsl:with-param name="not-paid" select="./not-paid-10"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-11"/>
       <xsl:with-param name="paid" select="./paid-11"/>
       <xsl:with-param name="not-paid" select="./not-paid-11"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-12"/>
       <xsl:with-param name="paid" select="./paid-12"/>
       <xsl:with-param name="not-paid" select="./not-paid-12"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-13"/>
       <xsl:with-param name="paid" select="./paid-13"/>
       <xsl:with-param name="not-paid" select="./not-paid-13"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-14"/>
       <xsl:with-param name="paid" select="./paid-14"/>
       <xsl:with-param name="not-paid" select="./not-paid-14"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-15"/>
       <xsl:with-param name="paid" select="./paid-15"/>
       <xsl:with-param name="not-paid" select="./not-paid-15"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-16"/>
       <xsl:with-param name="paid" select="./paid-16"/>
       <xsl:with-param name="not-paid" select="./not-paid-16"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-17"/>
       <xsl:with-param name="paid" select="./paid-17"/>
       <xsl:with-param name="not-paid" select="./not-paid-17"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-18"/>
       <xsl:with-param name="paid" select="./paid-18"/>
       <xsl:with-param name="not-paid" select="./not-paid-18"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-19"/>
       <xsl:with-param name="paid" select="./paid-19"/>
       <xsl:with-param name="not-paid" select="./not-paid-19"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-20"/>
       <xsl:with-param name="paid" select="./paid-20"/>
       <xsl:with-param name="not-paid" select="./not-paid-20"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
  </xsl:if>
</xsl:template>


<xsl:template name="budget-num">
    <xsl:call-template name="budget-nums-hdr"/>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-1"/>
    </xsl:call-template>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-2"/>
    </xsl:call-template>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-3"/>
    </xsl:call-template>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-4"/>
    </xsl:call-template>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-5"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="budget-nums-hdr">
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="value" select="'Budgets'"/>
       <xsl:with-param name="type" select="'header'"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>


<xsl:template name="budget-nums-data">
    <xsl:param name="budget-num"/>
<xsl:call-template name="table-start-row"/>
    <xsl:if test="$budget-num!=''">
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="value" select="$budget-num"/>
    </xsl:call-template>
    </xsl:if>
<xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>



 
PKC_FILE_BEGIN funcs-free.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>


<xsl:variable name="label-width" select="'20%'"/>

<xsl:template name="free-title">
    <xsl:param name="free-title"/>
        <xsl:call-template name="table-start-row"/>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="'underline;bold'"/>
            </xsl:call-template>
               <xsl:value-of select="$free-title"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="'underline;bold'"/>
            </xsl:call-template>
        </td>
        <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-gen">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="display"/>
    <xsl:param name="type"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>

    <!-- Regular -->
    <xsl:if test="$display =''  and $type = '' ">
      <xsl:call-template name="display-not-empty">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data -->
   <xsl:if test="$display ='always'  and $type = ''">
      <xsl:call-template name="display-always">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display index -->
   <xsl:if test="$type = 'index'">
      <xsl:call-template name="position-index">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>






    <!-- Regular  - align right-->
    <xsl:if test="$display =''  and $type = 'right'">
      <xsl:call-template name="display-not-empty-right">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>

     <!-- Display label even if no data - align right -->
   <xsl:if test="$display ='always'  and $type = 'right'">
      <xsl:call-template name="display-always-right">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Regular - Barcode -->
    <xsl:if test="$display =''  and $type = 'barcode' ">
      <xsl:call-template name="display-not-empty-barcode">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data - Barcode -->
   <xsl:if test="$display ='always'  and $type = 'barcode'">
      <xsl:call-template name="display-always-barcode">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>

      <!-- Display checkbox -->
    <xsl:if test="$type = 'check' ">

   <xsl:call-template name="free-data-check">
            <xsl:with-param name="label" select="$label"/>
            <xsl:with-param name="value" select="$value"/>
            <xsl:with-param name="style" select="'bold'"/>
   </xsl:call-template>

     </xsl:if>

</xsl:template>

<xsl:template name="display-not-empty">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}">
        <b><xsl:value-of select="$label"/></b></td>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}"><b><xsl:value-of select="$label"/></b></td>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>



<xsl:template name="display-not-empty-barcode">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
         <td width="{$local-width}"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<xsl:value-of select="$value"/>*</td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-barcode">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<xsl:value-of select="$value"/>*</td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-not-empty-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:if test="$value !=''">
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}"><b><xsl:value-of select="$label"/></b></td>
        <td   width="10%" align="right">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
        <td></td>
    <xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}"><b><xsl:value-of select="$label"/></b></td>
        <td   width="10%" align="right">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
        <td></td>
    <xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
</xsl:template>



<xsl:template name="bib-info-hdr">
    <xsl:call-template name="table-open-full"/>
     <td width="100%" colspan="2">
        <xsl:call-template name="generic-line">
            <xsl:with-param name="line" select="./bib-info"/>
         </xsl:call-template>
    </td>
    <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="bib-info-free">
    <xsl:param name="value"/>
    <xsl:call-template name="table-open-full"/>
        <xsl:choose>
        <xsl:when test = "$value != ''">
            <td width="100%">
                <xsl:value-of select="$value"/>
            </td>
        </xsl:when>
        </xsl:choose>

    <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="position-index">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}"><b><xsl:value-of select="concat($label, position())"/></b></td>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <!--xsl:value-of select="$value"/-->
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>


<xsl:template name="free-data-check">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="check-value"/>

        <form><td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        <xsl:value-of select="$label"/>
        <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
        </xsl:call-template>
        </td><td>
        <xsl:variable name="loc-check-value">
        <xsl:choose>
          <xsl:when test="$check-value!='' and $value = $check-value">Y</xsl:when>
          <xsl:when test="$check-value ='' and (starts-with($value,'Y') or starts-with($value,'y'))">Y</xsl:when>
          <xsl:otherwise>N</xsl:otherwise>
        </xsl:choose>
        </xsl:variable>

            <xsl:choose>
            <xsl:when test="$loc-check-value = 'Y'">
              <xsl:text disable-output-escaping="yes">
              &lt;input checked type=checkbox /&gt;
              </xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:text disable-output-escaping="yes">
              &lt;input type=checkbox /&gt;
              </xsl:text>
            </xsl:otherwise>
            </xsl:choose>

        <br/></td></form>
</xsl:template>

</xsl:stylesheet>





 
PKC_FILE_BEGIN funcs-grid-style.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->

<xsl:template name="grid-hdr-style">
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
        <th>
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
           <xsl:value-of select="$value"/>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
           </th>
</xsl:template>


<xsl:template name="style-start">
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
           <xsl:if test="$bold ='bold' ">
                 <xsl:text disable-output-escaping="yes">&lt;b&gt;</xsl:text>
           </xsl:if>
           <xsl:if test="$italic ='italic' ">
                 <xsl:text disable-output-escaping="yes">&lt;i&gt;</xsl:text>
           </xsl:if>
           <xsl:if test="$underline ='underline' ">
                 <xsl:text disable-output-escaping="yes">&lt;u&gt;</xsl:text>
           </xsl:if>
</xsl:template>
<xsl:template name="style-end">
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
           <xsl:if test="$underline ='underline' ">
                 <xsl:text disable-output-escaping="yes">&lt;/u&gt;</xsl:text>
           </xsl:if>
           <xsl:if test="$italic ='italic' ">
                 <xsl:text disable-output-escaping="yes">&lt;/i&gt;</xsl:text>
           </xsl:if>
           <xsl:if test="$bold ='bold' ">
                 <xsl:text disable-output-escaping="yes">&lt;/b&gt;</xsl:text>
           </xsl:if>
</xsl:template>

<xsl:template name="grid-data-style">
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>

        <td>
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
               <xsl:value-of select="$value"/>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
         <br/>
        </td>
</xsl:template>

<xsl:template name="grid-data-right-style">
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
            <td align="right">
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
        <xsl:value-of select="$value"/>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
         <br/></td>
</xsl:template>

<xsl:template name="grid-data-barcode-style">
    <xsl:param name="value"/>
        <td align="center" STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<br/><xsl:value-of select="$value"/>*</td>
</xsl:template>

<xsl:template name="grid-data-bib-info-style">
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <td>
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
    <xsl:variable name="bib" select="./bib-info"/>
    <xsl:if test="$bib !='' ">
    <xsl:call-template name="bib-info">
       <xsl:with-param name="line" select="./bib-info"/>
    </xsl:call-template>
    </xsl:if>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
    </td>
</xsl:template>

<xsl:template name="display-grid-gen-style">
    <xsl:param name="value"/>
    <xsl:param name="type"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>

    <!-- Regular -->
    <xsl:if test="$type ='' ">
      <xsl:call-template name="grid-data-style">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Header -->
    <xsl:if test="$type ='header' ">
      <xsl:call-template name="grid-hdr-style">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Right Aligned -->
    <xsl:if test="$type ='right' ">
      <xsl:call-template name="grid-data-right-style">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>


    <!-- Barcode -->
    <xsl:if test="$type ='barcode' ">
      <xsl:call-template name="grid-data-barcode-style">
          <xsl:with-param name="value" select="$value"/>
       </xsl:call-template>
     </xsl:if>

    <!-- bib-info -->
    <xsl:if test="$type ='bib-info' ">
      <xsl:call-template name="grid-data-bib-info-style">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
       <br/>
    </xsl:if>

</xsl:template>



</xsl:stylesheet>

 
PKC_FILE_BEGIN funcs-grid.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->

<xsl:template name="grid-hdr">
    <xsl:param name="value"/>
        <th><xsl:value-of select="$value"/></th>
</xsl:template>

<xsl:template name="grid-data">
    <xsl:param name="value"/>
    <xsl:param name="style"/>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                <!--xsl:value-of select="$value"/-->
            <xsl:call-template name="put-data">
                <xsl:with-param name="value" select="$value"/>
            </xsl:call-template>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        <br/></td>
</xsl:template>


<xsl:template name="put-data">
    <xsl:param name="value"/>
   <xsl:variable name="first" select="substring-before($value,'##')"/>
   <xsl:variable name="rest" select="substring-after($value,'##')"/>
   <xsl:if test="$first != ''">
       <xsl:value-of select="$first"/><br/>
   </xsl:if>
   <xsl:if test="$rest != ''">
        <xsl:call-template name="put-data">
            <xsl:with-param name="value" select="$rest"/>
         </xsl:call-template>
   </xsl:if>
   <xsl:if test="$rest = '' and $value != ''  and $value != '##'">
      <xsl:value-of select="$value"/>
   </xsl:if>
</xsl:template>


<xsl:template name="grid-data-check">
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="check-value"/>

        <td align="middle"><form>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>

        <xsl:variable name="loc-check-value">
        <xsl:choose>
          <xsl:when test="$check-value!='' and $value = $check-value">Y</xsl:when>
          <xsl:when test="$check-value ='' and (starts-with($value,'Y') or starts-with($value,'y'))">Y</xsl:when>
          <xsl:otherwise>N</xsl:otherwise>
        </xsl:choose>
        </xsl:variable>

            <xsl:choose>
            <xsl:when test="$loc-check-value = 'Y'">
              <xsl:text disable-output-escaping="yes">
              &lt;input checked type=checkbox /&gt;
              </xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:text disable-output-escaping="yes">
              &lt;input type=checkbox /&gt;
              </xsl:text>
            </xsl:otherwise>
            </xsl:choose>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        <br/></form></td>
</xsl:template>


<xsl:template name="grid-index">
    <xsl:param name="value"/>
    <xsl:param name="style"/>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="position()"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        <br/></td>
</xsl:template>



<xsl:template name="grid-data-right">
    <xsl:param name="value"/>
    <xsl:param name="style"/>
        <td align="right">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
            <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        <br/></td>
</xsl:template>

<xsl:template name="grid-data-barcode">
    <xsl:param name="value"/>
        <td width="35%" align="center" STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<xsl:value-of select="$value"/>*<br/></td>
</xsl:template>

<xsl:template name="grid-data-bib-info">
    <xsl:param name="value"/>
    <td>
    <xsl:variable name="bib" select="./bib-info"/>
    <xsl:if test="$value !='' ">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="$value"/>
       <xsl:with-param name="grid" select="'grid'"/>
    </xsl:call-template>
    </xsl:if>
     <br/>
    </td>
</xsl:template>



<xsl:template name="grid-title">
      <xsl:param name="grid-title"/>
    <xsl:call-template name="table-close"/>
       <br/>
    <xsl:call-template name="table-open"/>

   <xsl:call-template name="table-start-row"/><td><b><xsl:value-of select="$grid-title"/></b></td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
    <!--xsl:call-template name="grid-open"/-->
</xsl:template>

<xsl:template name="grid-title-nobold">
      <xsl:param name="grid-title"/>
    <xsl:call-template name="table-close"/>
       <br/>
    <xsl:call-template name="table-open"/>

   <xsl:call-template name="table-start-row"/><td><xsl:value-of select="$grid-title"/></td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
    <!--xsl:call-template name="grid-open"/-->
</xsl:template>

<xsl:template name="grid-data-restart">
    <xsl:param name="value"/>
    <xsl:param name="style"/>
       <xsl:if test="$value!='' and position() !='1'">
           <xsl:call-template name="table-close"/>
           <xsl:call-template name="blank-line"/>
           <xsl:call-template name="grid-open"/>
       </xsl:if>
        <td><b>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </b><br/></td>
</xsl:template>





<xsl:template name="display-grid-gen">
    <xsl:param name="value"/>
    <xsl:param name="type"/>
    <xsl:param name="label"/>
    <xsl:param name="header"/>
    <xsl:param name="style"/>
    <xsl:param name="check-value"/>

    <!-- Header -->
    <xsl:if test="$header ='header' ">
      <xsl:call-template name="grid-hdr">
          <xsl:with-param name="value" select="$label"/>
       </xsl:call-template>
     </xsl:if>

    <xsl:if test="$header ='' ">
    <!-- Regular -->
    <xsl:if test="$type ='index' ">
      <xsl:call-template name="grid-index">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Index -->
    <xsl:if test="$type ='' ">
      <xsl:call-template name="grid-data">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Right Aligned -->
    <xsl:if test="$type ='right' ">
      <xsl:call-template name="grid-data-right">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Checkbox -->
    <xsl:if test="$type ='check' ">
      <xsl:call-template name="grid-data-check">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="check-value" select="$check-value"/>
       </xsl:call-template>
     </xsl:if>


    <!-- Barcode -->
    <xsl:if test="$type ='barcode' ">
      <xsl:call-template name="grid-data-barcode">
          <xsl:with-param name="value" select="$value"/>
       </xsl:call-template>
     </xsl:if>

    <!-- bib-info -->
    <xsl:if test="$type ='bib-info' ">
      <xsl:call-template name="grid-data-bib-info">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>

    </xsl:if>

    <!-- Restart -->
    <xsl:if test="$type ='restart' ">
      <xsl:call-template name="grid-data-restart">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>
     </xsl:if>


</xsl:template>

<xsl:template name="start-grid">
    <xsl:param name="grid-title"/>
    <xsl:param name="width"/>
    <xsl:param name="nobold"/>

        <xsl:if test="$grid-title!='' and $nobold=''">
           <xsl:call-template name="grid-title">
              <xsl:with-param name="grid-title" select="$grid-title"/>
           </xsl:call-template>
        </xsl:if>
        <xsl:if test="$grid-title!='' and $nobold='nobold'">
           <xsl:call-template name="grid-title-nobold">
              <xsl:with-param name="grid-title" select="$grid-title"/>
           </xsl:call-template>
        </xsl:if>

        <xsl:if test="$grid-title=''">
             <br/>
        </xsl:if>
           <xsl:call-template name="grid-open">
              <xsl:with-param name="width" select="$width"/>
           </xsl:call-template>
</xsl:template>


</xsl:stylesheet>








 
PKC_FILE_BEGIN funcs-misc.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xmlns:saxon="http://icl.com/saxon"-->
<xsl:output method="xml" indent="yes"/>

   <!--xmlns:date="http://exslt.org/dates-and-times"-->
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->


<xsl:template name="open-row-cond">
    <xsl:param name="display"/>
    <xsl:if test="$display !='' ">
      <xsl:text disable-output-escaping="yes">&lt;tr&gt;</xsl:text>
    </xsl:if>
</xsl:template>


<xsl:template name="close-row-cond">
    <xsl:param name="display"/>
    <xsl:if test="$display !='' ">
      <xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>
    </xsl:if>
</xsl:template>

<xsl:template name="display-grid-currency">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="type"/>
    <xsl:param name="display"/>
    <xsl:param name="header"/>

    <!-- Header -->
    <xsl:if test="$header !='' ">
    <xsl:if test="$display !='' ">
      <xsl:call-template name="grid-hdr">
          <xsl:with-param name="value" select="$label"/>
       </xsl:call-template>
       </xsl:if>
     </xsl:if>

    <xsl:if test="$header ='' ">

    <!-- Regular -->

    <xsl:if test="$label !='' ">
     <xsl:if test="$type ='right' ">
      <xsl:call-template name="grid-data-right">
          <xsl:with-param name="value" select="$value"/>
       </xsl:call-template>
     </xsl:if>
     <xsl:if test="$type ='' ">
      <xsl:call-template name="grid-data">
          <xsl:with-param name="value" select="$value"/>
       </xsl:call-template>
     </xsl:if>
    </xsl:if>
     </xsl:if>

</xsl:template>






<xsl:template name="generic-line">
   <xsl:param name="line"/>
   <xsl:param name="style"/>
   <xsl:param name="no-first-time"/>
   <xsl:param name="grid"/>
   <xsl:param name="width"/>
   <xsl:variable name="first" select="substring-before($line,'##')"/>
   <xsl:variable name="rest" select="substring-after($line,'##')"/>
   <xsl:if test="$no-first-time='' and $grid='' ">
      <xsl:call-template name="table-close"/>
        <xsl:if test="$width=''">
             <xsl:call-template name="table-open-full"/>
        </xsl:if>
        <xsl:if test="$width!=''">
             <xsl:call-template name="table-open">
                <xsl:with-param name="width" select="$width"/>
                <xsl:with-param name="align" select="'left'"/>
             </xsl:call-template>
        </xsl:if>
   </xsl:if>
   <xsl:if test="$grid='' ">
       <xsl:call-template name="open-row"/>
   </xsl:if>

      <xsl:call-template name="build-style-start">
          <xsl:with-param name="style" select="$style"/>
      </xsl:call-template>

       <xsl:choose>
             <xsl:when test="$grid='' and $line='salutation_string' or $first='salutation_string'">
                <br/><br/>亲爱的先生/女士：<br/><br/>
                <xsl:call-template name="close-row"/>
                <xsl:call-template name="generic-line">
                   <xsl:with-param name="line" select="$rest"/>
                   <xsl:with-param name="style" select="$style"/>
                   <xsl:with-param name="grid" select="$grid"/>
                   <xsl:with-param name="no-first-time" select="'y'"/>
                </xsl:call-template>
             </xsl:when>
             <xsl:when test="$grid='' and contains($line,'salutation_string')">
                <br/><br/>亲爱的先生/女士：<br/><br/>
                <xsl:call-template name="close-row"/>
                 <xsl:variable name="rest_salut" select="substring-after($line,'salutation_string')"/>
                <xsl:call-template name="generic-line">
                   <xsl:with-param name="line" select="$rest_salut"/>
                   <xsl:with-param name="style" select="$style"/>
                   <xsl:with-param name="grid" select="$grid"/>
                   <xsl:with-param name="no-first-time" select="'y'"/>
                </xsl:call-template>
             </xsl:when>
             <xsl:when test="$line='' or $line='##'">
                <br/>
             </xsl:when>
             <xsl:when test="not(contains($line, '##'))">
                <xsl:value-of select="$line"/><br/>
             </xsl:when>
             <xsl:when test="$first='' and $rest!=''">
                <xsl:if test="$grid='' ">
                  <br/>
                   <xsl:call-template name="close-row"/>
                </xsl:if>
                <xsl:call-template name="generic-line">
                   <xsl:with-param name="line" select="$rest"/>
                   <xsl:with-param name="style" select="$style"/>
                   <xsl:with-param name="grid" select="$grid"/>
                   <xsl:with-param name="no-first-time" select="'y'"/>
                </xsl:call-template>
             </xsl:when>
             <xsl:when test="$first!='' and $rest=''">
                <xsl:value-of select="$first"/>
                <xsl:if test="$grid='' ">
                   <br/><br/>
                </xsl:if>
             </xsl:when>
             <xsl:when test="$first!='' and $rest!=''">
                <xsl:value-of select="$first"/><br/>
                <xsl:if test="$grid='' ">
                   <xsl:call-template name="close-row"/>
                </xsl:if>
                <xsl:call-template name="generic-line">
                   <xsl:with-param name="line" select="$rest"/>
                   <xsl:with-param name="style" select="$style"/>
                   <xsl:with-param name="grid" select="$grid"/>
                   <xsl:with-param name="no-first-time" select="'y'"/>
                </xsl:call-template>
             </xsl:when>
       </xsl:choose>
      <xsl:call-template name="build-style-end">
          <xsl:with-param name="style" select="$style"/>
      </xsl:call-template>
   <xsl:if test="$grid='' ">
      <xsl:call-template name="open-row"/>
   </xsl:if>
</xsl:template>

<xsl:template name="close-row">
    <xsl:param name="display"/>
    <xsl:if test="$display !='' ">
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;&lt;/tr&gt;</xsl:text>
    </xsl:if>
</xsl:template>

<xsl:template name="open-row">
      <xsl:text disable-output-escaping="yes">&lt;tr&gt;&lt;td&gt;</xsl:text>
</xsl:template>


<xsl:template name="build-style-start">
   <xsl:param name="style"/>
      <xsl:if test="contains($style, 'bold')"><xsl:text disable-output-escaping="yes">&lt;b&gt;</xsl:text></xsl:if>
      <xsl:if test="contains($style, 'italic')"><xsl:text disable-output-escaping="yes">&lt;i&gt;</xsl:text></xsl:if>
      <xsl:if test="contains($style, 'underline')"><xsl:text disable-output-escaping="yes">&lt;u&gt;</xsl:text></xsl:if>
</xsl:template>

<xsl:template name="build-style-end">
   <xsl:param name="style"/>
      <xsl:if test="contains($style, 'bold')"><xsl:text disable-output-escaping="yes">&lt;b/&gt;</xsl:text></xsl:if>
      <xsl:if test="contains($style, 'italic')"><xsl:text disable-output-escaping="yes">&lt;i/&gt;</xsl:text></xsl:if>
      <xsl:if test="contains($style, 'underline')"><xsl:text disable-output-escaping="yes">&lt;u/&gt;</xsl:text></xsl:if>
</xsl:template>

<xsl:template name="salutation-end">
    <xsl:call-template name="table-close"/>
     <!--/TABLE-->
    <br/>
</xsl:template>


<xsl:template name="blank-line">
    <br/>
</xsl:template>


<xsl:template name="blank-line-first">
    <xsl:if test="position()='1'">
       <br/>
    </xsl:if>
</xsl:template>


<xsl:template name="blank-line-in-free">
    <xsl:param name="lines"/>
    <xsl:param name="first-time"/>
    <xsl:if test="$first-time = ''">
        <xsl:call-template name="table-close"/>
    </xsl:if>
    <xsl:if test="$lines = '' or $lines = '1'">
           <xsl:call-template name="blank-line"/>
           <xsl:call-template name="table-open"/>
    </xsl:if>
    <xsl:if test="$lines != '' and $lines != '1'">
           <xsl:call-template name="blank-line"/>
            <xsl:call-template name="blank-line-in-free">
                <xsl:with-param name="lines" select="number($lines - 1)"/>
                <xsl:with-param name="first-time" select="no"/>
            </xsl:call-template>
    </xsl:if>
</xsl:template>

<xsl:template name="checkbox">
    <xsl:param name="text"/>
         <form>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-start-row"/>
        <td width = "20%">
        <b><xsl:value-of select="$text"/></b></td>
        <td>
            <input type="checkbox"/>
        </td>
    <xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
    </form>
</xsl:template>

<xsl:template name="directly-to-patron">
    <xsl:if test="./z302-address-1 != ''">
     <xsl:call-template name="table-open"/>
     <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'直接传送给:'"/>
       <xsl:with-param name="value" select="''"/>
       <xsl:with-param name="display" select="'always'"/>
     </xsl:call-template>
     <xsl:call-template name="patron-address"/>
     <xsl:call-template name="table-close"/>
    </xsl:if>
</xsl:template>

<xsl:template name="requested-by-proxy">
   <xsl:param name="condition-field"/>
    <xsl:if test="$condition-field!=''">
     <xsl:call-template name="free-title">
         <xsl:with-param name="free-title" select="'Request by:'"/>
     </xsl:call-template>
     <xsl:call-template name="display-gen">
         <xsl:with-param name="label" select="'请求者ID:'"/>
         <xsl:with-param name="value" select="./z37-requester-id"/>
     </xsl:call-template>

    </xsl:if>
</xsl:template>

</xsl:stylesheet>







 
PKC_FILE_BEGIN funcs-multilines.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>





</xsl:stylesheet>


 
PKC_FILE_BEGIN funcs-right-style.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->


<xsl:template name="display-not-empty-right-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-right-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td alignment="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-not-empty-split-right-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-split-right-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>



</xsl:stylesheet>

 
PKC_FILE_BEGIN funcs-right.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->


<xsl:template name="display-not-empty-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td alignment="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-not-empty-split-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-split-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>



</xsl:stylesheet>

 
PKC_FILE_BEGIN funcs-salut-sign.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>






<xsl:template name="salutation-init">
   <xsl:param name="salutation"/>
     <xsl:call-template name="table-open-full"/>
     <xsl:call-template name="table-start-row"/><td><br/>亲爱的先生/女士：<br/><br/></td><xsl:call-template name="table-end-row"/>
        <xsl:call-template name="generic-line">
            <xsl:with-param name="line" select="$salutation"/>
        </xsl:call-template>
</xsl:template>



<xsl:template name="salutation-end">
    <xsl:call-template name="table-close"/>
     <!--/TABLE-->
    <br/><br/>
</xsl:template>


</xsl:stylesheet>


 
PKC_FILE_BEGIN funcs-split.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>




<xsl:template name="display-gen-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="display"/>
    <xsl:param name="type"/>
    <xsl:param name="style"/>

    <!-- Regular -->
    <xsl:if test="$display =''  and $type = '' ">
      <xsl:call-template name="display-not-empty-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data -->
   <xsl:if test="$display ='always'  and $type = ''">
      <xsl:call-template name="display-always-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>






    <!-- Regular  - align right-->
    <xsl:if test="$display =''  and $type = 'right'">
      <xsl:call-template name="display-not-empty-right-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

     <!-- Display label even if no data - align right -->
   <xsl:if test="$display ='always'  and $type = 'right'">
      <xsl:call-template name="display-always-right-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Regular - Barcode -->
    <xsl:if test="$display =''  and $type = 'barcode' ">
      <xsl:call-template name="display-not-empty-barcode-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data - Barcode -->
   <xsl:if test="$display ='always'  and $type = 'barcode'">
      <xsl:call-template name="display-always-barcode-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

      <!-- Display checkbox -->
    <xsl:if test="$type = 'check' ">

   <xsl:call-template name="free-data-check">
            <xsl:with-param name="label" select="$label"/>
            <xsl:with-param name="value" select="$value"/>
            <xsl:with-param name="style" select="'bold'"/>
   </xsl:call-template>

     </xsl:if>

     <!-- Display index -->
   <xsl:if test="$type = 'index'">
      <xsl:call-template name="position-index">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="'bold'"/>
          <xsl:with-param name="width" select="'40%'"/>
       </xsl:call-template>
     </xsl:if>

</xsl:template>

<xsl:template name="display-not-empty-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%">

        <b><xsl:value-of select="$label"/></b></td>
        <td width="30%">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
        <td></td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>



<xsl:template name="display-not-empty-barcode-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
         <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                *<xsl:value-of select="$value"/>*
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-barcode-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                *<xsl:value-of select="$value"/>*
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-not-empty-right-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-right-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td alignment="right">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>



 
PKC_FILE_BEGIN funcs-style.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->

<xsl:template name="display-not-empty-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td>
            <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
                 <xsl:value-of select="$value"/>
            <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
       </td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td>
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
                   <xsl:value-of select="$value"/>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-not-empty-split-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td>
            <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
                 <xsl:value-of select="$value"/></td>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-split-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td>
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
              <xsl:value-of select="$value"/></td>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
</xsl:template>




<xsl:template name="bib-info-hdr-style">
   <xsl:param name="line"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-open-full"/>
     <td width="100%" colspan="2">
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
        <xsl:call-template name="bib-info">
            <xsl:with-param name="line" select="$line"/>
         </xsl:call-template>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
    </td>
    <xsl:call-template name="table-close"/>
</xsl:template>




<xsl:template name="display-not-empty-barcode-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<xsl:value-of select="$value"/>*</td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-barcode-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<xsl:value-of select="$value"/>*</td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-gen-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="display"/>
    <xsl:param name="type"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>

    <!-- Regular -->
    <xsl:if test="$display =''  and $type = '' ">
      <xsl:call-template name="display-not-empty-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data -->
   <xsl:if test="$display ='always'  and $type = ''">
      <xsl:call-template name="display-always-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>






    <!-- Regular  - align right-->
    <xsl:if test="$display =''  and $type = 'right'">
      <xsl:call-template name="display-not-empty-right-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>

     <!-- Display label even if no data - align right -->
   <xsl:if test="$display ='always'  and $type = 'right'">
      <xsl:call-template name="display-always-right-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Regular - Barcode -->
    <xsl:if test="$display =''  and $type = 'barcode' ">
      <xsl:call-template name="display-not-empty-barcode-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data - Barcode -->
   <xsl:if test="$display ='always'  and $type = 'barcode'">
      <xsl:call-template name="display-always-barcode-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>



</xsl:template>

<xsl:template name="header-gen-style">
     <xsl:param name="title"/>
         <xsl:text>&#xa;</xsl:text>
   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8"/>
    <!--DIV  STYLE="font-size: 9pt; font-family: Arial"-->
      <TABLE WIDTH="100%" style="font-family=arial; font-size=9pt">
    <xsl:call-template name="table-start-row"/><td><SCRIPT LANGUAGE="JavaScript">document.write(Date())</SCRIPT></td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-start-row"/><td><xsl:value-of select="//form-name"/>-<xsl:value-of select="//form-format"/></td><xsl:call-template name="table-end-row"/>
     <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"  STYLE="font-size: 12pt; font-family: Arial" ALIGN="CENTER"><b><xsl:value-of select="$title"/></b></td><xsl:call-template name="table-end-row"/>
   </TABLE>
</xsl:template>

<xsl:template name="signature-gen-style">
     <xsl:param name="signature"/>
       <TABLE WIDTH="100%" style="font-family=arial; font-size=9pt">
     <xsl:call-template name="bib-info">
        <xsl:with-param name="line" select="$signature"/>
    </xsl:call-template>
   </TABLE>
</xsl:template>






</xsl:stylesheet>


 
PKC_FILE_BEGIN funcs-table.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>


<xsl:variable name="table-width" select="'100%'"/>


<xsl:template name="table-open-full">
    <xsl:element name="TABLE">
                  <xsl:attribute name="WIDTH"><xsl:value-of select="$table-width"/></xsl:attribute>
                 <xsl:attribute name="style">font-family=arial; font-size=12pt</xsl:attribute>
                  <xsl:attribute name="align">center</xsl:attribute>
    </xsl:element>
</xsl:template>

<xsl:template name="table-open">
    <xsl:param name="width"/>
    <xsl:param name="align"/>
    <xsl:variable name="cur-width">
         <xsl:choose>
         <xsl:when test = "$width != ''">
             <xsl:value-of select="$width"/>
         </xsl:when>
         <xsl:otherwise><xsl:value-of select="$table-width"/></xsl:otherwise>
         </xsl:choose>
    </xsl:variable>
    <xsl:element name="TABLE">
                  <xsl:attribute name="WIDTH"><xsl:value-of select="$cur-width"/></xsl:attribute>
                 <xsl:attribute name="style">font-family=arial; font-size=12pt</xsl:attribute>
                  <xsl:attribute name="align">center<xsl:value-of select="$align"/></xsl:attribute>
    </xsl:element>
</xsl:template>

<xsl:template name="grid-open">
    <xsl:param name="width"/>
    <xsl:param name="align"/>
    <xsl:variable name="cur-width">
         <xsl:choose>
         <xsl:when test = "$width != ''">
             <xsl:value-of select="$width"/>
         </xsl:when>
         <xsl:otherwise>100%</xsl:otherwise>
         </xsl:choose>
    </xsl:variable>
    <xsl:element name="TABLE">
                  <xsl:attribute name="WIDTH"><xsl:value-of select="$cur-width"/></xsl:attribute>
                  <xsl:attribute name="BORDER">1</xsl:attribute>
                 <xsl:attribute name="style">font-family=arial; font-size=9pt</xsl:attribute>
                  <xsl:attribute name="align"><xsl:value-of select="$align"/></xsl:attribute>
    </xsl:element>
</xsl:template>


<xsl:template name="grid-close">
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="table-close">
         <xsl:text disable-output-escaping="yes">&lt;/TABLE&gt;</xsl:text>
</xsl:template>

<xsl:template name="table-split-open">
         <xsl:text disable-output-escaping="yes">        &lt;TABLE ALIGN="CENTER" WIDTH="100%"&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;tr&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;td width="50%"&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">           &lt;TABLE WIDTH="100%" STYLE="font-size: 9pt; font-family: Arial"&gt;</xsl:text>
</xsl:template>

<xsl:template name="table-split-right">
         <xsl:text disable-output-escaping="yes">        &lt;/TABLE&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;/td&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;td&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">           &lt;TABLE WIDTH="100%" STYLE="font-size: 9pt; font-family: Arial"&gt;</xsl:text>
</xsl:template>
<xsl:template name="table-split-close">
         <xsl:text disable-output-escaping="yes">        &lt;/TABLE&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;/td&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;/tr&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">        &lt;/TABLE&gt;</xsl:text>
</xsl:template>

<xsl:template name="table-start-row">
         <xsl:text disable-output-escaping="yes">&lt;tr&gt;</xsl:text>
</xsl:template>
<xsl:template name="table-end-row">
         <xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>
</xsl:template>


</xsl:stylesheet>




 
PKC_FILE_BEGIN funcs.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>



<xsl:include href="funcs-address.xsl"/>
<xsl:include href="funcs-bib-info.xsl"/>
<!--xsl:include href="funcs-salut-sign.xsl"/-->
<!--xsl:include href="funcs-right.xsl"/-->
<xsl:include href="funcs-split.xsl"/>
<xsl:include href="funcs-grid.xsl"/>
<xsl:include href="funcs-free.xsl"/>
<xsl:include href="funcs-table.xsl"/>
<!--xsl:include href="funcs-grid-style.xsl"/-->
<!--xsl:include href="funcs-style.xsl"/-->
<!--xsl:include href="funcs-right-style.xsl"/-->
<xsl:include href="funcs-misc.xsl"/>
<!--xsl:include href="funcs-multilines.xsl"/-->
<xsl:include href="funcs-budget-status.xsl"/>
<!--xsl:include href="date.xsl"/-->
<!--xsl:include href="date.date.template.xsl"/-->
<!--xsl:include href="date.date.function.xsl"/-->

<xsl:template name="header-gen">
     <xsl:param name="title"/>
     <xsl:param name="sub-title"/>
   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8"/>

   <!--DIV  STYLE="font-size: 9pt; font-family: Arial"-->
   <xsl:call-template name="table-open-full"/>

     <xsl:call-template name="table-start-row"/><td><xsl:value-of select="//form-date"/></td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-start-row"/><td>
           <xsl:value-of select="//form-name"/>-<xsl:value-of select="//form-format"/>
    </td><xsl:call-template name="table-end-row"/>
     <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"><hr/></td><xsl:call-template name="table-end-row"/>
     <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"  STYLE="font-size: 12pt; font-family: Arial" ALIGN="CENTER">
                  <b><xsl:value-of select="$title"/><br/></b>
     </td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-close"/>
   <xsl:if test="$sub-title !='' ">
        <xsl:call-template name="table-open-full"/>

        <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"  STYLE="font-size: 12pt; font-family: Arial" ALIGN="CENTER">
                  <b><xsl:value-of select="$sub-title"/><br/></b>
        </td><xsl:call-template name="table-end-row"/>
        <xsl:call-template name="table-close"/>
   </xsl:if>

</xsl:template>

<xsl:template name="horizontal-line">
    <hr/>
</xsl:template>

<xsl:template name="local-title">
      <xsl:param name="local-title"/>
       <br/>
   <xsl:call-template name="table-open"/>
   <xsl:call-template name="table-start-row"/><td><b><xsl:value-of select="$local-title"/></b></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-close"/>
</xsl:template>







</xsl:stylesheet>


 
PKC_FILE_BEGIN general-retrieval-form.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'通用检索表单'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'排序:'"/>
       <xsl:with-param name="value" select="./sorted-by"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'文档号'"/>
          <xsl:with-param name="value" select="./z30-doc-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册顺序号'"/>
          <xsl:with-param name="value" select="./z30-item-sequence"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'题名'"/>
          <xsl:with-param name="value" select="./z13-title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册处理状态'"/>
          <xsl:with-param name="value" select="./z30-item-process-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN global-changes.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'全局修改'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'行为'"/>
          <xsl:with-param name="value" select="./action"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'文档号'"/>
          <xsl:with-param name="value" select="./doc-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'选择字段'"/>
          <xsl:with-param name="value" select="./select-tag"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'选择文本'"/>
          <xsl:with-param name="value" select="./select-text"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'新字段'"/>
          <xsl:with-param name="value" select="./new-tag"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'新文本'"/>
          <xsl:with-param name="value" select="./new-text"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN heading-multiple-records.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'含糊的标目'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'更新日期截止:'"/>
       <xsl:with-param name="value" select="./update-date-to"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'限制选项:'"/>
       <xsl:with-param name="value" select="./block-option"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'标目索引'"/>
          <xsl:with-param name="value" select="./heading-index"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'打开日期'"/>
          <xsl:with-param name="value" select="./open-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'更新日期'"/>
          <xsl:with-param name="value" select="./update-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'记录号'"/>
          <xsl:with-param name="value" select="./record-no"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'标目'"/>
          <xsl:with-param name="value" select="./heading"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN hol-order-slip.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--/DIV-->
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'索取信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="./hol-vendor"/>
    </xsl:call-template>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"女士们，先生们："'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"请给我们提供以下资料:"'/>
    </xsl:call-template>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'分馆:'"/>
          <xsl:with-param name="value" select="./hol-sub-library"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'订购日期:'"/>
          <xsl:with-param name="value" select="./hol-order-date"/>
       </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'单册数量:'"/>
          <xsl:with-param name="value" select="./hol-number-of-items"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'卷数:'"/>
          <xsl:with-param name="value" select="./hol-number-of-volumes"/>
       </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'订购号:'"/>
          <xsl:with-param name="value" select="./hol-order-number"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'注释:'"/>
          <xsl:with-param name="value" select="./hol-note"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'价格:'"/>
          <xsl:with-param name="value" select="./hol-price"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'订购者:'"/>
          <xsl:with-param name="value" select="./hol-orderer"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'预算的单册:'"/>
          <xsl:with-param name="value" select="./hol-budgetary-item"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'子帐户:'"/>
          <xsl:with-param name="value" select="./hol-sub-account"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'员工:'"/>
          <xsl:with-param name="value" select="./hol-faculty"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'教员:'"/>
          <xsl:with-param name="value" select="./hol-instructor"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'建议:'"/>
          <xsl:with-param name="value" select="./hol-proposal"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'来源:'"/>
          <xsl:with-param name="value" select="./hol-source"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'注释:'"/>
          <xsl:with-param name="value" select="./hol-comments"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'地点:'"/>
          <xsl:with-param name="value" select="./hol-location"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'馆藏地:'"/>
          <xsl:with-param name="value" select="./hol-collection"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'催询日期:'"/>
          <xsl:with-param name="value" select="./hol-claim-date"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'催询状态:'"/>
          <xsl:with-param name="value" select="./hol-claim-status"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'混杂的:'"/>
          <xsl:with-param name="value" select="./hol-miscellaneous"/>
       </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN hold-delete-letter-s.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'预约请求删除信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("salutation_string##在   ", //form-date, "   我们取消了您在   ", //z37-open-date, "  设置的预约请求，详情如下:")'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'作者:'"/>
       <xsl:with-param name="value" select="./z37-author"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'题名:'"/>
       <xsl:with-param name="value" select="./z37-title"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'页码:'"/>
       <xsl:with-param name="value" select="./z37-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'预约请求注释:'"/>
       <xsl:with-param name="value" select="./z37-note-1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'取消预约请求的原因:'"/>
       <xsl:with-param name="value" select="./user-note"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##流通部'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN hold-delete-letter.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

   <!--section-02 (GRID)-->

    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'预约请求删除信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("salutation_string##在   ", //form-date, "   我们取消了下列预约请求:")'/>
    </xsl:call-template>

</xsl:template>

<!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'预约请求设置日期'"/>
       <xsl:with-param name="value" select="./z37-open-date"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'预约架截止日期'"/>
       <xsl:with-param name="value" select="./z37-end-hold-date"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'书目信息'"/>
       <xsl:with-param name="value" select="./bib-info"/>
       <xsl:with-param name="type" select="'bib-info'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'单册描述'"/>
       <xsl:with-param name="value" select="./z30-description"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>

<xsl:call-template name="table-end-row"/>
</xsl:template>
<xsl:template name="signature">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'####流通部'"/>
    </xsl:call-template>
</xsl:template></xsl:stylesheet>

 
PKC_FILE_BEGIN hold-request-letter-01-00.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <!-- xsl:call-template name="header"/ -->

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="''"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'卡号:'"/>
                <xsl:with-param name="value" select="./z302-key-01"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'姓名:'"/>
                <xsl:with-param name="value" select="./z302-name"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'电话:'"/>
                <xsl:with-param name="value" select="./z302-telephone"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Email:'"/>
                <xsl:with-param name="value" select="./z302-email-address"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'书名:'"/>
                <xsl:with-param name="value" select="./bib-info"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'子库:'"/>
                <xsl:with-param name="value" select="./z30-sub-library"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'索书号:'"/>
                <xsl:with-param name="value" select="./z30-call-no"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'条码号:'"/>
                <xsl:with-param name="value" select="./z30-barcode"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'预约日期:'"/>
                <xsl:with-param name="value" select="./z37-open-date"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'满足日期:'"/>
                <xsl:with-param name="value" select="./z37-hold-date"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>

</xsl:stylesheet>
 
PKC_FILE_BEGIN hold-request-letter-01-16.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'预约请求通知单'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
<xsl:call-template name="table-close"/>
<xsl:call-template name="bib-info-hdr"/>
<xsl:call-template name="table-open"/>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'条码:'"/>
                <xsl:with-param name="value" select="./z30-barcode"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'分馆:'"/>
                <xsl:with-param name="value" select="./z30-sub-library"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'索书号:'"/>
                <xsl:with-param name="value" select="./z30-call-no"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Email地址:'"/>
                <xsl:with-param name="value" select="./email-address"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Email地址:'"/>
                <xsl:with-param name="value" select="./z302-email-address"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
        <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="signature">
     <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##国家图书馆出纳台## ## '"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN hold-request-letter-01.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'预约请求通知单'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("salutation_string##您于", //z37-request-date,"预约的下面单册已还回,请到图书馆出纳台借阅.")'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'收藏地:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号:'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号2:'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'页码:'"/>
       <xsl:with-param name="value" select="./z37-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'部分题名:'"/>
       <xsl:with-param name="value" select="./z37-author"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'部分著者:'"/>
       <xsl:with-param name="value" select="./z37-title"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'备注:'"/>
       <xsl:with-param name="value" select="./z37-note-1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'备注:'"/>
       <xsl:with-param name="value" select="./z37-note-2"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##国家图书馆出纳台## ## '"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN hold-request-letter-02.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'预约请求通知单'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("salutation_string##在此附上您于 ", //z37-request-date, "  设置的预约请求，详细信息如下:")'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'馆藏地:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号:'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号 2:'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'页码:'"/>
       <xsl:with-param name="value" select="./z37-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'著者:'"/>
       <xsl:with-param name="value" select="./z37-author"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'题名:'"/>
       <xsl:with-param name="value" select="./z37-title"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释1:'"/>
       <xsl:with-param name="value" select="./z37-note-1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释2:'"/>
       <xsl:with-param name="value" select="./z37-note-22"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##流通部## ##'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN hold-request-letter-03.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'预约请求通知单'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("salutation_string##以下您于 ", //z37-request-date, "  预约的书刊已经寄出，请查看您的邮箱。")'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'馆藏地:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号:'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号 2:'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'页码:'"/>
       <xsl:with-param name="value" select="./z37-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'著者:'"/>
       <xsl:with-param name="value" select="./z37-author"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释 1:'"/>
       <xsl:with-param name="value" select="./z37-note-1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释 2:'"/>
       <xsl:with-param name="value" select="./z37-note-2"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##流通部## ## '"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN hold-request-letter-04.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'预约请求通知单'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("salutation_string##您于 ", //z37-request-date, " 预约的书刊已到， 请到   ", //z37-pickup-location, " 取书")'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'有效期截止至:'"/>
       <xsl:with-param name="value" select="./z37-end-hold-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'馆藏地:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号:'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号 2:'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'页码:'"/>
       <xsl:with-param name="value" select="./z37-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'著者:'"/>
       <xsl:with-param name="value" select="./z37-author"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'题名:'"/>
       <xsl:with-param name="value" select="./z37-title"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释 1:'"/>
       <xsl:with-param name="value" select="./z37-note-1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释 2:'"/>
       <xsl:with-param name="value" select="./z37-note-2"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##流通部 ## '"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN hold-request-slip-00.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <!--xsl:call-template name="header"/-->

    <!--section-01 (SPLIT)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'预约索书条'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (SPLIT)-->

<xsl:template name="section-01">

    <!--xsl:call-template name="table-close"/-->
    <!--xsl:call-template name="bib-info-hdr"/-->
    <!--xsl:call-template name="blank-line"/-->
    <!--xsl:call-template name="table-split-open"/-->

   <xsl:call-template name="table-open"/>

   <!--xsl:call-template name="display-gen"-->
       <!--xsl:with-param name="label" select="'分馆:'"/-->
       <!--xsl:with-param name="value" select="./z30-sub-library"/-->
    <!--/xsl:call-template-->
   <xsl:call-template name="display-gen">
       <!--xsl:with-param name="label" select="'收藏地:'"/-->
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen">
       <!--xsl:with-param name="label" select="'取书分馆:'"/-->
       <xsl:with-param name="value" select="./z37-pickup-location"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen">
       <!--xsl:with-param name="label" select="'索书号:'"/-->
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen">
       <!--xsl:with-param name="label" select="'复本号:'"/-->
       <xsl:with-param name="value" select="./z30-copy-id"/>
    </xsl:call-template>
    <!--xsl:call-template name="table-split-right"/-->

    <!--xsl:call-template name="table-split-close"/-->
    <!--xsl:call-template name="blank-line"/-->
    <!--xsl:call-template name="table-open"/-->

   <xsl:call-template name="display-gen">
       <!--xsl:with-param name="label" select="'单册条码:'"/-->
       <xsl:with-param name="value" select="./z30-barcode"/>
       <!--xsl:with-param name="type" select="'barcode'"/-->
   </xsl:call-template>

   <xsl:call-template name="display-gen">
       <!--xsl:with-param name="label" select="'书名:'"/-->
       <xsl:with-param name="value" select="./bib-info"/>
       <!--xsl:with-param name="display" select="'always'"/-->
    </xsl:call-template>

<xsl:call-template name="display-gen">
       <!--xsl:with-param name="label" select="'卷期说明:'"/-->
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>

   <!--xsl:call-template name="table-close"/-->
    <!--xsl:call-template name="blank-line"/-->
    <!--xsl:call-template name="table-open"/-->

   <!--xsl:call-template name="free-title"-->
       <!--xsl:with-param name="free-title" select="'读者信息:'"/-->
   <!--/xsl:call-template-->
    <!--xsl:call-template name="table-close"/-->
      <!--xsl:call-template name="patron-name"/-->
      <!--xsl:call-template name="patron-address"/-->
    <!--xsl:call-template name="table-open"/-->

    <xsl:call-template name="display-gen">
       <!--xsl:with-param name="label" select="'读者姓名:'"/-->
       <xsl:with-param name="value" select="./z302-name"/>
    </xsl:call-template>

    <xsl:call-template name="display-gen">
       <!--xsl:with-param name="label" select="'读者卡号:'"/-->
       <xsl:with-param name="value" select="./z302-key-01"/>
    </xsl:call-template>

    <xsl:call-template name="display-gen">
       <!--xsl:with-param name="label" select="'建单日期:'"/-->
       <xsl:with-param name="value" select="./z37-open-date"/>
    </xsl:call-template>

    <xsl:call-template name="display-gen">
       <!--xsl:with-param name="label" select="'建单时间:'"/-->
       <xsl:with-param name="value" select="./z37-open-hour"/>
    </xsl:call-template>

    <!--xsl:call-template name="blank-line-in-free"-->
       <!--xsl:with-param name="lines" select="'2'"/-->
    <!--/xsl:call-template-->

   <xsl:call-template name="table-close"/>


</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN hold-request-slip.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (SPLIT)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'预约索书条'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (SPLIT)-->

<xsl:template name="section-01">
       <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="table-open"/>
   <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="''"/>
       <xsl:with-param name="value" select="./z37-letter-date"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书条号:'"/>
       <xsl:with-param name="value" select="./z52-seq-number"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="blank-line-in-free">
       <xsl:with-param name="lines" select="'3'"/>
    </xsl:call-template>

   <xsl:call-template name="free-title">
       <xsl:with-param name="free-title" select="'预约图书:'"/>
   </xsl:call-template>

    <xsl:call-template name="table-close"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-split-open"/>
   <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'索书号:'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'索书号2:'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'复本号:'"/>
       <xsl:with-param name="value" select="./z30-copy-id"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-right"/>
   <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'收藏地:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'单册状态:'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-close"/>
    <xsl:call-template name="blank-line"/>
     <xsl:call-template name="table-open"/>

   <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册条码:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
       <xsl:with-param name="type" select="'barcode'"/>
   </xsl:call-template>

   <xsl:call-template name="free-title">
       <xsl:with-param name="free-title" select="'部分预约:'"/>
   </xsl:call-template>

   <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'页码:'"/>
       <xsl:with-param name="value" select="./z37-pages"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'著者:'"/>
       <xsl:with-param name="value" select="./z37-author"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'题名:'"/>
       <xsl:with-param name="value" select="./z37-title"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'备注:'"/>
       <xsl:with-param name="value" select="./z37-note-1"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'备注2:'"/>
       <xsl:with-param name="value" select="./z37-note-2"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>

   <xsl:call-template name="free-title">
       <xsl:with-param name="free-title" select="'读者信息:'"/>
   </xsl:call-template>
    <xsl:call-template name="table-close"/>
        <xsl:call-template name="patron-address"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'读者身份:'"/>
       <xsl:with-param name="value" select="./z305-bor-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'读者类型:'"/>
       <xsl:with-param name="value" select="./z305-bor-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'其他信息:'"/>
       <xsl:with-param name="value" select="./z302-field-1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="''"/>
       <xsl:with-param name="value" select="./z302-field-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="''"/>
       <xsl:with-param name="value" select="./z302-field-3"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'预约日期:'"/>
       <xsl:with-param name="value" select="./z37-request-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'终止预约日期:'"/>
       <xsl:with-param name="value" select="./z37-end-request-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'取书分馆:'"/>
       <xsl:with-param name="value" select="./z37-pickup-location"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'加急处理:'"/>
       <xsl:with-param name="value" select="./z37-rush-request"/>
    </xsl:call-template>
    <xsl:call-template name="blank-line-in-free">
       <xsl:with-param name="lines" select="'2'"/>
    </xsl:call-template>

   <xsl:call-template name="requested-by-proxy">
       <xsl:with-param name="condition-field" select="./z37-requester-id"/>
   </xsl:call-template>
    <xsl:call-template name="table-close"/>


</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN hold-request-wait.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature">
       <xsl:with-param name="text" select="'##流通部####回复信:##(选择合适的按钮。)'"/>
    </xsl:call-template>
    <xsl:call-template name="checkbox">
       <xsl:with-param name="text" select="'继续等候:'"/>
    </xsl:call-template>
    <xsl:call-template name="checkbox">
       <xsl:with-param name="text" select="'取消预约:'"/>
    </xsl:call-template>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'预约请求'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("salutation_string##在    ", //z37-request-date, "   我们收到了您对以下书刊的预约请求。在此很抱歉的通知您，你所预约的书刊暂时还无法流通。")'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'请用回复信通知我们，无论您要继续等待还是取消预约'"/>
    </xsl:call-template>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'著者:'"/>
       <xsl:with-param name="value" select="./z37-author"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'题名:'"/>
       <xsl:with-param name="value" select="./z37-title"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'页码:'"/>
       <xsl:with-param name="value" select="./z37-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释 1:'"/>
       <xsl:with-param name="value" select="./z37-note-1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释 2:'"/>
       <xsl:with-param name="value" select="./z37-note-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
        <xsl:param name="text"/>
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="$text"/>
       </xsl:call-template>
   </xsl:template>

</xsl:stylesheet>

 
PKC_FILE_BEGIN hold-requests-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'预约请求报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
          <xsl:with-param name="value" select="./z303-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者姓名'"/>
          <xsl:with-param name="value" select="./z303-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'请求日期'"/>
          <xsl:with-param name="value" select="./z37-open-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN hold-shelf-report-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'预约架报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者姓名'"/>
          <xsl:with-param name="value" select="./z303-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
          <xsl:with-param name="value" select="./z303-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN hold-shelf-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'预约架报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'下一请求者ID'"/>
          <xsl:with-param name="value" select="./next-requester-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'下一请求者姓名'"/>
          <xsl:with-param name="value" select="./next-requester-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者姓名'"/>
          <xsl:with-param name="value" select="./z303-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN ill-arrival-c.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL - 记到信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##在此通知您，您所请求的下列书刊已经到馆。"'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"请尽快来取。"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'费用:'"/>
       <xsl:with-param name="value" select="./z41-patron-local-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'提供者本地价格:'"/>
       <xsl:with-param name="value" select="./z41-s-local-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'请求号:'"/>
       <xsl:with-param name="value" select="./z40-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册条码:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'取书馆:'"/>
       <xsl:with-param name="value" select="./z40-pickup-location"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'归还日期:'"/>
       <xsl:with-param name="value" select="./z41-return-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'流通注释:'"/>
       <xsl:with-param name="value" select="./z41-circulation-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'应还日期:'"/>
       <xsl:with-param name="value" select="./z36-due-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'提供方式:'"/>
       <xsl:with-param name="value" select="./z41-supp-media"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
       <xsl:call-template name="multilines-gen">
          <xsl:with-param name="multiline" select="' 版权声明#### 在此之前本人并未收到过本资料的任何拷贝，
## 本人的请求仅限于研究或个人学习为目的，并严格遵守
## 《中华人民共和国著作权法》及相关规定。
##
'"/>
       </xsl:call-template>
       <xsl:call-template name="multilines-gen">
          <xsl:with-param name="multiline" select="' ** 请在此签名并将此通知返回上述地址 **####
## 全名 : _____________________
##
##
## 签字 : _____________________
##
##
'"/>
       </xsl:call-template>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##读者服务部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN ill-arrival-slip.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--/DIV-->
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL - Arrival Slip'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request number:'"/>
       <xsl:with-param name="value" select="./z40-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Item barcode:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Pickup location:'"/>
       <xsl:with-param name="value" select="./z40-pickup-location"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Cost:'"/>
       <xsl:with-param name="value" select="./z41-patron-local-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Supp. local price:'"/>
       <xsl:with-param name="value" select="./z41-s-local-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Return date:'"/>
       <xsl:with-param name="value" select="./z41-return-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Circulation note:'"/>
       <xsl:with-param name="value" select="./z41-circulation-note"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN ill-arrival.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--/DIV-->
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL - 记到信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##在此通知您，您所请求的下列书刊已经送到我馆。 "'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"请尽快来取。"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'费用:'"/>
       <xsl:with-param name="value" select="./z41-patron-local-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'提供者本地价格:'"/>
       <xsl:with-param name="value" select="./z41-s-local-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'请求号:'"/>
       <xsl:with-param name="value" select="./z40-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册条码:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'取书馆:'"/>
       <xsl:with-param name="value" select="./z40-pickup-location"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'归还日期:'"/>
       <xsl:with-param name="value" select="./z41-return-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'流通注释:'"/>
       <xsl:with-param name="value" select="./z41-circulation-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'应还日期:'"/>
       <xsl:with-param name="value" select="./z36-due-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'提供方式:'"/>
       <xsl:with-param name="value" select="./z41-supp-media"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'读者注释:'"/>
       <xsl:with-param name="value" select="./note1"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN ill-claim-letter.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL Claim Letter'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("salutation_string##The following ILL request, which was expected to arrive by:   ", //z41-expected-arrival-date)'/>
       <xsl:with-param name="val1" select="//z41-expected-arrival-date"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"  has not yet been received. Please send the item or return this form  with your comments."'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request Number:'"/>
       <xsl:with-param name="value" select="./z41-request-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Doc Number:'"/>
       <xsl:with-param name="value" select="./z40-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Patron Name:'"/>
       <xsl:with-param name="value" select="./z302-name"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Note To Supplier:'"/>
       <xsl:with-param name="value" select="./z41-note-to-supp"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Sublibrary:'"/>
       <xsl:with-param name="value" select="./z40-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request Sent Date:'"/>
       <xsl:with-param name="value" select="./z41-request-sent-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Media:'"/>
       <xsl:with-param name="value" select="./z41-requested-media"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##Sincerely,##ILL Department
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN ill-claim-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL Claim Report'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Doc Number'"/>
          <xsl:with-param name="value" select="./z41-doc-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Title'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Supp Code'"/>
          <xsl:with-param name="value" select="./z41-supp-code"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Request No.'"/>
          <xsl:with-param name="value" select="./z41-request-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Requested Media'"/>
          <xsl:with-param name="value" select="./z41-requested-media"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Open Date'"/>
          <xsl:with-param name="value" select="./z41-open-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Exp. Arrival Date'"/>
          <xsl:with-param name="value" select="./z41-expected-arrival-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN ill-clear-list.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
    <xsl:call-template name="table-close"/>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Clear List'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Borrower'"/>
       <xsl:with-param name="value" select="./z302-name"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Id Number'"/>
       <xsl:with-param name="value" select="./z302-id"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Doc No.'"/>
       <xsl:with-param name="value" select="./z40-doc-number"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Request No.'"/>
       <xsl:with-param name="value" select="./z41-request-number"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Supplier Code'"/>
       <xsl:with-param name="value" select="./z40-supp-code"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Vendor'"/>
       <xsl:with-param name="value" select="./z70-vendor-name"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Bib Info'"/>
       <xsl:with-param name="value" select="./bib-info"/>
       <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Shelving'"/>
       <xsl:with-param name="value" select="./z41-shelving"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Status Date'"/>
       <xsl:with-param name="value" select="./z41-status-date"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN ill-drop-letter.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL - Drop Request Letter'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##We would like to cancel our ILL request which is detailed below:"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Supplier code:'"/>
       <xsl:with-param name="value" select="./z41-supp-code"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Requested media:'"/>
       <xsl:with-param name="value" select="./z41-requested-media"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request Library:'"/>
       <xsl:with-param name="value" select="./request-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request No:'"/>
       <xsl:with-param name="value" select="./z41-request-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Patron ID:'"/>
       <xsl:with-param name="value" select="./z40-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Location:'"/>
       <xsl:with-param name="value" select="./z41-shelving"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Note to supplier:'"/>
       <xsl:with-param name="value" select="./z41-note-to-supp"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'No. of  Pages:'"/>
       <xsl:with-param name="value" select="./z41-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request Sent Date:'"/>
       <xsl:with-param name="value" select="./z41-request-sent-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Supplier reference number:'"/>
       <xsl:with-param name="value" select="./z41-reference-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Cataloger:'"/>
       <xsl:with-param name="value" select="./z41-cataloger"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"Thank you for your kind attention,"'/>
    </xsl:call-template>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##Sincerely,##ILL Department
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN ill-in-c-slip.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-02 (FREE)-->

    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
    <!--/DIV-->
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL Incoming Request Slip'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-02  (FREE)-->

<xsl:template name="section-02">
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'ILL Borrower:'"/>
       <xsl:with-param name="value" select="./z46-library-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Doc Number:'"/>
       <xsl:with-param name="value" select="./z46-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request Number:'"/>
       <xsl:with-param name="value" select="./z46-request-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request BC:'"/>
       <xsl:with-param name="value" select="./z46-request-number"/>
       <xsl:with-param name="type" select="'barcode'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request Details:'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Media:'"/>
       <xsl:with-param name="value" select="./z46-request-media"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Pages:'"/>
       <xsl:with-param name="value" select="./z46-request-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Send Method:'"/>
       <xsl:with-param name="value" select="./z46-request-send-method"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Note:'"/>
       <xsl:with-param name="value" select="./z46-request-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Ref. Number:'"/>
       <xsl:with-param name="value" select="./z46-request-reference-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Last Interest Date:'"/>
       <xsl:with-param name="value" select="./z46-last-interest-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Cataloger:'"/>
       <xsl:with-param name="value" select="./z46-cataloger"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN ill-in-copy-letter.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL -  Supply Copy Slip'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##Enclosed please find the photocopy of your ILL request."'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request number:'"/>
       <xsl:with-param name="value" select="./z46-request-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Doc. number:'"/>
       <xsl:with-param name="value" select="./z46-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Send date:'"/>
       <xsl:with-param name="value" select="./z46-send-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Send method:'"/>
       <xsl:with-param name="value" select="./z46-send-method"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Pages:'"/>
       <xsl:with-param name="value" select="./z46-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Page size:'"/>
       <xsl:with-param name="value" select="./z46-page-size"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Price:'"/>
       <xsl:with-param name="value" select="./z46-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Currency:'"/>
       <xsl:with-param name="value" select="./z46-currency"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Local price:'"/>
       <xsl:with-param name="value" select="./z46-local-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Copyright price:'"/>
       <xsl:with-param name="value" select="./z46-copyright-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Copyright currency:'"/>
       <xsl:with-param name="value" select="./z46-copyright-currency"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Copyright local price:'"/>
       <xsl:with-param name="value" select="./z46-copyright-local-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Supply note:'"/>
       <xsl:with-param name="value" select="./note"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##Sincerely,##ILL Department'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN ill-in-hold-letter.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL - Hold Request Notice'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##You have requested an item from our ILL service."'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"This item is currently on loan. It will be supplied when it becomes available."'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"Please inform us whether there is a time limit for this request.
"'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"Following are the details of your ILL request:"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request number:'"/>
       <xsl:with-param name="value" select="./z46-request-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Doc.number:'"/>
       <xsl:with-param name="value" select="./z46-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Requested media:'"/>
       <xsl:with-param name="value" select="./z46-request-media"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Requested send method:'"/>
       <xsl:with-param name="value" select="./z46-request-send-method"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request note:'"/>
       <xsl:with-param name="value" select="./z46-request-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Reference number:'"/>
       <xsl:with-param name="value" select="./z46-request-reference-number"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##Sincerely,##ILL Department
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN ill-in-info.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--/DIV-->
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL Incoming Request Information'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"##Details of Request:"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request number:'"/>
       <xsl:with-param name="value" select="./z46-request-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Doc. number:'"/>
       <xsl:with-param name="value" select="./z46-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'ILL Incoming Request Details :'"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Requested media:'"/>
       <xsl:with-param name="value" select="./z46-request-media"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Requested pages:'"/>
       <xsl:with-param name="value" select="./z46-request-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Requested send method:'"/>
       <xsl:with-param name="value" select="./z46-request-send-method"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request note:'"/>
       <xsl:with-param name="value" select="./z46-request-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Reference number:'"/>
       <xsl:with-param name="value" select="./z46-request-reference-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request status:'"/>
       <xsl:with-param name="value" select="./z46-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Open date:'"/>
       <xsl:with-param name="value" select="./z46-open-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Update date:'"/>
       <xsl:with-param name="value" select="./z46-update-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Cataloger:'"/>
       <xsl:with-param name="value" select="./z46-cataloger"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Barcode:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Send date:'"/>
       <xsl:with-param name="value" select="./z46-send-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Send method:'"/>
       <xsl:with-param name="value" select="./z46-send-method"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Pages:'"/>
       <xsl:with-param name="value" select="./z46-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Page size:'"/>
       <xsl:with-param name="value" select="./z46-page-size"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Expected return date:'"/>
       <xsl:with-param name="value" select="./z46-expected-return-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Return date:'"/>
       <xsl:with-param name="value" select="./z46-return-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Price:'"/>
       <xsl:with-param name="value" select="./z46-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Currency:'"/>
       <xsl:with-param name="value" select="./z46-currency"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Local price:'"/>
       <xsl:with-param name="value" select="./z46-local-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Copyright price:'"/>
       <xsl:with-param name="value" select="./z46-copyright-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Copyright currency:'"/>
       <xsl:with-param name="value" select="./z46-copyright-currency"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Copyright local price:'"/>
       <xsl:with-param name="value" select="./z46-copyright-local-price"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN ill-in-l-slip.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-02 (FREE)-->

    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
    <!--/DIV-->
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL Incoming Request Slip'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-02  (FREE)-->

<xsl:template name="section-02">
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'ILL Borrower:'"/>
       <xsl:with-param name="value" select="./z46-library-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Doc Number:'"/>
       <xsl:with-param name="value" select="./z46-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request Number:'"/>
       <xsl:with-param name="value" select="./z46-request-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request Details:'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Media:'"/>
       <xsl:with-param name="value" select="./z46-request-media"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Pages:'"/>
       <xsl:with-param name="value" select="./z46-request-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Send Method:'"/>
       <xsl:with-param name="value" select="./z46-request-send-method"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Note:'"/>
       <xsl:with-param name="value" select="./z46-request-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Ref. Number:'"/>
       <xsl:with-param name="value" select="./z46-request-reference-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Last Interest Date:'"/>
       <xsl:with-param name="value" select="./z46-last-interest-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Cataloger:'"/>
       <xsl:with-param name="value" select="./z46-cataloger"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN ill-in-letter.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL - Letter to ILL Borrower'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##Following is information about your ILL incoming request."'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request number:'"/>
       <xsl:with-param name="value" select="./z46-request-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Doc. number:'"/>
       <xsl:with-param name="value" select="./z46-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Supply note:'"/>
       <xsl:with-param name="value" select="./note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request note:'"/>
       <xsl:with-param name="value" select="./z46-request-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Requested send method:'"/>
       <xsl:with-param name="value" select="./z46-request-send-method"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Requested pages:'"/>
       <xsl:with-param name="value" select="./z46-request-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Requested media:'"/>
       <xsl:with-param name="value" select="./z46-request-media"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Reference number:'"/>
       <xsl:with-param name="value" select="./z46-request-reference-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Barcode:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Send date:'"/>
       <xsl:with-param name="value" select="./z46-send-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Send method:'"/>
       <xsl:with-param name="value" select="./z46-send-method"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Pages:'"/>
       <xsl:with-param name="value" select="./z46-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Page size:'"/>
       <xsl:with-param name="value" select="./z46-page-size"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Expected return date:'"/>
       <xsl:with-param name="value" select="./z46-expected-return-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Return date:'"/>
       <xsl:with-param name="value" select="./z46-return-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Price:'"/>
       <xsl:with-param name="value" select="./z46-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Currency:'"/>
       <xsl:with-param name="value" select="./z46-currency"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Local price:'"/>
       <xsl:with-param name="value" select="./z46-local-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Copyright price:'"/>
       <xsl:with-param name="value" select="./z46-copyright-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Copyright currency:'"/>
       <xsl:with-param name="value" select="./z46-copyright-currency"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Copyright local price:'"/>
       <xsl:with-param name="value" select="./z46-copyright-local-price"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##Sincerely,##ILL Department
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN hold-request-slip-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <!--xsl:call-template name="header"/-->

    <!--section-01 (SPLIT)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'预约索书条'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (SPLIT)-->

<xsl:template name="section-01">

    <!--xsl:call-template name="table-close"/-->
    <!--xsl:call-template name="bib-info-hdr"/-->
    <!--xsl:call-template name="blank-line"/-->
    <!--xsl:call-template name="table-split-open"/-->

   <xsl:call-template name="table-open"/>

   <!--xsl:call-template name="display-gen"-->
       <!--xsl:with-param name="label" select="'分馆:'"/-->
       <!--xsl:with-param name="value" select="./z30-sub-library"/-->
    <!--/xsl:call-template-->
   <xsl:call-template name="display-gen">
       <!--xsl:with-param name="label" select="'收藏地:'"/-->
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen">
       <!--xsl:with-param name="label" select="'取书分馆:'"/-->
       <xsl:with-param name="value" select="./z37-pickup-location"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen">
       <!--xsl:with-param name="label" select="'索书号:'"/-->
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
   <xsl:call-template name="display-gen">
       <!--xsl:with-param name="label" select="'复本号:'"/-->
       <xsl:with-param name="value" select="./z30-copy-id"/>
    </xsl:call-template>
    <!--xsl:call-template name="table-split-right"/-->

    <!--xsl:call-template name="table-split-close"/-->
    <!--xsl:call-template name="blank-line"/-->
    <!--xsl:call-template name="table-open"/-->

   <xsl:call-template name="display-gen">
       <!--xsl:with-param name="label" select="'单册条码:'"/-->
       <xsl:with-param name="value" select="./z30-barcode"/>
       <!--xsl:with-param name="type" select="'barcode'"/-->
   </xsl:call-template>

   <!--xsl:call-template name="display-gen"-->
       <!--xsl:with-param name="label" select="'书名:'"/-->
       <!--xsl:with-param name="value" select="./bib-info"/-->
       <!--xsl:with-param name="display" select="'always'"/-->
    <!--/xsl:call-template-->

<xsl:call-template name="display-gen">
       <!--xsl:with-param name="label" select="'卷期说明:'"/-->
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>

   <!--xsl:call-template name="table-close"/-->
    <!--xsl:call-template name="blank-line"/-->
    <!--xsl:call-template name="table-open"/-->

   <!--xsl:call-template name="free-title"-->
       <!--xsl:with-param name="free-title" select="'读者信息:'"/-->
   <!--/xsl:call-template-->
    <!--xsl:call-template name="table-close"/-->
      <!--xsl:call-template name="patron-name"/-->
      <!--xsl:call-template name="patron-address"/-->
    <!--xsl:call-template name="table-open"/-->

    <xsl:call-template name="display-gen">
       <!--xsl:with-param name="label" select="'读者姓名:'"/-->
       <xsl:with-param name="value" select="./z302-name"/>
    </xsl:call-template>

    <xsl:call-template name="display-gen">
       <!--xsl:with-param name="label" select="'读者卡号:'"/-->
       <xsl:with-param name="value" select="./z302-key-01"/>
    </xsl:call-template>

    <xsl:call-template name="display-gen">
       <!--xsl:with-param name="label" select="'建单日期:'"/-->
       <xsl:with-param name="value" select="./z37-open-date"/>
    </xsl:call-template>

    <xsl:call-template name="display-gen">
       <!--xsl:with-param name="label" select="'建单时间:'"/-->
       <xsl:with-param name="value" select="./z37-open-hour"/>
    </xsl:call-template>

    <!--xsl:call-template name="blank-line-in-free"-->
       <!--xsl:with-param name="lines" select="'2'"/-->
    <!--/xsl:call-template-->

   <xsl:call-template name="table-close"/>


</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN ill-in-loan-letter.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>



<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL -  Supply Loan Slip'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##Enclose please find the  ILL loan you requested."'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"Please note the expected return date as detailed below"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request number:'"/>
       <xsl:with-param name="value" select="./z46-request-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Doc. number:'"/>
       <xsl:with-param name="value" select="./z46-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Supply note:'"/>
       <xsl:with-param name="value" select="./note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Reference number:'"/>
       <xsl:with-param name="value" select="./z46-request-reference-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Barcode:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Send date:'"/>
       <xsl:with-param name="value" select="./z46-send-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Send method:'"/>
       <xsl:with-param name="value" select="./z46-send-method"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Expected return date:'"/>
       <xsl:with-param name="value" select="./z46-expected-return-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Price:'"/>
       <xsl:with-param name="value" select="./z46-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Currency:'"/>
       <xsl:with-param name="value" select="./z46-currency"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Local price:'"/>
       <xsl:with-param name="value" select="./z46-local-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Copyright price:'"/>
       <xsl:with-param name="value" select="./z46-copyright-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Copyright currency:'"/>
       <xsl:with-param name="value" select="./z46-copyright-currency"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Copyright local price:'"/>
       <xsl:with-param name="value" select="./z46-copyright-local-price"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##Sincerely,##ILL Department
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN ill-in-no-avail-letter.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL - Not Available Notice'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##We are sorry to inform you that your ILL request material is currently on loan and  cannot be supplied."'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'ILL Incoming Request Details :'"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request/Record number:'"/>
       <xsl:with-param name="value" select="./z46-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Requested media:'"/>
       <xsl:with-param name="value" select="./z46-request-media"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Requested pages:'"/>
       <xsl:with-param name="value" select="./z46-request-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Requested send method:'"/>
       <xsl:with-param name="value" select="./z46-request-send-method"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request note:'"/>
       <xsl:with-param name="value" select="./z46-request-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Reference number:'"/>
       <xsl:with-param name="value" select="./z46-request-reference-number"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##Sincerely,##ILL Department
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN ill-in-reject-letter.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL Incoming Request Rejection'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##We are sorry to inform you that your ILL request cannot be supplied."'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'ILL Incoming Request Details :'"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request number:'"/>
       <xsl:with-param name="value" select="./z46-request-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Doc. number:'"/>
       <xsl:with-param name="value" select="./z46-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Requested media:'"/>
       <xsl:with-param name="value" select="./z46-request-media"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Requested pages:'"/>
       <xsl:with-param name="value" select="./z46-request-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Requested send method:'"/>
       <xsl:with-param name="value" select="./z46-request-send-method"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request note:'"/>
       <xsl:with-param name="value" select="./z46-request-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Reference number:'"/>
       <xsl:with-param name="value" select="./z46-request-reference-number"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##Sincerely,##ILL Department
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN ill-in-tlc-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

    <xsl:for-each select="//section-02">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL Incoming TLC Messages Report'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="section-02">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="''"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Doc Number:'"/>
                <xsl:with-param name="value" select="./doc-number"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Message Type:'"/>
                <xsl:with-param name="value" select="./record-type"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Message Status:'"/>
                <xsl:with-param name="value" select="./record-status"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Date:'"/>
                <xsl:with-param name="value" select="./record-date"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Status Reason:'"/>
                <xsl:with-param name="value" select="./record-reason"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>
 
PKC_FILE_BEGIN ill-new-requests-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL New Requests'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <tr>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Request No.'"/>
          <xsl:with-param name="value" select="./z41-request-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Patron ID'"/>
          <xsl:with-param name="value" select="./z40-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Patron Name'"/>
          <xsl:with-param name="value" select="./z303-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Status Date'"/>
          <xsl:with-param name="value" select="./z41-status-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Status New'"/>
          <xsl:with-param name="value" select="./is-new"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   </tr>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN ill-new-requests.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL New Requests'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <tr>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Doc. No.'"/>
          <xsl:with-param name="value" select="./z40-doc-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Bib. Info.'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Patron ID'"/>
          <xsl:with-param name="value" select="./z40-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Patron Name'"/>
          <xsl:with-param name="value" select="./z303-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Rush'"/>
          <xsl:with-param name="value" select="./z40-rush"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   </tr>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN ill-print-letter-chain.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--/DIV-->
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL - Chain Letter Request'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##Please supply the item whose details are listed below. In case this request"'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"cannot be fulfilled by you, please forward the request to the next supplier on the list"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Z40 Doc Number:'"/>
       <xsl:with-param name="value" select="./z40-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Supplier:'"/>
       <xsl:with-param name="value" select="./z41-supp-code"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Preferred Media:'"/>
       <xsl:with-param name="value" select="./z40-media"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request No.:'"/>
       <xsl:with-param name="value" select="./z41-request-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Date of request:'"/>
       <xsl:with-param name="value" select="./form-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Voucher Numbers:'"/>
       <xsl:with-param name="value" select="./voucher-numbers"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Shelving notation:'"/>
       <xsl:with-param name="value" select="./z41-shelving"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Pages to photocopy:'"/>
       <xsl:with-param name="value" select="./z41-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Note:'"/>
       <xsl:with-param name="value" select="./z41-note-to-supp"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request Library:'"/>
       <xsl:with-param name="value" select="./request-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Patron ID:'"/>
       <xsl:with-param name="value" select="./z40-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Patron name:'"/>
       <xsl:with-param name="value" select="./z303-name"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Cataloger:'"/>
       <xsl:with-param name="value" select="./z41-cataloger"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Supplier:'"/>
       <xsl:with-param name="value" select="./supplier-01"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Shelfmark:'"/>
       <xsl:with-param name="value" select="./shelfmark-01"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Supplier:'"/>
       <xsl:with-param name="value" select="./supplier-02"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Shelfmark:'"/>
       <xsl:with-param name="value" select="./shelfmark-02"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Supplier:'"/>
       <xsl:with-param name="value" select="./supplier-03"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Shelfmark:'"/>
       <xsl:with-param name="value" select="./shelfmark-03"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Supplier:'"/>
       <xsl:with-param name="value" select="./supplier-04"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Shelfmark:'"/>
       <xsl:with-param name="value" select="./shelfmark-04"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Supplier:'"/>
       <xsl:with-param name="value" select="./supplier-05"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Shelfmark:'"/>
       <xsl:with-param name="value" select="./shelfmark-05"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Thank you for your kind cooperation.'"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN ill-print-letter.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--/DIV-->
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL Request'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##Please supply the item whose details are listed below."'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request No:'"/>
       <xsl:with-param name="value" select="./z41-request-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Requested Media:'"/>
       <xsl:with-param name="value" select="./z41-requested-media"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Date of request:'"/>
       <xsl:with-param name="value" select="./form-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Voucher numbers:'"/>
       <xsl:with-param name="value" select="./voucher-info"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Shelving notation:'"/>
       <xsl:with-param name="value" select="./z41-shelving"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Pages to photocopy:'"/>
       <xsl:with-param name="value" select="./z41-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Note:'"/>
       <xsl:with-param name="value" select="./z41-note-to-supp"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request Library:'"/>
       <xsl:with-param name="value" select="./request-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Patron ID:'"/>
       <xsl:with-param name="value" select="./z40-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Patron name:'"/>
       <xsl:with-param name="value" select="./z303-name"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-close"/>
    <xsl:call-template name="directly-to-patron"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Cataloger:'"/>
       <xsl:with-param name="value" select="./z41-cataloger"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Thank you for your kind cooperation.'"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>


 
PKC_FILE_BEGIN ill-reapp.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL - Reapply Letter'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("salutation_string##As our ILL supplier can supply the requested item only at a later date please reapply on the    ", //z41-reapply-date)'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request Number:'"/>
       <xsl:with-param name="value" select="./z41-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Patron  Sub-library:'"/>
       <xsl:with-param name="value" select="./z40-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Media:'"/>
       <xsl:with-param name="value" select="./z41-supp-media"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##Sincerely,##ILL Department
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN ill-recall.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL - Recall Letter'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("salutation_string##We regret to inform you that the due date for yor ILL loaned item (detailed below)##was advanced to   ",//new-update-date, "##Please return the item on the requested date.") '/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Request Number:'"/>
       <xsl:with-param name="value" select="./z41-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Patron  Sub-library:'"/>
       <xsl:with-param name="value" select="./z40-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Circulation Note:'"/>
       <xsl:with-param name="value" select="./z41-circulation-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Media:'"/>
       <xsl:with-param name="value" select="./z41-supp-media"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##Sincerely,##ILL Department
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN ill-request-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL Request Report'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Doc Number'"/>
          <xsl:with-param name="value" select="./z40-doc-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Bib. Info.'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Patron ID'"/>
          <xsl:with-param name="value" select="./z40-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Status'"/>
          <xsl:with-param name="value" select="./z40-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Sublibrary'"/>
          <xsl:with-param name="value" select="./z40-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Media'"/>
          <xsl:with-param name="value" select="./z40-media"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Open Date'"/>
          <xsl:with-param name="value" select="./z40-open-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Last Interest Date'"/>
          <xsl:with-param name="value" select="./z40-last-interest-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN ill-requests-list.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL Requests List'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##We would like to
place a request for the following items:"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>

</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
     <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Title'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Req. No.'"/>
          <xsl:with-param name="value" select="./z41-request-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Req. Media'"/>
          <xsl:with-param name="value" select="./z41-requested-media"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Pages'"/>
          <xsl:with-param name="value" select="./z41-pages"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Send Method'"/>
          <xsl:with-param name="value" select="./z41-media-send-method"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Note'"/>
          <xsl:with-param name="value" select="./z41-note-to-supp"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Location'"/>
          <xsl:with-param name="value" select="./z41-shelving"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Last Interest Date'"/>
          <xsl:with-param name="value" select="./z40-last-interest-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Patron ID'"/>
          <xsl:with-param name="value" select="./z40-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Sublibrary'"/>
          <xsl:with-param name="value" select="./z40-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Rush'"/>
          <xsl:with-param name="value" select="./z40-rush"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN ill-return-letter.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL - Return Letter'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##Thank you for your kind attention. Enclosed please find the item loaned from your institution."'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"(As per details listed below)"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Doc Number:'"/>
       <xsl:with-param name="value" select="./z41-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'User ID:'"/>
       <xsl:with-param name="value" select="./z40-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'User Name:'"/>
       <xsl:with-param name="value" select="./z303-name"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Shelving:'"/>
       <xsl:with-param name="value" select="./z41-shelving"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Supplier reference number:'"/>
       <xsl:with-param name="value" select="./z41-reference-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Item arrival date:'"/>
       <xsl:with-param name="value" select="./z41-arrival-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Note:'"/>
       <xsl:with-param name="value" select="./z41-note-to-supp"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##Sincerely,##ILL Department
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN ill-return-list.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL Return List'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"Dear Sirs,"'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"Enclosed please find the item loaned from your institution."'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"(As per details listed below.)"'/>
    </xsl:call-template>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
     <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Title'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Request No'"/>
          <xsl:with-param name="value" select="./z41-request-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Media'"/>
          <xsl:with-param name="value" select="./z41-requested-media"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Location'"/>
          <xsl:with-param name="value" select="./z41-shelving"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Note'"/>
          <xsl:with-param name="value" select="./z41-note-to-supp"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Last Interest Date'"/>
          <xsl:with-param name="value" select="./z40-last-interest-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Patron ID'"/>
          <xsl:with-param name="value" select="./z40-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Sublibrary'"/>
          <xsl:with-param name="value" select="./z40-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Rush'"/>
          <xsl:with-param name="value" select="./z40-rush"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN ill-static-status-req-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Static Status Requests Report'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Doc Number'"/>
          <xsl:with-param name="value" select="./z41-doc-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Bib. Info.'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Req. Number'"/>
          <xsl:with-param name="value" select="./z41-request-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Supp Code'"/>
          <xsl:with-param name="value" select="./z41-supp-code"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Req. Media'"/>
          <xsl:with-param name="value" select="./z41-requested-media"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Status Date'"/>
          <xsl:with-param name="value" select="./z41-status-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Status'"/>
          <xsl:with-param name="value" select="./z41-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN ill-status-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Status Report'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <tr>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Request Status'"/>
          <xsl:with-param name="value" select="./request-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Counter'"/>
          <xsl:with-param name="value" select="./status-counter"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   </tr>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN instructor-summary.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>

<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-02 (GRID)-->

    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (GRID)-->

    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-03">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-03">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-03"/>
    </xsl:for-each>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'教员小结'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
   <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'教员编号'"/>
       <xsl:with-param name="value" select="./doc-ind-2"/>
       <xsl:with-param name="header" select="$header"/>
   </xsl:call-template>

   <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'课程编号:'"/>
       <xsl:with-param name="value" select="./z108-course-number"/>

       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'代理课程编号:'"/>
       <xsl:with-param name="value" select="./z108-proxy-course-number"/>

       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'课程名称:'"/>
       <xsl:with-param name="value" select="./z108-course-name"/>

       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'教员姓名:'"/>
       <xsl:with-param name="value" select="./z108-instructor-name"/>

       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'部门:'"/>
       <xsl:with-param name="value" select="./z108-department"/>

       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'起始日期:'"/>
       <xsl:with-param name="value" select="./z108-date-from"/>

       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'截止日期:'"/>
       <xsl:with-param name="value" select="./z108-date-to"/>

       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>

    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'时期:'"/>
       <xsl:with-param name="value" select="./z108-new-period"/>

       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>


<!--SECTION-03  (GRID)-->

<xsl:template name="section-03">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
   <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'教员编号'"/>
       <xsl:with-param name="value" select="./doc-ind"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
   <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'课程编号:'"/>
       <xsl:with-param name="value" select="./course-number"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'题名:'"/>
       <xsl:with-param name="value" select="./z13-title"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'条码'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'分馆'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'馆藏地'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'索书号'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'单册状态'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN inventory-list.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'财产清单'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'排序:'"/>
       <xsl:with-param name="value" select="./sorted-by"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'登录号.'"/>
          <xsl:with-param name="value" select="./z30-inventory-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'登录日期'"/>
          <xsl:with-param name="value" select="./z30-inventory-number-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地 /索书号'"/>
          <xsl:with-param name="value" select="concat(./collection-description, ', ',./z30-call-no)"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'订单'"/>
          <xsl:with-param name="value" select="./order-info"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'发票'"/>
          <xsl:with-param name="value" select="./invoice-info"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'价格'"/>
          <xsl:with-param name="value" select="./price-info"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'内部注释'"/>
          <xsl:with-param name="value" select="./internal-note"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN invoice-report-05.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (FREE)-->

    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-06 (GRID)-->

    <xsl:for-each select="//section-06">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-06">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-06"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->

    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

    <!--section-05 (GRID)-->

    <xsl:for-each select="//section-05">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-05">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-05"/>
    </xsl:for-each>


    <!--section-07 (GRID)-->

    <xsl:for-each select="//section-07">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-07">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-07"/>
    </xsl:for-each>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'发票报告 (附加)'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'批准号:'"/>
       <xsl:with-param name="value" select="./approval-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书商代码:'"/>
       <xsl:with-param name="value" select="./z70-vendor-code"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书商附加代码:'"/>
       <xsl:with-param name="value" select="./z70-additional-vendor-code"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'支付地址:'"/>
       <xsl:with-param name="value" select="''"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="vendor-address"/>
</xsl:template>


<!--SECTION-02  (FREE)-->

<xsl:template name="section-02">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'批准部门:'"/>
       <xsl:with-param name="value" select="./z77-approval-department"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'发票号:'"/>
       <xsl:with-param name="value" select="./z77-invoice-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'发票日期:'"/>
       <xsl:with-param name="value" select="./z77-i-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'发票货币:'"/>
       <xsl:with-param name="value" select="./z77-i-currency"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>



    <!--SECTION-05  (GRID)-->

<xsl:template name="section-05">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="'书商的VAT细分:'"/>
   </xsl:call-template>
  </xsl:if>
   <tr>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Vat接收'"/>
          <xsl:with-param name="value" select="./vat-receiver"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Vat金额'"/>
          <xsl:with-param name="value" select="./vat-amount"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   </tr>
</xsl:template>


    <!--SECTION-06  (GRID)-->

<xsl:template name="section-06">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="'预算和对象代码:'"/>
   </xsl:call-template>
  </xsl:if>
   <tr>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算代码'"/>
          <xsl:with-param name="value" select="./budget-number-2"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'对象代码'"/>
          <xsl:with-param name="value" select="./budget-obj-code-2"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算总额'"/>
          <xsl:with-param name="value" select="./budget-sum-2"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算本地总额'"/>
          <xsl:with-param name="value" select="./budget-local-sum-2"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   </tr>
</xsl:template>

<!--SECTION-03  (FREE)-->

<xsl:template name="section-03">
    <xsl:call-template name="grid-title">
       <xsl:with-param name="grid-title" select="'总额:'"/>
    </xsl:call-template>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'总额:'"/>
       <xsl:with-param name="value" select="./total-sum"/>
       <xsl:with-param name="display" select="'always'"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'总额Vat:'"/>
       <xsl:with-param name="value" select="./total-sum-vat"/>
       <xsl:with-param name="display" select="'always'"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'总净额:'"/>
       <xsl:with-param name="value" select="./total-sum-net"/>
       <xsl:with-param name="display" select="'always'"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>


    <!--SECTION-07  (GRID)-->

<xsl:template name="section-07">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="'不平衡的债务项:'"/>
   </xsl:call-template>
  </xsl:if>
   <tr>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'发票号'"/>
          <xsl:with-param name="value" select="./z75-invoice-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'行号'"/>
          <xsl:with-param name="value" select="./z75-line-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'总金额'"/>
          <xsl:with-param name="value" select="./z75-i-total-amount"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   </tr>
</xsl:template>


</xsl:stylesheet>


 
PKC_FILE_BEGIN invoice-report-summary.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-06 (GRID)-->

    <xsl:for-each select="//section-06">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-06">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-06"/>
    </xsl:for-each>

    <!--section-08 (FREE)-->

    <xsl:for-each select="//section-08">
       <xsl:call-template name="section-08"/>
    </xsl:for-each>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'发票报告'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'批准号:'"/>
       <xsl:with-param name="value" select="./approval-number"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>


<!--SECTION-08  (FREE)-->

<xsl:template name="section-08">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'总额:'"/>
       <xsl:with-param name="value" select="./local-price"/>
       <xsl:with-param name="display" select="'always'"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-06  (GRID)-->

<xsl:template name="section-06">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="'发票的预算细分:'"/>
   </xsl:call-template>
  </xsl:if>
   <tr>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'发票号'"/>
          <xsl:with-param name="value" select="./invoice-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书商名字'"/>
          <xsl:with-param name="value" select="./vendor-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书商代码'"/>
          <xsl:with-param name="value" select="./vendor-code"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书商附加代码'"/>
          <xsl:with-param name="value" select="./additional-vendor-code"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'发票日期'"/>
          <xsl:with-param name="value" select="./invoice-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'发票金额'"/>
          <xsl:with-param name="value" select="./local-price"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算号'"/>
          <xsl:with-param name="value" select="./budget-number-2"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'对象代码'"/>
          <xsl:with-param name="value" select="./budget-obj-code-2"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算总额'"/>
          <xsl:with-param name="value" select="./budget-local-sum-2"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   </tr>
</xsl:template>


</xsl:stylesheet>


 
PKC_FILE_BEGIN invoice-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->

    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


    <!--section-03 (FREE)-->

    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

    <!--section-04 (GRID)-->

    <xsl:for-each select="//section-04">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-04">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-04"/>
    </xsl:for-each>

    <!--section-05 (GRID)-->

    <xsl:for-each select="//section-05">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-05">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-05"/>
    </xsl:for-each>

    <!--section-06 (GRID)-->

    <xsl:for-each select="//section-06">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-06">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-06"/>
    </xsl:for-each>

    <!--section-07 (GRID)-->

    <xsl:for-each select="//section-07">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-07">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-07"/>
    </xsl:for-each>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'发票报告'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'批准号:'"/>
       <xsl:with-param name="value" select="./approval-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书商代码:'"/>
       <xsl:with-param name="value" select="./z70-vendor-code"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'发票货币:'"/>
       <xsl:with-param name="value" select="./invoice-currency"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="'全部总发票报告:'"/>
   </xsl:call-template>
  </xsl:if>
   <tr>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'平衡的总发票'"/>
          <xsl:with-param name="value" select="./balanced-line"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'发票号'"/>
          <xsl:with-param name="value" select="./z77-invoice-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="' 总额'"/>
          <xsl:with-param name="value" select="./z77-i-total-amount"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="' 日期'"/>
          <xsl:with-param name="value" select="./z77-i-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   </tr>
</xsl:template>

<!--SECTION-03  (FREE)-->

<xsl:template name="section-03">
    <xsl:call-template name="grid-title">
       <xsl:with-param name="grid-title" select="'支付给书商的总额:'"/>
    </xsl:call-template>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'总额:'"/>
       <xsl:with-param name="value" select="./total-sum"/>
       <xsl:with-param name="display" select="'always'"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'总额 Vat:'"/>
       <xsl:with-param name="value" select="./total-sum-vat"/>
       <xsl:with-param name="display" select="'always'"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'总净额:'"/>
       <xsl:with-param name="value" select="./total-sum-net"/>
       <xsl:with-param name="display" select="'always'"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>


    <!--SECTION-04  (GRID)-->

<xsl:template name="section-04">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="'书商的预算细分:'"/>
   </xsl:call-template>
  </xsl:if>
   <tr>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算号'"/>
          <xsl:with-param name="value" select="./budget-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'对象代码'"/>
          <xsl:with-param name="value" select="./budget-obj-code"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算总额'"/>
          <xsl:with-param name="value" select="./budget-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算本地总额'"/>
          <xsl:with-param name="value" select="./budget-local-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   </tr>
</xsl:template>


    <!--SECTION-05  (GRID)-->

<xsl:template name="section-05">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="'书商的VAT细分:'"/>
   </xsl:call-template>
  </xsl:if>
   <tr>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Vat接收'"/>
          <xsl:with-param name="value" select="./vat-receiver"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Vat 金额'"/>
          <xsl:with-param name="value" select="./vat-amount"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   </tr>
</xsl:template>


    <!--SECTION-06  (GRID)-->

<xsl:template name="section-06">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="'发票的预算细分:'"/>
   </xsl:call-template>
  </xsl:if>
   <tr>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'发票号'"/>
          <xsl:with-param name="value" select="./invoice-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'发票日期'"/>
          <xsl:with-param name="value" select="./invoice-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'总价格'"/>
          <xsl:with-param name="value" select="./total-price"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'本地价格'"/>
          <xsl:with-param name="value" select="./local-price"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算号'"/>
          <xsl:with-param name="value" select="./budget-number-2"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'对象代码'"/>
          <xsl:with-param name="value" select="./budget-obj-code-2"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算总额'"/>
          <xsl:with-param name="value" select="./budget-sum-2"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算本地总额'"/>
          <xsl:with-param name="value" select="./budget-local-sum-2"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   </tr>
</xsl:template>


    <!--SECTION-07  (GRID)-->

<xsl:template name="section-07">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="'不平衡的债务项:'"/>
   </xsl:call-template>
  </xsl:if>
   <tr>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'发票号'"/>
          <xsl:with-param name="value" select="./z75-invoice-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'行号'"/>
          <xsl:with-param name="value" select="./z75-line-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'总额'"/>
          <xsl:with-param name="value" select="./z75-i-total-amount"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   </tr>
</xsl:template>


</xsl:stylesheet>


 
PKC_FILE_BEGIN issues-pub-schedule.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'打开预期的各期'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'截止日期:'"/>
       <xsl:with-param name="value" select="./date-to"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'题名'"/>
          <xsl:with-param name="value" select="./z13-title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'ADM系统号'"/>
          <xsl:with-param name="value" select="./z30-doc-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'复本号'"/>
          <xsl:with-param name="value" select="./z30-copy-sequence-2"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'期描述'"/>
          <xsl:with-param name="value" select="./z30-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'出版日期'"/>
          <xsl:with-param name="value" select="./z30-issue-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预计达到日期'"/>
          <xsl:with-param name="value" select="./z30-expected-arrival-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN item-completed-volumes.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'完成的卷 - 准备装订'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'卷/年'"/>
          <xsl:with-param name="value" select="./volume-first-level"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'期描述'"/>
          <xsl:with-param name="value" select="./z30-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'复本号'"/>
          <xsl:with-param name="value" select="./volume-copy"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'到达日期'"/>
          <xsl:with-param name="value" select="./z30-arrival-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN item-copy-label-00.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="''"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open">
        <xsl:with-param name="align" select="'left'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="./z30-sub-library"/>
       <xsl:with-param name="width" select="'30%'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="./z30-collection"/>
       <xsl:with-param name="width" select="'30%'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="./bib-info"/>
       <xsl:with-param name="width" select="'30%'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="./z30-barcode"/>
       <xsl:with-param name="width" select="'30%'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="./call-no-piece-01"/>
       <xsl:with-param name="width" select="'30%'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="./call-no-piece-02"/>
       <xsl:with-param name="width" select="'30%'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="./call-no-piece-03"/>
       <xsl:with-param name="width" select="'30%'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="./call-no-piece-04"/>
       <xsl:with-param name="width" select="'30%'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

</xsl:stylesheet>
 
PKC_FILE_BEGIN item-copy-label-20.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="''"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="''"/>
                <xsl:with-param name="value" select="'***'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="''"/>
                <xsl:with-param name="value" select="./tab-label-01"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="''"/>
                <xsl:with-param name="value" select="./call-no-piece-01"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="''"/>
                <xsl:with-param name="value" select="./call-no-piece-02"/>
        </xsl:call-template>
   <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="''"/>
                <xsl:with-param name="value" select="./call-no-piece-03"/>
        </xsl:call-template>
   <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="''"/>
                <xsl:with-param name="value" select="./call-no-piece-04"/>
        </xsl:call-template>
   <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="''"/>
                <xsl:with-param name="value" select="./call-no-piece-05"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>

</xsl:stylesheet>
 
PKC_FILE_BEGIN item-issue-label-00.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>

<xsl:template match="/">
<!--    <xsl:call-template name="header"/>  -->
   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8"/>

    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="''"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'报名：'"/>
       <xsl:with-param name="value" select="./bib-info"/>
       <xsl:with-param name="style" select="'bold'"/>
       <xsl:with-param name="width" select="'10%'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册条码：'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
       <xsl:with-param name="width" select="'14%'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'装订范围：'"/>
       <xsl:with-param name="value" select="./z30-description"/>
       <xsl:with-param name="style" select="'bold;italic'"/>
       <xsl:with-param name="width" select="'14%'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索报号：'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
       <xsl:with-param name="width" select="'14%'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'部次号：'"/>
       <xsl:with-param name="value" select="./z30-copy-id"/>
       <xsl:with-param name="width" select="'14%'"/>
    </xsl:call-template>


    <xsl:call-template name="table-close"/>
</xsl:template>

</xsl:stylesheet>





 
PKC_FILE_BEGIN item-issue-label-10.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (GRID)-->
    <xsl:for-each select="//section-01">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-01">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-01"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'外文期刊调拨'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (GRID)-->
<xsl:template name="section-01">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
    <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="value" select="./z30-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="value" select="./z13-title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>


 
PKC_FILE_BEGIN item-issue-label-20.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (GRID)-->
    <xsl:for-each select="//section-01">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-01">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-01"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="' 中文期刊调拨 '"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (GRID)-->
<xsl:template name="section-01">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
    <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="value" select="./z30-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="value" select="./z13-title"/>
          <xsl:with-param name="header" select="题名"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>


 
PKC_FILE_BEGIN item-sched-delete-letter-s.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'高级预定取消信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("salutation_string##在   ", //form-date, "   我们取消您的高级预订，详情如下")'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="concat('##高级预定时间槽起始时间: ',./z320-start-date, ' ', ./z320-start-hour,'.')"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="concat('高级预定时间槽结束时间:     ',./z320-end-date, ' ', ./z320-end-hour,'.')"/>
    </xsl:call-template>
    <xsl:call-template name="table-open"/>


    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'取消原因:'"/>
       <xsl:with-param name="value" select="./note"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>

</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##流通部'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN item-schedule.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


    <!--section-03 (GRID)-->
    <xsl:for-each select="//section-03">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-03">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'高级预定时间表'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="blank-line"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">

   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="'当前预定'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'起始日期'"/>
          <xsl:with-param name="value" select="./z320-start-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'起始时间'"/>
          <xsl:with-param name="value" select="./z320-start-hour"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'截止日期'"/>
          <xsl:with-param name="value" select="./z320-end-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'截止时间'"/>
          <xsl:with-param name="value" select="./z320-end-hour"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>

   <xsl:call-template name="table-end-row"/>
</xsl:template>

    <!--SECTION-03  (GRID)-->

<xsl:template name="section-03">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="'即将到的预定'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'起始日期'"/>
          <xsl:with-param name="value" select="./z320-start-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'起始时间'"/>
          <xsl:with-param name="value" select="./z320-start-hour"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'截止日期'"/>
          <xsl:with-param name="value" select="./z320-end-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'截止时间'"/>
          <xsl:with-param name="value" select="./z320-end-hour"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN item-slip-00.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <!--xsl:call-template name="header"/-->

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="''"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'子库:'"/>
                <xsl:with-param name="value" select="./z30-sub-library"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'书名:'"/>
                <xsl:with-param name="value" select="./bib-info"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'条码号:'"/>
                <xsl:with-param name="value" select="./z30-barcode"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'索书号:'"/>
                <xsl:with-param name="value" select="./z30-call-no"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>

</xsl:stylesheet>
 
PKC_FILE_BEGIN item-slip-01.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--/DIV-->
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'单册条'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"资料:"'/>
    </xsl:call-template>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'外借状态:'"/>
       <xsl:with-param name="value" select="./is-loan"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'条码:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号:'"/>

       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册状态:'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'馆藏地:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号 2:'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'复本号:'"/>
       <xsl:with-param name="value" select="./z30-copy-id"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN item-slip.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--/DIV-->
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'单册条'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"资料:"'/>
    </xsl:call-template>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'外借状态:'"/>
       <xsl:with-param name="value" select="./is-loan"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'条码:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号:'"/>

       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册状态:'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'馆藏地:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号 2:'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'复本号:'"/>
       <xsl:with-param name="value" select="./z30-copy-id"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN items-in-high-demand-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'高需求单册报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="type" select="'barcode'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预约数'"/>
          <xsl:with-param name="value" select="./no-holds"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN items-in-high-demand.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'高需求单册报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'文档号'"/>
          <xsl:with-param name="value" select="./z30-doc-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预约数'"/>
          <xsl:with-param name="value" select="./no-holds"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN items-in-reading-room-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'阅览室阅读单册报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="//z310-rr-id"/>
   </xsl:call-template>
  </xsl:if>
   <tr>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
          <xsl:with-param name="value" select="./z303-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者姓名'"/>
          <xsl:with-param name="value" select="./z303-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'原始分馆'"/>
          <xsl:with-param name="value" select="./original-sublib"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册描述'"/>
          <xsl:with-param name="value" select="./z30-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'最后借出给读者的日期'"/>
          <xsl:with-param name="value" select="./z310-out-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'最后返回预约架日期'"/>
          <xsl:with-param name="value" select="./z310-last-in-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'其他请求？'"/>
          <xsl:with-param name="value" select="./has-holds"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   </tr>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN items-in-reading-room.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'阅览室阅读单册报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="//z310-rr-id"/>
   </xsl:call-template>
  </xsl:if>
   <tr>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'原始分馆'"/>
          <xsl:with-param name="value" select="./original-sublib"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
          <xsl:with-param name="value" select="./z303-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者姓名'"/>
          <xsl:with-param name="value" select="./z303-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'放在阅览室的日期'"/>
          <xsl:with-param name="value" select="./z310-open-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'其他请求？'"/>
          <xsl:with-param name="value" select="./has-holds"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   </tr>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN lapsed-holds-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'过期预约报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
          </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'文档号'"/>
          <xsl:with-param name="value" select="./z30-doc-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'请求者姓名'"/>
          <xsl:with-param name="value" select="./requester-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'请求者ID'"/>
          <xsl:with-param name="value" select="./requester-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'借阅者姓名'"/>
          <xsl:with-param name="value" select="./owner-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'借阅者ID'"/>
          <xsl:with-param name="value" select="./owner-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'请求日期'"/>
          <xsl:with-param name="value" select="./z37-request-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'终止请求日期'"/>
          <xsl:with-param name="value" select="./z37-end-request-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN lapsed-holds.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'过期预约请求报告 / 删除过期预约请求报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <tr>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'请求者姓名/ID'"/>
          <xsl:with-param name="value" select="./requester-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'借阅者ID'"/>
          <xsl:with-param name="value" select="./owner-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'终止请求日期'"/>
          <xsl:with-param name="value" select="./z37-end-request-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   </tr>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN loan-notice-letter.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

   <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'读者- 友好通知'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"##salutation_string##以下是您所借的图书，请注意应还日期。"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
 <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'描述'"/>
          <xsl:with-param name="value" select="./z30-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'应还日期'"/>
          <xsl:with-param name="value" select="./z36-due-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
   </xsl:template>

   <xsl:template name="signature">
      <xsl:call-template name="generic-line">
         <xsl:with-param name="line" select="'####流通部'"/>
      </xsl:call-template>
   </xsl:template>
   </xsl:stylesheet>


 
PKC_FILE_BEGIN loan-notice-renew-letter.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'读者- 友好通知'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"##salutation_string##在此通知您，以下书刊我们已经为您办理了自动续借:"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'描述'"/>
          <xsl:with-param name="value" select="./z30-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'新的应还日期'"/>
          <xsl:with-param name="value" select="./z36-due-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
   </xsl:template>

   <xsl:template name="signature">
      <xsl:call-template name="generic-line">
         <xsl:with-param name="line" select="'####流通部'"/>
      </xsl:call-template>
   </xsl:template>
   </xsl:stylesheet>


 
PKC_FILE_BEGIN loan-recall-1-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--section-02 (FREE)-->
    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'外借催还'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##请在应还日期之前归还以下图书"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
</xsl:template>
<!--SECTION-02  (FREE)-->
<xsl:template name="section-02">

    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="concat('##这本图书已经被 ',./z36-recall-type,'。请在 ',./z36-recall-due-date, ' ', ./z36-due-hour,'之前归还。')"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="concat('请注意，如果归还时间晚于 ',./z36-recall-due-date, ' ', ./z36-due-hour,' 将被处以罚款。')"/>
    </xsl:call-template>

    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'条码:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'馆藏地:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号:'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号2:'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册状态:'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'原始应还日期:'"/>
       <xsl:with-param name="value" select="concat(./z36-original-due-date, ' ', ./original-due-hour)"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'催还类型:'"/>
       <xsl:with-param name="value" select="./z36-recall-type"/>
    </xsl:call-template>

    <xsl:call-template name="table-close"/>
</xsl:template>

   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'####流通部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN loan-recall-1.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--section-02 (FREE)-->
    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'外借催还'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##请在应还日期之前归还下列图书"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
</xsl:template>
<!--SECTION-02  (FREE)-->
<xsl:template name="section-02">

    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="concat('##该图书已经被 ',./z36-recall-type,'。请在 ',./z36-recall-due-date, ' ', ./z36-due-hour,'之前归还。')"/>
    </xsl:call-template>

    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'条码:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'馆藏地:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号:'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号 2:'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册状态:'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'原始应还日期:'"/>
       <xsl:with-param name="value" select="concat(./z36-original-due-date, ' ', ./original-due-hour)"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'催还类型:'"/>
       <xsl:with-param name="value" select="./z36-recall-type"/>
    </xsl:call-template>

    <xsl:call-template name="table-close"/>
</xsl:template>

   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'####流通部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN loan-recall-2-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--section-02 (FREE)-->
    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'外借催还'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##请在应还日期之前归还下列图书。"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
</xsl:template>
<!--SECTION-02  (FREE)-->
<xsl:template name="section-02">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="concat('##该图书已经被  ',./z36-recall-type,'，请于 ',./z36-original-due-date, ' ', ./z36-due-hour,'之前归还。')"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="concat('请注意如果晚于 ',./z36-original-due-date, ' ', ./z36-due-hour,'归还，将被处以额外罚款。')"/>
    </xsl:call-template>


    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'条码:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'馆藏地:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号:'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号 2:'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册状态:'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'原始应还日期:'"/>
       <xsl:with-param name="value" select="concat(./z36-original-due-date, ' ', ./original-due-hour)"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'催还类型:'"/>
       <xsl:with-param name="value" select="./z36-recall-type"/>
    </xsl:call-template>

    <xsl:call-template name="table-close"/>
</xsl:template>

   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'####流通部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN loan-recall-2.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--section-02 (FREE)-->
    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'外借催还'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##请在应还日期之前归还下列图书。"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
</xsl:template>
<!--SECTION-02  (FREE)-->
<xsl:template name="section-02">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="concat('##该图书已经被 ',./z36-recall-type,'，请于',./z36-original-due-date, ' ', ./z36-due-hour,'之前归还。')"/>
    </xsl:call-template>

    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'条码:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'馆藏地:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号:'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号 2:'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册状态:'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'原始应还日期:'"/>
       <xsl:with-param name="value" select="concat(./z36-original-due-date, ' ', ./original-due-hour)"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'催还类型:'"/>
       <xsl:with-param name="value" select="./z36-recall-type"/>
    </xsl:call-template>

    <xsl:call-template name="table-close"/>
</xsl:template>

   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'####流通部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN loan-recall-3.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--section-02 (FREE)-->
    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'取消催还'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##近期我们曾向您催还以下图书:"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
</xsl:template>
<!--SECTION-02  (FREE)-->
<xsl:template name="section-02">
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'条码:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'馆藏地:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号:'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号 2:'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册状态:'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
    </xsl:call-template>

    <xsl:call-template name="table-close"/>

    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="concat('现在催还请求已经被取消，而该书的应还日期也被恢复到原始应还日期，即： ',./z36-original-due-date,'  ',./original-due-hour)"/>
    </xsl:call-template>

</xsl:template>


   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'####流通部 '"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN loan-receipt.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02">
           <xsl:with-param name="header" select="'header'"/>
       </xsl:call-template>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'外借收据'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->
<xsl:template name="section-02">
  <xsl:param name="header"/>
        <xsl:if test="$header !='' ">
           <xsl:call-template name="bib-info-hdr"/>
        </xsl:if>

  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'描述'"/>
          <xsl:with-param name="value" select="./z30-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'应还日期'"/>
          <xsl:with-param name="value" select="./z36-due-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'归还日期'"/>
          <xsl:with-param name="value" select="./z36-returned-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册状态'"/>
          <xsl:with-param name="value" select="./z30-item-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'借阅者ID'"/>
          <xsl:with-param name="value" select="./z36-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>

        <xsl:if test="$header ='' ">
           <xsl:call-template name="table-open"/>
           <xsl:call-template name="display-gen">
              <xsl:with-param name="label" select="'外借注释:'"/>
              <xsl:with-param name="value" select="./z36-note-1"/>
           </xsl:call-template>
           <xsl:call-template name="grid-close"/>
           <xsl:call-template name="horizontal-line"/>

        </xsl:if>

</xsl:template>
<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##流通部'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>






 
PKC_FILE_BEGIN loan-renewal-report-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'续借报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <tr>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
          <xsl:with-param name="value" select="./z303-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者姓名'"/>
          <xsl:with-param name="value" select="./z303-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号'"/>
          <xsl:with-param name="value" select="./z30-Call-No"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'初始应还日期'"/>
          <xsl:with-param name="value" select="./z36-original-due-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'应还日期'"/>
          <xsl:with-param name="value" select="./z36-due-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   </tr>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN loan-renewal-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'续借报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预约状态'"/>
          <xsl:with-param name="value" select="./hold-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
          <xsl:with-param name="value" select="./z303-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者姓名'"/>
          <xsl:with-param name="value" select="./z303-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'原始应还日期'"/>
          <xsl:with-param name="value" select="./z36-original-due-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'应还日期'"/>
          <xsl:with-param name="value" select="./z36-due-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN loan-report-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'外借报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <tr>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
          <xsl:with-param name="value" select="./z303-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者姓名'"/>
          <xsl:with-param name="value" select="./z303-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册条码'"/>
          <xsl:with-param name="value" select="./barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册状态'"/>
          <xsl:with-param name="value" select="./z36-item-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'外借日期'"/>
          <xsl:with-param name="value" select="./z36-loan-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'应还日期'"/>
          <xsl:with-param name="value" select="./z36-due-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'外借状态'"/>
          <xsl:with-param name="value" select="./z36-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   </tr>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN loan-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'外借报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
          <xsl:with-param name="value" select="./z303-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者姓名'"/>
          <xsl:with-param name="value" select="./z303-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册条码'"/>
          <xsl:with-param name="value" select="./barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'外借日期'"/>
          <xsl:with-param name="value" select="./z36-loan-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'应还日期'"/>
          <xsl:with-param name="value" select="./z36-due-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN lost-material-bill-m.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'丢失单册帐单'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##我们将给您寄一份帐单，这样您可以支付丢失图书的替代价格。"'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"当然如果您能将该书归还图书馆，我们将只收取一些额外的费用包括手续费和通知费用。"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="free-title">
        <xsl:with-param name="free-title" select="'丢失单册:'"/>
    </xsl:call-template>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-close"/>

    <xsl:call-template name="table-open"/>
    <xsl:call-template name="free-title">
        <xsl:with-param name="free-title" select="'单册详细信息:'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'馆藏地:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号:'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号 2:'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册状态:'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='" "'/>
    </xsl:call-template>
    <xsl:call-template name="free-title">
        <xsl:with-param name="free-title" select="'流通细节:'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'外借日期:'"/>
       <xsl:with-param name="value" select="./z36-loan-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'应还日期:'"/>
       <xsl:with-param name="value" select="./z36-due-date"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='" "'/>
    </xsl:call-template>
    <xsl:call-template name="free-title">
        <xsl:with-param name="free-title" select="'存在费用:'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'替代价格:'"/>
       <xsl:with-param name="value" select="./sum-2"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'手续费:'"/>
       <xsl:with-param name="value" select="./sum-1"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'通知费用:'"/>
       <xsl:with-param name="value" select="./sum-3"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"--------------------------------------------------"'/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'合计:'"/>
       <xsl:with-param name="value" select="./total"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##流通部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN loan-receipt-00.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <!--xsl:call-template name="header"/-->

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

<xsl:for-each select="//section-02">
        <xsl:call-template name="section-02"/>
</xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="''"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
    <xsl:call-template name="patron-name"/>
</xsl:template>


<xsl:template name="section-02">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'借期:'"/>
                <xsl:with-param name="value" select="./z36-loan-date"/>
                <xsl:with-param name="width" select="'25%'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'还期:'"/>
                <xsl:with-param name="value" select="./z36-due-date"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'条码号:'"/>
                <xsl:with-param name="value" select="./z30-barcode"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'书名:'"/>
                <xsl:with-param name="value" select="./bib-info"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>

</xsl:stylesheet>
 
PKC_FILE_BEGIN loan-receipt-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <!--xsl:call-template name="header"/-->

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

<xsl:for-each select="//section-02">
        <xsl:call-template name="section-02"/>
</xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="''"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
       <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'姓名:'"/>
       <xsl:with-param name="value" select="//z302-name"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="section-02">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'借期:'"/>
                <xsl:with-param name="value" select="./z36-loan-date"/>
                <xsl:with-param name="width" select="'25%'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'还期:'"/>
                <xsl:with-param name="value" select="./z36-due-date"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'条码号:'"/>
                <xsl:with-param name="value" select="./z30-barcode"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'书名:'"/>
                <xsl:with-param name="value" select="./bib-info"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>

</xsl:stylesheet>
 
PKC_FILE_BEGIN lost-material-bill.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'丢失单册帐单'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##以下图书我们已经通知您好几次要求归还了，但至今未收到您的回复，所以我们将做为丢书处理。"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'外借日期:'"/>
       <xsl:with-param name="value" select="./z36-loan-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'应还日期:'"/>
       <xsl:with-param name="value" select="./z36-due-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'馆藏地:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号:'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号 2:'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册状态:'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'替代价格:'"/>
       <xsl:with-param name="value" select="./total"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"####我们将给你送一份包含丢失图书替代价格的帐单，当然如果您能将该书归还图书馆，我们将只收取一些额外的费用。"'/>
    </xsl:call-template>

</xsl:template>

   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##流通部'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>


 
PKC_FILE_BEGIN lost-material-summary.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>

<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
    <xsl:call-template name="table-close"/>

    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'资料丢失帐单总结'"/>
    </xsl:call-template>
</xsl:template>


<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'salutation_string'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'以下图书我们已经通知您好几次要求归还了，但至今未收到您的回复，所以我们将做为丢书处理。
我们将给你送一份包含丢失图书替代价格的帐单，当然如果您能将该书归还图书馆，我们将只收取一些额外的费用，包括手续费和通知费用。## ## '"/>
    </xsl:call-template>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">

  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Pos.'"/>
       <xsl:with-param name="value" select="position()"/>
       <xsl:with-param name="type" select="'right'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'单册条码'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'书目信息'"/>
       <xsl:with-param name="value" select="./bib-info"/>
       <xsl:with-param name="type" select="'bib-info'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>

    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'外借日期'"/>
       <xsl:with-param name="value" select="./z36-loan-date"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'外借时间'"/>
       <xsl:with-param name="value" select="./z36-loan-hour"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'应还日期'"/>
       <xsl:with-param name="value" select="./z36-due-date"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'应还时间'"/>
       <xsl:with-param name="value" select="./z36-due-hour"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'分馆'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'馆藏地'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'索书号'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'索书号 2'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'描述'"/>
       <xsl:with-param name="value" select="./z30-description"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'单册状态'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="./sum-label-2"/>
       <xsl:with-param name="value" select="./sum-2"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="./sum-label-1"/>
       <xsl:with-param name="value" select="./sum-1"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="./sum-label-3"/>
       <xsl:with-param name="value" select="./sum-3"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>

<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'合计'"/>
       <xsl:with-param name="value" select="./total"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="signature">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'####流通部'"/>
    </xsl:call-template>
</xsl:template>

</xsl:stylesheet>


 
PKC_FILE_BEGIN mail-acq-m-cancel-slip.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (SPLIT)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'采访取消信-mail'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (SPLIT)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'salutation_string##我们将取消下列订单:'"/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-split-open"/>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订单号:'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'书商参考号:'"/>
       <xsl:with-param name="value" select="./z68-vendor-reference-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'册数:'"/>
       <xsl:with-param name="value" select="./z68-no-units"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'数量注释:'"/>
       <xsl:with-param name="value" select="./z68-quantity-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'预订起始日期:'"/>
       <xsl:with-param name="value" select="./z68-subscription-date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'预订截止日期:'"/>
       <xsl:with-param name="value" select="./z68-subscription-date-to"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'注释:'"/>
       <xsl:with-param name="value" select="./z68-vendor-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z68-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-right"/>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订单日期:'"/>
       <xsl:with-param name="value" select="./z68-order-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'催询日期:'"/>
       <xsl:with-param name="value" select="./z68-eda"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'加急:'"/>
       <xsl:with-param name="value" select="./z68-rush"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'单价:'"/>
       <xsl:with-param name="value" select="./z68-unit-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'总价:'"/>
       <xsl:with-param name="value" select="./z68-total-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'货币:'"/>
       <xsl:with-param name="value" select="./z68-e-currency"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-close"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'直接传送给:'"/>
       <xsl:with-param name="value" select="''"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="patron-address"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'事务类型:'"/>
          <xsl:with-param name="value" select="./z601-type"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算号:'"/>
          <xsl:with-param name="value" select="./z601-budget-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'打开日期:'"/>
          <xsl:with-param name="value" select="./z601-open-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'货币:'"/>
          <xsl:with-param name="value" select="./z601-currency"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'原始总额:'"/>
          <xsl:with-param name="value" select="./z601-original-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'活动金额:'"/>
          <xsl:with-param name="value" select="./z601-active-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'本地金额:'"/>
          <xsl:with-param name="value" select="./z601-local-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'####采访部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN mars-loader-00.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

    <xsl:for-each select="//section-02">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <xsl:for-each select="//section-03">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-03">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Mars 装载报告'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'日期:'"/>
                <xsl:with-param name="value" select="./form-date"/>
        </xsl:call-template>
<xsl:call-template name="table-close"/>
<xsl:call-template name="horizontal-line"/>
<xsl:call-template name="table-open-full"/>
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="section-02">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="''"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Doc计数器:'"/>
                <xsl:with-param name="value" select="./doc-counter"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Doc行号:'"/>
                <xsl:with-param name="value" select="./doc-line-number"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'消息文本:'"/>
                <xsl:with-param name="value" select="./message-text"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>


<xsl:template name="section-03">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="''"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Doc计数器:'"/>
                <xsl:with-param name="value" select="./doc-counter"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Doc匹配计数器:'"/>
                <xsl:with-param name="value" select="./doc-match-counter"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Doc 未匹配计数器:'"/>
                <xsl:with-param name="value" select="./doc-no-match-counter"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Doc 更新计数器:'"/>
                <xsl:with-param name="value" select="./doc-updated-counter"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'字段匹配计数器:'"/>
                <xsl:with-param name="value" select="./field-match-counter"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'字段未匹配计数器:'"/>
                <xsl:with-param name="value" select="./field-no-match-counter"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>
 
PKC_FILE_BEGIN missing-items-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'丢失单册报告'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'排序:'"/>
       <xsl:with-param name="value" select="./sorted-by"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'登录号'"/>
          <xsl:with-param name="value" select="./inventory"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'文档号'"/>
          <xsl:with-param name="value" select="./z30-doc-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册顺序号'"/>
          <xsl:with-param name="value" select="./z30-item-sequence"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'题名'"/>
          <xsl:with-param name="value" select="./z13-title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN multiple-heading-records.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'含糊的标目'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'标目索引'"/>
          <xsl:with-param name="value" select="./heading-index"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'打开日期'"/>
          <xsl:with-param name="value" select="./open-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'更新日期'"/>
          <xsl:with-param name="value" select="./update-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'记录号'"/>
          <xsl:with-param name="value" select="./record-no"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'标目'"/>
          <xsl:with-param name="value" select="./heading"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN new-budget-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'新预算报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算号'"/>
          <xsl:with-param name="value" select="./budget-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算类型'"/>
          <xsl:with-param name="value" select="./budget-type"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'金额'"/>
          <xsl:with-param name="value" select="./amount"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'现存'"/>
          <xsl:with-param name="value" select="./already-exist"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'母预算'"/>
          <xsl:with-param name="value" select="./parent-budget"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN new-ill-requests-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
    <xsl:call-template name="table-close"/>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'新接收的 ILL请求'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'ILL借阅者'"/>
       <xsl:with-param name="value" select="./z46-library-id"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'文档号'"/>
       <xsl:with-param name="value" select="./z46-doc-number"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
       <xsl:with-param name="value" select="./bib-info"/>
       <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'请求方式'"/>
       <xsl:with-param name="value" select="./z46-request-media"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'页数'"/>
       <xsl:with-param name="value" select="./z46-request-pages"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'请求号'"/>
       <xsl:with-param name="value" select="./z46-request-number"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'请求条码'"/>
       <xsl:with-param name="value" select="./z46-request-number"/>
       <xsl:with-param name="type" select="'barcode'"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'发送方式'"/>
       <xsl:with-param name="value" select="./z46-request-send-method"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'打开日期'"/>
       <xsl:with-param name="value" select="./z46-open-date"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'最后感兴趣日期'"/>
       <xsl:with-param name="value" select="./z46-last-interest-date"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN number-of-issues.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'登到期数'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'起始日期:'"/>
       <xsl:with-param name="value" select="./date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'截止日期:'"/>
       <xsl:with-param name="value" select="./date-to"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'题名'"/>
          <xsl:with-param name="value" select="./title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'登到数'"/>
          <xsl:with-param name="value" select="./arrivals"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN opac-print-02.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'编目记录'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'记录数:'"/>
       <xsl:with-param name="value" select="./no-records"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'格式:'"/>
       <xsl:with-param name="value" select="./format-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'主题:'"/>
       <xsl:with-param name="value" select="./subject"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'字段名'"/>
          <xsl:with-param name="value" select="./col1"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'数据'"/>
          <xsl:with-param name="value" select="./col2"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN opac-print-custom.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (FREE)-->

    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'打印目录- 引文方式'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'记录数:'"/>
       <xsl:with-param name="value" select="./no-records"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'格式:'"/>
       <xsl:with-param name="value" select="./format-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'主题:'"/>
       <xsl:with-param name="value" select="./subject"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<!--SECTION-02  (FREE)-->

<xsl:template name="section-02">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="./col1"/>
    </xsl:call-template>
</xsl:template>

</xsl:stylesheet>

 
PKC_FILE_BEGIN opac-print.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'编目记录'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'记录号:'"/>
       <xsl:with-param name="value" select="./no-records"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'格式类型:'"/>
       <xsl:with-param name="value" select="./format-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'主题:'"/>
       <xsl:with-param name="value" select="./subject"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'字段名'"/>
          <xsl:with-param name="value" select="./col1"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'数据'"/>
          <xsl:with-param name="value" select="./col2"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN open-expected-issues.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'打开预计的期'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'起始日期:'"/>
       <xsl:with-param name="value" select="./date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'截止日期:'"/>
       <xsl:with-param name="value" select="./date-to"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'题名'"/>
          <xsl:with-param name="value" select="./z13-title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'ADM记录号'"/>
          <xsl:with-param name="value" select="./z30-doc-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'复本号'"/>
          <xsl:with-param name="value" select="./z30-copy-sequence-2"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'描述'"/>
          <xsl:with-param name="value" select="./z30-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'出版日期'"/>
          <xsl:with-param name="value" select="./z30-issue-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'意外到达的期'"/>
          <xsl:with-param name="value" select="./z30-expected-arrival-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>

   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN open-schedule-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'打开模式报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'题名'"/>
          <xsl:with-param name="value" select="./title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'最近出版日期'"/>
          <xsl:with-param name="value" select="./last-issue-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预订号'"/>
          <xsl:with-param name="value" select="./subscriptions"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN order-info-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->

    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'订单信息报告'"/>
    </xsl:call-template>


</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <!--xsl:call-template name="sublib-address"/-->
</xsl:template>


    <!--SECTION-02  (GRID)-->



<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-1"/>
          <xsl:with-param name="value" select="./data-1"/>
          <xsl:with-param name="display" select="./code-1"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-2"/>
          <xsl:with-param name="value" select="./data-2"/>
          <xsl:with-param name="display" select="./code-2"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-3"/>
          <xsl:with-param name="value" select="./data-3"/>
          <xsl:with-param name="display" select="./code-3"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-4"/>
          <xsl:with-param name="value" select="./data-4"/>
           <xsl:with-param name="display" select="./code-4"/>
          <xsl:with-param name="header" select="$header"/>
      </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-5"/>
          <xsl:with-param name="value" select="./data-5"/>
          <xsl:with-param name="display" select="./code-5"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-6"/>
          <xsl:with-param name="value" select="./data-6"/>
          <xsl:with-param name="display" select="./code-6"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-7"/>
          <xsl:with-param name="value" select="./data-7"/>
           <xsl:with-param name="display" select="./code-7"/>
          <xsl:with-param name="header" select="$header"/>
      </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-8"/>
          <xsl:with-param name="value" select="./data-8"/>
           <xsl:with-param name="display" select="./code-8"/>
          <xsl:with-param name="header" select="$header"/>
      </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-9"/>
          <xsl:with-param name="value" select="./data-9"/>
          <xsl:with-param name="display" select="./code-9"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-10"/>
          <xsl:with-param name="value" select="./data-10"/>
          <xsl:with-param name="display" select="./code-10"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-11"/>
          <xsl:with-param name="value" select="./data-11"/>
          <xsl:with-param name="display" select="./code-12"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-12"/>
          <xsl:with-param name="value" select="./data-12"/>
          <xsl:with-param name="display" select="./code-12"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-13"/>
          <xsl:with-param name="value" select="./data-13"/>
          <xsl:with-param name="display" select="./code-13"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-14"/>
          <xsl:with-param name="value" select="./data-14"/>
          <xsl:with-param name="display" select="./code-14"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-currency">
          <xsl:with-param name="label" select="./code-15"/>
          <xsl:with-param name="value" select="./data-15"/>
          <xsl:with-param name="display" select="./code-15"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN order-log-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--section-02 (FREE)-->
    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'订购日志报告'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'起始日期:'"/>
       <xsl:with-param name="value" select="./p-action-date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'截止日期:'"/>
       <xsl:with-param name="value" select="./p-action-date-to"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'订单类型:'"/>
       <xsl:with-param name="value" select="concat(./p-sw-mono,' ', ./p-sw-serial,' ', ./p-sw-standing ) "/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./p-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'订购单元:'"/>
       <xsl:with-param name="value" select="./p-order-unit"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'排序键:'"/>
       <xsl:with-param name="value" select="./p-sort-key"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
<!--SECTION-02  (FREE)-->
<xsl:template name="section-02">
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'顺序号:'"/>
       <xsl:with-param name="value" select="./z68-sequence"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'订单类型:'"/>
       <xsl:with-param name="value" select="./z68-order-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z68-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'文档号:'"/>
       <xsl:with-param name="value" select="./z68-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'ISBN/ISSN:'"/>
       <xsl:with-param name="value" select="./z68-isbn"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'打开日期:'"/>
       <xsl:with-param name="value" select="./z71-open-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'时间日期:'"/>
       <xsl:with-param name="value" select="./z71-action-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'文本:'"/>
       <xsl:with-param name="value" select="./z71-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'数据:'"/>
       <xsl:with-param name="value" select="./z71-data"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'本报告所包含订单数:'"/>
       <xsl:with-param name="value" select="./no-of-orders"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN orders-per-budget.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'预算的订单统计'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算'"/>
          <xsl:with-param name="value" select="./budget"/>
          <xsl:with-param name="type" select="'restart'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'订单号'"/>
          <xsl:with-param name="value" select="./z68-order-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'本地总额'"/>
          <xsl:with-param name="value" select="./local-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'订单状态'"/>
          <xsl:with-param name="value" select="./z68-order-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书商代码'"/>
          <xsl:with-param name="value" select="./z68-vendor-code"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN outstanding-loan-requests-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->

    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'未完成的预约请求报告'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'日期:'"/>
       <xsl:with-param name="value" select="./form-date"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="sublib-address"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'相似复本'"/>
       <xsl:with-param name="value" select="./like-copy"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'单册分馆'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'索书号'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'描述'"/>
       <xsl:with-param name="value" select="./z30-description"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'书目信息'"/>
       <xsl:with-param name="value" select="./bib-info"/>
       <xsl:with-param name="type" select="'bib-info'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'读者姓名'"/>
       <xsl:with-param name="value" select="./z303-name"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'读者ID'"/>
       <xsl:with-param name="value" select="./z303-id"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'请求失效日期'"/>
       <xsl:with-param name="value" select="./z37-end-request-date"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'加急请求'"/>
       <xsl:with-param name="value" select="./z37-rush-request"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN outstanding-loan-requests.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->

    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'未完成的预约请求报告'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'日期:'"/>
       <xsl:with-param name="value" select="./form-date"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="sublib-address"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'相似复本'"/>
       <xsl:with-param name="value" select="./like-copy"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'单册条码'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'单册分馆'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'索书号'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'描述'"/>
       <xsl:with-param name="value" select="./z30-description"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'书目信息'"/>
       <xsl:with-param name="value" select="./bib-info"/>
       <xsl:with-param name="type" select="'bib-info'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'读者姓名'"/>
       <xsl:with-param name="value" select="./z303-name"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'读者ID'"/>
       <xsl:with-param name="value" select="./z303-id"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'加急请求'"/>
       <xsl:with-param name="value" select="./z37-rush-request"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN outstanding-req-of-former-bor.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'先前借阅者的ILL请求'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
          <xsl:with-param name="value" select="./z40-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'ILL 分馆'"/>
          <xsl:with-param name="value" select="./z40-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'有效期'"/>
          <xsl:with-param name="value" select="./z305-expiry-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'文档号'"/>
          <xsl:with-param name="value" select="./z40-doc-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'请求号'"/>
          <xsl:with-param name="value" select="./z41-request-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'状态'"/>
          <xsl:with-param name="value" select="./z41-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'打开日期'"/>
          <xsl:with-param name="value" select="./z40-open-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN overdue-letter-0.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'过期通知信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'salutation_string'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'在此第一次写信通知您，您所借的下列图书已经过期:'"/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册条码:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册状态:'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'馆藏地:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号:'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号 2:'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'外借日期:'"/>
       <xsl:with-param name="value" select="./z36-loan-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'外借时间:'"/>
       <xsl:with-param name="value" select="./z36-loan-hour"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'应还日期:'"/>
       <xsl:with-param name="value" select="./z36-due-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'应还时间:'"/>
       <xsl:with-param name="value" select="./z36-due-hour"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'读者ID:'"/>
       <xsl:with-param name="value" select="./z36-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'读者状态:'"/>
       <xsl:with-param name="value" select="./z36-bor-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'通知信日期:'"/>
       <xsl:with-param name="value" select="./z36-letter-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'通知次数:'"/>
       <xsl:with-param name="value" select="./z36-letter-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释:'"/>
       <xsl:with-param name="value" select="./z36-note-1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'被请求?'"/>
       <xsl:with-param name="value" select="./hold-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'被催还?'"/>
       <xsl:with-param name="value" select="./recall-status"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##流通部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN overdue-letter-1.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'过期通知信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'salutation_string'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'在此第二次写信通知您，您所借的下列图书已经过期:'"/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册条码:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册状态:'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'馆藏地:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号:'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号 2:'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'外借日期:'"/>
       <xsl:with-param name="value" select="./z36-loan-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'外借时间:'"/>
       <xsl:with-param name="value" select="./z36-loan-hour"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'应还日期:'"/>
       <xsl:with-param name="value" select="./z36-due-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'应还时间:'"/>
       <xsl:with-param name="value" select="./z36-due-hour"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'读者ID:'"/>
       <xsl:with-param name="value" select="./z36-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'读者状态:'"/>
       <xsl:with-param name="value" select="./z36-bor-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'通知信日期:'"/>
       <xsl:with-param name="value" select="./z36-letter-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'通知次数:'"/>
       <xsl:with-param name="value" select="./z36-letter-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释:'"/>
       <xsl:with-param name="value" select="./z36-note-1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'被请求?'"/>
       <xsl:with-param name="value" select="./hold-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'被催还?'"/>
       <xsl:with-param name="value" select="./recall-status"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##流通部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN overdue-letter-2.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'过期通知信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'salutation_string'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'在此第三次写信通知您，您所借的下列图书已经过期:'"/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册条码:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册状态:'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'馆藏地:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号:'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号 2:'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'外借日期:'"/>
       <xsl:with-param name="value" select="./z36-loan-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'外借时间:'"/>
       <xsl:with-param name="value" select="./z36-loan-hour"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'应还日期:'"/>
       <xsl:with-param name="value" select="./z36-due-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'应还时间:'"/>
       <xsl:with-param name="value" select="./z36-due-hour"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'读者ID:'"/>
       <xsl:with-param name="value" select="./z36-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'读者状态:'"/>
       <xsl:with-param name="value" select="./z36-bor-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'通知信日期:'"/>
       <xsl:with-param name="value" select="./z36-letter-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'通知次数:'"/>
       <xsl:with-param name="value" select="./z36-letter-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释:'"/>
       <xsl:with-param name="value" select="./z36-note-1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'被请求?'"/>
       <xsl:with-param name="value" select="./hold-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'被催还?'"/>
       <xsl:with-param name="value" select="./recall-status"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##流通部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN overdue-letter-3.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'过期通知信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'salutation_string'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'在此第四次写信通知您，您所借的下列图书已经过期:'"/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册条码:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册状态:'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'馆藏地:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号:'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号 2:'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'外借日期:'"/>
       <xsl:with-param name="value" select="./z36-loan-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'外借时间:'"/>
       <xsl:with-param name="value" select="./z36-loan-hour"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'应还日期:'"/>
       <xsl:with-param name="value" select="./z36-due-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'应还时间:'"/>
       <xsl:with-param name="value" select="./z36-due-hour"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'读者ID:'"/>
       <xsl:with-param name="value" select="./z36-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'读者状态:'"/>
       <xsl:with-param name="value" select="./z36-bor-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'通知信日期:'"/>
       <xsl:with-param name="value" select="./z36-letter-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'通知次数:'"/>
       <xsl:with-param name="value" select="./z36-letter-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释:'"/>
       <xsl:with-param name="value" select="./z36-note-1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'被请求?'"/>
       <xsl:with-param name="value" select="./hold-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'被催还?'"/>
       <xsl:with-param name="value" select="./recall-status"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##流通部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN overdue-sum-single-0.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>
    <xsl:call-template name="signature"/>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'读者过期图书'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string"'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'## 以下图书过期了: ## ## '"/>
    </xsl:call-template>

    <xsl:call-template name="salutation-end"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'#'"/>
          <xsl:with-param name="value" select="position()"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'外借日期'"/>
          <xsl:with-param name="value" select="./z36-loan-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'外借时间'"/>
          <xsl:with-param name="value" select="./z36-loan-hour"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'应还日期'"/>
          <xsl:with-param name="value" select="./z36-due-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'应还时间'"/>
          <xsl:with-param name="value" select="./z36-due-hour"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'被请求?'"/>
          <xsl:with-param name="value" select="./hold-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'被催还?'"/>
          <xsl:with-param name="value" select="./recall-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'通知次数'"/>
          <xsl:with-param name="value" select="./z36-letter-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'通知成本'"/>
          <xsl:with-param name="value" select="./sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册状态'"/>
          <xsl:with-param name="value" select="./z30-item-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'支付金额:'"/>
       <xsl:with-param name="value" select="./total"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="signature">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'####流通部'"/>
    </xsl:call-template>
</xsl:template>
</xsl:stylesheet>


 
PKC_FILE_BEGIN overdue-sum-single-1.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>
    <xsl:call-template name="signature"/>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'读者过期图书'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string"'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'## 以下图书过期了: ## ## '"/>
    </xsl:call-template>

    <xsl:call-template name="salutation-end"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'#'"/>
          <xsl:with-param name="value" select="position()"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'外借日期'"/>
          <xsl:with-param name="value" select="./z36-loan-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'外借时间'"/>
          <xsl:with-param name="value" select="./z36-loan-hour"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'应还日期'"/>
          <xsl:with-param name="value" select="./z36-due-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'应还时间'"/>
          <xsl:with-param name="value" select="./z36-due-hour"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'被请求?'"/>
          <xsl:with-param name="value" select="./hold-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'被催还?'"/>
          <xsl:with-param name="value" select="./recall-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'通知次数'"/>
          <xsl:with-param name="value" select="./z36-letter-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'通知成本'"/>
          <xsl:with-param name="value" select="./sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册状态'"/>
          <xsl:with-param name="value" select="./z30-item-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'支付金额:'"/>
       <xsl:with-param name="value" select="./total"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="signature">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'####流通部'"/>
    </xsl:call-template>
</xsl:template>
</xsl:stylesheet>


 
PKC_FILE_BEGIN overdue-sum-single-2.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>
    <xsl:call-template name="signature"/>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'读者过期图书'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string"'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'## 以下图书过期了: ## ## '"/>
    </xsl:call-template>

    <xsl:call-template name="salutation-end"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'#'"/>
          <xsl:with-param name="value" select="position()"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'外借日期'"/>
          <xsl:with-param name="value" select="./z36-loan-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'外借时间'"/>
          <xsl:with-param name="value" select="./z36-loan-hour"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'应还日期'"/>
          <xsl:with-param name="value" select="./z36-due-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'应还时间'"/>
          <xsl:with-param name="value" select="./z36-due-hour"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'被请求?'"/>
          <xsl:with-param name="value" select="./hold-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'被催还?'"/>
          <xsl:with-param name="value" select="./recall-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'通知次数'"/>
          <xsl:with-param name="value" select="./z36-letter-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'通知成本'"/>
          <xsl:with-param name="value" select="./sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册状态'"/>
          <xsl:with-param name="value" select="./z30-item-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'支付金额:'"/>
       <xsl:with-param name="value" select="./total"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="signature">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'####流通部'"/>
    </xsl:call-template>
</xsl:template>
</xsl:stylesheet>


 
PKC_FILE_BEGIN overdue-sum-single-3.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>
    <xsl:call-template name="signature"/>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'读者过期图书'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string"'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'## 以下图书过期了: ## ## '"/>
    </xsl:call-template>

    <xsl:call-template name="salutation-end"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'#'"/>
          <xsl:with-param name="value" select="position()"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'外借日期'"/>
          <xsl:with-param name="value" select="./z36-loan-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'外借时间'"/>
          <xsl:with-param name="value" select="./z36-loan-hour"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'应还日期'"/>
          <xsl:with-param name="value" select="./z36-due-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'应还时间'"/>
          <xsl:with-param name="value" select="./z36-due-hour"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'被请求?'"/>
          <xsl:with-param name="value" select="./hold-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'被催还?'"/>
          <xsl:with-param name="value" select="./recall-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'通知次数'"/>
          <xsl:with-param name="value" select="./z36-letter-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'通知成本'"/>
          <xsl:with-param name="value" select="./sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册状态'"/>
          <xsl:with-param name="value" select="./z30-item-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'支付金额:'"/>
       <xsl:with-param name="value" select="./total"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="signature">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'####流通部'"/>
    </xsl:call-template>
</xsl:template>
</xsl:stylesheet>


 
PKC_FILE_BEGIN overdue-summary-0.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>

<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'读者过期图书'"/>
    </xsl:call-template>
</xsl:template>


<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'salutation_string'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'以下图书过期了: ## ## '"/>
    </xsl:call-template>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">

  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'#'"/>
       <xsl:with-param name="value" select="position()"/>
       <xsl:with-param name="type" select="'right'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'书目信息'"/>
       <xsl:with-param name="value" select="./bib-info"/>
       <xsl:with-param name="type" select="'bib-info'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'外借日期'"/>
       <xsl:with-param name="value" select="./z36-loan-date"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'外借时间'"/>
       <xsl:with-param name="value" select="./z36-loan-hour"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'应还日期'"/>
       <xsl:with-param name="value" select="./z36-due-date"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'应还时间'"/>
       <xsl:with-param name="value" select="./z36-due-hour"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'被请求?'"/>
       <xsl:with-param name="value" select="./hold-status"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'被催还?'"/>
       <xsl:with-param name="value" select="./recall-status"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'通知次数'"/>
       <xsl:with-param name="value" select="./z36-letter-number"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'罚款'"/>
       <xsl:with-param name="value" select="./fine-1"/>
       <xsl:with-param name="type" select="'right'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'每日罚款'"/>
       <xsl:with-param name="value" select="./fine-2"/>
       <xsl:with-param name="type" select="'right'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'每小时罚款'"/>
       <xsl:with-param name="value" select="./fine-3"/>
       <xsl:with-param name="type" select="'right'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'条码'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'分馆'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'馆藏地'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'单册状态'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
<xsl:template name="signature">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'####流通部'"/>
    </xsl:call-template>
</xsl:template>
</xsl:stylesheet>


 
PKC_FILE_BEGIN overdue-summary-1.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>

<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'读者过期图书'"/>
    </xsl:call-template>
</xsl:template>


<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'salutation_string'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'以下图书过期了: ## ## '"/>
    </xsl:call-template>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">

  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'#'"/>
       <xsl:with-param name="value" select="position()"/>
       <xsl:with-param name="type" select="'right'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'书目信息'"/>
       <xsl:with-param name="value" select="./bib-info"/>
       <xsl:with-param name="type" select="'bib-info'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'外借日期'"/>
       <xsl:with-param name="value" select="./z36-loan-date"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'外借时间'"/>
       <xsl:with-param name="value" select="./z36-loan-hour"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'应还日期'"/>
       <xsl:with-param name="value" select="./z36-due-date"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'应还时间'"/>
       <xsl:with-param name="value" select="./z36-due-hour"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'被请求?'"/>
       <xsl:with-param name="value" select="./hold-status"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'被催询?'"/>
       <xsl:with-param name="value" select="./recall-status"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'通知次数'"/>
       <xsl:with-param name="value" select="./z36-letter-number"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'罚款'"/>
       <xsl:with-param name="value" select="./fine-1"/>
       <xsl:with-param name="type" select="'right'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'每日罚款'"/>
       <xsl:with-param name="value" select="./fine-2"/>
       <xsl:with-param name="type" select="'right'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'每小时罚款'"/>
       <xsl:with-param name="value" select="./fine-3"/>
       <xsl:with-param name="type" select="'right'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'条码'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'分馆'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'馆藏地'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'单册状态'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
<xsl:template name="signature">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'####流通部'"/>
    </xsl:call-template>
</xsl:template>
</xsl:stylesheet>


 
PKC_FILE_BEGIN overdue-summary-2.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>

<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'读者过期图书'"/>
    </xsl:call-template>
</xsl:template>


<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'salutation_string'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'以下图书过期了: ## ## '"/>
    </xsl:call-template>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">

  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'#'"/>
       <xsl:with-param name="value" select="position()"/>
       <xsl:with-param name="type" select="'right'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'书目信息'"/>
       <xsl:with-param name="value" select="./bib-info"/>
       <xsl:with-param name="type" select="'bib-info'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'外借日期'"/>
       <xsl:with-param name="value" select="./z36-loan-date"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'外借时间'"/>
       <xsl:with-param name="value" select="./z36-loan-hour"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'应还日期'"/>
       <xsl:with-param name="value" select="./z36-due-date"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'应还时间'"/>
       <xsl:with-param name="value" select="./z36-due-hour"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'被请求?'"/>
       <xsl:with-param name="value" select="./hold-status"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'被催还?'"/>
       <xsl:with-param name="value" select="./recall-status"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'通知次数'"/>
       <xsl:with-param name="value" select="./z36-letter-number"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'罚款'"/>
       <xsl:with-param name="value" select="./fine-1"/>
       <xsl:with-param name="type" select="'right'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'每日罚款'"/>
       <xsl:with-param name="value" select="./fine-2"/>
       <xsl:with-param name="type" select="'right'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'每小时罚款'"/>
       <xsl:with-param name="value" select="./fine-3"/>
       <xsl:with-param name="type" select="'right'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'条码'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'分馆'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'馆藏地'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'单册状态'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
<xsl:template name="signature">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'####流通部'"/>
    </xsl:call-template>
</xsl:template>
</xsl:stylesheet>


 
PKC_FILE_BEGIN overdue-summary-3.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>

<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'读者过期图书'"/>
    </xsl:call-template>
</xsl:template>


<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'salutation_string'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'以下图书过期了: ## ## '"/>
    </xsl:call-template>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">

  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'#'"/>
       <xsl:with-param name="value" select="position()"/>
       <xsl:with-param name="type" select="'right'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'书目信息'"/>
       <xsl:with-param name="value" select="./bib-info"/>
       <xsl:with-param name="type" select="'bib-info'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'外借日期'"/>
       <xsl:with-param name="value" select="./z36-loan-date"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'外借时间'"/>
       <xsl:with-param name="value" select="./z36-loan-hour"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'应还日期'"/>
       <xsl:with-param name="value" select="./z36-due-date"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'应还时间'"/>
       <xsl:with-param name="value" select="./z36-due-hour"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'被请求?'"/>
       <xsl:with-param name="value" select="./hold-status"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'被催还?'"/>
       <xsl:with-param name="value" select="./recall-status"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'通知次数'"/>
       <xsl:with-param name="value" select="./z36-letter-number"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'罚款'"/>
       <xsl:with-param name="value" select="./fine-1"/>
       <xsl:with-param name="type" select="'right'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'每日罚款'"/>
       <xsl:with-param name="value" select="./fine-2"/>
       <xsl:with-param name="type" select="'right'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'每小时罚款'"/>
       <xsl:with-param name="value" select="./fine-3"/>
       <xsl:with-param name="type" select="'right'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'条码'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'分馆'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'馆藏地'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'单册状态'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
<xsl:template name="signature">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'####流通部'"/>
    </xsl:call-template>
</xsl:template>
</xsl:stylesheet>


 
PKC_FILE_BEGIN patron-delete-approved.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->

    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'读者报告- 被删除的读者'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
          <xsl:with-param name="value" select="./z303-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者姓名'"/>
          <xsl:with-param name="value" select="./z303-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'主库'"/>
          <xsl:with-param name="value" select="./z303-home-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'需求文档ID'"/>
          <xsl:with-param name="value" select="./z303-profile-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'打开日期'"/>
          <xsl:with-param name="value" select="./z303-open-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'更新日期'"/>
          <xsl:with-param name="value" select="./z303-update-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'有债务?'"/>
          <xsl:with-param name="value" select="./has-fines"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'有外借?'"/>
          <xsl:with-param name="value" select="./has-loans"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'有预约?'"/>
          <xsl:with-param name="value" select="./has-holds"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'有ILL请求?'"/>
          <xsl:with-param name="value" select="./has-ill"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'传阅组组长?'"/>
          <xsl:with-param name="value" select="./is-rout-leader"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN patron-delete-rejected.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->

    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'读者报告- 未删除的读者'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
          <xsl:with-param name="value" select="./z303-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者姓名'"/>
          <xsl:with-param name="value" select="./z303-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'主库'"/>
          <xsl:with-param name="value" select="./z303-home-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'需求文档ID'"/>
          <xsl:with-param name="value" select="./z303-profile-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'打开日期'"/>
          <xsl:with-param name="value" select="./z303-open-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'更新日期'"/>
          <xsl:with-param name="value" select="./z303-update-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'有债务?'"/>
          <xsl:with-param name="value" select="./has-fines"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'有外借?'"/>
          <xsl:with-param name="value" select="./has-loans"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'有预约?'"/>
          <xsl:with-param name="value" select="./has-holds"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'有ILL请求?'"/>
          <xsl:with-param name="value" select="./has-ill"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'传阅组组长?'"/>
          <xsl:with-param name="value" select="./is-rout-leader"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN patron-letter-1.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'给读者的信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##为了满足您的ILL请求，请给我们提供以下信息:"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Ill号:'"/>
       <xsl:with-param name="value" select="./doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释:'"/>
       <xsl:with-param name="value" select="./note1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="''"/>
       <xsl:with-param name="value" select="./note2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="''"/>
       <xsl:with-param name="value" select="./note3"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##读者服务部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN patron-letter-2.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'给读者的信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##为了满足您的ILL请求，请给我们提供以下信息:"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Ill号:'"/>
       <xsl:with-param name="value" select="./doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释:'"/>
       <xsl:with-param name="value" select="./note1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="''"/>
       <xsl:with-param name="value" select="./note2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="''"/>
       <xsl:with-param name="value" select="./note3"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##读者服务部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN patron-letter-3.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'给读者的信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##为了满足您的ILL请求，请给我们提供以下信息:"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Ill号:'"/>
       <xsl:with-param name="value" select="./doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释:'"/>
       <xsl:with-param name="value" select="./note1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="''"/>
       <xsl:with-param name="value" select="./note2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="''"/>
       <xsl:with-param name="value" select="./note3"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##读者服务部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN patron-letter-4.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'给读者的信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##为了满足您的ILL请求，请给我们提供以下信息:"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Ill号:'"/>
       <xsl:with-param name="value" select="./doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释:'"/>
       <xsl:with-param name="value" select="./note1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="''"/>
       <xsl:with-param name="value" select="./note2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="''"/>
       <xsl:with-param name="value" select="./note3"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##读者服务部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN patron-letter-5.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'给读者的信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##为了满足您的ILL请求，请给我们提供以下信息:"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Ill号:'"/>
       <xsl:with-param name="value" select="./doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释:'"/>
       <xsl:with-param name="value" select="./note1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="''"/>
       <xsl:with-param name="value" select="./note2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="''"/>
       <xsl:with-param name="value" select="./note3"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##读者服务部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN patron-letter-6.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'给读者的信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##大英图书馆认为以下单册需要购买，因此我们将给你发送另外一封信"'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"以告知您他们的决定."'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"
"'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"如果你已经决定不要需要该单册，请及时告知ILL部门"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Ill号:'"/>
       <xsl:with-param name="value" select="./doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释:'"/>
       <xsl:with-param name="value" select="./note1"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##读者服务部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN patron-letter-7.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'给读者的信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Ill number:'"/>
       <xsl:with-param name="value" select="./doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="' 版权声明#### 本人未曾获取该资料的任何拷贝，
## 本人的请求仅限于研究和个人学习为目的。本人将严格遵循
## 《中华人民共和国著作权法》及其相关规定。
##
'"/>
       </xsl:call-template>
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="' ** 请在此签名并将其返还到以上地址。 **####
## 全名  : _____________________
##
##
## 签字  : _____________________
##
##
'"/>
       </xsl:call-template>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##读者服务部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN patron-letter-8.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'ILL - 取消信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##  在此很遗憾的告诉您，我们无法通过馆际互借获取该单册。"'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"  因此只好取消您的请求:"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Ill号:'"/>
       <xsl:with-param name="value" select="./doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释:'"/>
       <xsl:with-param name="value" select="./note1"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##读者服务部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN patron-letter-t.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'给读者的信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Ill number:'"/>
       <xsl:with-param name="value" select="./doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line">通知: 请注意版权限制##&apos;The law of the United States (Title 17, U.S. Code) governs the making##of photocopies or other reproductions of copyrighted material. Under certain##conditions specified in the law, libraries and archives are authorized to
##uses a photocopy or reproduction for purposes in excess of  "fair use", that
##user may be liable for copyright infringement. This institution reserves the
##right to refuse to accept copying order if, in its judgment, fulfillment of
##the order would involve violation of the copyright law.## I have read the above statement and agree to abide by its restrictions.##
## 请在此签名并返还给图书馆。
##
##
## 全名 : ______________
##
##
## 签名 : ______________
##
</xsl:with-param>
       <xsl:with-param name="style" select="'bold'"/>
       </xsl:call-template>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##读者服务部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN patron-loader-00.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

    <xsl:for-each select="//section-02">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'读者装载'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'日期:'"/>
                <xsl:with-param name="value" select="./form-date"/>
        </xsl:call-template>
<xsl:call-template name="table-close"/>
<xsl:call-template name="horizontal-line"/>
<xsl:call-template name="table-open-full"/>
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="section-02">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="''"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'行号:'"/>
                <xsl:with-param name="value" select="./line-number"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'表名:'"/>
                <xsl:with-param name="value" select="./table-name"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'行为:'"/>
                <xsl:with-param name="value" select="./action"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Msg 代码:'"/>
                <xsl:with-param name="value" select="./msg-code"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'Msg 描述:'"/>
                <xsl:with-param name="value" select="./msg-desc"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>
 
PKC_FILE_BEGIN payment-received-report-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
    <xsl:call-template name="table-close"/>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'付款收据报告'"/>
    </xsl:call-template>
</xsl:template>


<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'起:'"/>
       <xsl:with-param name="value" select='concat(./p-date-from-x,"  ",./p-hour-from-x)'/>
       <xsl:with-param name="width" select="'7%'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'止:'"/>
       <xsl:with-param name="value" select='concat(./p-date-to-x,"  ",./p-hour-to-x)'/>
       <xsl:with-param name="width" select="'7%'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'排序:'"/>
       <xsl:with-param name="value" select="./p-sort-key"/>
       <xsl:with-param name="width" select="'7%'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
       <xsl:with-param name="value" select="./z31-id"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'工作站IP'"/>
       <xsl:with-param name="value" select="./z31-payment-ip"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'日期'"/>
       <xsl:with-param name="value" select="./z31-payment-date"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'收据号'"/>
       <xsl:with-param name="value" select="./z31-payment-receipt-number"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'事务类型'"/>
       <xsl:with-param name="value" select="./z31-description"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'贷方'"/>
       <xsl:with-param name="value" select="./credit"/>
       <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'借方'"/>
       <xsl:with-param name="value" select="./debit"/>
       <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>


 
PKC_FILE_BEGIN payment-received-report-02.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
    <xsl:call-template name="table-close"/>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'付款收据报告'"/>
    </xsl:call-template>
</xsl:template>


<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'起:'"/>
       <xsl:with-param name="value" select='concat(./p-date-from-x,"  ",./p-hour-from-x)'/>
       <xsl:with-param name="width" select="'7%'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'止:'"/>
       <xsl:with-param name="value" select='concat(./p-date-to-x,"  ",./p-hour-to-x)'/>
       <xsl:with-param name="width" select="'7%'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'排序:'"/>
       <xsl:with-param name="value" select="./p-sort-key"/>
       <xsl:with-param name="width" select="'7%'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'日期'"/>
       <xsl:with-param name="value" select="./z31-payment-date"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'收据号'"/>
       <xsl:with-param name="value" select="./z31-payment-receipt-number"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'事务类型'"/>
       <xsl:with-param name="value" select="./z31-description"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'贷方'"/>
       <xsl:with-param name="value" select="./credit"/>
       <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'借方'"/>
       <xsl:with-param name="value" select="./debit"/>
       <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN payment-received-report-03.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
    <xsl:call-template name="table-close"/>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'付款收据报告'"/>
    </xsl:call-template>
</xsl:template>


<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'起:'"/>
       <xsl:with-param name="value" select='concat(./p-date-from-x,"  ",./p-hour-from-x)'/>
       <xsl:with-param name="width" select="'7%'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'止:'"/>
       <xsl:with-param name="value" select='concat(./p-date-to-x,"  ",./p-hour-to-x)'/>
       <xsl:with-param name="width" select="'7%'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'排序:'"/>
       <xsl:with-param name="value" select="./p-sort-key"/>
       <xsl:with-param name="width" select="'7%'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'日期'"/>
       <xsl:with-param name="value" select="./z31-payment-date"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'收据号'"/>
       <xsl:with-param name="value" select="./z31-payment-receipt-number"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'支付对象'"/>
       <xsl:with-param name="value" select="./z31-payment-target"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'事务类型'"/>
       <xsl:with-param name="value" select="./z31-description"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'贷方'"/>
       <xsl:with-param name="value" select="./credit"/>
       <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'借方'"/>
       <xsl:with-param name="value" select="./debit"/>
       <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN payment-received-report-04.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'付款收据报告'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'起:'"/>
       <xsl:with-param name="value" select='concat(./p-date-from-x,"  ",./p-hour-from-x)'/>
       <xsl:with-param name="width" select="'7%'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'止:'"/>
       <xsl:with-param name="value" select='concat(./p-date-to-x,"  ",./p-hour-to-x)'/>
       <xsl:with-param name="width" select="'7%'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'排序:'"/>
       <xsl:with-param name="value" select="./p-sort-key"/>
       <xsl:with-param name="width" select="'7%'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
       <xsl:with-param name="value" select="./z31-id"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'工作人员名字'"/>
       <xsl:with-param name="value" select="./z31-payment-cataloger"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'日期'"/>
       <xsl:with-param name="value" select="./z31-payment-date"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'时间'"/>
       <xsl:with-param name="value" select="./z31-payment-hour"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'收据号'"/>
       <xsl:with-param name="value" select="./z31-payment-receipt-number"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'事务类型'"/>
       <xsl:with-param name="value" select="./z31-description"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'贷方'"/>
       <xsl:with-param name="value" select="./credit"/>
       <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'借方'"/>
       <xsl:with-param name="value" select="./debit"/>
       <xsl:with-param name="type" select="'right'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'单册条码'"/>
       <xsl:with-param name="value" select="./item-barcode"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'读者姓名'"/>
       <xsl:with-param name="value" select="./z303-name"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'读者条码'"/>
       <xsl:with-param name="value" select="./key-data-01"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'读者附加ID'"/>
       <xsl:with-param name="value" select="./key-data-02"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'读者附加ID 2'"/>
       <xsl:with-param name="value" select="./key-data-03"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN payment-received-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'付款收据报告'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'起始:'"/>
       <xsl:with-param name="value" select='concat(./p-date-from-x,"  ",./p-hour-from-x)'/>
       <xsl:with-param name="width" select="'7%'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'截止:'"/>
       <xsl:with-param name="value" select='concat(./p-date-to-x,"  ",./p-hour-to-x)'/>
       <xsl:with-param name="width" select="'7%'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'排序:'"/>
       <xsl:with-param name="value" select="./p-sort-key"/>
       <xsl:with-param name="width" select="'7%'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
       <xsl:with-param name="value" select="./z31-id"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'工作人员姓名'"/>
       <xsl:with-param name="value" select="./z31-payment-cataloger"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'日期'"/>
       <xsl:with-param name="value" select="./z31-payment-date"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'时间'"/>
       <xsl:with-param name="value" select="./z31-payment-hour"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'收据号'"/>
       <xsl:with-param name="value" select="./z31-payment-receipt-number"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'事务类型'"/>
       <xsl:with-param name="value" select="./z31-description"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
       <xsl:with-param name="value" select="./z31-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'贷方'"/>
       <xsl:with-param name="value" select="./credit"/>
       <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'借方'"/>
       <xsl:with-param name="value" select="./debit"/>
       <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN photo-request-letter-d.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

       <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'复制请求传递信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("salutation_string##附件是您在   ", //z302-open-date, "请求复印的内容。")'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'作者:'"/>
       <xsl:with-param name="value" select="./z38-author"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'题名:'"/>
       <xsl:with-param name="value" select="./z38-title"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'页数:'"/>
       <xsl:with-param name="value" select="./z38-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释:'"/>
       <xsl:with-param name="value" select="./z38-note-1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'复制页数:'"/>
       <xsl:with-param name="value" select="./pages-copied"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'纸张类型:'"/>
       <xsl:with-param name="value" select="./paper-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'读者注释:'"/>
       <xsl:with-param name="value" select="./z302-field-1"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="signature">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'##流通部##'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="style" select="'bold'"/>
       <xsl:with-param name="line" select="'##工作人员请注意: 该信必须附上读者请求复印的内容。'"/>
    </xsl:call-template>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN photo-request-letter-p.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

       <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'复印请求取书信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("salutation_string##以下您于    ", //z38-open-date, " 请求的复印已完成，请到", //pickup-location, "复印台领取。")'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'作者:'"/>
       <xsl:with-param name="value" select="./z38-author"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'题名:'"/>
       <xsl:with-param name="value" select="./z38-title"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'页数:'"/>
       <xsl:with-param name="value" select="./z38-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释:'"/>
       <xsl:with-param name="value" select="./z38-note-1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'复印的页数:'"/>
       <xsl:with-param name="value" select="./pages-copied"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'纸张类型:'"/>
       <xsl:with-param name="value" select="./paper-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'读者注释:'"/>
       <xsl:with-param name="value" select="./z302-field-1"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="signature">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'##流通部'"/>
    </xsl:call-template>
</xsl:template>

</xsl:stylesheet>

 
PKC_FILE_BEGIN photo-request-slip.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03b"/>
    </xsl:for-each>

    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'复印请求取书条'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"请求的资料:"'/>
    </xsl:call-template>
    <xsl:call-template name="bib-info-hdr"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'在借'"/>
          <xsl:with-param name="type" select="'check'"/>
          <xsl:with-param name="value" select="./loan-exists"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册状态'"/>
          <xsl:with-param name="value" select="./z30-item-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'描述'"/>
          <xsl:with-param name="value" select="./z30-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"##给读者:"'/>
    </xsl:call-template>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"##"'/>
    </xsl:call-template>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释:'"/>
       <xsl:with-param name="value" select="./z38-note-1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'读者状态:'"/>
       <xsl:with-param name="value" select="./z305-bor-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'类型:'"/>
       <xsl:with-param name="value" select="./z305-bor-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'读者注释:'"/>
       <xsl:with-param name="value" select="./z302-field-1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'请求者:'"/>
       <xsl:with-param name="value" select="./z38-requester-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'请求日期:'"/>
       <xsl:with-param name="value" select="./z38-open-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'著者:'"/>
       <xsl:with-param name="value" select="./z38-author"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'题名:'"/>
       <xsl:with-param name="value" select="./z38-title"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'页数:'"/>
       <xsl:with-param name="value" select="./z38-pages"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="section-03b">

    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'信件编号:'"/>
       <xsl:with-param name="value" select="./z38-number"/>
       <xsl:with-param name="width" select="'15%'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

</xsl:stylesheet>

 
PKC_FILE_BEGIN photo-request-wait.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
    <xsl:call-template name="checkbox">
       <xsl:with-param name="text" select="'继续等待'"/>
    </xsl:call-template>
    <xsl:call-template name="checkbox">
       <xsl:with-param name="text" select="'取消:'"/>
    </xsl:call-template>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'复印请求等候信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("salutation_string##在此很抱歉的通知您，您于", //z38-open-date  ,"申请的复印请求，暂时无法被满足。请在回执中通知我们您要继续等待还是取消请求。")'/>
       <xsl:with-param name="val1" select="//z38-open-date"/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'读者注释:'"/>
       <xsl:with-param name="value" select="./z302-field-1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="''"/>
       <xsl:with-param name="value" select="./z302-field-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="''"/>
       <xsl:with-param name="value" select="./z302-field-3"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'作者:'"/>
       <xsl:with-param name="value" select="./z38-author"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'题名:'"/>
       <xsl:with-param name="value" select="./z38-title"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'页数:'"/>
       <xsl:with-param name="value" select="./z38-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释:'"/>
       <xsl:with-param name="value" select="./z38-note-1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="''"/>
       <xsl:with-param name="value" select="./z38-note-2"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##流通部'"/>

       </xsl:call-template>
   </xsl:template>

</xsl:stylesheet>

 
PKC_FILE_BEGIN plain-acq-m-cancel-slip.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="plain-funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (SPLIT)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'采访取消信-平信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (SPLIT)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'salutation_string##我们将取消下列单册的订单:'"/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-split-open"/>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订单号:'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'书商参考号:'"/>
       <xsl:with-param name="value" select="./z68-vendor-reference-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'册数:'"/>
       <xsl:with-param name="value" select="./z68-no-units"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'数量注释:'"/>
       <xsl:with-param name="value" select="./z68-quantity-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'预订起始日期:'"/>
       <xsl:with-param name="value" select="./z68-subscription-date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'预订截止日期:'"/>
       <xsl:with-param name="value" select="./z68-subscription-date-to"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'注释:'"/>
       <xsl:with-param name="value" select="./z68-vendor-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z68-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-right"/>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订购日期:'"/>
       <xsl:with-param name="value" select="./z68-order-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'催询日期:'"/>
       <xsl:with-param name="value" select="./z68-eda"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'加急:'"/>
       <xsl:with-param name="value" select="./z68-rush"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'单价:'"/>
       <xsl:with-param name="value" select="./z68-unit-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'总价:'"/>
       <xsl:with-param name="value" select="./z68-total-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'货币:'"/>
       <xsl:with-param name="value" select="./z68-e-currency"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-close"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'直接传送:'"/>
       <xsl:with-param name="value" select="''"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="patron-address"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'事务类型:'"/>
          <xsl:with-param name="value" select="./z601-type"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算号:'"/>
          <xsl:with-param name="value" select="./z601-budget-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'打开日期:'"/>
          <xsl:with-param name="value" select="./z601-open-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'货币:'"/>
          <xsl:with-param name="value" select="./z601-currency"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'初始总额:'"/>
          <xsl:with-param name="value" select="./z601-original-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'活动金额:'"/>
          <xsl:with-param name="value" select="./z601-active-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'本地金额:'"/>
          <xsl:with-param name="value" select="./z601-local-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'####采访部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN plain-acq-m-order-slip.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="plain-funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>
       <xsl:call-template name="new-line"/>


    <!--section-01 (SPLIT)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
       <xsl:call-template name="new-line"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
          <xsl:call-template name="new-line"/>
       </xsl:if>
       <xsl:call-template name="section-02"/>
       <xsl:call-template name="new-line"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
       <xsl:call-template name="new-line"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'采访订单信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (SPLIT)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'salutation_string'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'我们将向您订购下列单册:'"/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-split-open"/>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订单号:'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'书商参考号:'"/>
       <xsl:with-param name="value" select="./z68-vendor-reference-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'册数:'"/>
       <xsl:with-param name="value" select="./z68-no-units"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'数量注释:'"/>
       <xsl:with-param name="value" select="./z68-quantity-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'预订起始日期:'"/>
       <xsl:with-param name="value" select="./z68-subscription-date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'预订截止日期:'"/>
       <xsl:with-param name="value" select="./z68-subscription-date-to"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'注释:'"/>
       <xsl:with-param name="value" select="./z68-vendor-note"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z68-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-right"/>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'订购日期:'"/>
       <xsl:with-param name="value" select="./z68-order-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'催询日期:'"/>
       <xsl:with-param name="value" select="./z68-eda"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'加急:'"/>
       <xsl:with-param name="value" select="./z68-rush"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'单价:'"/>
       <xsl:with-param name="value" select="./z68-unit-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'总价:'"/>
       <xsl:with-param name="value" select="./z68-total-price"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen-split">
       <xsl:with-param name="label" select="'货币:'"/>
       <xsl:with-param name="value" select="./z68-e-currency"/>
    </xsl:call-template>
    <xsl:call-template name="table-split-close"/>
    <xsl:call-template name="directly-to-patron"/>

</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'事务类型:'"/>
          <xsl:with-param name="value" select="./z601-type"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算号:'"/>
          <xsl:with-param name="value" select="./z601-budget-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'打开日期:'"/>
          <xsl:with-param name="value" select="./z601-open-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'货币:'"/>
          <xsl:with-param name="value" select="./z601-currency"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'初始总额:'"/>
          <xsl:with-param name="value" select="./z601-original-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'本地金额:'"/>
          <xsl:with-param name="value" select="./z601-local-sum"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'采访部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>


 
PKC_FILE_BEGIN plain-bor-list.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="plain-funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
       <xsl:call-template name="new-line"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
          <xsl:call-template name="new-line"/>
       </xsl:if>
       <xsl:call-template name="section-02"/>
       <xsl:call-template name="new-line"/>
    </xsl:for-each>


    <!--section-03 (GRID)-->
    <xsl:for-each select="//section-03">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-03">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
          <xsl:call-template name="new-line"/>
       </xsl:if>
       <xsl:call-template name="section-03"/>
       <xsl:call-template name="new-line"/>
    </xsl:for-each>


    <!--section-04 (GRID)-->
    <xsl:for-each select="//section-04">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-04">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
          <xsl:call-template name="new-line"/>
       </xsl:if>
       <xsl:call-template name="section-04"/>
       <xsl:call-template name="new-line"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'读者流通总结'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="blank-line"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="'外借'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'应还日期'"/>
          <xsl:with-param name="value" select="./z36-due-date"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'描述'"/>
          <xsl:with-param name="value" select="./z30-description"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'索书号1'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="type" select="'barcode'"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'代理ID'"/>
          <xsl:with-param name="value" select="./z36-proxy-id"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

    <!--SECTION-03  (GRID)-->

<xsl:template name="section-03">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="'预约'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'描述'"/>
          <xsl:with-param name="value" select="./z30-description"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'索书号1'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'打开日期'"/>
          <xsl:with-param name="value" select="./z37-open-date"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'结束请求日期'"/>
          <xsl:with-param name="value" select="./z37-end-request-date"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

    <!--SECTION-04  (GRID)-->

<xsl:template name="section-04">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
         <xsl:with-param name="grid-title" select="'复印请求'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'卷'"/>
          <xsl:with-param name="value" select="./z38-enumeration-a"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'期'"/>
          <xsl:with-param name="value" select="./z38-enumeration-b"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'年'"/>
          <xsl:with-param name="value" select="./z38-chronological-i"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'月/ 季'"/>
          <xsl:with-param name="value" select="./z38-chronological-j"/>
       </xsl:call-template>
       <xsl:call-template name="display-gen">
          <xsl:with-param name="label" select="'页数'"/>
          <xsl:with-param name="value" select="./z38-pages"/>
          <xsl:with-param name="type" select="'right'"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>


 
PKC_FILE_BEGIN plain-funcs-address.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>



<xsl:template name="sublib-address">
<xsl:call-template name="new-line"/>
<xsl:value-of select="//sub-library-address-1-occ1"/><xsl:call-template name="new-line"/>
<xsl:value-of select="//sub-library-address-1-occ2"/><xsl:call-template name="new-line"/>
<xsl:value-of select="//sub-library-address-1-occ3"/><xsl:call-template name="new-line"/>
<xsl:value-of select="//sub-library-address-1-occ4"/><xsl:call-template name="new-line"/>
<xsl:value-of select="//sub-library-address-1-occ5"/><xsl:call-template name="new-line"/>
<xsl:value-of select="//sub-library-address-1-occ6"/><xsl:call-template name="new-line"/>
<xsl:value-of select="//sub-library-address-1-occ7"/><xsl:call-template name="new-line"/>
</xsl:template>

<xsl:template name="transfer-address">
   <xsl:value-of select="//transfer-library-address-1-occ1"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//transfer-library-address-1-occ2"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//transfer-library-address-1-occ3"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//transfer-library-address-1-occ4"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//transfer-library-address-1-occ5"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//transfer-library-address-1-occ6"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//transfer-library-address-1-occ7"/><xsl:call-template name="new-line"/>
</xsl:template>

<xsl:template name="patron-address">
   <xsl:value-of select="//z302-address-0"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//z302-address-1"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//z302-address-2"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//z302-address-3"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//z302-address-4"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//z302-zip"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//z302-email-address"/><xsl:call-template name="new-line"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Patron ID'"/>
       <xsl:with-param name="value" select="//z302-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Patron Barcode'"/>
       <xsl:with-param name="value" select="//z308-key-data"/>
    </xsl:call-template>
</xsl:template>

<xsl:template name="vendor-address">
   <xsl:call-template name="table-open-full"/>
   <xsl:value-of select="//z72-vendor-address-occ1"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//z72-vendor-address-occ2"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//z72-vendor-address-occ3"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//z72-vendor-address-occ4"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//z72-vendor-address-occ5"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//z72-vendor-address-occ6"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//z72-vendor-address-occ7"/><xsl:call-template name="new-line"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Attn'"/>
       <xsl:with-param name="value" select="//z68-vendor-contact"/>
    </xsl:call-template>
</xsl:template>





</xsl:stylesheet>


 
PKC_FILE_BEGIN plain-funcs-bib-info.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>






<xsl:template name="bib-info">
   <xsl:param name="line"/>
   <xsl:variable name="first" select="substring-before($line,'##')"/>
   <xsl:variable name="rest" select="substring-after($line,'##')"/>
   <xsl:if test="$first != ''">
       <xsl:value-of select="$first"/>
       <xsl:call-template name="new-line"/>
   </xsl:if>
   <xsl:if test="$rest != ''">
        <xsl:call-template name="bib-info">
            <xsl:with-param name="line" select="$rest"/>
         </xsl:call-template>
   </xsl:if>
   <xsl:if test="$rest = '' and $line != ''  and $line != '##'">
      <xsl:value-of select="$line"/>
      <xsl:call-template name="new-line"/>
   </xsl:if>
</xsl:template>

<xsl:template name="bib-info-hdr">
        <xsl:call-template name="bib-info">
            <xsl:with-param name="line" select="./bib-info"/>
         </xsl:call-template>
</xsl:template>


</xsl:stylesheet>



 
PKC_FILE_BEGIN plain-funcs-free.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>


<xsl:variable name="label-width" select="'20%'"/>

<xsl:template name="free-title">
    <xsl:param name="free-title"/>
        <xsl:value-of select="$free-title"/>
        <xsl:call-template name="new-line"/>
        <xsl:call-template name="new-line"/>
</xsl:template>

<xsl:template name="display-gen">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="display"/>
    <xsl:param name="type"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>


   <xsl:if test="$display ='always'">
        <xsl:value-of select="$label"/>:  <xsl:value-of select="$value"/>
        <xsl:call-template name="new-line"/>
   </xsl:if>

    <!-- Regular -->
   <xsl:if test="$display !='always' and $value != ''">
        <xsl:value-of select="$label"/>:  <xsl:value-of select="$value"/>
        <xsl:call-template name="new-line"/>
   </xsl:if>
</xsl:template>

</xsl:stylesheet>
 
PKC_FILE_BEGIN plain-funcs-grid.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->

<xsl:template name="grid-hdr">
    <xsl:param name="value"/>
        <xsl:value-of select="$value"/>
        <xsl:call-template name="new-line"/>
</xsl:template>

<xsl:template name="grid-title">
      <xsl:param name="grid-title"/>
        <xsl:call-template name="new-line"/>
        <xsl:value-of select="$grid-title"/>
        <xsl:call-template name="horizontal-line"/>
        <xsl:call-template name="new-line"/>
</xsl:template>

<xsl:template name="display-grid-gen">
    <xsl:param name="value"/>
    <xsl:param name="type"/>
    <xsl:param name="label"/>
    <xsl:param name="header"/>
    <xsl:param name="style"/>
    <xsl:param name="check-value"/>
        <xsl:if test="$type !='bib-info' and $header =''">
                <xsl:value-of select="$label"/>: <xsl:value-of select="$value"/>
                <xsl:call-template name="new-line"/>
        </xsl:if>

    <!-- bib-info -->
     <xsl:if test="$type ='bib-info'  and $header =''">
      <xsl:call-template name="bib-info-hdr">
          <xsl:with-param name="line" select="$value"/>
       </xsl:call-template>
     </xsl:if>
</xsl:template>
<xsl:template name="start-grid">
    <xsl:param name="grid-title"/>
    <xsl:param name="width"/>
    <xsl:param name="nobold"/>

           <xsl:call-template name="grid-title">
              <xsl:with-param name="grid-title" select="$grid-title"/>
           </xsl:call-template>
</xsl:template>


</xsl:stylesheet>









 
PKC_FILE_BEGIN plain-funcs-misc.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xmlns:saxon="http://icl.com/saxon"-->
<xsl:output method="xml" indent="yes"/>

   <!--xmlns:date="http://exslt.org/dates-and-times"-->
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->



<xsl:template name="open-row-cond">
    <xsl:param name="display"/>
    <xsl:if test="$display !='' ">
      <xsl:text disable-output-escaping="yes">&lt;tr&gt;</xsl:text>
    </xsl:if>
</xsl:template>

<xsl:template name="close-row-cond">
    <xsl:param name="display"/>
    <xsl:if test="$display !='' ">
      <xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>
    </xsl:if>
</xsl:template>


<xsl:template name="tst-loop-main">
          <xsl:param name="max"/>
          <xsl:param name="cur"/>
          <xsl:variable name="start" select="1"/>
              <xsl:call-template name="tst-loop">
                 <xsl:with-param name="max" select="$max"/>
                 <xsl:with-param name="cur" select="'1'"/>
              </xsl:call-template>

</xsl:template>
<xsl:template name="tst-loop">
          <xsl:param name="max"/>
          <xsl:param name="cur"/>
          <xsl:param name="pref"/>
          <xsl:param name="type"/>
           <xsl:if test="$type='header'">
               <xsl:text disable-output-escaping="yes">&lt;th&gt;</xsl:text>
           </xsl:if>
           <xsl:if test="$type=''">
               <xsl:text disable-output-escaping="yes">&lt;td align="right"&gt;</xsl:text>
           </xsl:if>


               <!--th--><!--xsl:value-of select="date:date()"/--><!--xsl:value-of select="saxon:eval(saxon:expression(concat('./', $pref, $cur)))"/--><!--/th-->
           <xsl:if test="$type=''">
               <xsl:text disable-output-escaping="yes">&lt;/td&gt;</xsl:text>
           </xsl:if>
           <xsl:if test="$type='header'">
               <xsl:text disable-output-escaping="yes">&lt;/th&gt;</xsl:text>
           </xsl:if>
           <xsl:if test="$cur &lt; $max">
              <xsl:call-template name="tst-loop">
                 <xsl:with-param name="max" select="$max"/>
                 <xsl:with-param name="cur" select="number($cur + 1)"/>
                 <xsl:with-param name="pref" select="$pref"/>
                 <xsl:with-param name="type" select="$type"/>
              </xsl:call-template>
          </xsl:if>
</xsl:template>
<xsl:template name="tst-loop-data">
          <xsl:param name="max"/>
          <xsl:param name="cur"/>
          <xsl:param name="pref"/>
           <xsl:variable name="val" select="concat('//currency-', $cur)"/>
           <xsl:variable name="start" select="'/'"/>
             <!--xsl:value-of select="$cur"/-->
               <td align="right"><!--xsl:value-of select="saxon:eval(saxon:expression(concat('./', $pref, $cur)))"/--></td>
             <!--saxon:evaluate($val)/-->
           <xsl:if test="$cur &lt; $max">
              <xsl:call-template name="tst-loop-data">
                 <xsl:with-param name="max" select="$max"/>
                 <xsl:with-param name="cur" select="number($cur + 1)"/>
                 <xsl:with-param name="pref" select="$pref"/>
              </xsl:call-template>
          </xsl:if>
</xsl:template>

<xsl:template name="budget-nums-hdr">
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="value" select="'Budgets'"/>
       <xsl:with-param name="type" select="'header'"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
<xsl:template name="budget-nums-data">
    <xsl:param name="budget-num"/>
<xsl:call-template name="table-start-row"/>
    <xsl:if test="$budget-num!=''">
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="value" select="$budget-num"/>
    </xsl:call-template>
    </xsl:if>
<xsl:call-template name="table-end-row"/>
</xsl:template>
<xsl:template name="budget-num">
    <xsl:call-template name="budget-nums-hdr"/>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-1"/>
    </xsl:call-template>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-2"/>
    </xsl:call-template>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-3"/>
    </xsl:call-template>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-4"/>
    </xsl:call-template>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-5"/>
    </xsl:call-template>
</xsl:template>





<xsl:template name="generic-line">
   <xsl:param name="line"/>
   <xsl:param name="style"/>
   <xsl:param name="no-first-time"/>
   <xsl:param name="grid"/>
        <xsl:if test="$line = 'salutation_string'">
        <xsl:call-template name="new-line"/>
        <xsl:text>Dear Sir/Madam,</xsl:text>
        </xsl:if>
        <xsl:if test="$line != 'salutation_string'">
            <xsl:value-of select="$line"/>
        </xsl:if>
        <xsl:call-template name="new-line"/>
</xsl:template>

<xsl:template name="close-row">
    <xsl:param name="display"/>
    <xsl:if test="$display !='' ">
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;&lt;/tr&gt;</xsl:text>
    </xsl:if>
</xsl:template>

<xsl:template name="open-row">
      <xsl:text disable-output-escaping="yes">&lt;tr&gt;&lt;td&gt;</xsl:text>
</xsl:template>


<xsl:template name="build-style-start">
   <xsl:param name="style"/>
      <xsl:if test="contains($style, 'bold')"><xsl:text disable-output-escaping="yes">&lt;b&gt;</xsl:text></xsl:if>
      <xsl:if test="contains($style, 'italic')"><xsl:text disable-output-escaping="yes">&lt;i&gt;</xsl:text></xsl:if>
      <xsl:if test="contains($style, 'underline')"><xsl:text disable-output-escaping="yes">&lt;u&gt;</xsl:text></xsl:if>
</xsl:template>

<xsl:template name="build-style-end">
   <xsl:param name="style"/>
      <xsl:if test="contains($style, 'bold')"><xsl:text disable-output-escaping="yes">&lt;b/&gt;</xsl:text></xsl:if>
      <xsl:if test="contains($style, 'italic')"><xsl:text disable-output-escaping="yes">&lt;i/&gt;</xsl:text></xsl:if>
      <xsl:if test="contains($style, 'underline')"><xsl:text disable-output-escaping="yes">&lt;u/&gt;</xsl:text></xsl:if>
</xsl:template>

<xsl:template name="salutation-end">
    <xsl:call-template name="table-close"/>
     <!--/TABLE-->

</xsl:template>


<xsl:template name="blank-line">
    <xsl:call-template name="new-line"/>
</xsl:template>

<xsl:template name="blank-line-first">
    <xsl:if test="position()='1'">

    </xsl:if>
</xsl:template>

<xsl:template name="blank-line-in-free">
    <xsl:param name="lines"/>
    <xsl:param name="first-time"/>
    <xsl:if test="$first-time = ''">
        <xsl:call-template name="table-close"/>
    </xsl:if>
    <xsl:if test="$lines = '' or $lines = '1'">
           <xsl:call-template name="blank-line"/>
           <xsl:call-template name="table-open"/>
    </xsl:if>
    <xsl:if test="$lines != '' and $lines != '1'">
           <xsl:call-template name="blank-line"/>
            <xsl:call-template name="blank-line-in-free">
                <xsl:with-param name="lines" select="number($lines - 1)"/>
                <xsl:with-param name="first-time" select="no"/>
            </xsl:call-template>
    </xsl:if>
</xsl:template>


<xsl:template name="checkbox">
    <xsl:param name="text"/>
         <form>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-start-row"/>
        <td width = "20%">
        <b><xsl:value-of select="$text"/></b></td>
        <td>
            <input type="checkbox"/>
        </td>
    <xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
    </form>
</xsl:template>


<xsl:template name="directly-to-patron">
    <xsl:if test="./z302-address-1 != ''">
     <xsl:call-template name="table-open"/>
     <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'直接传递:'"/>
       <xsl:with-param name="value" select="''"/>
       <xsl:with-param name="display" select="'always'"/>
     </xsl:call-template>
     <xsl:call-template name="patron-address"/>
     <xsl:call-template name="table-close"/>
    </xsl:if>
</xsl:template>

</xsl:stylesheet>





 
PKC_FILE_BEGIN photo-request-slip-00.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
<!--    <xsl:call-template name="header"/>

    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03b"/>
    </xsl:for-each>
-->
    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'复印请求取书条'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
<!--    <xsl:call-template name="sublib-address"/>  -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"请求的资料:"'/>
    </xsl:call-template>
    <xsl:call-template name="bib-info-hdr"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'在借'"/>
          <xsl:with-param name="type" select="'check'"/>
          <xsl:with-param name="value" select="./loan-exists"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册状态'"/>
          <xsl:with-param name="value" select="./z30-item-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'条码号'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'描述'"/>
          <xsl:with-param name="value" select="./z30-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"##给读者:"'/>
    </xsl:call-template>

    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"##"'/>
    </xsl:call-template>

    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释:'"/>
       <xsl:with-param name="value" select="./z38-note-1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'读者状态:'"/>
       <xsl:with-param name="value" select="./z305-bor-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'类型:'"/>
       <xsl:with-param name="value" select="./z305-bor-type"/>
    </xsl:call-template>
<!--
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'读者注释:'"/>
       <xsl:with-param name="value" select="./z302-field-1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'请求者:'"/>
       <xsl:with-param name="value" select="./z38-requester-id"/>
    </xsl:call-template>
-->
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'请求日期:'"/>
       <xsl:with-param name="value" select="./z38-open-date"/>
    </xsl:call-template>
<!--
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'著者:'"/>
       <xsl:with-param name="value" select="./z38-author"/>
    </xsl:call-template>

    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'题名:'"/>
       <xsl:with-param name="value" select="./z38-title"/>
    </xsl:call-template>
-->
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'页数:'"/>
       <xsl:with-param name="value" select="./z38-pages"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
<!--
<xsl:template name="section-03b">

    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'信件编号:'"/>
       <xsl:with-param name="value" select="./z38-number"/>
       <xsl:with-param name="width" select="'15%'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
-->

</xsl:stylesheet>

 
PKC_FILE_BEGIN plain-funcs-right.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->


<xsl:template name="display-not-empty-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td alignment="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-not-empty-split-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-split-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>



</xsl:stylesheet>


 
PKC_FILE_BEGIN plain-funcs-salut-sign.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>





<xsl:template name="salutation-init-old">
   <xsl:param name="salutation"/>
   <xsl:param name="val1"/>
   <xsl:param name="val2"/>
   <xsl:param name="val3"/>
   <xsl:param name="val4"/>
     <xsl:call-template name="table-open-full"/>
     <!--TABLE WIDTH="100%" STYLE="font-size: 9pt; font-family: Arial"-->
     <xsl:call-template name="table-start-row"/><td>亲爱的先生/女士,</td><xsl:call-template name="table-end-row"/>
        <xsl:call-template name="salutation-vars">
            <xsl:with-param name="salutation" select="$salutation"/>
            <xsl:with-param name="val1" select="$val1"/>
            <xsl:with-param name="val2" select="$val2"/>
            <xsl:with-param name="val3" select="$val3"/>
            <xsl:with-param name="val4" select="$val4"/>
        </xsl:call-template>
      <!--/td-->
</xsl:template>


<xsl:template name="salutation-init">
   <xsl:param name="salutation"/>
     <xsl:call-template name="table-open-full"/>
     <xsl:call-template name="table-start-row"/><td>亲爱的先生/女士,</td><xsl:call-template name="table-end-row"/>
        <xsl:call-template name="generic-line">
            <xsl:with-param name="line" select="$salutation"/>
        </xsl:call-template>
</xsl:template>



<xsl:template name="salutation-end">
    <xsl:call-template name="table-close"/>
     <!--/TABLE-->

</xsl:template>


<xsl:template name="salutation-vars">
   <xsl:param name="salutation"/>
   <xsl:param name="val1"/>
   <xsl:param name="val2"/>
   <xsl:param name="val3"/>
   <xsl:param name="val4"/>
   <xsl:variable name="s1" select="substring-before($salutation,'$$$$')"/>
   <xsl:variable name="s1_rest" select="substring-after($salutation,'$$$$')"/>
   <xsl:variable name="s2" select="substring-before($s1_rest,'$$$$')"/>
   <xsl:variable name="s2_rest" select="substring-after($s1_rest,'$$$$')"/>
   <xsl:variable name="s3" select="substring-before($s2_rest,'$$$$')"/>
   <xsl:variable name="s3_rest" select="substring-after($s2_rest,'$$$$')"/>
   <xsl:variable name="s4" select="substring-before($s3_rest,'$$$$')"/>
   <xsl:variable name="s4_rest" select="substring-after($s3_rest,'$$$$')"/>
   <xsl:call-template name="table-start-row"/><td>
   <xsl:choose>
      <xsl:when test="$val1 = ''">
           <xsl:value-of select="$salutation"/>
      </xsl:when>
      <xsl:when test="$val1!='' and $val2=''">
           <xsl:value-of select="$s1"/>
           <xsl:value-of select="$val1"/>
           <xsl:value-of select="$s1_rest"/>
      </xsl:when>
      <xsl:when test="$val2 != '' and $val3=''">
           <xsl:value-of select="$s1"/>
           <xsl:value-of select="$val1"/>
           <xsl:value-of select="$s2"/>
           <xsl:value-of select="$val2"/>
           <xsl:value-of select="$s2_rest"/>
      </xsl:when>
      <xsl:when test="$val3!='' and $val4=''">
           <xsl:value-of select="$s1"/>
           <xsl:value-of select="$val1"/>
           <xsl:value-of select="$s2"/>
           <xsl:value-of select="$val2"/>
           <xsl:value-of select="$s3"/>
           <xsl:value-of select="$val3"/>
           <xsl:value-of select="$s3_rest"/>
      </xsl:when>
      <xsl:when test="$val4 != ''">
           <xsl:value-of select="$s1"/>
           <xsl:value-of select="$val1"/>
           <xsl:value-of select="$s2"/>
           <xsl:value-of select="$val2"/>
           <xsl:value-of select="$s3"/>
           <xsl:value-of select="$val3"/>
           <xsl:value-of select="$s4"/>
           <xsl:value-of select="$val4"/>
           <xsl:value-of select="$s4_rest"/>
      </xsl:when>
   </xsl:choose>
   </td><xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="signature-gen">
     <xsl:param name="signature"/>
       <TABLE WIDTH="100%" style="font-family=arial; font-size=9pt">
     <xsl:call-template name="signature-lines">
        <xsl:with-param name="line" select="$signature"/>
    </xsl:call-template>
   </TABLE>
</xsl:template>

<xsl:template name="signature-lines">
   <xsl:param name="line"/>
   <xsl:variable name="first" select="substring-before($line,'##')"/>
   <xsl:variable name="rest" select="substring-after($line,'##')"/>
   <xsl:call-template name="table-start-row"/><td>
    <xsl:if test="$first = '' and $rest = '' ">

      </xsl:if>
   <xsl:if test="$first != ''">
       <xsl:value-of select="$first"/>
   </xsl:if>
   <xsl:if test="$rest != ''">
        <xsl:call-template name="signature-lines">
            <xsl:with-param name="line" select="$rest"/>
         </xsl:call-template>
   </xsl:if>
   <xsl:if test="$rest = '' and $line != ''">
      <xsl:value-of select="$line"/>
   </xsl:if>
   </td><xsl:call-template name="table-end-row"/>

</xsl:template>

</xsl:stylesheet>


 
PKC_FILE_BEGIN plain-funcs-split.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>




<xsl:template name="display-gen-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="display"/>
    <xsl:param name="type"/>
        <xsl:value-of select="$label"/>  <xsl:value-of select="$value"/>
        <xsl:call-template name="new-line"/>
</xsl:template>


</xsl:stylesheet>


 
PKC_FILE_BEGIN plain-funcs-table.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>


<xsl:variable name="table-width" select="'100%'"/>

<xsl:template name="table-open-simple">
</xsl:template>

<xsl:template name="table-open-full">
</xsl:template>

<xsl:template name="table-open">
</xsl:template>

<xsl:template name="grid-open">
    <xsl:param name="width"/>
    <xsl:param name="align"/>
</xsl:template>




<xsl:template name="table-close">
</xsl:template>

<xsl:template name="table-split-open">
</xsl:template>

<xsl:template name="table-split-right">
</xsl:template>
<xsl:template name="table-split-close">
</xsl:template>

<xsl:template name="table-start-row">
</xsl:template>
<xsl:template name="table-end-row">
</xsl:template>


</xsl:stylesheet>


 
PKC_FILE_BEGIN plain-funcs.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>



<xsl:include href="plain-funcs-address.xsl"/>
<xsl:include href="plain-funcs-bib-info.xsl"/>
<!--xsl:include href="plain-funcs-salut-sign.xsl"/-->
<!--xsl:include href="plain-funcs-right.xsl"/-->
<xsl:include href="plain-funcs-split.xsl"/>
<xsl:include href="plain-funcs-grid.xsl"/>
<xsl:include href="plain-funcs-free.xsl"/>
<xsl:include href="plain-funcs-table.xsl"/>
<!--xsl:include href="plain-funcs-grid-style.xsl"/-->
<!--xsl:include href="plain-funcs-style.xsl"/-->
<!--xsl:include href="plain-funcs-right-style.xsl"/-->
<xsl:include href="plain-funcs-misc.xsl"/>
<!--xsl:include href="plain-funcs-multilines.xsl"/-->
<!--xsl:include href="plain-funcs-budget-status.xsl"/-->
<!--xsl:include href="date.xsl"/-->
<!--xsl:include href="date.date.template.xsl"/-->
<!--xsl:include href="date.date.function.xsl"/-->

<xsl:template name="header-gen">
     <xsl:param name="title"/>
     <xsl:param name="sub-title"/>
<xsl:call-template name="new-line"/>
<xsl:value-of select="//form-date"/><xsl:call-template name="new-line"/>

<xsl:value-of select="//form-name"/>-<xsl:value-of select="//form-format"/>
<xsl:call-template name="new-line"/>
<xsl:value-of select="$title"/><xsl:call-template name="new-line"/>
<xsl:value-of select="$sub-title"/><xsl:call-template name="new-line"/>
</xsl:template>

<xsl:template name="horizontal-line">
------------------------------------------------------------------------------
</xsl:template>

<xsl:template name="local-title">
      <xsl:param name="local-title"/>

   <xsl:call-template name="table-open"/>
   <xsl:call-template name="table-start-row"/><td><b><xsl:value-of select="$local-title"/></b></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="new-line">
        <xsl:text>&#xa;</xsl:text>
</xsl:template>





</xsl:stylesheet>


 
PKC_FILE_BEGIN plain-hold-request-letter-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="plain-funcs.xsl"/>


<xsl:template match="/">
       <!--xsl:call-template name="header"/-->

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
       <xsl:call-template name="new-line"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<!--xsl:template name="header"-->
    <!--xsl:call-template name="header-gen"-->
       <!--xsl:with-param name="title" select="'预约请求'"/-->
    <!--/xsl:call-template-->
    <!--xsl:call-template name="new-line"/-->
<!--/xsl:template-->

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <!--xsl:call-template name="sublib-address"/-->
    <!--xsl:call-template name="patron-address"/-->
    <xsl:call-template name="new-line"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string"'/>
    </xsl:call-template>

    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("您在  ", //z37-request-date, " 提出了预约请求，以下单册现已还回，请到借书处取书:")'/>
    </xsl:call-template>
    <xsl:call-template name="new-line"/>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'馆藏地'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <!--xsl:call-template name="display-gen"-->
       <!--xsl:with-param name="label" select="'索书号2'"/-->
       <!--xsl:with-param name="value" select="./z30-call-no-2"/-->
    <!--/xsl:call-template-->
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'页数'"/>
       <xsl:with-param name="value" select="./z37-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'著者'"/>
       <xsl:with-param name="value" select="./z37-author"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'题名'"/>
       <xsl:with-param name="value" select="./z37-title"/>
    </xsl:call-template>
    <!--xsl:call-template name="display-gen"-->
       <!--xsl:with-param name="label" select="'注释1'"/-->
       <!--xsl:with-param name="value" select="./z37-note-1"/-->
    <!--/xsl:call-template-->
    <!--xsl:call-template name="display-gen"-->
       <!--xsl:with-param name="label" select="'注释2'"/-->
       <!--xsl:with-param name="value" select="./z37-note-2"/-->
    <!--/xsl:call-template-->
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'国家图书馆'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN plain-loan-recall-1.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="plain-funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
       <xsl:call-template name="new-line"/>
    </xsl:for-each>
    <!--section-02 (FREE)-->
    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
       <xsl:call-template name="new-line"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'外借催还'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string"'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"请在其应还日期前归还以下单册。"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
</xsl:template>
<!--SECTION-02  (FREE)-->
<xsl:template name="section-02">

    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="concat('该单册已经被 ',./z36-recall-type,'请在',./z36-recall-due-date, ' ', ./z36-due-hour,'之前归还。')"/>
    </xsl:call-template>

    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'条码'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'馆藏地'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号2'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册状态'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'原始应还日期'"/>
       <xsl:with-param name="value" select="concat(./z36-original-due-date, ' ', ./original-due-hour)"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'催还类别'"/>
       <xsl:with-param name="value" select="./z36-recall-type"/>
    </xsl:call-template>

    <xsl:call-template name="table-close"/>
</xsl:template>

   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'流通部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN plain-overdue-summary-0.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="plain-funcs.xsl"/>

<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
       <xsl:call-template name="new-line"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
          <xsl:call-template name="new-line"/>
       </xsl:if>
       <xsl:call-template name="section-02"/>
       <xsl:call-template name="new-line"/>
    </xsl:for-each>
    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'读者过期单册'"/>
    </xsl:call-template>
</xsl:template>


<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'salutation_string'"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'以下单册已经过期: '"/>
    </xsl:call-template>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">

  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'书目信息'"/>
       <xsl:with-param name="value" select="./bib-info"/>
       <xsl:with-param name="type" select="'bib-info'"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'外借日期'"/>
       <xsl:with-param name="value" select="./z36-loan-date"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'外借时间'"/>
       <xsl:with-param name="value" select="./z36-loan-hour"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'应还日期'"/>
       <xsl:with-param name="value" select="./z36-due-date"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'应还时间'"/>
       <xsl:with-param name="value" select="./z36-due-hour"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'条码'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'单册状态'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'分馆'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'馆藏地'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'通知次数'"/>
       <xsl:with-param name="value" select="./z36-letter-number"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'被请求?'"/>
       <xsl:with-param name="value" select="./hold-status"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'被催还?'"/>
       <xsl:with-param name="value" select="./recall-status"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
<xsl:template name="signature">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="'流通部'"/>
    </xsl:call-template>
</xsl:template>
</xsl:stylesheet>


 
PKC_FILE_BEGIN plain-photo-request-wait.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="plain-funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
       <xsl:call-template name="new-line"/>
    </xsl:for-each>

    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"您的回复:"'/>
    </xsl:call-template>
       <xsl:call-template name="new-line"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"继续等待: ______________________________"'/>
    </xsl:call-template>
       <xsl:call-template name="new-line"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"取消请求: ______________________________"'/>
    </xsl:call-template>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'复印请求等候信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="new-line"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string"'/>
    </xsl:call-template>

    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("在此很遗憾的通知您，您在  ", //z38-open-date  ,"申请的复印请求，暂时无法满足。")'/>
       <xsl:with-param name="val1" select="//z38-open-date"/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"请在回执里告诉我们您要继续等候还是取消请求。"'/>
       <xsl:with-param name="val1" select="//z38-open-date"/>
    </xsl:call-template>

    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'读者注释:'"/>
       <xsl:with-param name="value" select="./z302-field-1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="''"/>
       <xsl:with-param name="value" select="./z302-field-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="''"/>
       <xsl:with-param name="value" select="./z302-field-3"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'作者:'"/>
       <xsl:with-param name="value" select="./z38-author"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'题名:'"/>
       <xsl:with-param name="value" select="./z38-title"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'页数:'"/>
       <xsl:with-param name="value" select="./z38-pages"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'注释:'"/>
       <xsl:with-param name="value" select="./z38-note-1"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="''"/>
       <xsl:with-param name="value" select="./z38-note-2"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'流通部'"/>

       </xsl:call-template>
   </xsl:template>

</xsl:stylesheet>

 
PKC_FILE_BEGIN prediction-pattern-preview-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->

    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'出版模式预览'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label"></xsl:with-param>
       <xsl:with-param name="value" select="./form-date"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<tr>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Issue Type'"/>
       <xsl:with-param name="value" select="./issue-type"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Issue Link'"/>
       <xsl:with-param name="value" select="./issue-link"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Issue Description'"/>
       <xsl:with-param name="value" select="./issue-description"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
</tr>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN prediction-pattern-preview.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->

    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'出版模式预览'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label"></xsl:with-param>
       <xsl:with-param name="value" select="./form-date"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<tr>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Issue Type'"/>
       <xsl:with-param name="value" select="./issue-type"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'issue-link'"/>
       <xsl:with-param name="value" select="./issue-link"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Issue Description'"/>
       <xsl:with-param name="value" select="./issue-description"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
</tr>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN print-bibliography-rec.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'打印书目- 字段名格式'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'参见类型:'"/>
       <xsl:with-param name="value" select="./reference-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书目类型:'"/>
       <xsl:with-param name="value" select="./catalog-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'结束文本:'"/>
       <xsl:with-param name="value" select="./end-text"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'字段名'"/>
          <xsl:with-param name="value" select="./col1"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'数据'"/>
          <xsl:with-param name="value" select="./col2"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN print-bibliography.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (FREE)-->

    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'打印书目'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label"></xsl:with-param>
       <xsl:with-param name="value" select="./form-date"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="sublib-address"/>
</xsl:template>

<!--SECTION-02  (FREE)-->

<xsl:template name="section-02">
  <xsl:call-template name="table-start-row"/>

   <xsl:for-each select="./*">
        <xsl:call-template name="bib-info-free">
            <xsl:with-param name="value" select="node()"/>
        </xsl:call-template>
   </xsl:for-each>
   <br/>
   <br/>
   <xsl:call-template name="table-end-row"/>

</xsl:template>


</xsl:stylesheet>



 
PKC_FILE_BEGIN reading-room-report-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'阅览室报告'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者 ID'"/>
          <xsl:with-param name="value" select="./z310-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册条码'"/>
          <xsl:with-param name="value" select="./z310-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'题名'"/>
          <xsl:with-param name="value" select="./z13-title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'著者'"/>
          <xsl:with-param name="value" select="./z13-author"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'最后借处给读者日期'"/>
          <xsl:with-param name="value" select="./z310-out-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN reading-room-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'阅览室报告'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
          <xsl:with-param name="value" select="./z310-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册条码'"/>
          <xsl:with-param name="value" select="./z310-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册题名'"/>
          <xsl:with-param name="value" select="./z13-title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册作者'"/>
          <xsl:with-param name="value" select="./z13-author"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'最后借出给读者日期'"/>
          <xsl:with-param name="value" select="./z310-out-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN renew-order-encumbrance.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->

    <xsl:call-template name="grid-open"/>
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'更新订单预支报告'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'新年:'"/>
       <xsl:with-param name="value" select="./p-year-x"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'订单类型:'"/>
       <xsl:with-param name="value" select="./p-order-type"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./sub-library-address-1-occ1"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
<xsl:call-template name="table-start-row"/>
   <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'书目库:'"/>
       <xsl:with-param name="value" select="./bib-library"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'题名:'"/>
       <xsl:with-param name="value" select="./z13-title"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'书目记录号#:'"/>
       <xsl:with-param name="value" select="./z13-doc-number"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Adm记录号 #:'"/>
       <xsl:with-param name="value" select="./z68-doc-number"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'订单号:'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'当前预算:'"/>
       <xsl:with-param name="value" select="./current-budget"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'下一年度预算:'"/>
       <xsl:with-param name="value" select="./z601-budget-number"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'原始预支额:'"/>
       <xsl:with-param name="value" select="./original-sum"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'新的原始预支额:'"/>
       <xsl:with-param name="value" select="./z601-original-sum"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'准备支付金额:'"/>
       <xsl:with-param name="value" select="./pending-sum"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'贷方/借方:'"/>
       <xsl:with-param name="value" select="./z601-credit-debit"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'贷方/借方:'"/>
       <xsl:with-param name="value" select="./z601-credit-debit"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'货币:'"/>
       <xsl:with-param name="value" select="./z601-currency"/>
       <xsl:with-param name="header" select="$header"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN replace-vendor-cancel-letter.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

    <xsl:for-each select="//section-02">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'订单取消信'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="section-02">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="'请取消我们对下列单册的订单:'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'订单号:'"/>
                <xsl:with-param name="value" select="./z68-order-number"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'书目信息:'"/>
                <xsl:with-param name="value" select="./bib-info"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'书商代码:'"/>
                <xsl:with-param name="value" select="./z68-vendor-code"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'书商参考号:'"/>
                <xsl:with-param name="value" select="./z68-vendor-reference-no"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'预订起始日期:'"/>
                <xsl:with-param name="value" select="./z68-subscription-date-from"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'预订截止日期:'"/>
                <xsl:with-param name="value" select="./z68-subscription-date-to"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'分馆:'"/>
                <xsl:with-param name="value" select="./z68-sub-library"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="signature">
     <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'####采访部####'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN replace-vendor-rejected-orders.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

    <xsl:for-each select="//section-02">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'被拒绝的订单报告'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'日期:'"/>
                <xsl:with-param name="value" select="./form-date"/>
        </xsl:call-template>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="section-02">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="'以下是被拒绝的订单:'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'书目号:'"/>
                <xsl:with-param name="value" select="./z68-doc-number"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'书目信息:'"/>
                <xsl:with-param name="value" select="./bib-info"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'订单号:'"/>
                <xsl:with-param name="value" select="./z68-order-number"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'订购类型:'"/>
                <xsl:with-param name="value" select="./z68-order-type"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'书商代码:'"/>
                <xsl:with-param name="value" select="./z68-vendor-code"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'预订起始日期:'"/>
                <xsl:with-param name="value" select="./z68-subscription-date-from"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'预订截至日期:'"/>
                <xsl:with-param name="value" select="./z68-subscription-date-to"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'预订预算周期:'"/>
                <xsl:with-param name="value" select="./z68-subscription-budget-period"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'拒绝理由:'"/>
                <xsl:with-param name="value" select="./reject-reason"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>
 
PKC_FILE_BEGIN repository-transit-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'资料传送报告'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'报告日期:'"/>
       <xsl:with-param name="value" select="./form-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'排序:'"/>
       <xsl:with-param name="value" select="./sorted-by"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'处理状态'"/>
          <xsl:with-param name="value" select="./z30-item-process-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'传递到'"/>
          <xsl:with-param name="value" select="./z37-pickup-location"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'递送状态'"/>
          <xsl:with-param name="value" select="./success-value"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN reserve-item-schedule.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'高级预订报告'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
          <xsl:with-param name="value" select="./id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者姓名'"/>
          <xsl:with-param name="value" select="./name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'起始时间'"/>
          <xsl:with-param name="value" select="./start-hour"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'截止时间'"/>
          <xsl:with-param name="value" select="./end-hour"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'题名'"/>
          <xsl:with-param name="value" select="./title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号'"/>
          <xsl:with-param name="value" select="./location"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN return-receipt-00.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

<xsl:for-each select="//section-02">
        <xsl:call-template name="section-02"/>
</xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="''"/>
    </xsl:call-template>
</xsl:template>

<xsl:template name="section-01">
    <xsl:call-template name="patron-name"/>
</xsl:template>


<xsl:template name="section-02">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'书名:'"/>
                <xsl:with-param name="value" select="./bib-info"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
        <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'条码号:'"/>
                <xsl:with-param name="value" select="./z30-barcode"/>
                <xsl:with-param name="width" select="'35%'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'应还日期:'"/>
                <xsl:with-param name="value" select="./z36-due-date"/>
                </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'还书日期:'"/>
                <xsl:with-param name="value" select="./z36-returned-date"/>
                </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>

</xsl:stylesheet>
 
PKC_FILE_BEGIN return-receipt.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:call-template name="section-02">
           <xsl:with-param name="header" select="'header'"/>
       </xsl:call-template>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'归还收据'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header !='' ">
      <xsl:call-template name="bib-info-hdr"/>
  </xsl:if>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'描述'"/>
          <xsl:with-param name="value" select="./z30-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'应还日期'"/>
          <xsl:with-param name="value" select="./z36-due-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'归还日期'"/>
          <xsl:with-param name="value" select="./z36-returned-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册状态'"/>
          <xsl:with-param name="value" select="./z30-item-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'保证人ID'"/>
          <xsl:with-param name="value" select="./z36-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'罚款'"/>
          <xsl:with-param name="value" select="./fine"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>

        <xsl:if test="$header ='' ">
           <xsl:call-template name="table-open"/>
           <xsl:call-template name="grid-close"/>
           <xsl:call-template name="blank-line"/>
           <xsl:call-template name="blank-line"/>
        </xsl:if>

</xsl:template>
<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##流通部'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>


 
PKC_FILE_BEGIN returned-lost-items-summary-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" >
                “丢失”和“声明归还”的单册的归还报告
       </xsl:with-param>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'归还日期起:'"/>
       <xsl:with-param name="value" select="./return-date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'归还时间起:'"/>
       <xsl:with-param name="value" select="./return-hour-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'归还日期止:'"/>
       <xsl:with-param name="value" select="./return-date-to"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'归还时间止:'"/>
       <xsl:with-param name="value" select="./return-hour-to"/>
    </xsl:call-template>

    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册状态:'"/>
       <xsl:with-param name="value" select="./item-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'读者状态:'"/>
       <xsl:with-param name="value" select="./borrower-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
          <xsl:with-param name="value" select="./z303-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者姓名'"/>
          <xsl:with-param name="value" select="./z303-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'外借状态'"/>
          <xsl:with-param name="value" select="./z36h-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'外借日期'"/>
          <xsl:with-param name="value" select="./z36h-loan-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'归还日期'"/>
          <xsl:with-param name="value" select="./z36h-returned-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'归还日期'"/>
          <xsl:with-param name="value" select="./z36h-returned-hour"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'应还日期'"/>
          <xsl:with-param name="value" select="./z36h-due-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'“丢失”的单册数:'"/>
       <xsl:with-param name="value" select="./no-of-lost"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'“声明归还”的单册数:'"/>
       <xsl:with-param name="value" select="./no-of-claims"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>


 
PKC_FILE_BEGIN returned-lost-items-summary.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <!--section-03 (FREE)-->
    <xsl:for-each select="//section-03">
       <xsl:call-template name="section-03"/>
    </xsl:for-each>


</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" >
                “丢失”和“声明归还”的单册的归还报告
       </xsl:with-param>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'归还日期起:'"/>
       <xsl:with-param name="value" select="./return-date-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'归还时间起:'"/>
       <xsl:with-param name="value" select="./return-hour-from"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'归还日期止:'"/>
       <xsl:with-param name="value" select="./return-date-to"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'归还时间止:'"/>
       <xsl:with-param name="value" select="./return-hour-to"/>
    </xsl:call-template>

    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册状态:'"/>
       <xsl:with-param name="value" select="./item-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'读者状态:'"/>
       <xsl:with-param name="value" select="./borrower-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
          <xsl:with-param name="value" select="./z303-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者姓名'"/>
          <xsl:with-param name="value" select="./z303-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'主库'"/>
          <xsl:with-param name="value" select="./z303-home-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'外借状态'"/>
          <xsl:with-param name="value" select="./z36h-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./z30-sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'馆藏地'"/>
          <xsl:with-param name="value" select="./z30-collection"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号'"/>
          <xsl:with-param name="value" select="./z30-call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'外借日期'"/>
          <xsl:with-param name="value" select="./z36h-loan-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'归还日期'"/>
          <xsl:with-param name="value" select="./z36h-returned-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'应还日期'"/>
          <xsl:with-param name="value" select="./z36h-due-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
<!--SECTION-03  (FREE)-->
<xsl:template name="section-03">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'“丢失”的单册数:'"/>
       <xsl:with-param name="value" select="./no-of-lost"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'“声明归还”的单册数:'"/>
       <xsl:with-param name="value" select="./no-of-claims"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>


 
PKC_FILE_BEGIN routing-lists.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'读者传阅列表'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'成员ID'"/>
          <xsl:with-param name="value" select="./z303-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'成员姓名'"/>
          <xsl:with-param name="value" select="./z303-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>

       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'组长ID'"/>
          <xsl:with-param name="value" select="./leader-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'组长姓名'"/>
          <xsl:with-param name="value" select="./leader-name"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>

       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'刊名'"/>
          <xsl:with-param name="value" select="./z13-title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'ISSN'"/>
          <xsl:with-param name="value" select="./z13-isbn-issn"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>

       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'组号'"/>
          <xsl:with-param name="value" select="./z14-group"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'外借'"/>
          <xsl:with-param name="value" select="./z18-loan"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'每成员外借天数'"/>
          <xsl:with-param name="value" select="./z18-loan-days"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN rr-shelf-report-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>


    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'阅览室- 架位报告'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
</xsl:template>
<!--SECTION-02  (FREE)-->
<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <tr>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者 ID'"/>
          <xsl:with-param name="value" select="./z310-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册条码'"/>
          <xsl:with-param name="value" select="./z310-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   </tr>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN rr-shelf-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>


    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'阅览室- 架位报告'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
</xsl:template>
<!--SECTION-02  (FREE)-->
<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <tr>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'读者ID'"/>
          <xsl:with-param name="value" select="./z310-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册条码'"/>
          <xsl:with-param name="value" select="./z310-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'书目信息'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="type" select="'bib-info'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   </tr>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN scrub-patron-ids-00.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

    <xsl:for-each select="//section-02">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <xsl:for-each select="//section-03">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-03">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

    <xsl:for-each select="//section-04">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-04">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-04"/>
    </xsl:for-each>

    <xsl:for-each select="//section-05">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-05">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-05"/>
    </xsl:for-each>

    <xsl:for-each select="//section-06">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-06">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-06"/>
    </xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'清除读者ID报告'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'报告日期:'"/>
                <xsl:with-param name="value" select="./form-date"/>
        </xsl:call-template>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
        <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="section-02">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="'现金表(Z31)处理记录'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'记录键:'"/>
                <xsl:with-param name="value" select="./z31-rec-key"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'顺序号:'"/>
                <xsl:with-param name="value" select="./z31-sequence"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'日期:'"/>
                <xsl:with-param name="value" select="./z31-date"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'分馆:'"/>
                <xsl:with-param name="value" select="./z31-sub-library"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'贷方/借方:'"/>
                <xsl:with-param name="value" select="./z31-credit-debit"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'金额:'"/>
                <xsl:with-param name="value" select="./z31-sum"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'成功写入/失败:'"/>
                <xsl:with-param name="value" select="./write-succeed"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>


<xsl:template name="section-03">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
       <xsl:with-param name="grid-title" select="'外借历史表(Z36H)处理记录'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'时间:'"/>
                <xsl:with-param name="value" select="./z36h-time"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'文档号:'"/>
                <xsl:with-param name="value" select="./z36h-doc-number"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'单册顺序号:'"/>
                <xsl:with-param name="value" select="./z36h-item-sequence"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'编号:'"/>
                <xsl:with-param name="value" select="./z36h-number"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'资料类型:'"/>
                <xsl:with-param name="value" select="./z36h-material"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'分馆:'"/>
                <xsl:with-param name="value" select="./z36h-sub-library"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'单册状态:'"/>
                <xsl:with-param name="value" select="./z36h-item-status"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'成功写入/失败:'"/>
                <xsl:with-param name="value" select="./update-error-code"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>


<xsl:template name="section-04">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="'请求历史表 (Z37H)处理记录'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'时间:'"/>
                <xsl:with-param name="value" select="./z37h-time"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="文档号:'"/>
                <xsl:with-param name="value" select="./z37h-doc-number"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'单册顺序号:'"/>
                <xsl:with-param name="value" select="./z37h-item-sequence"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'请求顺序号:'"/>
                <xsl:with-param name="value" select="./z37h-sequence"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'题名:'"/>
                <xsl:with-param name="value" select="./z37h-title"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'成功写入/失败:'"/>
                <xsl:with-param name="value" select="./update-error-code"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>


<xsl:template name="section-05">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="''"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'文档号:'"/>
                <xsl:with-param name="value" select="./z35-doc-number"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'单册顺序号:'"/>
                <xsl:with-param name="value" select="./z35-item-sequence"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'事件顺序号:'"/>
                <xsl:with-param name="value" select="./z35-sequence"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'事件类型:'"/>
                <xsl:with-param name="value" select="./z35-event-type"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'编目员:'"/>
                <xsl:with-param name="value" select="./z35-cataloger-name"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>

    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'成功写入/失败:'"/>
                <xsl:with-param name="value" select="./update-error-code"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>

   <xsl:call-template name="table-end-row"/>
</xsl:template>


<xsl:template name="section-06">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="'ILL 读者请求表(Z40) 处理记录'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'文档号:'"/>
                <xsl:with-param name="value" select="./z40-doc-number"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'分馆:'"/>
                <xsl:with-param name="value" select="./z40-sub-library"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'ILL类型:'"/>
                <xsl:with-param name="value" select="./z40-media"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'成功写入/失败:'"/>
                <xsl:with-param name="value" select="./update-error-code"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>
 
PKC_FILE_BEGIN return-receipt-01.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

<xsl:for-each select="//section-02">
        <xsl:call-template name="section-02"/>
</xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="''"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
       <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'姓名:'"/>
       <xsl:with-param name="value" select="//z302-name"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="section-02">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'书名:'"/>
                <xsl:with-param name="value" select="./bib-info"/>
        </xsl:call-template>
                <xsl:call-template name="table-close"/>
                <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'条码号:'"/>
                <xsl:with-param name="value" select="./z30-barcode"/>
                <xsl:with-param name="width" select="'35%'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'应还日期:'"/>
                <xsl:with-param name="value" select="./z36-due-date"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'还书日期:'"/>
                <xsl:with-param name="value" select="./z36-returned-date"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>

</xsl:stylesheet>
 
PKC_FILE_BEGIN serial-claim-letter-01.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--/DIV-->
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'期刊催询信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("salutation_string##以下单册的预计到达日期是:   ", //z30-expected-arrival-date, "   但至今未收到，请尽快提供或回信说明原因。##谢谢！")'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书目信息:'"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'出版信息:'"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'出版日期:'"/>
       <xsl:with-param name="value" select="./z17-issue-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书商附加号:'"/>
       <xsl:with-param name="value" select="./z20-claim-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z16-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'SICI号:'"/>
       <xsl:with-param name="value" select="./z17-siid"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'记录号:'"/>
       <xsl:with-param name="value" select="./z16-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'上次催询时间:'"/>
       <xsl:with-param name="value" select="./z20-claim-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'预订号:'"/>
       <xsl:with-param name="value" select="./z16-copy-sequence"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'订单号:'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书商参考号:'"/>
       <xsl:with-param name="value" select="./z16-vendor-order-number"/>
    </xsl:call-template>

    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN serial-claim-letter-02.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--/DIV-->
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'期刊催询信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("salutation_string##以下单册的预计到达日期是:   ", //z30-expected-arrival-date, "   但至今未收到，请尽快提供或回信说明原因。")'/>
    </xsl:call-template>
      <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"这是第二次催询。"'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"谢谢！"'/>
    </xsl:call-template>
  <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书目信息:'"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'出版信息:'"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'卷:'"/>
       <xsl:with-param name="value" select="./z17-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'出版日期:'"/>
       <xsl:with-param name="value" select="./z17-issue-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'给书商的注释:'"/>
       <xsl:with-param name="value" select="./z20-claim-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'参考号:'"/>
       <xsl:with-param name="value" select="./z16-vendor-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z16-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'SICI码:'"/>
       <xsl:with-param name="value" select="./z17-siid"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'记录号:'"/>
       <xsl:with-param name="value" select="./z16-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'上次催询时间:'"/>
       <xsl:with-param name="value" select="./z20-claim-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'复本号:'"/>
       <xsl:with-param name="value" select="./z16-copy-sequence"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'订单号:'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN serial-claim-letter-03.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--/DIV-->
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'期刊催询信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("salutation_string##以下单册的预计到达日期是:   ", //z30-expected-arrival-date, "   但至今未收到，请尽快提供或回信说明原因。")'/>
    </xsl:call-template>
      <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"这是第三次催询."'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"谢谢！"'/>
    </xsl:call-template>
 <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书目信息:'"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'出版信息:'"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'卷:'"/>
       <xsl:with-param name="value" select="./z17-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'出版日期:'"/>
       <xsl:with-param name="value" select="./z17-issue-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'给书商的注释:'"/>
       <xsl:with-param name="value" select="./z20-claim-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'参考号'"/>
       <xsl:with-param name="value" select="./z16-vendor-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z16-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'SICI 码:'"/>
       <xsl:with-param name="value" select="./z17-siid"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'记录号:'"/>
       <xsl:with-param name="value" select="./z16-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'上次催询时间:'"/>
       <xsl:with-param name="value" select="./z20-claim-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'复本号:'"/>
       <xsl:with-param name="value" select="./z16-copy-sequence"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'订单号:'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN serial-claim-letter-04.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--/DIV-->
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'期刊催询信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("salutation_string##以下单册的预计到达日期是:   ", //z30-expected-arrival-date, "   但至今未收到，请尽快提供或回信说明原因。")'/>
    </xsl:call-template>
      <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"这是第四次催询"'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"谢谢！"'/>
    </xsl:call-template>
  <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书目信息:'"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'起信息:'"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'卷:'"/>
       <xsl:with-param name="value" select="./z17-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'出版日期:'"/>
       <xsl:with-param name="value" select="./z17-issue-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'给书商的注释:'"/>
       <xsl:with-param name="value" select="./z20-claim-text"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'参考号:'"/>
       <xsl:with-param name="value" select="./z16-vendor-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z16-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'SICI码:'"/>
       <xsl:with-param name="value" select="./z17-siid"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'记录号:'"/>
       <xsl:with-param name="value" select="./z16-doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'上次催询时间:'"/>
       <xsl:with-param name="value" select="./z20-claim-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'复本号:'"/>
       <xsl:with-param name="value" select="./z16-copy-sequence"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'订单号:'"/>
       <xsl:with-param name="value" select="./z68-order-number"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN serial-group-arrive-success.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'期刊组记到 / 未到'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'日期:'"/>
                <xsl:with-param name="value" select="./form-date"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'匹配号:'"/>
                <xsl:with-param name="value" select="./match-no"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'单册组号:'"/>
                <xsl:with-param name="value" select="./items-group-no"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'未批准单册数:'"/>
                <xsl:with-param name="value" select="./items-no-permission-no"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'未处理单册数:'"/>
                <xsl:with-param name="value" select="./items-not-processed-no"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'处理单册数:'"/>
                <xsl:with-param name="value" select="./items-processed-no"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>

</xsl:stylesheet>
 
PKC_FILE_BEGIN serial-item-label.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
    <!--/DIV-->
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'连续出版物单册标签'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'记到资料'"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册条码:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
       <xsl:with-param name="type" select="'barcode'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'馆藏地:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号:'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'记到日期:'"/>
       <xsl:with-param name="value" select="./z30-arrival-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'预订注释:'"/>
       <xsl:with-param name="value" select="./z16-note"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN serial-rout-letter.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'期刊传阅信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##您是以下期刊的传阅组成员"'/>
    </xsl:call-template>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"请告诉我们您还想收到那些额外的期刊，或者下列期刊有哪些您不再需要的。"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'题名'"/>
          <xsl:with-param name="value" select="./doc-title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN serial-rout-list.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'期刊传阅列表'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'期条码:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'预订号:'"/>
       <xsl:with-param name="value" select="./z18-rout-sequence"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'每成员外借天数:'"/>
       <xsl:with-param name="value" select="./z18-loan-days"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'传阅注释:'"/>
       <xsl:with-param name="value" select="./z18-note"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'成员 ID'"/>
          <xsl:with-param name="value" select="./z302-id"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>

       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'成员姓名'"/>
          <xsl:with-param name="value" select="./z302-address-0"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'地址'"/>
          <xsl:with-param name="value" select="./z302-address-1"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>

 
PKC_FILE_BEGIN serials-claim-report-00.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

    <xsl:for-each select="//section-02">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'期刊催询报告'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="section-02">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="''"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'题名:'"/>
                <xsl:with-param name="value" select="./z13-title"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'书商:'"/>
                <xsl:with-param name="value" select="./vendor"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'分馆:'"/>
                <xsl:with-param name="value" select="./sub-library"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'期文字:'"/>
                <xsl:with-param name="value" select="./issue-text"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'出版日期:'"/>
                <xsl:with-param name="value" select="./issue-date"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'预计到达日期:'"/>
                <xsl:with-param name="value" select="./expected-arrival-date"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'催询？:'"/>
                <xsl:with-param name="value" select="./is-claim"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'催询次数:'"/>
                <xsl:with-param name="value" select="./no-of-claims"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'预订号:'"/>
                <xsl:with-param name="value" select="./subscription-no"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>
 
PKC_FILE_BEGIN serials-claim-report-old.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'Serials Claim Report'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Sorted By:'"/>
       <xsl:with-param name="value" select="./sorted-by"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Title'"/>
          <xsl:with-param name="value" select="./bib-info"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'ADM No.'"/>
          <xsl:with-param name="value" select="./adm-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Vendor'"/>
          <xsl:with-param name="value" select="./vendor"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Issue Description'"/>
          <xsl:with-param name="value" select="./issue-text"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Library'"/>
          <xsl:with-param name="value" select="./sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Subscription No.'"/>
          <xsl:with-param name="value" select="./subscription-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Issue Date'"/>
          <xsl:with-param name="value" select="./issue-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Exp. Arrival Date'"/>
          <xsl:with-param name="value" select="./expected-arrival-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'Batch Claim'"/>
          <xsl:with-param name="value" select="./is-claim"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'No. of Claims'"/>
          <xsl:with-param name="value" select="./no-of-claims"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN shelf-list.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'架位列表'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号'"/>
          <xsl:with-param name="value" select="./call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'描述'"/>
          <xsl:with-param name="value" select="./z30-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'单册状态'"/>
          <xsl:with-param name="value" select="./z30-item-status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'应还日期'"/>
          <xsl:with-param name="value" select="./z36-due-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'题名'"/>
          <xsl:with-param name="value" select="./z13-title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'文档号'"/>
          <xsl:with-param name="value" select="./z30-doc-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN shelf-misplaced-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'架位阅读报告- 错架单册'"/>
    </xsl:call-template>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <tr>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号'"/>
          <xsl:with-param name="value" select="./call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'描述'"/>
          <xsl:with-param name="value" select="./z30-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'状态'"/>
          <xsl:with-param name="value" select="./status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'题名'"/>
          <xsl:with-param name="value" select="./z13-title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'文档号'"/>
          <xsl:with-param name="value" select="./z30-doc-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   </tr>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN shelf-reading-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'架位阅读报告- 丢失单册'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'排序:'"/>
       <xsl:with-param name="value" select="./sorted-by"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'条码'"/>
          <xsl:with-param name="value" select="./z30-barcode"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'索书号'"/>
          <xsl:with-param name="value" select="./call-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'描述'"/>
          <xsl:with-param name="value" select="./z30-description"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'状态'"/>
          <xsl:with-param name="value" select="./status"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'题名'"/>
          <xsl:with-param name="value" select="./z13-title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'文档号'"/>
          <xsl:with-param name="value" select="./z30-doc-number"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN similar-headings.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'相似标目'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'匹配'"/>
          <xsl:with-param name="value" select="./matches"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'顺序号'"/>
          <xsl:with-param name="value" select="./sequence"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'存取'"/>
          <xsl:with-param name="value" select="./access"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'文本'"/>
          <xsl:with-param name="value" select="./text"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN supplier-letter-1.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'给提供者的信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##附件是我们ILL请求的信息:"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="//note1"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="//note2"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'ILL 请求信息:'"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书目细节:'"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'请求号:'"/>
       <xsl:with-param name="value" select="./z41-request-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'文档号:'"/>
       <xsl:with-param name="value" select="./doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'请求方式:'"/>
       <xsl:with-param name="value" select="./z41-requested-media"/>
    </xsl:call-template>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'给提供者的注释:'"/>
       <xsl:with-param name="value" select="./z41-note-to-supp"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'参考号:'"/>
       <xsl:with-param name="value" select="./z41-reference-number"/>
    </xsl:call-template>
     <xsl:call-template name="table-close"/>
   <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##ILL部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN supplier-letter-2.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'给提供者的信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##附件是我们ILL请求的信息:"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="//note1"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="//note2"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'ILL请求信息:'"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书目细节:'"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'请求号:'"/>
       <xsl:with-param name="value" select="./z41-request-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'文档号:'"/>
       <xsl:with-param name="value" select="./doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'请求方式:'"/>
       <xsl:with-param name="value" select="./z41-requested-media"/>
    </xsl:call-template>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'给书商的注释:'"/>
       <xsl:with-param name="value" select="./z41-note-to-supp"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'参考号:'"/>
       <xsl:with-param name="value" select="./z41-reference-number"/>
    </xsl:call-template>
     <xsl:call-template name="table-close"/>
   <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##ILL部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN supplier-letter-3.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'给提供者的信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##附件是我们ILL请求的信息:"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="//note1"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="//note2"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'ILL请求信息:'"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书目细节:'"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'请求号:'"/>
       <xsl:with-param name="value" select="./z41-request-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'文档号:'"/>
       <xsl:with-param name="value" select="./doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'请求方式:'"/>
       <xsl:with-param name="value" select="./z41-requested-media"/>
    </xsl:call-template>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'给书商的注释:'"/>
       <xsl:with-param name="value" select="./z41-note-to-supp"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'参考号:'"/>
       <xsl:with-param name="value" select="./z41-reference-number"/>
    </xsl:call-template>
     <xsl:call-template name="table-close"/>
   <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##ILL部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN supplier-letter-4.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'给提供者的信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##附件是我们ILL请求的信息:"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="//note1"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="//note2"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'ILL请求信息:'"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书目细节:'"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'请求号:'"/>
       <xsl:with-param name="value" select="./z41-request-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'文档号:'"/>
       <xsl:with-param name="value" select="./doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'请求方式:'"/>
       <xsl:with-param name="value" select="./z41-requested-media"/>
    </xsl:call-template>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'给书商的注释:'"/>
       <xsl:with-param name="value" select="./z41-note-to-supp"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'参考号:'"/>
       <xsl:with-param name="value" select="./z41-reference-number"/>
    </xsl:call-template>
     <xsl:call-template name="table-close"/>
   <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##ILL部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN supplier-letter-5.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'给提供者的信'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="vendor-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='"salutation_string##附件是我们ILL请求的信息:"'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="//note1"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="//note2"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="blank-line"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'ILL请求信息:'"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'书目细节:'"/>
       <xsl:with-param name="display" select="'always'"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'请求号:'"/>
       <xsl:with-param name="value" select="./z41-request-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'文档号:'"/>
       <xsl:with-param name="value" select="./doc-number"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'请求方式:'"/>
       <xsl:with-param name="value" select="./z41-requested-media"/>
    </xsl:call-template>
    <xsl:call-template name="table-open-full"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'给提供者的注释:'"/>
       <xsl:with-param name="value" select="./z41-note-to-supp"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'参考号:'"/>
       <xsl:with-param name="value" select="./z41-reference-number"/>
    </xsl:call-template>
     <xsl:call-template name="table-close"/>
   <xsl:call-template name="table-close"/>
</xsl:template>
   <xsl:template name="signature">
       <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##ILL部
'"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN transfer-remaining-balance.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>



    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'转移余额'"/>
    </xsl:call-template>
</xsl:template>


    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算号'"/>
          <xsl:with-param name="value" select="./budget-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'预算类型'"/>
          <xsl:with-param name="value" select="./budget-type"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'分馆'"/>
          <xsl:with-param name="value" select="./sub-library"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'金额'"/>
          <xsl:with-param name="value" select="./amount"/>
          <xsl:with-param name="type" select="'right'"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'转移'"/>
          <xsl:with-param name="value" select="./transfer"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN transfer-slip.xsl

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>

    <!--section-01 (FREE)-->

    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>
</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'转移单'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->

<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="transfer-address"/>
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select='concat("我们在转移以下单册，从归还馆    ", //sub-library-address-1-occ1, "   到 ", //transfer-library-address-1-occ1, "。")'/>
    </xsl:call-template>
    <xsl:call-template name="salutation-end"/>
    <xsl:call-template name="bib-info-hdr"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'转移日期:'"/>
       <xsl:with-param name="value" select="./z36-loan-date"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'转移时间:'"/>
       <xsl:with-param name="value" select="./z36-loan-hour"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'分馆:'"/>
       <xsl:with-param name="value" select="./z30-sub-library"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'馆藏地:'"/>
       <xsl:with-param name="value" select="./z30-collection"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号:'"/>
       <xsl:with-param name="value" select="./z30-call-no"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Z30索书号键:'"/>
       <xsl:with-param name="value" select="./z30-call-no-key"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'索书号2:'"/>
       <xsl:with-param name="value" select="./z30-call-no-2"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'描述:'"/>
       <xsl:with-param name="value" select="./z30-description"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册状态:'"/>
       <xsl:with-param name="value" select="./z30-item-status"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'单册条码:'"/>
       <xsl:with-param name="value" select="./z30-barcode"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>
</xsl:stylesheet>


 
PKC_FILE_BEGIN trigger-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'提示报告'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'排序:'"/>
       <xsl:with-param name="value" select="./sorted-by"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'文档号'"/>
          <xsl:with-param name="value" select="./doc-no"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'题名'"/>
          <xsl:with-param name="value" select="./z13-title"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'打开日期'"/>
          <xsl:with-param name="value" select="./open-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'提示日期'"/>
          <xsl:with-param name="value" select="./trigger-date"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'编目员'"/>
          <xsl:with-param name="value" select="./cataloger"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'部门'"/>
          <xsl:with-param name="value" select="./department"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'内容'"/>
          <xsl:with-param name="value" select="./text"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN unauthorized-headings.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="funcs.xsl"/>


<xsl:template match="/">
       <xsl:call-template name="header"/>


    <!--section-01 (FREE)-->
    <xsl:for-each select="//section-01">
       <xsl:call-template name="section-01"/>
    </xsl:for-each>

    <!--section-02 (GRID)-->
    <xsl:for-each select="//section-02">
       <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>



</xsl:template>


    <!-- START DATA -->
<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'非规范标目'"/>
    </xsl:call-template>
</xsl:template>

<!--SECTION-01  (FREE)-->
<xsl:template name="section-01">
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'标目索引:'"/>
       <xsl:with-param name="value" select="./heading-index"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'OWN-使用者过滤:'"/>
       <xsl:with-param name="value" select="./user-name"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'起始日期:'"/>
       <xsl:with-param name="value" select="./date-since"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

    <!--SECTION-02  (GRID)-->

<xsl:template name="section-02">
  <xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid"/>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'标目顺序'"/>
          <xsl:with-param name="value" select="./heading-seq"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'标目代码'"/>
          <xsl:with-param name="value" select="./heading-code"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
       <xsl:call-template name="display-grid-gen">
          <xsl:with-param name="label" select="'标目'"/>
          <xsl:with-param name="value" select="./heading"/>
          <xsl:with-param name="header" select="$header"/>
       </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>
</xsl:stylesheet>
 
PKC_FILE_BEGIN update-vendor-report.xsl
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

    <xsl:for-each select="//section-02">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-02">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-02"/>
    </xsl:for-each>

    <xsl:for-each select="//section-03">
      <xsl:if test="position() = 1">
          <xsl:call-template name="section-03">
             <xsl:with-param name="header" select="'header'"/>
          </xsl:call-template>
       </xsl:if>
       <xsl:call-template name="section-03"/>
    </xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'书商代码更新报告 - 订购和预订记录'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'日期:'"/>
                <xsl:with-param name="value" select="./form-date"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'分馆地址1 Occ1:'"/>
                <xsl:with-param name="value" select="./sub-library-address-1-occ1"/>
        </xsl:call-template>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'旧书商名称: '"/>
                <xsl:with-param name="value" select="./old-vendor-name"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'新书商名称: '"/>
                <xsl:with-param name="value" select="./new-vendor-name"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="section-02">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="'订单记录'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'文档号:'"/>
                <xsl:with-param name="value" select="./z68-doc-number"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'订单号:'"/>
                <xsl:with-param name="value" select="./z68-order-number"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'题名:'"/>
                <xsl:with-param name="value" select="./doc-title"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'订单状态:'"/>
                <xsl:with-param name="value" select="./z68-order-status"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'有发票？:'"/>
                <xsl:with-param name="value" select="./has-open-invoices"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>


<xsl:template name="section-03">
<xsl:param name="header"/>
  <xsl:if test="$header!=''">
   <xsl:call-template name="start-grid">
        <xsl:with-param name="grid-title" select="'预订记录'"/>
   </xsl:call-template>
  </xsl:if>
   <xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'文档号:'"/>
                <xsl:with-param name="value" select="./z16-doc-number"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'复本号:'"/>
                <xsl:with-param name="value" select="./z16-copy-sequence"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'顺序号:'"/>
                <xsl:with-param name="value" select="./z16-sequence"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'题名:'"/>
                <xsl:with-param name="value" select="./doc-title"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
                <xsl:with-param name="label" select="'订单号:'"/>
                <xsl:with-param name="value" select="./z16-order-number"/>
                <xsl:with-param name="header" select="$header"/>
        </xsl:call-template>
   <xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>
 
